object WM: TWM
  OldCreateOrder = False
  OnCreate = WebModuleCreate
  OnDestroy = WebModuleDestroy
  Actions = <
    item
      Name = 'WebActionItemApprove'
      PathInfo = '/approve'
      OnAction = WMWebActionItemApproveAction
    end
    item
      Default = True
      Name = 'WebActionItemDefault'
      OnAction = WMWebActionItemDefaultAction
    end
    item
      Name = 'WebActionItemDelete'
      PathInfo = '/delete'
      OnAction = WMWebActionItemDeleteAction
    end
    item
      Name = 'WebActionItemDetail'
      PathInfo = '/detail'
      OnAction = WMWebActionItemDetailAction
    end
    item
      Name = 'WebActionItemFile'
      PathInfo = '/file'
      OnAction = WMWebActionItemFileAction
    end
    item
      Name = 'WebActionItemJabber'
      PathInfo = '/jabber'
      OnAction = WMWebActionItemJabberAction
    end
    item
      Name = 'WebActionItemInsert'
      PathInfo = '/insert'
      OnAction = WMWebActionItemInsertAction
    end
    item
      Name = 'WebActionItemLogin'
      PathInfo = '/login'
      OnAction = WMWebActionItemLoginAction
    end
    item
      Name = 'WebActionItemLogout'
      PathInfo = '/logout'
      OnAction = WMWebActionItemLogoutAction
    end
    item
      Name = 'WebActionItemList'
      PathInfo = '/list'
      OnAction = WMWebActionItemListAction
    end
    item
      Name = 'WebActionItemMailLogin'
      PathInfo = '/maillogin'
      OnAction = WMWebActionItemMailLoginAction
    end
    item
      Name = 'WebActionItemMonthWorkedHour'
      PathInfo = '/worked_hour@month'
      OnAction = WMWebActionItemMonthWorkedHourAction
    end
    item
      Name = 'WebActionItemPostWorkedHour'
      PathInfo = '/post'
      OnAction = WMWebActionItemPostWorkedHourAction
    end
    item
      Name = 'WebActionItemResetPassword'
      PathInfo = '/resetpassword'
      OnAction = WMWebActionItemResetPasswordAction
    end
    item
      Name = 'WebActionItemSend'
      PathInfo = '/send'
      OnAction = WMWebActionItemSendAction
    end
    item
      Name = 'WebActionItemSearch'
      PathInfo = '/search'
      OnAction = WMWebActionItemDetailAction
    end
    item
      Name = 'WebActionItemUpdate'
      PathInfo = '/update'
      OnAction = WMWebActionItemUpdateAction
    end
    item
      Name = 'WebActionItemWorkedHour'
      PathInfo = '/worked_hour'
      OnAction = WMWebActionItemWorkedHourAction
    end
    item
      Name = 'WebActionItemOMAtest'
      PathInfo = '/omatest'
      OnAction = WMWebActionItemOMAtestAction
    end>
  BeforeDispatch = WebModuleBeforeDispatch
  AfterDispatch = WebModuleAfterDispatch
  Left = 34
  Top = 125
  Height = 479
  Width = 741
  object IdHTTPS: TIdHTTP
    Intercept = IdConnectionInterceptOpenSSL
    Request.Accept = 'text/html, */*'
    Request.ContentLength = 0
    Request.ContentRangeEnd = 0
    Request.ContentRangeStart = 0
    Request.ProxyPort = 0
    Request.UserAgent = 'Mozilla/3.0 (compatible; Indy Library)'
    Left = 56
    Top = 24
  end
  object IdConnectionInterceptOpenSSL: TIdConnectionInterceptOpenSSL
    SSLOptions.Method = sslvSSLv2
    SSLOptions.Mode = sslmUnassigned
    SSLOptions.VerifyMode = []
    SSLOptions.VerifyDepth = 0
    Left = 176
    Top = 24
  end
  object MainPageProducer: TPageProducer
    OnHTMLTag = MainPageProducerHTMLTag
    Left = 56
    Top = 112
  end
  object ObjectManager: TObjectManager
    PrivilegeObjects = <
      item
        Name = 'account'
        Alias = 'Account Info'
        DBTableName = 'login_user'
        DetailSQL.SQL.Strings = (
          'select '
          'u.login_user_id,'
          'u.user_name, u.'
          'user_pass,'
          'mail_login, '
          'mail_pass,  '
          'u.role_id, '
          'u.role_type,  '
          'u.first_name, '
          'u.middle_name, '
          'u.last_name, u.email, '
          'u.phone,u.active, '
          'u.client_id,u.street_1,u.street_2,u.city,u.state,'
          'u.zip,u.country, u.hire_date, u.termination_date '
          'from tts.login_user u where (u.login_user_id=:usid)')
        DetailSQL.Param = pUserID
        SecurityName = 'account'
        OptionLists = <
          item
            Name = 'project'
            QueryItem.SQL.Strings = (
              'select '
              'p.project_id, '
              'c.client_name || '#39', '#39' || p.project_name as project_name,'
              
                ' (select t.login_user_project_id from tts.login_user_project t w' +
                'here t.login_user_id=:usid and t.project_id=p.project_id) as use' +
                'r_project_id, '
              'p.active,'
              
                '(select sp.supervisor_project_id from tts.supervisor_project sp ' +
                'where sp.supervisor_id =:usid and sp.project_id=p.project_id) as' +
                ' supervisor_project_id, '
              'c.client_id, '
              
                '(select sp.supervisor_project_id from tts.supervisor_project sp,' +
                ' tts.login_user s where sp.project_id=p.project_id and sp.superv' +
                'isor_id =s.supervisor_id and s.login_user_id=:usid) as subsuperv' +
                'isor_project, '
              
                '(select sp.accounting_info from tts.supervisor_project sp where ' +
                'sp.supervisor_id =:usid and sp.project_id=p.project_id) as accou' +
                'nting_info '
              'from '
              'tts.project p, '
              'tts.client c '
              'where (p.client_id=c.client_id(+)) '
              'and (p.active='#39'Y'#39') '
              'order by c.client_name, p.project_name')
            QueryItem.Param = pUserID
          end
          item
            Name = 'vacation'
            QueryItem.SQL.Strings = (
              'select '
              'v.login_user_vacation_id, '
              'v.start_date, '
              'v.end_date, '
              'v.hours, '
              
                '(select sum(t.total) from tts.worked_hour t where v.login_user_i' +
                'd=t.login_user_id  and t.track_date between v.start_date and v.e' +
                'nd_date and t.category in ('#39'V'#39','#39'S'#39' )) as USED '
              'from tts.login_user_vacation v '
              'where v.login_user_id=:usid '
              'and v.category in ('#39'V'#39', '#39'S'#39')'
              ' order by v.creation_date asc')
            QueryItem.Param = pUserID
          end
          item
            Name = 'support'
            QueryItem.SQL.Strings = (
              'select  '
              'c.client_id, '
              'client_name, '
              'luc.login_user_client_id '
              'from tts.client c '
              'left join tts.login_user_client luc '
              'on c.client_id=luc.client_id '
              'and luc.login_user_id=:usid '
              'where '
              'c.active='#39'Y'#39)
            QueryItem.Param = pUserID
          end
          item
            Name = 'holiday'
            QueryItem.SQL.Strings = (
              'select '
              'v.login_user_vacation_id, '
              'v.start_date, '
              'v.end_date, '
              'v.hours, '
              
                '(select sum(t.total) from tts.worked_hour t where v.login_user_i' +
                'd=t.login_user_id  and t.track_date between v.start_date and v.e' +
                'nd_date and t.category='#39'H'#39') as USED '
              'from tts.login_user_vacation v '
              'where v.login_user_id=:usid '
              'and v.category='#39'H'#39
              ' order by v.creation_date asc'
              '')
            QueryItem.Param = pUserID
          end>
        OptionListsSearch = <>
        IgnoreGrID = True
        ListUsePages = True
        ListCalendar.CalendarType = 0
      end
      item
        Name = 'accounting_info'
        Alias = 'Accounting Information'
        DBTableName = 'account_info'
        DetailSQL.SQL.Strings = (
          'select '
          'tts.calc_user_status(a.login_user_id) as user_status, '
          
            '(select sum(i.hours) from tts.invoice i where i.active='#39'Y'#39' and i' +
            '.grid=:GRID and i.up_po_num(+)=a.up_po_num and i.login_user_id(+' +
            ')=:oid)  as invoiced_po_hours, a.account_info_id,a.login_user_id' +
            ', u.last_name || '#39', '#39' || u.first_name as login_user_name ,a.job_' +
            'title ,a.dept_num,a.hire_date, (case when (a.contract_end_date  ' +
            'is null) then add_months(a.hire_date,24) else a.contract_end_dat' +
            'e end) as contract_end_date,a.termination_date, a.pending_hire_d' +
            'ate,a.po_num, a.up_po_num, a.start_date,a.end_date,a.po_total_ho' +
            'urs as po_total_hours, (a.po_total_hours-(select sum(i.hours) fr' +
            'om tts.invoice i where i.active='#39'Y'#39' and i.grid=:GRID and i.up_po' +
            '_num(+)=a.up_po_num and i.login_user_id(+)=:oid)) as left_po_hou' +
            'rs, a.bill_rate ,a.benefits_rate, a.pay_rate, h.supervisors_name' +
            's, p.projects_names, a.hiring_manager, insurance, overhead, ira,' +
            ' ira_num, ira_amount, er_tax  from tts.account_info a, tts.login' +
            '_user u, TABLE(tts.sv_report(a.grid)) h, TABLE(tts.pr_report(a.g' +
            'rid)) p where u.login_user_id=a.login_user_id  and h.employee(+)' +
            '=a.login_user_id and p.employee(+)=a.login_user_id and a.login_u' +
            'ser_id=:oid and a.grid=:GRID and u.grid=:GRID group by a.account' +
            '_info_id,a.login_user_id, u.last_name || '#39', '#39' || u.first_name,a.' +
            'job_title ,a.dept_num,a.hire_date, a.contract_end_date,a.termina' +
            'tion_date, a.pending_hire_date,a.po_num, a.up_po_num, a.start_da' +
            'te,a.end_date,a.po_total_hours,a.bill_rate ,a.benefits_rate, a.p' +
            'ay_rate, h.supervisors_names, p.projects_names, a.hiring_manager' +
            ', insurance, overhead, ira, ira_num, ira_amount, er_tax')
        DetailSQL.Param = pObjectID
        SecurityOn = True
        SecurityName = 'accounting_info'
        OptionLists = <
          item
            Name = 'default'
            QueryItem.SQL.Strings = (
              
                'select u.login_user_id, u.last_name || '#39', '#39' || u.first_name as l' +
                'ogin_user_name,  t.supervisors_names from TABLE(tts.sv_report(:g' +
                'rid)) t, tts.login_user u where t.employee(+)=u.login_user_id  a' +
                'nd u.login_user_id=:oid')
            QueryItem.Param = pObjectID
          end
          item
            Name = 'invoice'
            QueryItem.SQL.Strings = (
              'select '
              'i.invoice_id, '
              'i.invoice_num, '
              'i.invoiced_date, '
              'sum(w.total) as invoice_worked_hours, '
              'i.hours as invoiced_po_hours, '
              'i.bill_rate as invoice_bill_rate, '
              'i.hours*i.bill_rate as invoiced_amount '
              
                'from tts.invoice i, tts.account_info a,tts.worked_hour w where i' +
                '.invoice_id=w.invoice_id(+) and w.grid=i.grid and i.active='#39'Y'#39'  ' +
                'and a.active='#39'Y'#39' and i.grid=:GRID and a.grid=:grid and i.up_po_n' +
                'um(+)=a.up_po_num and i.login_user_id(+)=a.login_user_id and a.l' +
                'ogin_user_id=:oid group by i.invoice_id, i.invoice_num, i.invoic' +
                'ed_date,  i.hours, i.bill_rate order by i.invoice_num desc')
            QueryItem.Param = pObjectID
          end
          item
            Name = 'reimbursement'
            QueryItem.SQL.Strings = (
              'select '
              'i.invoice_id, '
              'i.invoice_num, '
              'i.invoiced_date, '
              'i.exp_statement_ids, '
              'sum(ee.reimbur_emp_amount) as reimbur_emp_amount, '
              'sum(ec.reimbur_comp_amount)  as reimbur_comp_amount, '
              ' i.total as invoiced_amount '
              'from '
              'tts.invoice i, '
              'tts.account_info a,'
              '(select '
              #9#9#9' e.invoice_id,'
              
                #9#9#9' sum(re.amt_lodging + re.amt_transport + re.amt_fuel + re.amt' +
                '_meals + re.amt_phone+ re.amt_enter+ re.amt_other) as reimbur_em' +
                'p_amount'
              #9#9#9' from tts.exp_statement e, tts.exp_statement_record re'
              #9#9#9' where re.exp_statement_id(+)=e.exp_statement_id'
              #9#9#9' and  re.type='#39'E'#39
              #9#9#9' group by e.invoice_id'
              ') ee,'
              '(select '
              #9#9#9' e.invoice_id,'
              
                #9#9#9' sum(re.amt_lodging + re.amt_transport + re.amt_fuel + re.amt' +
                '_meals + re.amt_phone+ re.amt_enter+ re.amt_other) as reimbur_co' +
                'mp_amount'
              #9#9#9' from tts.exp_statement e, tts.exp_statement_record re'
              #9#9#9' where re.exp_statement_id(+)=e.exp_statement_id'
              #9#9#9' and  re.type='#39'C'#39
              #9#9#9' group by e.invoice_id'
              #9#9#9') ec'
              'where '
              'i.exp_statement_ids is not null '
              'and i.invoice_id=ee.invoice_id(+)'
              'and i.invoice_id=ec.invoice_id(+)'
              'and i.active='#39'Y'#39'  '
              'and a.active='#39'Y'#39' '
              'and i.grid=:grid'
              'and a.grid=:grid'
              'and i.invoiced_date between a.start_date and a.end_date '
              'and i.login_user_id(+)=a.login_user_id '
              'and a.login_user_id=:oid '
              'group by'
              'i.invoice_id, '
              'i.invoice_num, '
              'i.invoiced_date, '
              'i.exp_statement_ids, '
              'i.total'
              'order by i.invoice_num desc'
              '')
            QueryItem.Param = pObjectID
          end>
        OptionListsSearch = <>
        ListUsePages = True
        ListCalendar.CalendarType = 0
        ListOrder = 't.up_last_name'
      end
      item
        Name = 'accounting_info@history'
        Alias = 'Accounting Information - History'
        DBTableName = 'accounting_info_history'
        DetailSQL.SQL.Strings = (
          
            'select (select sum(i.hours) from tts.invoice i where i.active='#39'Y' +
            #39' and i.grid=:GRID '
          'and i.up_po_num(+)=a.up_po_num '
          'and i.login_user_id(+)=a.login_user_id)  as invoiced_po_hours, '
          
            '(a.po_total_hours - (select sum(i.hours) from tts.invoice i wher' +
            'e i.active='#39'Y'#39' and i.grid=:GRID and i.up_po_num(+)=a.up_po_num a' +
            'nd i.login_user_id(+)=a.login_user_id)) as left_po_hours, '
          'a.account_info_id, '
          'a.login_user_id, '
          'a.name as login_user_name, '
          'a.job_title, '
          'a.dept_num, '
          'a.hire_date, '
          
            '(case when (a.contract_end_date  is null) then add_months(a.hire' +
            '_date,24) else a.contract_end_date end) as contract_end_date, '
          'a.termination_date, '
          'a.pending_hire_date, '
          'a.po_num, '
          'a.start_date, '
          'a.end_date, '
          'a.po_total_hours, '
          'a.bill_rate, '
          'a.benefits_rate, '
          'a.pay_rate, '
          'a.creation_date, '
          'a.supervisors_info as supervisors_names, '
          'a.projects_info as projects_names, '
          'a.hiring_manager, '
          'a.insurance,  '
          'a.overhead,  '
          'a.ira,  '
          'a.ira_num, '
          'a.ira_amount,  '
          'a.er_tax  '
          'from '
          'tts.account_info_history a, '
          'tts.login_user u '
          'where '
          'u.login_user_id=a.login_user_id  '
          'and a.account_info_history_id=:oid '
          'and a.grid=:grid '
          'and u.grid=:grid')
        DetailSQL.Param = pObjectID
        SecurityOn = True
        SecurityName = 'accounting_info'
        OptionLists = <
          item
            Name = 'invoice'
            QueryItem.SQL.Strings = (
              'select '
              'i.invoice_id, '
              'i.invoice_num, '
              'i.invoiced_date, '
              'sum(w.total) as invoice_worked_hours, '
              'i.hours as invoiced_po_hours, '
              'i.bill_rate as invoice_bill_rate, '
              'i.hours*i.bill_rate as invoiced_amount '
              'from '
              'tts.invoice i, '
              'tts.account_info_history a,'
              'tts.worked_hour w '
              'where '
              'i.invoice_id=w.invoice_id(+) '
              'and w.grid=i.grid '
              'and i.active='#39'Y'#39'  '
              'and a.active='#39'Y'#39' '
              'and i.grid=:GRID '
              'and a.grid=:grid '
              'and i.up_po_num(+)=a.up_po_num '
              'and i.login_user_id(+)=a.login_user_id  '
              'and a.account_info_history_id=:oid '
              'group by '
              'i.invoice_id, '
              'i.invoice_num, '
              'i.invoiced_date,  '
              'i.hours, '
              'i.bill_rate '
              'order by i.invoice_num desc')
            QueryItem.Param = pObjectID
          end
          item
            Name = 'reimbursement'
            QueryItem.SQL.Strings = (
              'select '
              'i.invoice_id, '
              'i.invoice_num, '
              'i.invoiced_date, '
              'i.exp_statement_ids, '
              'sum(ee.reimbur_emp_amount) as reimbur_emp_amount, '
              'sum(ec.reimbur_comp_amount)  as reimbur_comp_amount, '
              'i.total as invoiced_amount '
              'from '
              'tts.invoice i, '
              'tts.account_info_history a,'
              '(select '
              #9#9#9' e.invoice_id,'
              
                #9#9#9' sum(re.amt_lodging + re.amt_transport + re.amt_fuel + re.amt' +
                '_meals + re.amt_phone+ re.amt_enter+ re.amt_other) as reimbur_em' +
                'p_amount'
              #9#9#9' from tts.exp_statement e, tts.exp_statement_record re'
              #9#9#9' where re.exp_statement_id(+)=e.exp_statement_id'
              #9#9#9' and  re.type='#39'E'#39
              #9#9#9' group by e.invoice_id'
              ') ee,'
              '(select '
              #9#9#9' e.invoice_id,'
              
                #9#9#9' sum(re.amt_lodging + re.amt_transport + re.amt_fuel + re.amt' +
                '_meals + re.amt_phone+ re.amt_enter+ re.amt_other) as reimbur_co' +
                'mp_amount'
              #9#9#9' from tts.exp_statement e, tts.exp_statement_record re'
              #9#9#9' where re.exp_statement_id(+)=e.exp_statement_id'
              #9#9#9' and  re.type='#39'C'#39
              #9#9#9' group by e.invoice_id'
              #9#9#9') ec '
              'where '
              'i.exp_statement_ids is not null '
              'and i.active='#39'Y'#39'  '
              'and a.active='#39'Y'#39' '
              'and i.grid=:grid '
              'and a.grid=:grid '
              'and i.invoiced_date between a.start_date and a.end_date '
              'and i.login_user_id(+)=a.login_user_id '
              'and a.account_info_history_id=:oid'
              'group by'
              'i.invoice_id, '
              'i.invoice_num, '
              'i.invoiced_date, '
              'i.exp_statement_ids, '
              'i.total  '
              'order by i.invoice_num desc')
            QueryItem.Param = pObjectID
          end>
        OptionListsSearch = <>
        ListUsePages = True
        ListCalendar.CalendarType = 0
        ListOrder = 'account_info_history_id'
      end
      item
        Name = 'accounting_info@client'
        Alias = 'Client - Accounting Information'
        DBTableName = 'client'
        DetailSQL.Param = pObjectID
        SecurityName = 'accounting_info'
        OptionLists = <>
        OptionListsSearch = <>
        ListUsePages = True
        ListCalendar.CalendarType = 0
        ListOrder = 't.client_id'
      end
      item
        Name = 'admin_group'
        Alias = 'Login Group'
        DBTableName = 'login_group'
        DetailSQL.SQL.Strings = (
          
            'select t.grid, t.group_name,t.up_group_name, t.start_date, t.per' +
            'iod_in_week, t.hour_format, t.email_error from tts.login_group t' +
            ' where t.grid=:oid')
        DetailSQL.Param = pObjectID
        SecurityName = 'admin_group'
        OptionLists = <
          item
            Name = 'object'
            QueryItem.SQL.Strings = (
              'select  '
              't.object_privilege_id,'
              't.object_alias,  '
              't.type,  '
              'o.login_group_object_id'
              'from tts.object_privilege t, '
              '('
              'select  g.object_privilege_id, g.login_group_object_id '
              'from '
              'tts.login_group_object g'
              'where g.grid=:oid'
              ')  o'
              'where o.object_privilege_id(+)=t.object_privilege_id')
            QueryItem.Param = pObjectID
          end>
        OptionListsSearch = <>
        IgnoreGrID = True
        ListUsePages = True
        ListCalendar.CalendarType = 0
        ListOrder = 'login_group_id'
      end
      item
        Name = 'chat_log'
        Alias = 'Chat Log'
        DBTableName = 'chat_log'
        DetailSQL.SQL.Strings = (
          
            'select c.chat_log_id, u.first_name || '#39' '#39' || u.last_name as user' +
            '_name, u.user_name||'#39'_'#39'||g.group_name as jabberlogin, c.chat_log' +
            ',c.creation_date , c.active from tts.chat_log c, tts.login_user ' +
            'u, tts.login_group g where u.grid=g.grid and u.login_user_id=c.l' +
            'ogin_user_id and c.chat_log_id=:oid  and c.grid=:grid')
        DetailSQL.Param = pObjectID
        SecurityName = 'chat_log'
        OptionLists = <>
        OptionListsSearch = <>
        ListUsePages = True
        ListCalendar.FieldName = 't.creation_date'
        ListCalendar.CalendarType = 2
        ListOrder = 't.creation_date'
      end
      item
        Name = 'client'
        Alias = 'Client'
        DBTableName = 'client'
        DetailSQL.SQL.Strings = (
          
            'select c.* from tts.client c where (c.client_id=:oid) and (c.gri' +
            'd=:grid)')
        DetailSQL.Param = pObjectID
        SecurityName = 'client'
        OptionLists = <>
        OptionListsSearch = <>
        ListUsePages = True
        ListCalendar.CalendarType = 0
        ListOrder = 't.client_id'
      end
      item
        Name = 'display_pref'
        Alias = 'Display Preferences'
        DBTableName = 'login_user'
        DetailSQL.SQL.Strings = (
          
            'select u.quick_entry_bar from tts.login_user u where (u.login_us' +
            'er_id=:usid) and (u.grid=:grid)')
        DetailSQL.Param = pUserID
        SecurityName = 'display_pref'
        OptionLists = <
          item
            Name = 'project'
            QueryItem.SQL.Strings = (
              
                'select p.project_id, c.client_name || '#39': '#39'||p.project_name as pr' +
                'oject_name, t.login_user_project_id, t.active from tts.project p' +
                ', tts.client c, tts.login_user_project t where (p.client_id=c.cl' +
                'ient_id) and t.login_user_id=:usid and t.project_id=p.project_id' +
                ' and (p.active='#39'Y'#39') and (p.grid=:grid) order by c.client_name, p' +
                '.project_name')
            QueryItem.Param = pUserID
          end>
        OptionListsSearch = <>
        ListUsePages = True
        ListCalendar.CalendarType = 0
      end
      item
        Name = 'email_notification'
        Alias = 'E-mail Notification'
        DBTableName = 'login_user'
        DetailSQL.Param = pObjectID
        SecurityName = 'email_notification'
        OptionLists = <>
        OptionListsSearch = <>
        ListUsePages = False
        ListCalendar.CalendarType = 0
        ListOrder = 't.login_user_id'
      end
      item
        Name = 'exp_statement'
        Alias = 'Expense Statement'
        DBTableName = 'exp_statement'
        DetailSQL.SQL.Strings = (
          'select '
          't.start_date, '
          't.end_date, '
          't.exp_statement_id,'
          't.login_user_id, '
          't.end_date-t.start_date+1 as days,'
          't.project_id ,'
          'reimbursed, '
          'reimbursed_date, '
          'rlu.last_name  || '#39', '#39' || rlu.first_name  as reimbursed_by, '
          'c.client_name || '#39': '#39' || p.project_name as project_name, '
          't.note, '
          't.submitted,  '
          't.submitted_date, '
          't.approved, '
          'ua.last_name  || '#39', '#39' || ua.first_name  as approved_by,  '
          't.approved_date,  '
          't.processed,  '
          'up.last_name || '#39', '#39' || up.first_name as processed_by, '
          't.processed_date, '
          'invoice_id, '
          'invoiced ,'
          
            'u.last_name || '#39', '#39' || u.first_name || '#39' '#39' || u.middle_name as u' +
            'ser_name'
          ''
          'from tts.exp_statement t, '
          'tts.project p, tts.client c, '
          'tts.login_user ua, '
          'tts.login_user up, '
          'tts.login_user rlu,'
          'tts.login_user u'
          'where '
          'p.client_id=c.client_id '
          'and u.login_user_id=t.login_user_id'
          'and t.project_id(+)=p.project_id '
          'and ua.login_user_id(+)=t.approved_by '
          'and rlu.login_user_id(+)=t.reimbursed_by  '
          'and up.login_user_id(+)=t.processed_by '
          'and t.exp_statement_id=:oid and t.grid=:grid')
        DetailSQL.Param = pObjectID
        SecurityName = 'exp_statement'
        OptionLists = <
          item
            Name = 'project'
            QueryItem.SQL.Strings = (
              
                'select p.project_id, c.client_name || '#39': '#39' ||  p.project_name fr' +
                'om tts.project p, tts.client c, tts.login_user_project lup where' +
                ' p.project_id=lup.project_id and lup.login_user_id=:usid and p.c' +
                'lient_id=c.client_id and c.active='#39'Y'#39' and p.active='#39'Y'#39' and p.gri' +
                'd=:grid order by c.client_name, p.project_name')
            QueryItem.Param = pUserID
          end
          item
            Name = 'exp_statement_document'
            QueryItem.SQL.Strings = (
              'select '
              't.document_id, '
              't.original_file_name,'
              't.file_ext,  '
              't.content_type '
              'from tts.document t '
              'where  t.object_id=:oid '
              'and t.object_name='#39'EXP_STATEMENT'#39' '
              'and (t.grid=:grid or t.grid is null) '
              'and t.active='#39'Y'#39' '
              'order by t.document_id desc')
            QueryItem.Param = pObjectID
          end
          item
            Name = 'exp_statement_record'
            QueryItem.SQL.Strings = (
              'select '
              't.exp_statement_record_id, '
              't.start_date, '
              't.note,'
              't.amt_lodging,'
              't.amt_transport, '
              't.amt_fuel, '
              't.amt_meals,'
              't.amt_phone, '
              't.amt_enter, '
              't.amt_other, '
              't.type '
              'from  tts.exp_statement_record t'
              'where t.exp_statement_id=:oid '
              'and t.active='#39'Y'#39' '
              'and t.grid=:grid'
              'order by t.exp_statement_record_id desc')
            QueryItem.Param = pObjectID
          end>
        OptionListsSearch = <>
        ListUsePages = True
        ListCalendar.FieldName = 't.creation_date'
        ListCalendar.CalendarType = 2
        ListOrder = 't.exp_statement_id'
      end
      item
        Name = 'exp_statement_record'
        Alias = 'Exp. Statement Record'
        DBTableName = 'exp_statement_record'
        DetailSQL.Param = pObjectID
        SecurityName = 'exp_statement'
        OptionLists = <>
        OptionListsSearch = <>
        ListUsePages = False
        ListCalendar.CalendarType = 0
        ListOrder = 't.exp_statement_record_id'
      end
      item
        Name = 'field_privilege'
        Alias = 'Field'
        DBTableName = 'field_privilege'
        DetailSQL.SQL.Strings = (
          'select '
          't.field_privilege_id,'
          ' t.field_name, '
          't.field_alias, '
          't.active, '
          't.object_privilege_id, '
          'o.object_alias, '
          't.required_field,'
          't.field_type '
          'from tts.field_privilege t, '
          'tts.object_privilege o '
          'where o.object_privilege_id=t.object_privilege_id '
          'and t.field_privilege_id=:oid')
        DetailSQL.Param = pObjectID
        SecurityName = 'object_privilege'
        OptionLists = <
          item
            Name = 'object_privilege_id'
            QueryItem.SQL.Strings = (
              
                'select o.object_privilege_id, o.object_alias from tts.object_pri' +
                'vilege o where o.active='#39'Y'#39' order by o.object_alias')
            QueryItem.Param = pNone
          end>
        OptionListsSearch = <
          item
            QueryItem.Param = pObjectID
          end>
        IgnoreGrID = True
        ListUsePages = True
        ListCalendar.CalendarType = 0
        ListOrder = 't.field_privilege_id'
      end
      item
        Name = 'file'
        DetailSQL.SQL.Strings = (
          'select t.* '
          'from tts.document t '
          'where t.document_id=:oid '
          'and t.active='#39'Y'#39)
        DetailSQL.Param = pObjectID
        DetailUseFrame = False
        SecurityName = 'file'
        OptionLists = <>
        OptionListsSearch = <>
        IgnoreGrID = True
        ListUsePages = True
        ListCalendar.CalendarType = 0
      end
      item
        Name = 'invoice'
        Alias = 'Invoice'
        DBTableName = 'invoice'
        DetailSQL.SQL.Strings = (
          
            'select (select sum(w.total) from tts.worked_hour w where w.invoi' +
            'ce_id=i.invoice_id and w.grid=i.grid) as invoice_worked_hours, i' +
            '.invoice_id, i.invoice_num, lu.last_name || '#39', '#39' || lu.first_nam' +
            'e as login_user_name, i.po_num, i.hours as invoiced_hours, i.bil' +
            'l_rate, i.invoiced_date, i.active from tts.invoice i, tts.login_' +
            'user lu where lu.login_user_id(+)=i.login_user_id and i.invoice_' +
            'id=:oid and i.grid=:grid')
        DetailSQL.Param = pObjectID
        SecurityOn = True
        SecurityName = 'invoice'
        OptionLists = <
          item
            Name = 'worked_hours'
            QueryItem.SQL.Strings = (
              'select '
              't.worked_hour_id, '
              't.track_date, '
              'c.client_name || '#39' : '#39' || p.project_name as project_name, '
              't.total as hours, '
              'lu.last_name || '#39', '#39' || lu.first_name, '
              'i.invoiced_date, '
              't.project_id'
              'from '
              '     tts.worked_hour t, '
              '     tts.project p, '
              '     tts.client c, '
              '     tts.login_user lu, '
              '     tts.invoice i '
              'where '
              't.invoice_id=i.invoice_id '
              'and i.created_by=lu.login_user_id '
              'and t.invoice_id=:oid '
              'and p.project_id=t.project_id '
              'and p.client_id=c.client_id '
              'and t.grid=:grid '
              'order by track_date,p.project_name')
            QueryItem.Param = pObjectID
          end
          item
            Name = 'project'
            QueryItem.SQL.Strings = (
              'select t.project_id,'
              'decode (u.role_type, 2,'
              '(select '
              '        sp.supervisor_project_id '
              '        from tts.supervisor_project sp '
              '        where sp.project_id(+)=t.project_id '
              '        and sp.accounting_info='#39'Y'#39
              '        and sp.supervisor_id=u.login_user_id'
              ' ),6, '
              ' (select '
              '  hrp.login_user_project_id '
              '  from tts.login_user_project hrp '
              '  where hrp.project_id(+)=t.project_id '
              '  and hrp.login_user_id=u.login_user_id'
              '),3, 1)as user_project_id'
              'from tts.project t, tts.login_user u'
              'where u.login_user_id=:usid'
              'and t.grid=:grid')
            QueryItem.Param = pUserID
          end>
        OptionListsSearch = <>
        ListUsePages = False
        ListCalendar.FieldName = 'track_date'
        ListCalendar.CalendarType = 3
        ListOrder = 't.invoice_id'
      end
      item
        Name = 'ira_contrib'
        Alias = 'IRA Contribution'
        DBTableName = 'ira_contrib'
        DetailSQL.Param = pObjectID
        SecurityOn = True
        SecurityName = 'ira_contrib'
        OptionLists = <>
        OptionListsSearch = <>
        ListUsePages = True
        ListCalendar.FieldName = 't.start_date'
        ListCalendar.CalendarType = 2
        ListOrder = 't.ira_contrib_id'
      end
      item
        Name = 'jabber'
        Alias = 'Live Chat'
        DBTableName = 'chat_log'
        DetailSQL.SQL.Strings = (
          
            'select t.user_name || '#39'_'#39' || g.group_name as jabber_login from t' +
            'ts.login_user t, tts.login_group g'
          'where t.grid=g.grid and t.login_user_id=:usid and t.grid=:grid')
        DetailSQL.Param = pUserID
        DetailUseFrame = False
        SecurityName = 'jabber'
        OptionLists = <>
        OptionListsSearch = <>
        ListUsePages = True
        ListUseFrame = False
        ListCalendar.CalendarType = 0
      end
      item
        Name = 'login_group'
        Alias = 'Group'
        DBTableName = 'login_group'
        DetailSQL.SQL.Strings = (
          
            'select t.group_name,t.up_group_name, t.start_date, t.period_in_w' +
            'eek, t.hour_format, t.email_error from tts.login_group t where t' +
            '.grid=:grid')
        DetailSQL.Param = pNone
        SecurityName = 'login_group'
        OptionLists = <>
        OptionListsSearch = <>
        ListUsePages = True
        ListCalendar.CalendarType = 0
      end
      item
        Name = 'login_user'
        Alias = 'User'
        DBTableName = 'login_user'
        DetailSQL.SQL.Strings = (
          'select '
          't.login_user_id,'
          't.user_name, '
          't.user_pass,'
          't.mail_login, '
          't.mail_pass,  '
          't.role_id, '
          't.role_type,  '
          't.first_name, '
          't.middle_name, '
          't.last_name, '
          't.email, '
          't.phone,'
          't.active, '
          't.client_id,'
          't.street_1,'
          't.street_2,'
          't.city,'
          't.state,'
          't.zip,'
          't.country, '
          't.hire_date, '
          't.termination_date,'
          'tp.travel_profile_id '
          'from tts.login_user t , tts.travel_profile tp'
          'where (t.login_user_id=:oid) '
          'and tp.login_user_id(+)=t.login_user_id'
          'and (t.grid=:grid)')
        DetailSQL.Param = pObjectID
        SecurityName = 'login_user'
        OptionLists = <
          item
            Name = 'project'
            QueryItem.SQL.Strings = (
              'select '
              't.project_id, '
              'c.client_name || '#39': '#39'||t.project_name as project_name, '
              
                '(select lup.login_user_project_id from tts.login_user_project lu' +
                'p where lup.login_user_id=:oid and lup.project_id=t.project_id) ' +
                'as user_project_id, '
              't.active,'
              
                '(select sp.supervisor_project_id from tts.supervisor_project sp ' +
                'where sp.supervisor_id =:oid and sp.project_id=t.project_id and ' +
                'sp.grid=:grid) as supervisor_project_id, '
              'c.client_id, '
              
                '(select sp.supervisor_project_id from tts.supervisor_project sp,' +
                ' tts.login_user s where sp.project_id=t.project_id and sp.superv' +
                'isor_id =s.supervisor_id and s.login_user_id=:oid) as subsupervi' +
                'sor_project, '
              
                '(select sp.accounting_info from tts.supervisor_project sp where ' +
                'sp.supervisor_id =:oid and sp.project_id=t.project_id) as accoun' +
                'ting_info '
              'from '
              'tts.project t, '
              'tts.client c '
              'where t.client_id=c.client_id(+) '
              'and t.active='#39'Y'#39' '
              'and c.active='#39'Y'#39
              'and t.grid=:grid '
              'order by c.client_name, t.project_name')
            QueryItem.Param = pObjectID
          end
          item
            Name = 'observer_project'
            QueryItem.SQL.Strings = (
              'select '
              't.project_id,  '
              'c.client_name || '#39': '#39'||t.project_name as project_name '
              'from '
              'tts.project t, '
              'tts.login_user u, '
              'tts.client c '
              'where '
              'u.login_user_id=:oid '
              'and u.client_id=t.client_id '
              'and u.client_id=c.client_id '
              'and t.active='#39'Y'#39' '
              'and u.active='#39'Y'#39' '
              'and c.active='#39'Y'#39' '
              'and t.grid=:grid')
            QueryItem.Param = pObjectID
          end
          item
            Name = 'client'
            QueryItem.SQL.Strings = (
              
                'select t.client_id, t.client_name from tts.client t where t.acti' +
                've='#39'Y'#39' and t.grid=:grid')
            QueryItem.Param = pNone
          end
          item
            Name = 'vacation'
            QueryItem.SQL.Strings = (
              'select '
              't.login_user_vacation_id, '
              't.start_date, '
              't.end_date, '
              't.hours, '
              
                '(select sum(w.total) from tts.worked_hour w where t.login_user_i' +
                'd=w.login_user_id  and w.track_date between t.start_date and t.e' +
                'nd_date and w.category in ('#39'V'#39', '#39'S'#39')) as USED '
              'from tts.login_user_vacation t '
              'where '
              't.login_user_id=:oid '
              'and t.grid=:grid '
              'and t.category='#39'V'#39
              'order by t.creation_date asc')
            QueryItem.Param = pObjectID
          end
          item
            Name = 'holiday'
            QueryItem.SQL.Strings = (
              'select '
              't.login_user_vacation_id, '
              't.start_date, '
              't.end_date, '
              't.hours, '
              
                '(select sum(w.total) from tts.worked_hour w where t.login_user_i' +
                'd=w.login_user_id  and w.track_date between t.start_date and t.e' +
                'nd_date and w.category = '#39'H'#39') as USED '
              'from tts.login_user_vacation t '
              'where '
              't.login_user_id=:oid '
              'and t.grid=:grid '
              'and t.category='#39'H'#39
              'order by t.creation_date asc')
            QueryItem.Param = pObjectID
          end
          item
            Name = 'support'
            QueryItem.SQL.Strings = (
              
                'select  t.client_id, t.client_name, luc.login_user_client_id fro' +
                'm tts.client t left join tts.login_user_client luc on t.client_i' +
                'd=luc.client_id and luc.login_user_id=:oid where t.grid=:grid an' +
                'd t.active='#39'Y'#39)
            QueryItem.Param = pObjectID
          end
          item
            Name = 'privilege_roles'
            QueryItem.SQL.Strings = (
              'select '
              't.role_id, '
              't.role_name'
              ' from tts.role t, '
              'tts.login_user lu '
              'where '
              't.type=lu.role_type and '
              'lu.login_user_id=:oid '
              'and lu.grid=:grid')
            QueryItem.Param = pObjectID
          end>
        OptionListsSearch = <>
        ListUsePages = True
        ListCalendar.CalendarType = 0
        ListOrder = 't.login_user_id'
      end
      item
        Name = 'mail'
        Alias = 'Web Mail'
        DBTableName = 'login_user'
        DetailSQL.SQL.Strings = (
          'select '
          't.mail_login,'
          't.mail_pass,'
          'g.email_error'
          'from tts.login_user t, tts.login_group g'
          'where t.login_user_id=:usid '
          'and t.grid=g.grid'
          'and t.grid=:grid '
          'and t.active='#39'Y'#39)
        DetailSQL.Param = pUserID
        SecurityName = 'mail'
        OptionLists = <>
        OptionListsSearch = <>
        ListUsePages = True
        ListUseFrame = False
        ListCalendar.CalendarType = 0
      end
      item
        Name = 'mail_template'
        Alias = 'Email Template'
        DBTableName = 'mail_template'
        DetailSQL.SQL.Strings = (
          'select'
          ' t.mail_template_id, '
          't.name, '
          't.description, '
          't.subject, '
          't.from_email, '
          't.cc_email, '
          't.content, '
          't.format, '
          't.active '
          'from '
          'tts.mail_template t '
          'where t.up_name=:oid'
          'and t.grid=:grid'
          '')
        DetailSQL.Param = pObjectID
        SecurityName = 'mail_template'
        OptionLists = <
          item
            Name = 'recipient'
            QueryItem.SQL.Strings = (
              'select '
              't.login_user_id, '
              't.last_name || '#39', '#39' ||t.first_name as user_name, '
              't.role_type '
              'from '
              'tts.login_user t '
              'where '
              't.grid=:grid '
              'and t.active='#39'Y'#39' '
              'order by '
              't.role_type, t.up_first_name, t.up_last_name')
            QueryItem.Param = pNone
          end>
        OptionListsSearch = <>
        ListUsePages = True
        ListCalendar.CalendarType = 0
        ListOrder = 'mail_template_id'
      end
      item
        Name = 'message'
        Alias = 'Message'
        DBTableName = 'message'
        DetailSQL.SQL.Strings = (
          'select '
          't.message_id, '
          't.from_login_user_id, '
          'u1.first_name ||'#39' '#39'||u1.last_name as from_user, '
          
            't.to_login_user_id, u2.first_name ||'#39' '#39'||u2.last_name as to_user' +
            ','
          ' t.subject, '
          't.text, '
          't.creation_date, '
          't.reviewed, '
          't.reviewed_date, '
          't.urgent '
          'from tts.message t,'
          'tts.login_user u1, '
          'tts.login_user u2 '
          'where t.message_id=:oid '
          'and u1.login_user_id=t.from_login_user_id '
          'and u2.login_user_id=t.to_login_user_id '
          'and t.grid=:grid')
        DetailSQL.Param = pObjectID
        SecurityName = 'message'
        OptionLists = <
          item
            Name = 'recipient'
            QueryItem.SQL.Strings = (
              'select '
              't.login_user_id, '
              't.last_name || '#39', '#39' ||t.first_name as user_name '
              'from '
              'tts.login_user t '
              'where t.grid=:grid '
              'and t.active='#39'Y'#39' '
              'order by '
              't.up_last_name,'
              't.up_first_name '
              '')
            QueryItem.Param = pNone
          end>
        OptionListsSearch = <>
        ListUsePages = True
        ListCalendar.CalendarType = 0
        ListOrder = 'REVIEWED_DATE desc,message_id'
      end
      item
        Name = 'message@out'
        Alias = 'Outbox'
        DBTableName = 'message'
        DetailSQL.Param = pObjectID
        SecurityName = 'message'
        OptionLists = <>
        OptionListsSearch = <>
        ListUsePages = True
        ListCalendar.CalendarType = 0
        ListOrder = 'message_id'
      end
      item
        Name = 'object_privilege'
        Alias = 'Object Privilege'
        DBTableName = 'object_privilege'
        DetailSQL.SQL.Strings = (
          
            'select t.* from tts.object_privilege t where t.object_privilege_' +
            'id=:oid')
        DetailSQL.Param = pObjectID
        SecurityName = 'object_privilege'
        OptionLists = <
          item
            Name = 'document'
            QueryItem.SQL.Strings = (
              'select '
              't.document_id, '
              't.original_file_name,'
              't.file_ext,  '
              't.content_type '
              'from tts.document t '
              'where  t.object_id=:oid '
              'and t.object_name='#39'OBJECT_PRIVILEGE'#39' '
              'and t.active='#39'Y'#39' '
              'order by t.document_id desc')
            QueryItem.Param = pObjectID
          end>
        OptionListsSearch = <>
        IgnoreGrID = True
        ListUsePages = True
        ListCalendar.CalendarType = 0
        ListOrder = 'object_alias asc'
      end
      item
        Name = 'project'
        Alias = 'Project'
        DBTableName = 'project'
        DetailSQL.SQL.Strings = (
          
            'select t.project_id, t.project_name, t.project_desc, t.client_id' +
            ', t.created_by, t.creation_date, t.last_updated_by, t.last_updat' +
            'ed_date, t.active from tts.project t where t.project_id=:oid and' +
            ' t.grid=:grid')
        DetailSQL.Param = pObjectID
        SecurityName = 'project'
        OptionLists = <
          item
            Name = 'client_id'
            QueryItem.SQL.Strings = (
              
                'select t.client_id, t.client_name from tts.client t where t.acti' +
                've='#39'Y'#39' and t.grid=:grid')
            QueryItem.Param = pNone
          end
          item
            Name = 'login_user'
            QueryItem.SQL.Strings = (
              'select '
              't.login_user_id, '
              't.last_name|| '#39', '#39'||t.first_name as user_name,'
              '(select  '
              #9'lup.login_user_project_id '
              #9'from tts.login_user_project lup '
              #9'where lup.project_id=:oid '
              #9'and lup.login_user_id=t.login_user_id'
              #9') as login_user_project_id, '
              't.client_id, '
              't.role_type,  '
              '(select  '
              #9't.supervisor_project_id '
              #9'from tts.supervisor_project t '
              #9'where t.project_id=:oid '
              #9'and t.supervisor_id=t.login_user_id '
              #9'and t.grid=:grid'
              #9') as supervisor_project_id '
              'from '
              'tts.login_user t '
              'where t.role_type in (1,2,3,4) '
              'and t.active='#39'Y'#39' '
              'and t.grid=:grid')
            QueryItem.Param = pObjectID
          end>
        OptionListsSearch = <>
        ListUsePages = True
        ListCalendar.CalendarType = 0
        ListOrder = 't.project_id'
      end
      item
        Name = 'reimbursement'
        Alias = 'Reimbursement'
        DBTableName = 'invoice'
        DetailSQL.SQL.Strings = (
          'select '
          't.invoice_id, '
          't.invoice_num, '
          't.total as total_amount, '
          'lu.last_name || '#39', '#39' || lu.first_name as user_name, '
          't.invoiced_date, '
          'clu.first_name || clu.last_name as created_by, '
          
            't.creation_date, llu.first_name || llu.last_name as last_updated' +
            '_by, '
          't.last_updated_date, '
          't.active '
          'from '
          'tts.invoice t, '
          'tts.login_user lu,'
          ' tts.login_user clu, '
          'tts.login_user llu '
          'where '
          'clu.login_user_id(+)=t.created_by '
          'and llu.login_user_id(+)=t.last_updated_by '
          'and lu.login_user_id(+)=t.login_user_id '
          'and t.invoice_id=:oid '
          'and t.grid=:grid')
        DetailSQL.Param = pObjectID
        SecurityName = 'reimbursement'
        OptionLists = <
          item
            Name = 'exp_statements'
            QueryItem.SQL.Strings = (
              'select '
              't.exp_statement_id, '
              't.start_date, '
              'p.project_name, '
              'sum(r.amt_lodging) as amt_lodging, '
              'sum(r.amt_transport) as amt_transport, '
              'sum(r.amt_fuel) as amt_fuel, '
              'sum(r.amt_meals) as amt_meals, '
              '0,  '
              'sum(r.amt_phone) as amt_phone, '
              'sum(r.amt_enter) as amt_enter, '
              'sum(r.amt_other) as amt_other '
              'from tts.exp_statement t, '
              'tts.project p, '
              'tts.exp_statement_record r '
              'where r.exp_statement_id (+)=t.exp_statement_id'
              'and t.project_id=p.project_id '
              'and t.invoice_id=:oid '
              'and t.grid=:GRID '
              'group by '
              't.exp_statement_id, '
              't.start_date, '
              'p.project_name')
            QueryItem.Param = pObjectID
          end>
        OptionListsSearch = <>
        ListUsePages = False
        ListCalendar.FieldName = 'submitted_date'
        ListCalendar.CalendarType = 3
        ListOrder = 't.exp_statement_id'
      end
      item
        Name = 'relation'
        Alias = 'Relations'
        DetailSQL.Param = pObjectID
        SecurityName = 'relation'
        OptionLists = <>
        OptionListsSearch = <
          item
            Name = 'manager'
            QueryItem.SQL.Strings = (
              
                'select u.login_user_id, u.first_name|| '#39' '#39' || u.last_name, u.ema' +
                'il, u.phone as manager_name from tts.login_user u where u.grid=:' +
                'grid and u.role_type=3 and u.active='#39'Y'#39'  order by u.up_first_nam' +
                'e, u.up_last_name')
            QueryItem.Param = pNone
          end
          item
            Name = 'client'
            QueryItem.SQL.Strings = (
              
                'select c.client_id, c.client_name from tts.client c where c.acti' +
                've='#39'Y'#39' and c.grid=:GRID order by c.up_client_name')
            QueryItem.Param = pNone
          end
          item
            Name = 'project'
            QueryItem.SQL.Strings = (
              
                'select p.project_id, p.project_name, p.client_id  from tts.proje' +
                'ct p where p.active='#39'Y'#39' and p.grid=:grid')
            QueryItem.Param = pNone
          end
          item
            Name = 'supervisor'
            QueryItem.SQL.Strings = (
              
                'select u.login_user_id as supervisor_id, u.first_name|| '#39' '#39' || u' +
                '.last_name as supervisor_name, sp.project_id, u.email, u.phone  ' +
                'from tts.login_user u, tts.supervisor_project sp where u.role_ty' +
                'pe=2 and u.login_user_id=sp.supervisor_id and u.grid=:grid and u' +
                '.active='#39'Y'#39' order by u.up_first_name, u.up_last_name')
            QueryItem.Param = pNone
          end
          item
            Name = 'subsupervisor'
            QueryItem.SQL.Strings = (
              
                'select u.login_user_id as subsupervisor_id, u.first_name|| '#39' '#39' |' +
                '| u.last_name as supervisor_name,  sp.project_id, u.supervisor_i' +
                'd, u.email, u.phone from tts.login_user u, tts.supervisor_projec' +
                't sp where u.role_type=4 and u.login_user_id=sp.supervisor_id an' +
                'd u.grid=:grid and u.active='#39'Y'#39'  order by u.up_first_name, u.up_' +
                'last_name')
            QueryItem.Param = pNone
          end
          item
            Name = 'employee'
            QueryItem.SQL.Strings = (
              
                'select u.login_user_id, u.first_name|| '#39' '#39' || u.last_name as emp' +
                'loyee_name, up.project_id, u.email, u.phone from tts.login_user ' +
                'u, tts.login_user_project up where up.login_user_id=u.login_user' +
                '_id and u.role_type not in (5, 6) and u.grid=:grid and u.active=' +
                #39'Y'#39' order by u.up_first_name, u.up_last_name')
            QueryItem.Param = pNone
          end>
        ListUsePages = True
        ListCalendar.CalendarType = 0
      end
      item
        Name = 'report_payroll'
        Alias = 'Payroll Report'
        DetailSQL.Param = pObjectID
        SecurityName = 'report_payroll'
        OptionLists = <>
        OptionListsSearch = <
          item
            Name = 'project'
            QueryItem.SQL.Strings = (
              
                'select p.project_id, c.client_name||'#39': '#39' || p.project_name from ' +
                'tts.project p, tts.client c where p.client_id=c.client_id and (p' +
                '.active='#39'Y'#39') and (p.grid=:grid) order by c.up_client_name, p.up_' +
                'project_name')
            QueryItem.Param = pNone
          end
          item
            Name = 'user'
            QueryItem.SQL.Strings = (
              
                'select u.login_user_id, u.first_name|| '#39' '#39'||u.last_name as user_' +
                'name from tts.login_user u where (u.active='#39'Y'#39') and u.role_type ' +
                'in (1,2,3,4) and u.grid=:grid order by u.up_first_name, u.up_las' +
                't_name')
            QueryItem.Param = pNone
          end>
        ListUsePages = True
        ListUseFrame = False
        ListCalendar.CalendarType = 0
      end
      item
        Name = 'report_payroll@by_user'
        Alias = 'Payroll Report by User'
        DetailSQL.Param = pObjectID
        SecurityName = 'report_payroll'
        OptionLists = <>
        OptionListsSearch = <>
        ListUsePages = False
        ListUseFrame = False
        ListCalendar.CalendarType = 0
      end
      item
        Name = 'report_payroll@by_client'
        Alias = 'Payroll Report by Client'
        DetailSQL.Param = pObjectID
        SecurityName = 'report_payroll'
        OptionLists = <>
        OptionListsSearch = <>
        ListUsePages = False
        ListUseFrame = False
        ListCalendar.CalendarType = 0
      end
      item
        Name = 'report_profit'
        Alias = 'Profit and Loss Report'
        DetailSQL.Param = pObjectID
        SecurityName = 'report_profit'
        OptionLists = <>
        OptionListsSearch = <>
        ListUsePages = False
        ListUseFrame = False
        ListCalendar.CalendarType = 0
      end
      item
        Name = 'report_profit@month'
        Alias = 'Report Profit and Loss- monthly'
        DetailSQL.Param = pObjectID
        SecurityName = 'report_profit'
        OptionLists = <>
        OptionListsSearch = <>
        ListUsePages = False
        ListUseFrame = False
        ListCalendar.CalendarType = 0
      end
      item
        Name = 'role'
        Alias = 'Role'
        DBTableName = 'role'
        DetailSQL.SQL.Strings = (
          'select r.role_id,'
          'r.role_name, '
          'tts.role_decode(r.type) as type,'
          'r.system,'
          'r.description, '
          'r.active '
          'from tts.role r '
          'where r.role_id=:oid')
        DetailSQL.Param = pObjectID
        SecurityName = 'role'
        OptionLists = <
          item
            Name = 'field_privilege'
            QueryItem.SQL.Strings = (
              'select '
              't.role_field_privilege_id, '
              'f.field_alias, '
              'f.object_privilege_id, '
              't.type, '
              'o.object_alias, '
              'f.field_type '
              'from tts.role_field_privilege t, '
              'tts.field_privilege f, '
              'tts.object_privilege o '
              'where not(f.field_type='#39'N'#39') '
              'and o.object_privilege_id=f.object_privilege_id '
              'and f.field_privilege_id=t.field_privilege_id '
              'and t.role_id=:oid ')
            QueryItem.Param = pObjectID
          end>
        OptionListsSearch = <>
        IgnoreGrID = True
        ListUsePages = True
        ListCalendar.CalendarType = 0
        ListOrder = 't.role_name'
      end
      item
        Name = 'to_do'
        Alias = 'To-do '
        DBTableName = 'to_do'
        DetailSQL.SQL.Strings = (
          'select '
          't.to_do_id, '
          't.project_id, '
          't.ticket_num , '
          't.priority , '
          't.canceled_by, '
          't.canceled_date, '
          't.description, '
          't.assigned_to, '
          't.added_date, '
          't.added_by, '
          't.est_complete_date, '
          't.completed_date, '
          't.completed_by, '
          't.completion_notes, '
          't.est_publish_date, '
          't.published_date, '
          't.published_by, '
          
            'tts.calc_to_do_status(t.published_date,t.completed_date,t.cancel' +
            'ed_date,t.assigned_to) as status'
          'from tts.to_do t'
          'where'
          '  (t.to_do_id=:oid) '
          'and t.grid=:grid')
        DetailSQL.Param = pObjectID
        SecurityName = 'to_do'
        OptionLists = <
          item
            Name = 'default'
            QueryItem.SQL.Strings = (
              'select :usid as added_by, sysdate as added_date, :GRID from dual')
            QueryItem.Param = pUserID
          end
          item
            Name = 'project_id'
            QueryItem.SQL.Strings = (
              'select '
              'p.project_id, '
              'c.client_name || '#39': '#39'||p.project_name as project_name, '
              
                '(select lup.login_user_project_id from tts.login_user_project lu' +
                'p where lup.project_id=p.project_id and lup.login_user_id=:usid)' +
                ' as login_user_project '
              'from '
              'tts.project p, '
              'tts.client c '
              'where '
              '(p.client_id=c.client_id(+)) '
              'and (p.active='#39'Y'#39') '
              'and (p.grid=:grid) '
              'order by '
              'c.client_name, '
              'p.project_name')
            QueryItem.Param = pUserID
          end
          item
            Name = 'login_user'
            QueryItem.SQL.Strings = (
              'select '
              
                'u.login_user_id,  u.last_name || '#39', '#39' || u.first_name || '#39' '#39' || ' +
                'u.middle_name as user_name '
              'from tts.login_user u '
              'where (u.active='#39'Y'#39') '
              'and u.grid=:grid'
              'order by u.up_last_name, u.up_first_name')
            QueryItem.Param = pNone
          end
          item
            Name = 'to_do_log'
            QueryItem.SQL.Strings = (
              'select '
              't1.to_do_log_id, '
              't1.login_user_id, '
              't1.check_out_time, '
              't1.check_in_time '
              'from '
              'tts.to_do_log t1 '
              'where '
              't1.check_in_time is null'
              'and  t1.to_do_id=:oid'
              'and t1.grid=:grid')
            QueryItem.Param = pObjectID
          end>
        OptionListsSearch = <
          item
            Name = 'project_id'
            QueryItem.SQL.Strings = (
              
                'select p.project_id, c.client_name || '#39': '#39'||p.project_name as pr' +
                'oject_name, (select lup.login_user_project_id from tts.login_use' +
                'r_project lup where lup.project_id=p.project_id and lup.login_us' +
                'er_id=:usid) as login_user_project from tts.project p, tts.clien' +
                't c where (p.client_id=c.client_id(+)) and (p.active='#39'Y'#39') and (p' +
                '.grid=:grid) order by c.client_name, p.project_name')
            QueryItem.Param = pUserID
          end
          item
            Name = 'login_user'
            QueryItem.SQL.Strings = (
              'select '
              'u.login_user_id, '
              'u.first_name|| '#39' '#39'||u.last_name as user_name '
              'from tts.login_user u '
              'where (u.active='#39'Y'#39') '
              'and u.grid=:grid '
              'order by u.up_first_name, u.up_last_name'#9)
            QueryItem.Param = pNone
          end
          item
            Name = 'client_id'
            QueryItem.SQL.Strings = (
              
                'select c.client_id, c.client_name from tts.client c where c.acti' +
                've='#39'Y'#39' and (c.grid=:grid) order by c.client_name')
            QueryItem.Param = pNone
          end>
        ListUsePages = True
        ListCalendar.CalendarType = 0
        ListOrder = 't.to_do_id desc'
      end
      item
        Name = 'to_do_log'
        DBTableName = 'to_do_log'
        DetailSQL.Param = pObjectID
        SecurityName = 'to_do'
        OptionLists = <>
        OptionListsSearch = <>
        ListUsePages = True
        ListCalendar.CalendarType = 0
      end
      item
        Name = 'travel_profile'
        Alias = 'Travel Profile'
        DBTableName = 'travel_profile'
        DetailSQL.SQL.Strings = (
          'select '
          'travel_profile_id,'
          'login_user_id,'
          'prefix,'
          'first_name,'
          'middle_name,'
          'last_name,'
          'suffix,email,'
          'street_1,street_2,city,state,'
          'zip,company_name,'
          'street_1_work,'
          'street_2_work,'
          'city_work,state_work,'
          'zip_work,phone_code,'
          'phone,phone_ext,phone_code_work,phone_work,phone_ext_work,'
          'phone_code_mobile,phone_mobile,phone_ext_mobile,pass_country,'
          'pass_exp_date,pass_number,cc_type,cc_exp_date,'
          'cc_number,airline_meal,airline_seat,airline_seat_window,'
          'airline_name_1,airline_mem_number_1,airline_name_2,'
          'airline_mem_number_2,airline_name_3,airline_mem_number_3,'
          'airline_name_4,airline_mem_number_4,airline_name_5,'
          'airline_mem_number_5,airline_name_6,airline_mem_number_6,'
          'car_type,car_name_1,car_mem_number_1,car_name_2,'
          'car_mem_number_2,car_name_3,car_mem_number_3,'
          'car_name_4,car_mem_number_4,car_name_5,car_mem_number_5,'
          'car_name_6,car_mem_number_6,hotel_room_type,'
          'hotel_non_smoking,hotel_name_1,hotel_mem_number_1,hotel_name_2,'
          'hotel_mem_number_2,hotel_name_3,hotel_mem_number_3,'
          'hotel_name_4,hotel_mem_number_4,hotel_name_5,'
          'hotel_mem_number_5,hotel_name_6,hotel_mem_number_6,'
          'comments '
          'from tts.travel_profile t '
          'where (t.login_user_id=:oid) '
          'and (t.grid=:grid)')
        DetailSQL.Param = pObjectID
        SecurityName = 'travel_profile'
        OptionLists = <
          item
            Name = 'default'
            QueryItem.SQL.Strings = (
              
                'select t.* from tts.login_user t where t.login_user_id=:oid and ' +
                '(t.grid=:grid)')
            QueryItem.Param = pObjectID
          end
          item
            Name = 'airline'
            QueryItem.SQL.Strings = (
              
                'select t.abbreviation, t.name from tts.airline t  where (t.grid ' +
                'in (:grid, 1)) order by t.up_name asc')
            QueryItem.Param = pNone
          end
          item
            Name = 'car_company'
            QueryItem.SQL.Strings = (
              
                'select t.abbreviation, t.name from tts.car_company t  where (t.g' +
                'rid in (:grid, 1)) order by t.up_name asc')
            QueryItem.Param = pNone
          end
          item
            Name = 'country'
            QueryItem.SQL.Strings = (
              'select '
              't.abbreviation, '
              't.name, '
              't.abbreviation_1 '
              'from '
              'tts.country t  '
              'where (t.grid in (:grid, 1)) order by t.up_name asc')
            QueryItem.Param = pNone
          end
          item
            Name = 'hotel'
            QueryItem.SQL.Strings = (
              
                'select t.abbreviation, t.name from tts.hotel_chain t  where (t.g' +
                'rid in (:grid, 1)) order by t.up_name asc')
            QueryItem.Param = pNone
          end
          item
            Name = 'credit_card'
            QueryItem.SQL.Strings = (
              
                'select t.abbreviation, t.name from tts.credit_card t  where (t.g' +
                'rid in (:grid, 1)) order by t.up_name asc')
            QueryItem.Param = pNone
          end>
        OptionListsSearch = <>
        ListUsePages = True
        ListCalendar.CalendarType = 0
        ListOrder = 't.login_user_id'
      end
      item
        Name = 'w4info'
        Alias = 'W-4 Profile'
        DBTableName = 'w4info'
        DetailSQL.SQL.Strings = (
          
            'select w.w4info_id,w.login_user_id,w.year,w.first_name,w.middle_' +
            'name,w.last_name,w.street_1,w.city,w.state,w.zip,w.ssn,w.married' +
            ',w.diff_last_name,count_allowance,add_amount,exempt,last_updated' +
            '_date from tts.w4info w where (login_user_id=:oid) and (grid=:gr' +
            'id)')
        DetailSQL.Param = pObjectID
        SecurityName = 'w4info'
        OptionLists = <
          item
            Name = 'default'
            QueryItem.SQL.Strings = (
              
                'select u.login_user_id,u.user_name, u.user_pass, u.role_type, u.' +
                'first_name, u.middle_name, u.last_name, u.email, u.phone,u.activ' +
                'e, u.client_id,u.street_1,u.street_2,u.city,u.state,u.zip,u.coun' +
                'try from tts.login_user u where (u.login_user_id=:oid) and (u.gr' +
                'id=:grid)')
            QueryItem.Param = pObjectID
          end>
        OptionListsSearch = <>
        ListUsePages = True
        ListCalendar.CalendarType = 0
      end
      item
        Name = 'w4info@history'
        Alias = 'W-4 Profile'
        DBTableName = 'w4info_history'
        DetailSQL.SQL.Strings = (
          
            'select w.w4info_id,w.login_user_id,w.year,w.first_name,w.middle_' +
            'name,w.last_name,w.street_1,w.city,w.state,w.zip,w.ssn,w.married' +
            ',w.diff_last_name,count_allowance,add_amount,exempt,last_updated' +
            '_date from tts.w4info_history w where w4info_history_id=:oid and' +
            ' (grid=:grid)')
        DetailSQL.Param = pObjectID
        SecurityName = 'w4info'
        OptionLists = <>
        OptionListsSearch = <>
        ListUsePages = True
        ListCalendar.CalendarType = 0
        ListOrder = 'w4info_history_id'
      end
      item
        Name = 'worked_hour'
        Alias = 'Hours Worked'
        DBTableName = 'worked_hour'
        DetailSQL.Param = pObjectID
        SecurityName = 'worked_hour'
        OptionLists = <
          item
            Name = 'project'
            QueryItem.SQL.Strings = (
              'select p.project_id, p.project_name, c.client_name'
              
                '             from tts.project p, tts.login_user_project up, tts.' +
                ' client c'
              '              where p.grid=:GRID'
              '              and p.project_id = up.project_id'
              '            and p.client_id = c.client_id'
              '             and up.login_user_id=:oid'
              '              and up.active='#39'Y'#39
              '              and p.active='#39'Y'#39
              '              and c.active='#39'Y'#39
              '            order by c.client_name, p.project_name')
            QueryItem.Param = pObjectID
          end>
        OptionListsSearch = <>
        ListUsePages = False
        ListCalendar.CalendarType = 0
      end
      item
        Name = 'worked_hour@month'
        Alias = 'Hours Worked by Project'
        DBTableName = 'worked_hour'
        DetailSQL.Param = pObjectID
        SecurityName = 'worked_hour@month'
        OptionLists = <>
        OptionListsSearch = <>
        ListUsePages = True
        ListCalendar.FieldName = 'track_date'
        ListCalendar.CalendarType = 2
      end>
    CompressMinSize = 0
    MaxWait = 2000
    ListMaxRows = 0
    Left = 184
    Top = 112
  end
end
