<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:ms="urn:schemas-microsoft-com:xslt" xmlns:msxsl='urn:schemas-microsoft-com:xslt' xmlns:js='http://www.atttitude.com/jsnamespace'>
<xsl:output method="html" version="1.0" encoding="UTF-8" indent="yes"/>
[include_out_helpers_detail]

<xsl:variable name="client_id"><xsl:apply-templates select="/d/cc/c[.='CLIENT_ID']/@h"/></xsl:variable>
<xsl:variable name="active"><xsl:apply-templates select="/d/cc/c[.='ACTIVE']/@h"/></xsl:variable>

<xsl:template match="/">
 		<h1><xsl:value-of select="$oa"/></h1>
		<form name="frmXML" method="post">
			<input type="hidden" name="act" value="?o={$o}&amp;oid={$oid}&amp;s={$s}&amp;pn={$pn}&amp;sti={$sti}"/>
			<input type="hidden" value="" name="xml"/>
		</form>
		
		<form name="frm" method="post" onsubmit="return false;" id="detail">
			<xsl:call-template name="strTable"><xsl:with-param name="width" select="string('350')"/></xsl:call-template>
				<table cellspacing="0" cellpadding="3"  border="0">
					<tr ctrlrow=""><td width="110"></td><td width="230"></td><td><input name="CLIENT_ID"  type="hidden" id="id" value="{$client_id}"/></td></tr>
					<tr><td>client name:<xsl:call-template name="ico_req"/></td><td><input name="CLIENT_NAME" type="text" size="34" maxlength="50" id="r"><xsl:attribute name="value"><xsl:apply-templates select="/d/cc/c[.='CLIENT_NAME']/@h"/></xsl:attribute></input></td></tr>
					<tr><td>description:</td><td><input name="DESCRIPTION"  type="text" size="34" maxlength="50"><xsl:attribute name="value"><xsl:apply-templates select="/d/cc/c[.='DESCRIPTION']/@h"/></xsl:attribute></input></td></tr>
					<tr><td>address:</td><td><input name="ADDRESS" type="text" size="34" maxlength="40"><xsl:attribute name="value"><xsl:apply-templates select="/d/cc/c[.='ADDRESS']/@h"/></xsl:attribute></input></td></tr>
					<tr><td>phone:</td><td><input name="PHONE"  type="text" size="34" maxlength="14"><xsl:attribute name="value"><xsl:apply-templates select="/d/cc/c[.='PHONE']/@h"/></xsl:attribute></input><h5>use this format - 999-999-9999</h5></td></tr>
					<tr><td>active:</td><td><select name="active"><option value="Y"><xsl:if test="$active='Yes'"><xsl:attribute name="selected"/></xsl:if>Yes</option><option value="N"><xsl:if test="$active='No'"><xsl:attribute name="selected"/></xsl:if>No</option></select></td></tr>
					<tr><td></td><td>
					</td></tr>
				</table>
			<xsl:call-template name="endTable"/>	
<!--
	<button type="reset" size="10" accessKey="b" id="np" onclick="document.location='list?o=client&amp;s={$s}&amp;pn={$pn}&amp;sti={$sti}'"> <u>B</u>ack to list </button>&#160;
	<button type="submit" accessKey="s" size="10" id="np"><xsl:attribute name="onclick"><xsl:choose><xsl:when test="$client_id!=''">execUpdate()</xsl:when><xsl:otherwise>execInsert();</xsl:otherwise></xsl:choose></xsl:attribute> <u>S</u>ave changes </button>
-->
		</form>
		<xsl:call-template name="Navigation">
			<xsl:with-param name="Buttons">
				<button onclick="document.location='list?o=client&amp;s={$s}&amp;pn={$pn}&amp;sti={$sti}'"> <u>B</u>ack to list </button>
				<button><xsl:attribute name="onclick"><xsl:choose><xsl:when test="$client_id!=''">execUpdate()</xsl:when><xsl:otherwise>execInsert();</xsl:otherwise></xsl:choose></xsl:attribute> <u>S</u>ave changes </button>
			</xsl:with-param>
		</xsl:call-template>
	</xsl:template>	
</xsl:stylesheet>


