<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:ms="urn:schemas-microsoft-com:xslt" xmlns:msxsl='urn:schemas-microsoft-com:xslt' xmlns:js='http://www.atttitude.com/jsnamespace'>
<xsl:output method="html" version="1.0" encoding="UTF-8" indent="yes"/>
[include_out_helpers_detail]
	<xsl:variable name="group_name"><xsl:apply-templates select="/d/cc/c[.='GROUP_NAME']/@h"/></xsl:variable>
	<xsl:variable name="up_group_name"><xsl:apply-templates select="/d/cc/c[.='UP_GROUP_NAME']/@h"/></xsl:variable>
	<xsl:variable name="start_date"><xsl:apply-templates select="/d/cc/c[.='START_DATE']/@h"/></xsl:variable>
	<xsl:variable name="period_in_week"><xsl:apply-templates select="/d/cc/c[.='PERIOD_IN_WEEK']/@h"/></xsl:variable>
	<xsl:variable name="hour_format"><xsl:apply-templates select="/d/cc/c[.='HOUR_FORMAT']/@h"/></xsl:variable>
	<xsl:variable name="email_error"><xsl:apply-templates select="/d/cc/c[.='EMAIL_ERROR']/@h"/></xsl:variable>
	<xsl:variable name="email_system"><xsl:apply-templates select="/d/cc/c[.='EMAIL_SYSTEM']/@h"/></xsl:variable>

	<xsl:template match="/">
		<h1><xsl:value-of select="$up_group_name"/> Group configuration</h1>
		<form name="frmXML" method="post">
			<input type="hidden" name="act" value="?o=login_group&amp;oid=:grid&amp;s={$s}&amp;sti={/d/i/sti}"/>
			<input type="hidden" value="" name="xml"/>
		</form>
		<form name="frm" method="post" onsubmit="return false;" id="detail">
			<span  class="red"><b>Note:</b> You will have to log out from TTS for changes to take effect.</span>
			<xsl:call-template name="strTable"><xsl:with-param name="width" select="400"/></xsl:call-template>
			<table cellspacing="0" cellpadding="3" border="0">
				<tr ctrlrow=""><td width="150"></td></tr>
				<input name="grid"  type="hidden" id="id" value=":grid"/>
				<tr><td>group name:<xsl:call-template name="ico_req"/></td><td><input name="GROUP_NAME" type="text" size="17" maxlength="25" id="r" value="{$group_name}"/></td></tr>
				<tr><td>period start date:<xsl:call-template name="ico_req"/></td><td><input name="START_DATE"  type="text" size="15" maxlength="22" value="{$start_date}"/><img src="/tts/i/i/ico_cal.gif" style="position:relative;top:3px;left:-2px;cursor:hand;" onclick="gfPop.fPopCalendar(document.frm.START_DATE);window.frames['gToday:calendar:/tts/i/j/calendar.js'].focus();return false;" />	</td></tr>
				<tr><td>period in weeks:<xsl:call-template name="ico_req"/></td><td><select name="PERIOD_IN_WEEK"  id="r" value="{$period_in_week}"><option value="1">1</option><option value="2">2</option><option value="3">3</option><option value="4">4</option><option value="5">5</option><option value="6">6</option><option value="7">7</option><option value="8">8</option><option value="9">9</option><option value="10">10</option></select></td></tr>
				<tr><td>hours format:<xsl:call-template name="ico_req"/></td><td><select name="HOUR_FORMAT" value="{$hour_format}"><option value="#0">hh</option><option value="#0.0">hh.h</option><option value="#0.00">hh.hh</option></select></td></tr>
				<tr><td>error email:<xsl:call-template name="ico_req"/></td><td><input name="EMAIL_ERROR" type="text" maxlength="155" size="30" id="r" value="{$email_error}"/></td></tr>
			</table><xsl:call-template name="endTable"/>
			<script>
				<xsl:comment>
				document.forms['frm'].HOUR_FORMAT.value='<xsl:value-of select="$hour_format"/>';
				document.forms['frm'].PERIOD_IN_WEEK.value='<xsl:value-of select="$period_in_week"/>';
				</xsl:comment>
			</script>
			<iframe width='174' height='189' name='gToday:calendar:/tts/i/j/calendar.js' id='gToday:calendar:/tts/i/j/calendar.js' src='/tts/popcal.htm' scrolling='no' frameborder='0' style='visibility:visible; z-index:999; position:absolute; left:-500px; top:0px;' onblur="gfPop.fHideCal();"></iframe>
			</form>
			<xsl:call-template name="Navigation">
				<xsl:with-param name="Buttons">
					<button onclick="execUpdate()"><u>S</u>ave changes</button>		</xsl:with-param>
			</xsl:call-template>
	</xsl:template>	
</xsl:stylesheet>




