<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:ms="urn:schemas-microsoft-com:xslt" xmlns:msxsl='urn:schemas-microsoft-com:xslt' xmlns:js='http://www.atttitude.com/jsnamespace'>
<xsl:output method="html" version="1.0" encoding="UTF-8" indent="yes"/>
[include_out_helpers_detail]

	<xsl:variable name="role_id"><xsl:apply-templates select="/d/cc/c[.='ROLE_ID']/@h"/></xsl:variable>
	<xsl:variable name="role_type"><xsl:apply-templates select="/d/cc/c[.='ROLE_TYPE']/@h"/></xsl:variable>
	<xsl:variable name="client_id"><xsl:apply-templates select="/d/cc/c[.='CLIENT_ID']/@h"/></xsl:variable>
	<xsl:variable name="login_user_id"><xsl:apply-templates select="/d/cc/c[.='LOGIN_USER_ID']/@h"/></xsl:variable>
	<xsl:variable name="ListRoleID"><xsl:choose><xsl:when test="$login_user_id=''"><xsl:value-of select="/d/i/lr"/></xsl:when><xsl:otherwise><xsl:value-of select="$role_type"/></xsl:otherwise></xsl:choose></xsl:variable>
	<xsl:variable name="user_name"><xsl:apply-templates select="/d/cc/c[.='USER_NAME']/@h"/></xsl:variable>
	<xsl:variable name="user_pass"><xsl:apply-templates select="/d/cc/c[.='USER_PASS']/@h"/></xsl:variable>
	<xsl:variable name="mail_login"><xsl:apply-templates select="/d/cc/c[.='MAIL_LOGIN']/@h"/></xsl:variable>
	<xsl:variable name="mail_pass"><xsl:apply-templates select="/d/cc/c[.='MAIL_PASS']/@h"/></xsl:variable>
	<xsl:variable name="first_name"><xsl:apply-templates select="/d/cc/c[.='FIRST_NAME']/@h"/></xsl:variable>
	<xsl:variable name="middle_name"><xsl:apply-templates select="/d/cc/c[.='MIDDLE_NAME']/@h"/></xsl:variable>
	<xsl:variable name="last_name"><xsl:apply-templates select="/d/cc/c[.='LAST_NAME']/@h"/></xsl:variable>
	<xsl:variable name="phone"><xsl:apply-templates select="/d/cc/c[.='PHONE']/@h"/></xsl:variable>
	<xsl:variable name="email"><xsl:apply-templates select="/d/cc/c[.='EMAIL']/@h"/></xsl:variable>
	<xsl:variable name="street_1"><xsl:apply-templates select="/d/cc/c[.='STREET_1']/@h"/></xsl:variable>
	<xsl:variable name="street_2"><xsl:apply-templates select="/d/cc/c[.='STREET_2']/@h"/></xsl:variable>
	<xsl:variable name="city"><xsl:apply-templates select="/d/cc/c[.='CITY']/@h"/></xsl:variable>
	<xsl:variable name="state"><xsl:apply-templates select="/d/cc/c[.='STATE']/@h"/></xsl:variable>
	<xsl:variable name="zip"><xsl:apply-templates select="/d/cc/c[.='ZIP']/@h"/></xsl:variable>
	<xsl:variable name="country"><xsl:apply-templates select="/d/cc/c[.='COUNTRY']/@h"/></xsl:variable>	
	<xsl:variable name="termination_date"><xsl:apply-templates select="/d/cc/c[.='TERMINATION_DATE']/@h"/></xsl:variable>	
	<xsl:variable name="hire_date"><xsl:apply-templates select="/d/cc/c[.='HIRE_DATE']/@h"/></xsl:variable>	
	<xsl:variable name="travel_profile_id"><xsl:apply-templates select="/d/cc/c[.='TRAVEL_PROFILE_ID']/@h"/></xsl:variable>	



 <xsl:template match="/">
	<form name="frmXML" method="post">
		<input type="hidden" name="oid" value="{$login_user_id}"/>
		<input type="hidden" name="act"><xsl:attribute name="value">?o=<xsl:value-of select="$o"/>&amp;oid=<xsl:value-of select="$oid"/>&amp;lr=<xsl:value-of select="$ListRoleID"/>&amp;pn=<xsl:value-of select="$pn"/>&amp;sti=<xsl:value-of select="$sti"/>&amp;s=<xsl:value-of select="$s"/></xsl:attribute></input>
		<input type="hidden" name="xml" value=""/>
		<input type="hidden" name="om" value="login_user_project"/>
		<input type="hidden" name="xmlm" value=""/>
		<input type="hidden" name="ol" value="login_user_vacation"/>
		<input type="hidden" name="xmll" value=""/>
		<input type="hidden" name="on" value="supervisor_project"/>
		<input type="hidden" name="xmln" value=""/>
		<input type="hidden" name="oo" value="login_user_client"/>
		<input type="hidden" name="xmlo" value=""/>
		<input type="hidden" name="LOGIN_USER_ID" value="{$login_user_id}"/>
		<xsl:if test="$login_user_id=''"><input type="hidden" name="user_name" value=""/><input type="hidden" name="first_name" value=""/></xsl:if>
	</form><xsl:variable name="active"><xsl:apply-templates select="/d/cc/c[.='ACTIVE']/@h"/></xsl:variable>


<h1><xsl:value-of select="$first_name"/>&#160; <xsl:value-of select="$last_name"/></h1>
		<table cellspacing="0" cellpadding="0"  border="0"><tr><td valign="top">
			<form name="frm" method="post" onsubmit="return false;" id="detail">
			
			<xsl:call-template name="strTable"><xsl:with-param name="title">TTS login</xsl:with-param><xsl:with-param name="width" select="300"/></xsl:call-template>
			<table cellspacing="0" cellpadding="3"  border="0">
				<tr ctrlrow="">
					<td width="130"></td><td/></tr>
					<xsl:if test="($login_user_id=$UsID)"><!--$login_user_id='' or -->
						<tr><td height="21">user name:<xsl:call-template name="ico_req"/></td><td><input name="USER_NAME"  type="text" size="26" maxlength="50" value="{$user_name}" id="r"/></td></tr>
						<tr><td height="21">user password:<xsl:call-template name="ico_req"/></td><td><input name="USER_PASS" id="r" type="password" size="26" maxlength="50" value="{$user_pass}"/></td></tr>
						<tr><td height="21">confirm password:<xsl:call-template name="ico_req"/></td><td><input name="USER_PASS_CONF" id="np" type="password" size="26" maxlength="50" value="{$user_pass}"/></td></tr>
					</xsl:if>
					<tr>
						<td>role:</td>
						<td>
							<xsl:choose>
							<xsl:when test="$RoID=3 and $login_user_id=''">
								<select name="ROLE_TYPE">
									<option value="1">Employee</option>
									<option value="3">Manager</option>
									<xsl:for-each select="/d/client/rr/r"><option value="2{@a}">Supervisor <xsl:value-of select="@b"/></option></xsl:for-each>
									<xsl:for-each select="/d/client/rr/r"><option value="5{@a}">Observer <xsl:value-of select="@b"/></option></xsl:for-each>
									<xsl:for-each select="/d/client/rr/r"><option value="6{@a}">HR <xsl:value-of select="@b"/></option></xsl:for-each>
								</select>
							</xsl:when>
							<xsl:otherwise>
								<xsl:choose>
									<xsl:when test="$role_type='1'">Employee</xsl:when>
									<xsl:when test="$role_type='2'">Supervisor</xsl:when>
									<xsl:when test="$role_type='3'">Manager</xsl:when>
									<xsl:when test="$role_type='4'">Sub-supervisor</xsl:when>
									<xsl:when test="$role_type='5'">Observer</xsl:when>
									<xsl:when test="$role_type='6'">HR</xsl:when>
								</xsl:choose>&#160;<xsl:value-of select="/d/client/rr/r[@a=$client_id]/@b"/>
								<xsl:if test="$RoID=2"><input type="hidden" name="SUPERVISOR_ID"  value="{$UsID}"/><input type="hidden" name="ROLE_TYPE"  value="4"/></xsl:if>
							</xsl:otherwise>
							</xsl:choose>
						</td>
					</tr>
					<xsl:if test="$login_user_id!=''">
					<tr>
						<td>privileges:</td><td>
							<select name="ROLE_ID">
								<xsl:for-each select="/d/privilege_roles/rr/r"><option value="{@a}"><xsl:if test="$role_id=@a"><xsl:attribute name="selected"/></xsl:if> <xsl:value-of select="@b"/></option></xsl:for-each>
							</select>
						</td>
					</tr>
				</xsl:if>
				</table>
			<xsl:call-template name="endTable"/>

			<xsl:if test="$UsID=$login_user_id">
				<xsl:call-template name="strTable"><xsl:with-param name="title">Web Mail Login</xsl:with-param><xsl:with-param name="width" select="300"/></xsl:call-template>
					<table cellspacing="0" cellpadding="3"  border="0">
						<tr><td width="100"></td><td width="180"></td></tr>
						<tr><td height="21">e-mail login:</td><td><input name="MAIL_LOGIN"  type="text" size="26" maxlength="50"  value="{$mail_login}"/></td></tr>
						<tr><td height="21">e-mail password:</td><td><input name="MAIL_PASS" type="password" size="26" maxlength="50" value="{$mail_pass}"/></td></tr>
						<tr><td height="21">confirm password:</td><td><input name="MAIL_PASS_CONF" id="np" type="password" size="26" maxlength="50" value="{$mail_pass}"/></td></tr>
					</table>
				<xsl:call-template name="endTable"/>
			</xsl:if>
			
			<xsl:call-template name="strTable"><xsl:with-param name="title">Personal information</xsl:with-param><xsl:with-param name="width" select="300"/></xsl:call-template>
			<table cellspacing="0" cellpadding="3"  border="0">
				<tr ctrlrow="">
					<input name="LOGIN_USER_ID"  type="hidden" size="26" maxlength="50" id="id" value="{$login_user_id}"/>
					<td width="130"></td><td width="210"></td></tr>
							<tr><td>first name:<xsl:call-template name="ico_req"/></td><td><input name="FIRST_NAME"  type="text" size="26" maxlength="50"  value="{$first_name}" id="r"/></td></tr>
							<tr><td>middle initial:</td><td><input name="MIDDLE_NAME"  type="text" size="4" maxlength="40"  value="{$middle_name}"/></td></tr>
							<tr><td>last name:<xsl:call-template name="ico_req"/></td><td><input name="LAST_NAME"  type="text" size="26" maxlength="50"  value="{$last_name}" id="r"/></td></tr>
							<tr><td valign="top">phone:</td><td><input name="PHONE" type="text" size="26" maxlength="50" value="{$phone}"/><h5>use this format - 999-999-9999</h5></td></tr>
							<tr><td>email:<xsl:call-template name="ico_req"/></td><td><input name="EMAIL" type="text" size="26" maxlength="50" value="{$email}" id="r"/></td></tr>
							<tr><td><br/></td></tr>
							<tr><td>street 1:</td>	<td><input name="STREET_1" type="text" size="26" maxlength="50" value="{$street_1}"/></td></tr>
							<tr><td>street 2:</td><td><input name="STREET_2" type="text" size="26" maxlength="50" value="{$street_2}"/></td></tr>
							<tr><td>city:</td><td><input name="CITY"  type="text" size="26" maxlength="50" value="{$city}"/></td></tr>
							<tr><td>state:</td><td><input name="STATE"  type="text" size="26" maxlength="40" value="{$state}"/></td></tr>
							<tr><td>zip:</td><td><input name="ZIP"  type="text" size="26" maxlength="50" value="{$zip}"/></td></tr>
							<tr><td>country:</td><td><input name="COUNTRY" type="text" size="26" maxlength="50" value="{$country}"/></td></tr>
				<tr><td>active (login enabled):</td><td><select name="active"><option value="Y"><xsl:if test="$active='Yes'"><xsl:attribute name="selected"/></xsl:if>Yes</option><option value="N"><xsl:if test="$active='No'"><xsl:attribute name="selected"/></xsl:if>No</option></select></td></tr>
				<tr><td></td></tr>
			</table>
			<xsl:call-template name="endTable"/>

			<xsl:call-template name="strTable"><xsl:with-param name="title">Dates</xsl:with-param><xsl:with-param name="width" select="300"/></xsl:call-template>
			<table cellspacing="0" cellpadding="3"  border="0">
				<tr ctrlrow="">
					<td width="180"></td><td></td></tr>
							<tr><td>TTS account created on:</td><td><input name="HIRE_DATE" type="text" size="11" maxlength="10" value="{$hire_date}"/></td></tr>
							<tr><td>TTS account closed on:</td><td><input name="TERMINATION_DATE"  type="text" size="11" maxlength="10" value="{$termination_date}"/></td></tr>
				</table>
			<xsl:call-template name="endTable"/><iframe width='174' height='189' name='gToday:calendar:/tts/i/j/calendar.js' id='gToday:calendar:/tts/i/j/calendar.js' src='/tts/popcal.htm' scrolling='no' frameborder='0' style='visibility:visible; z-index:999; position:absolute; left:-500px; top:0px;' onblur="gfPop.fHideCal();"></iframe>

		</form>
	</td>
		<script>
			var fXML=document.forms['frmXML'];
			var f=document.forms['frm'];
		<xsl:choose><xsl:when test="$login_user_id=''">
			function insertLoginUser(){
				fXML.user_name.value=f.FIRST_NAME.value.substr(0,1).toLowerCase()+f.LAST_NAME.value.toLowerCase();
				fXML.first_name.value=f.FIRST_NAME.value + ' ' +f.LAST_NAME.value;
				execInsert();				
			}
			</xsl:when>
			<xsl:otherwise>
				function gatherFields(){
						var s="", xml="",label='', field_name="", f;
						if(!execUpdate(f,fXML.xml, false))return false;
						var f1=document.forms['frm1'];
						if(f1){
							for(i=0; i&lt;f1.elements.length; i++){
								e=f1.elements[i];
								if(e.name=="lu" || e.name=="lu_observer"){
									if(e.checked!=e.defaultChecked){
										if(e.checked) xml+='&lt;s a="i">&lt;w c="LOGIN_USER_PROJECT_ID" k="">&lt;/w>&lt;w c="PROJECT_ID">'+e.value+'&lt;/w>&lt;w c="LOGIN_USER_ID">&lt;#oid>&lt;/w>&lt;w c="ACTIVE">Y&lt;/w>&lt;/s>\n';
										else xml+='&lt;s a="d">&lt;w c="LOGIN_USER_PROJECT_ID" k="">'+e.id+'&lt;/w>&lt;/s>\n';
							}}}fXML.xmlm.value=xml;xml='';}			
						
						var f9=document.forms['frm9'];
						if(f9){
							for(i=0; i&lt;f9.elements.length; i++){
								e=f9.elements[i];
								if(e.checked!=e.defaultChecked){
									if(e.checked) xml+='&lt;s a="i">&lt;w c="LOGIN_USER_CLIENT_ID" k="">&lt;/w>&lt;w c="CLIENT_ID">'+e.value+'&lt;/w>&lt;w c="LOGIN_USER_ID">&lt;#oid>&lt;/w>&lt;w c="ACTIVE">Y&lt;/w>&lt;/s>\n';
									else xml+='&lt;s a="d">&lt;w c="LOGIN_USER_CLIENT_ID" k="">'+e.id+'&lt;/w>&lt;/s>\n';
								}}fXML.xmlo.value=xml;xml='';}			
		
						<xsl:if test="$role_type!=5 and $role_type!=6">
						var s='';
						f2=document.forms['frm2'];
						if(f2){
								for(i=0; i&lt;f2.elements.length; i++){
									e=f2.elements[i];
									if(e.id!='id') continue;
										hours=eval('f2.hours_'+e.value);
										if(hours.value==hours.defaultValue) continue;
										if(e.value==0){
											var start_date=eval('f2.start_date_'+e.value);
											var end_date=eval('f2.end_date_'+e.value);
											if(start_date.value=='') s='\nstart date';
											if(end_date.value=='') s+= '\nend date';
											if(s!=''){alert('The following required fields are missing: ' + s); return;}
											xml+='&lt;s a="i">&lt;w c="LOGIN_USER_VACATION_ID" k="">&lt;/w>&lt;w c="START_DATE">'+start_date.value+'&lt;/w>&lt;w c="END_DATE">'+end_date.value+'&lt;/w>&lt;w c="HOURS">'+hours.value +'&lt;/w>&lt;w c="LOGIN_USER_ID">&lt;#oid>&lt;/w>&lt;/s>\n';
										}
										else if(hours.value=='') xml+='&lt;s a="d">&lt;w c="LOGIN_USER_VACATION_ID" k="">'+e.value+'&lt;/w>&lt;/s>\n';
										else{ xml+='&lt;s a="u">&lt;w c="LOGIN_USER_VACATION_ID" k="">'+e.value+'&lt;/w>&lt;w c="HOURS">'+hours.value +'&lt;/w>&lt;/s>\n';}
								}fXML.xmll.value=xml;xml='';}	

						var s='';
						f4=document.forms['frm4'];
						if(f2){
								for(i=0; i&lt;f4.elements.length; i++){
									e=f4.elements[i];
									if(e.id!='id') continue;
										hours=eval('f4.hours_'+e.value);
										if(hours.value==hours.defaultValue) continue;
										if(e.value==0){
											var start_date=eval('f4.start_date_'+e.value);
											var end_date=eval('f4.end_date_'+e.value);
											if(start_date.value=='') s='\nstart date';
											if(end_date.value=='') s+= '\nend date';
											if(s!=''){alert('The following required fields are missing: ' + s); return;}
											xml+='&lt;s a="i">&lt;w c="LOGIN_USER_VACATION_ID" k="">&lt;/w>&lt;w c="START_DATE">'+start_date.value+'&lt;/w>&lt;w c="END_DATE">'+end_date.value+'&lt;/w>&lt;w c="HOURS">'+hours.value +'&lt;/w>&lt;w c="LOGIN_USER_ID">&lt;#oid>&lt;/w>&lt;w c="CATEGORY">H&lt;/w>&lt;/s>\n';
										}
										else if(hours.value=='') xml+='&lt;s a="d">&lt;w c="LOGIN_USER_VACATION_ID" k="">'+e.value+'&lt;/w>&lt;/s>\n';
										else{ xml+='&lt;s a="u">&lt;w c="LOGIN_USER_VACATION_ID" k="">'+e.value+'&lt;/w>&lt;w c="HOURS">'+hours.value +'&lt;/w>&lt;/s>\n';}
								}fXML.xmll.value+=xml;xml='';}	

						</xsl:if>
									
						var f3=document.forms['frm3'];
						if(f3){
							for(i=0; i&lt;f3.elements.length; i++){
								e=f3.elements[i];
								if(e.id=='np') continue;
								if(e.checked!=e.defaultChecked){
									if(e.checked) xml+='&lt;s a="i">&lt;w c="SUPERVISOR_PROJECT_ID" k="">&lt;/w>&lt;w c="PROJECT_ID">'+e.value+'&lt;/w>&lt;w c="SUPERVISOR_ID">&lt;#oid>&lt;/w>&lt;/s>\n';
									else 	xml+='&lt;s a="d">&lt;w c="SUPERVISOR_PROJECT_ID" k="">'+e.id+'&lt;/w>&lt;/s>\n';
								}
								<xsl:if test="$role_type=2">
								else if(e.checked){
									e_acc=f3.elements['lu_accounting_'+e.value];
									if(e_acc.checked!=e_acc.defaultChecked)
										xml+='&lt;s a="u">&lt;w c="SUPERVISOR_PROJECT_ID" k="">'+e.id+'&lt;/w>' + (e_acc.checked?'&lt;w c="ACCOUNTING_INFO">Y&lt;/w>':'&lt;w c="ACCOUNTING_INFO">N&lt;/w>') + '&lt;/s>\n';
								}
								</xsl:if>
							}}fXML.xmln.value=xml;
						fXML.action='update'+fXML.act.value;
						fXML.submit();fXML.xmlm.value='';return true;
				}

			if(f.ROLE_TYPE){f.ROLE_TYPE.value='<xsl:value-of select="$ListRoleID"/><xsl:value-of select="$client_id"/>';}
			</xsl:otherwise></xsl:choose>
		</script>
		<xsl:if test="$login_user_id!=''">
		<td width="20"></td>
		<td valign="top">
			<xsl:if test="$role_type=2"> <!-- supervisor-->
				<form name="frm3" method="post" onsubmit="return false;" id="detail">
				<xsl:call-template name="strTable"><xsl:with-param name="title">Approver for:</xsl:with-param><xsl:with-param name="width" select="300"/></xsl:call-template>
					<div style="overflow-y : auto; height:150px; width:280px;">
						<table width="100%" border="0">
							<tr ctrlrow=""><th width="130"></th><th width="20"></th><th width="20">acc. info</th></tr>
							<xsl:for-each select="/d/project/rr/r[@f=$client_id]"><xsl:variable name="ProjectId" select="@a"/>
								<tr>
									<td><xsl:value-of select="@b"/></td>
									<td align="center"><input type="checkbox" name="lu" id="{@e}" value="{@a}"><xsl:if test="@e!=''"><xsl:attribute name="checked"/></xsl:if></input></td>
									<td align="center">
										<xsl:if test="@e!=''"><input type="checkbox" name="lu_accounting_{@a}" id="np"><xsl:if test="@h='Y'"><xsl:attribute name="checked"/></xsl:if></input></xsl:if>
									</td>
								</tr>
							</xsl:for-each>						
						</table>
					</div>
				<xsl:call-template name="endTable"/>
			</form>
				
			</xsl:if>		
			<xsl:if test="$role_type=4"><!-- sub-supervisor  a="project_id" b="project_name" c="user_project_id" d="active" e="supervisor_project_id" f="client_id" g="subsupervisor_project" -->
				<form name="frm3" method="post" onsubmit="return false;" id="detail">
				<xsl:call-template name="strTable"><xsl:with-param name="title">Approver for:</xsl:with-param><xsl:with-param name="width" select="300"/></xsl:call-template>
					<table width="100%" border="0">
						<tr ctrlrow=""><td width="130"></td><td width="20"></td></tr>
						<xsl:for-each select="/d/project/rr/r[@g!='']"><xsl:variable name="ProjectId" select="@a"/>
							<tr>
								<td><xsl:value-of select="@b"/></td>
								<td align="center"><input type="checkbox" name="lu" id="{@e}" value="{@a}"><xsl:if test="@e!=''"><xsl:attribute name="checked"/></xsl:if></input></td>
							</tr>
						</xsl:for-each>						
					</table>
				<xsl:call-template name="endTable"/>
				</form>
			</xsl:if>		
			<xsl:if test="($role_type=1 or $role_type=2 or $role_type=3 or $role_type=4) and $RoID=3" >
				<form name="frm1" method="post" onsubmit="return false;" id="detail">
				<xsl:call-template name="strTable"><xsl:with-param name="title">Project assignments</xsl:with-param><xsl:with-param name="width" select="300"/></xsl:call-template>
					<div style="overflow-y : auto; height:280px; width:270px;">
						<table width="100%" border="0">
							<tr ctrlrow=""><td width="100%"></td><td width="20"></td></tr>
							<xsl:for-each select="/d/project/rr/r"><xsl:variable name="ProjectId" select="@a"/>
								<tr>
									<td><xsl:value-of select="@b"/></td>
									<td align="center"><input type="checkbox" name="lu" id="{@c}" value="{@a}"><xsl:if test="@c!=''"><xsl:attribute name="checked"/></xsl:if></input></td>
								</tr>
							</xsl:for-each>						
						</table>
					</div>
				<xsl:call-template name="endTable"/>
				</form>

				<form name="frm2" method="post" onsubmit="return false;" id="detail">
				<xsl:call-template name="strTable"><xsl:with-param name="title">Paid VA&amp;SI hours</xsl:with-param><xsl:with-param name="width" select="300"/></xsl:call-template>
					<table width="100%" border="0">
						<tr ctrlrow=""><th width="60">From<xsl:call-template name="ico_req"/></th><th width="60">To<xsl:call-template name="ico_req"/></th><th>h<xsl:call-template name="ico_req"/></th><th>Used</th></tr>
						<xsl:for-each select="/d/vacation/rr/r">
							<xsl:variable name="start_date"><xsl:apply-templates select="@b"/></xsl:variable>
							<xsl:variable name="end_date"><xsl:apply-templates select="@c"/></xsl:variable>
							<xsl:variable name="hours"><xsl:value-of select="format-number(@d, $FormatHour, 'nan')"/></xsl:variable>
							<tr><input type="hidden" name="LOGIN_USER_VACATION_ID" id="id" value="{@a}"/>
								<td><xsl:value-of select="$start_date"/></td>
								<td><xsl:value-of select="$end_date"/></td>
								<td><input type="text" maxlength="5" style="width:30px;" name="hours_{@a}" value="{$hours}"/></td>
								<td><xsl:value-of select="format-number(@e, $FormatHour, 'nan')"/></td></tr>
						</xsl:for-each>
						<tr><input type="hidden" name="LOGIN_USER_VACATION_ID" id="id" value="0"/>
							<td><input type="text" style="width:71px;" maxlength="10" name="start_date_0" value=""/></td>
							<td><input type="text" style="width:71px;" maxlength="10" name="end_date_0" value=""/></td>
							<td><input type="text" maxlength="5" style="width:30px;" name="hours_0" value=""/></td></tr>
					</table>
					<script>n=new Date();document.forms['frm2'].start_date_0.value=('01/01/'+n.getYear());document.forms['frm2'].end_date_0.value=('12/31/'+n.getYear());</script>
				<xsl:call-template name="endTable"/>
				</form>

				<form name="frm4" method="post" onsubmit="return false;" id="detail">
				<xsl:call-template name="strTable"><xsl:with-param name="title">Paid HO hours</xsl:with-param><xsl:with-param name="width" select="300"/></xsl:call-template>
					<table width="100%" border="0">
						<tr ctrlrow=""><th width="60">From<xsl:call-template name="ico_req"/></th><th width="60">To<xsl:call-template name="ico_req"/></th><th>h<xsl:call-template name="ico_req"/></th><th>Used</th></tr>
						<xsl:for-each select="/d/holiday/rr/r">
							<xsl:variable name="start_date"><xsl:apply-templates select="@b"/></xsl:variable>
							<xsl:variable name="end_date"><xsl:apply-templates select="@c"/></xsl:variable>
							<xsl:variable name="hours"><xsl:value-of select="format-number(@d, $FormatHour, 'nan')"/></xsl:variable>
							<tr><input type="hidden" name="LOGIN_USER_VACATION_ID" id="id" value="{@a}"/>
								<td><xsl:value-of select="$start_date"/></td>
								<td><xsl:value-of select="$end_date"/></td>
								<td><input type="text" maxlength="5" style="width:30px;" name="hours_{@a}" value="{$hours}"/></td>
								<td><xsl:value-of select="format-number(@e, $FormatHour, 'nan')"/></td></tr>
						</xsl:for-each>
						<tr><input type="hidden" name="LOGIN_USER_VACATION_ID" id="id" value="0"/>
							<td><input type="text" style="width:71px;" maxlength="10" name="start_date_0" value=""/></td>
							<td><input type="text" style="width:71px;" maxlength="10" name="end_date_0" value=""/></td>
							<td><input type="text" maxlength="5" style="width:30px;" name="hours_0" value=""/></td></tr>
					</table>
					<script>n=new Date();document.forms['frm4'].start_date_0.value=('01/01/'+n.getYear());document.forms['frm4'].end_date_0.value=('12/31/'+n.getYear());</script>
				<xsl:call-template name="endTable"/>
				</form>

			</xsl:if>

			<xsl:if test="$role_type=1"><!--EMPLOYEE MONITORING -->
				<form name="frm9" method="post" onsubmit="return false;" id="detail">
				<xsl:call-template name="strTable"><xsl:with-param name="title">Monitoring time of hours submited for:</xsl:with-param><xsl:with-param name="width" select="300"/></xsl:call-template>
					<div style="overflow-y : auto; height:80px; width:270px;">
						<table width="100%" border="0">
							<tr ctrlrow=""><td width="230"></td><td></td></tr>
							<xsl:for-each select="/d/support/rr/r"><xsl:variable name="ClientId" select="@a"/>
								<tr>
									<td><xsl:value-of select="@b"/></td>
									<td align="center"><input type="checkbox" name="lu" id="{@c}" value="{@a}"><xsl:if test="@c!=''"><xsl:attribute name="checked"/></xsl:if></input></td>
								</tr>
							</xsl:for-each>						
						</table>
					</div>
				<xsl:call-template name="endTable"/>
				</form>
			</xsl:if>
				<xsl:if test="$role_type=5 or $role_type=6"> <!-- OBSERVER AND HR-->
				<form name="frm1" method="post" onsubmit="return false;" id="detail">
					<xsl:call-template name="strTable"><xsl:with-param name="title">Show Projects</xsl:with-param><xsl:with-param name="width" select="300"/></xsl:call-template>
						<table width="100%" border="0">
							<tr ctrlrow=""><td width="240"></td></tr>
							<xsl:for-each select="/d/observer_project/rr/r"><xsl:variable name="ProjectId" select="@a"/>
								<tr><td><xsl:value-of select="@b"/></td><td><input type="checkbox" name="lu_observer" id="{/d/project/rr/r[@a=$ProjectId]/@c}" value="{$ProjectId}"><xsl:if test="/d/project/rr/r[@a=$ProjectId]/@c!=''"><xsl:attribute name="checked"/></xsl:if></input><br/></td></tr>
							</xsl:for-each>						
						</table>
					<xsl:call-template name="endTable"/>
				</form>
				</xsl:if>
			</td>
		</xsl:if>
	</tr>
	<tr><td colspan="3" align="center"></td></tr></table><br/>

	<xsl:call-template name="Navigation">
		<xsl:with-param name="Buttons">
			<button onclick="document.location='list?o={$o}&amp;s={$s}&amp;pn={$pn}&amp;sti={$sti}'" name="btnList" ><u>B</u>ack to List</button>
			<xsl:if test="$role_type=1">
				<button onclick="document.location='detail?o=w4info&amp;oid={$oid}&amp;s={$s}&amp;pn={$pn}&amp;sti={$sti}'">W-4 profile</button>
				<button onclick="document.location='detail?o=travel_profile&amp;oid={$oid}&amp;s={$s}&amp;pn={$pn}&amp;sti={$sti}'">Travel profile</button>
			</xsl:if>
			<xsl:choose><xsl:when test="$login_user_id!=''"><button onclick="gatherFields()"> <u>S</u>ave changes</button></xsl:when>
			<xsl:otherwise><button onclick="insertLoginUser();"><u>S</u>ave &amp; send login information</button></xsl:otherwise>
			</xsl:choose>
		</xsl:with-param>
	</xsl:call-template>
</xsl:template>
</xsl:stylesheet>



