<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:ms="urn:schemas-microsoft-com:xslt" xmlns:msxsl='urn:schemas-microsoft-com:xslt' xmlns:js='http://www.atttitude.com/jsnamespace'>
<xsl:output method="html" version="1.0" encoding="UTF-8" indent="yes"/>
[include_out_helpers_detail]
<xsl:variable name="mail_template_id"><xsl:apply-templates select="/d/cc/c[.='MAIL_TEMPLATE_ID']/@h"/></xsl:variable>
<xsl:variable name="name"><xsl:apply-templates select="/d/cc/c[.='NAME']/@h"/></xsl:variable>
<xsl:variable name="description"><xsl:apply-templates select="/d/cc/c[.='DESCRIPTION']/@h"/></xsl:variable>
<xsl:variable name="subject"><xsl:apply-templates select="/d/cc/c[.='SUBJECT']/@h"/></xsl:variable>
<xsl:variable name="from_email"><xsl:apply-templates select="/d/cc/c[.='FROM_EMAIL']/@h"/></xsl:variable>
<xsl:variable name="cc_email"><xsl:apply-templates select="/d/cc/c[.='CC_EMAIL']/@h"/></xsl:variable>
<xsl:variable name="content"><xsl:apply-templates select="/d/cc/c[.='CONTENT']/@h"/></xsl:variable>
<xsl:variable name="format"><xsl:apply-templates select="/d/cc/c[.='FORMAT']/@h"/></xsl:variable>

<xsl:template match="/">
	<h1><xsl:choose><xsl:when test="$uid!=''">Send Email</xsl:when><xsl:otherwise><xsl:value-of select="$oa"/></xsl:otherwise></xsl:choose></h1>
		<form name="frmXML" method="post" action="send?o=mail_template&amp;s={$s}&amp;sti={$sti}">
			<input type="hidden" name="oid" value="{$mail_template_id}"/>
			<input type="hidden" name="act" value="?o={$o}&amp;oid={$oid}&amp;s={$s}&amp;pn={$pn}&amp;sti={$sti}"/>
			<input type="hidden" name="xml"/>
			<input type="hidden" name="message_id" id="id" value="0"/>
			<input type="hidden" name="to_login_user_id"/>
			<input type="hidden" name="from_email"/>
			<input type="hidden" name="subject"/>
			<input type="hidden" name="cc_email"/>
			<input type="hidden" name="format"/>
			<input type="hidden" name="urgent"/>
			<input type="hidden" name="content"/>
		</form>
		<form name="frm" method="post" id="detail" onsubmit="return false;">
		
		
		<xsl:call-template name="strTable"><xsl:with-param name="width" select="string('650')"/></xsl:call-template>
		<table cellspacing="0" cellpadding="3" border="0">
			<tr ctrlrow=""><td width="120"></td><td>
				<xsl:if test="$mail_template_id=''"></xsl:if>
				<input type="hidden" name="mail_template_id" id="id" value="{$mail_template_id}"/>
				</td></tr>
				<tr><td>template name:<xsl:call-template name="ico_req"/></td><td>
					<xsl:choose>
					<xsl:when test="$oid=''"><input name="name" style="width:100%;" type="text" size="34" maxlength="50" id="r" value="{$name}"/></xsl:when>
					<xsl:otherwise><xsl:value-of select="$name"/></xsl:otherwise>
					</xsl:choose>
				</td></tr>
				<tr><td>description:</td><td><input name="description" style="width:100%;" type="text" size="34" maxlength="50" value="{$description}"/></td></tr>
				<tr><td>subject:<xsl:call-template name="ico_req"/></td><td><input name="subject" style="width:100%;" type="text" size="34" maxlength="255" id="r" value="{$subject}"/></td></tr>
				<tr><td>sender's email:<xsl:call-template name="ico_req"/></td><td><input name="from_email" style="width:100%;" type="text" size="34" maxlength="250" id="r" value="{$from_email}"/></td></tr>
				<tr><td>cc:</td><td><input name="cc_email" style="width:100%;" type="text" size="34" maxlength="50" value="{$cc_email}"/></td></tr>
				<tr><td>format type:<xsl:call-template name="ico_req"/></td><td><input type="radio" name="format" id="r_text" value="t"><xsl:if test="$format='T' or $format=''"><xsl:attribute name="checked"/></xsl:if></input><label for="r_text">text</label> <input type="radio" name="format" id="r_html" value="h"><xsl:if test="$format='H'"><xsl:attribute name="checked"/></xsl:if></input><label for="r_html">html</label></td></tr>				
				<xsl:if test="$oid=''"><tr><td>system:</td><td><select name="SYSTEM" ><option value="Y">Yes</option><option value="N" selected="selected">No</option></select></td></tr></xsl:if>			
		</table>
		<xsl:call-template name="endTable"/>
		
		<xsl:if test="$uid!=''">
		<xsl:call-template name="strTable"><xsl:with-param name="width" select="string('650')"/><xsl:with-param name="title" select="string('Recipients')"/></xsl:call-template>					
			<table><tr ctrlrow=""><th>Employees</th><th>Supervisors</th><th>Managers</th><th>Sub-supervisors</th><th>Observers</th><th>HR</th></tr>
			<tr><td valign="top">
						<table><xsl:for-each select="/d/recipient/rr/r[@c=1]">
								<tr>
									<td width="10"><input type="checkbox" name="to_user" id="to_user_{@a}" value="{@a}"><xsl:if test="contains(concat(',', $uid, ','), concat(',',@a,','))"><xsl:attribute name="checked"/></xsl:if></input></td>
									<td><label for="to_user_{@a}"><xsl:value-of select="@b"/></label></td>
								</tr>
						</xsl:for-each>
						</table></td><td valign="top"><table>
							<xsl:for-each select="/d/recipient/rr/r[@c=2]">
								<tr>
									<td width="10"><input type="checkbox" name="to_user" id="to_user_{@a}" value="{@a}"><xsl:if test="contains(concat(',', $uid, ','), concat(',',@a,','))"><xsl:attribute name="checked"/></xsl:if></input></td>
									<td><label for="to_user_{@a}"><xsl:value-of select="@b"/></label></td>
								</tr>
						</xsl:for-each>
						</table></td><td valign="top"><table>
							<xsl:for-each select="/d/recipient/rr/r[@c=3]">
								<tr>
									<td width="10"><input type="checkbox" name="to_user" id="to_user_{@a}" value="{@a}"><xsl:if test="contains(concat(',', $uid, ','), concat(',',@a,','))"><xsl:attribute name="checked"/></xsl:if></input></td>
									<td><label for="to_user_{@a}"><xsl:value-of select="@b"/></label></td>
								</tr>
						</xsl:for-each>
						</table></td><td valign="top"><table>
							<xsl:for-each select="/d/recipient/rr/r[@c=4]">
								<tr>
									<td width="10"><input type="checkbox" name="to_user" id="to_user_{@a}" value="{@a}"><xsl:if test="contains(concat(',', $uid, ','), concat(',',@a,','))"><xsl:attribute name="checked"/></xsl:if></input></td>
									<td><label for="to_user_{@a}"><xsl:value-of select="@b"/></label></td>
								</tr>
						</xsl:for-each>
						</table></td><td valign="top"><table>
							<xsl:for-each select="/d/recipient/rr/r[@c=5]">
								<tr>
									<td width="10"><input type="checkbox" name="to_user" id="to_user_{@a}" value="{@a}"><xsl:if test="contains(concat(',', $uid, ','), concat(',',@a,','))"><xsl:attribute name="checked"/></xsl:if></input></td>
									<td><label for="to_user_{@a}"><xsl:value-of select="@b"/></label></td>
								</tr>
						</xsl:for-each>
						</table></td><td valign="top"><table>
							<xsl:for-each select="/d/recipient/rr/r[@c=6]">
								<tr>
									<td width="10"><input type="checkbox" name="to_user" id="to_user_{@a}" value="{@a}"><xsl:if test="contains(concat(',', $uid, ','), concat(',',@a,','))"><xsl:attribute name="checked"/></xsl:if></input></td>
									<td><label for="to_user_{@a}"><xsl:value-of select="@b"/></label></td>
								</tr>
						</xsl:for-each></table></td></tr></table>
		<xsl:call-template name="endTable"/>
		</xsl:if>
		
		<xsl:call-template name="strTable"><xsl:with-param name="width" select="string('650')"/><xsl:with-param name="title" select="string('content')"/></xsl:call-template>
				<table><tr><td width="400"><textarea name="content" style="width:100%;" rows="12"><xsl:value-of select="$content" disable-output-escaping="yes"/></textarea>
				</td><td valign="top" width="100">available tags:<br/><span class="red" style="display:block">
				 [RECIPIENT:FIRST_NAME]<br/>
         [RECIPIENT:MIDDLE_NAME]<br/>
         [RECIPIENT:LAST_NAME]<br/>
         [RECIPIENT:EMAIL]<br/>
         [RECIPIENT:LOGIN_NAME]<br/>
         [RECIPIENT:USER_PASSWORD]<br/>
         [RECIPIENT:GROUP_NAME]<br/><br/>
				 [PAYROLL:LAST_PERIOD_DATES]<br/><br/>
				 [LOGIN_USER:FIRST_NAME]<br/>
				 [LOGIN_USER:LAST_NAME] </span></td></tr></table>
			<xsl:call-template name="endTable"/>
		</form>
	<script>
		function sendMessage(byEmail){
			var s="", req="", cnt=0;
			var f=document.forms['frm'];
			var fXML=document.forms['frmXML'];
			fXML.subject.value=f.subject.value;
			fXML.from_email.value=f.from_email.value;
			fXML.cc_email.value=f.cc_email.value;
			fXML.format.value=f.format.value;
			fXML.content.value=f.content.value.replace(/&lt;/g, '&lt;').replace(/&amp;/g, '&amp;').replace(/&gt;/g, '&gt;');
			for(i=0; i&lt;f.elements.length; i++){
				e=f.elements[i];
				if(e.type=="checkbox"){if(e.checked){s+=(cnt?',':'') + e.value;cnt++;}}
			}
			fXML.to_login_user_id.value=s;
			if(s=='') req='\nto user'
			if(f.subject.value=='') req+='\nsubject'
			if(req!='')alert('The fallowing required fileds are empty:' + req)
			else{
				fXML.submit();
			}
		}
	</script>
	
	<xsl:call-template name="Navigation">
	<xsl:with-param name="Buttons">
		<xsl:choose>
			<xsl:when test="$uid!=''">
				<button onclick="sendMessage();"> S<u>e</u>nd </button>
			</xsl:when>
			<xsl:otherwise>
				<button onclick="document.location='list?o={$o}&amp;s={$s}&amp;pn={$pn}&amp;sti={$sti}'"> <u>B</u>ack to list </button>
				<button><xsl:attribute name="onclick"><xsl:choose><xsl:when test="$oid!=''">execUpdate()</xsl:when><xsl:otherwise>execInsert();</xsl:otherwise></xsl:choose></xsl:attribute> <u>S</u>ave template</button>
				<xsl:if test="$oid!=''"><button onclick="document.location=(document.location.href+'&amp;uid=0')"> S<u>e</u>nd </button></xsl:if>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:with-param>
	</xsl:call-template>
</xsl:template>
</xsl:stylesheet>


