<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:ms="urn:schemas-microsoft-com:xslt" xmlns:msxsl='urn:schemas-microsoft-com:xslt' xmlns:js='http://www.atttitude.com/jsnamespace'>
<xsl:output method="html" version="1.0" encoding="UTF-8" indent="yes"/>
[include_out_helpers_detail]

<!--personal-->	
	<xsl:variable name="travel_profile_id"><xsl:apply-templates select="/d/cc/c[.='TRAVEL_PROFILE_ID']/@h"/></xsl:variable>
	<xsl:variable name="login_user_id"><xsl:apply-templates select="/d/cc/c[.='LOGIN_USER_ID']/@h"/></xsl:variable>
	<xsl:variable name="prefix"><xsl:apply-templates select="/d/cc/c[.='PREFIX']/@h"/><xsl:apply-templates select="/d/login_user/cc/c[.='PREFIX']/@h"/></xsl:variable>
	<xsl:variable name="first_name"><xsl:apply-templates select="/d/cc/c[.='FIRST_NAME']/@h"/><xsl:apply-templates select="/d/login_user/cc/c[.='FIRST_NAME']/@h"/></xsl:variable>
	<xsl:variable name="middle_name"><xsl:apply-templates select="/d/cc/c[.='MIDDLE_NAME']/@h"/></xsl:variable>
	<xsl:variable name="last_name"><xsl:apply-templates select="/d/cc/c[.='LAST_NAME']/@h"/></xsl:variable>
	<xsl:variable name="suffix"><xsl:apply-templates select="/d/cc/c[.='SUFFIX']/@h"/></xsl:variable>
	<xsl:variable name="email"><xsl:apply-templates select="/d/cc/c[.='EMAIL']/@h"/></xsl:variable>

<!--home-->
	<xsl:variable name="street_1"><xsl:apply-templates select="/d/cc/c[.='STREET_1']/@h"/></xsl:variable>
	<xsl:variable name="street_2"><xsl:apply-templates select="/d/cc/c[.='STREET_2']/@h"/></xsl:variable>
	<xsl:variable name="city"><xsl:apply-templates select="/d/cc/c[.='CITY']/@h"/></xsl:variable>
	<xsl:variable name="state"><xsl:apply-templates select="/d/cc/c[.='STATE']/@h"/></xsl:variable>
	<xsl:variable name="zip"><xsl:apply-templates select="/d/cc/c[.='ZIP']/@h"/></xsl:variable>

<!--work-->
	<xsl:variable name="company_name"><xsl:apply-templates select="/d/cc/c[.='COMPANY_NAME']/@h"/></xsl:variable>
	<xsl:variable name="street_1_work"><xsl:apply-templates select="/d/cc/c[.='STREET_1_WORK']/@h"/></xsl:variable>
	<xsl:variable name="street_2_work"><xsl:apply-templates select="/d/cc/c[.='STREET_2_WORK']/@h"/></xsl:variable>
	<xsl:variable name="city_work"><xsl:apply-templates select="/d/cc/c[.='CITY_WORK']/@h"/></xsl:variable>
	<xsl:variable name="state_work"><xsl:apply-templates select="/d/cc/c[.='STATE_WORK']/@h"/></xsl:variable>
	<xsl:variable name="zip_work"><xsl:apply-templates select="/d/cc/c[.='ZIP_WORK']/@h"/></xsl:variable>

<!--Phone numbers-->
	<xsl:variable name="phone_code"><xsl:apply-templates select="/d/cc/c[.='PHONE_CODE']/@h"/></xsl:variable>
	<xsl:variable name="phone"><xsl:apply-templates select="/d/cc/c[.='PHONE']/@h"/></xsl:variable>
	<xsl:variable name="phone_ext"><xsl:apply-templates select="/d/cc/c[.='PHONE_EXT']/@h"/></xsl:variable>
	<xsl:variable name="phone_code_work"><xsl:apply-templates select="/d/cc/c[.='PHONE_CODE_WORK']/@h"/></xsl:variable>
	<xsl:variable name="phone_work"><xsl:apply-templates select="/d/cc/c[.='PHONE_WORK']/@h"/></xsl:variable>
	<xsl:variable name="phone_ext_work"><xsl:apply-templates select="/d/cc/c[.='PHONE_EXT_WORK']/@h"/></xsl:variable>
	<xsl:variable name="phone_code_mobile"><xsl:apply-templates select="/d/cc/c[.='PHONE_CODE_MOBILE']/@h"/></xsl:variable>
	<xsl:variable name="phone_mobile"><xsl:apply-templates select="/d/cc/c[.='PHONE_MOBILE']/@h"/></xsl:variable>
	<xsl:variable name="phone_ext_mobile"><xsl:apply-templates select="/d/cc/c[.='PHONE_EXT_MOBILE']/@h"/></xsl:variable>

<!--passport-->
	<xsl:variable name="pass_country"><xsl:apply-templates select="/d/cc/c[.='PASS_COUNTRY']/@h"/></xsl:variable>
	<xsl:variable name="pass_exp_date"><xsl:apply-templates select="/d/cc/c[.='PASS_EXP_DATE']/@h"/></xsl:variable>
	<xsl:variable name="pass_number"><xsl:apply-templates select="/d/cc/c[.='PASS_NUMBER']/@h"/></xsl:variable>

<!--credit card-->
	<xsl:variable name="cc_type"><xsl:apply-templates select="/d/cc/c[.='CC_TYPE']/@h"/></xsl:variable>
	<xsl:variable name="cc_exp_date"><xsl:apply-templates select="/d/cc/c[.='CC_EXP_DATE']/@h"/></xsl:variable>
	<xsl:variable name="cc_number"><xsl:apply-templates select="/d/cc/c[.='CC_NUMBER']/@h"/></xsl:variable>

<!--air pref-->
	<xsl:variable name="airline_meal"><xsl:apply-templates select="/d/cc/c[.='AIRLINE_MEAL']/@h"/></xsl:variable>
	<xsl:variable name="airline_seat"><xsl:apply-templates select="/d/cc/c[.='AIRLINE_SEAT']/@h"/></xsl:variable>
	<xsl:variable name="airline_seat_window"><xsl:apply-templates select="/d/cc/c[.='AIRLINE_SEAT_WINDOW']/@h"/></xsl:variable>
	<xsl:variable name="airline_name_1"><xsl:apply-templates select="/d/cc/c[.='AIRLINE_NAME_1']/@h"/></xsl:variable>
	<xsl:variable name="airline_mem_number_1"><xsl:apply-templates select="/d/cc/c[.='AIRLINE_MEM_NUMBER_1']/@h"/></xsl:variable>
	<xsl:variable name="airline_name_2"><xsl:apply-templates select="/d/cc/c[.='AIRLINE_NAME_2']/@h"/></xsl:variable>
	<xsl:variable name="airline_mem_number_2"><xsl:apply-templates select="/d/cc/c[.='AIRLINE_MEM_NUMBER_2']/@h"/></xsl:variable>
	<xsl:variable name="airline_name_3"><xsl:apply-templates select="/d/cc/c[.='AIRLINE_NAME_3']/@h"/></xsl:variable>
	<xsl:variable name="airline_mem_number_3"><xsl:apply-templates select="/d/cc/c[.='AIRLINE_MEM_NUMBER_3']/@h"/></xsl:variable>
	<xsl:variable name="airline_name_4"><xsl:apply-templates select="/d/cc/c[.='AIRLINE_NAME_4']/@h"/></xsl:variable>
	<xsl:variable name="airline_mem_number_4"><xsl:apply-templates select="/d/cc/c[.='AIRLINE_MEM_NUMBER_4']/@h"/></xsl:variable>
	<xsl:variable name="airline_name_5"><xsl:apply-templates select="/d/cc/c[.='AIRLINE_NAME_5']/@h"/></xsl:variable>
	<xsl:variable name="airline_mem_number_5"><xsl:apply-templates select="/d/cc/c[.='AIRLINE_MEM_NUMBER_5']/@h"/></xsl:variable>
	<xsl:variable name="airline_name_6"><xsl:apply-templates select="/d/cc/c[.='AIRLINE_NAME_6']/@h"/></xsl:variable>
	<xsl:variable name="airline_mem_number_6"><xsl:apply-templates select="/d/cc/c[.='AIRLINE_MEM_NUMBER_6']/@h"/></xsl:variable>
<!--car pref-->
	<xsl:variable name="car_type"><xsl:apply-templates select="/d/cc/c[.='CAR_TYPE']/@h"/></xsl:variable>
	<xsl:variable name="car_name_1"><xsl:apply-templates select="/d/cc/c[.='CAR_NAME_1']/@h"/></xsl:variable>
	<xsl:variable name="car_mem_number_1"><xsl:apply-templates select="/d/cc/c[.='CAR_MEM_NUMBER_1']/@h"/></xsl:variable>
	<xsl:variable name="car_name_2"><xsl:apply-templates select="/d/cc/c[.='CAR_NAME_2']/@h"/></xsl:variable>
	<xsl:variable name="car_mem_number_2"><xsl:apply-templates select="/d/cc/c[.='CAR_MEM_NUMBER_2']/@h"/></xsl:variable>
	<xsl:variable name="car_name_3"><xsl:apply-templates select="/d/cc/c[.='CAR_NAME_3']/@h"/></xsl:variable>
	<xsl:variable name="car_mem_number_3"><xsl:apply-templates select="/d/cc/c[.='CAR_MEM_NUMBER_3']/@h"/></xsl:variable>
	<xsl:variable name="car_name_4"><xsl:apply-templates select="/d/cc/c[.='CAR_NAME_4']/@h"/></xsl:variable>
	<xsl:variable name="car_mem_number_4"><xsl:apply-templates select="/d/cc/c[.='CAR_MEM_NUMBER_4']/@h"/></xsl:variable>
	<xsl:variable name="car_name_5"><xsl:apply-templates select="/d/cc/c[.='CAR_NAME_5']/@h"/></xsl:variable>
	<xsl:variable name="car_mem_number_5"><xsl:apply-templates select="/d/cc/c[.='CAR_MEM_NUMBER_5']/@h"/></xsl:variable>
	<xsl:variable name="car_name_6"><xsl:apply-templates select="/d/cc/c[.='CAR_NAME_6']/@h"/></xsl:variable>
	<xsl:variable name="car_mem_number_6"><xsl:apply-templates select="/d/cc/c[.='CAR_MEM_NUMBER_6']/@h"/></xsl:variable>
<!--hotel pref-->
	<xsl:variable name="hotel_room_type"><xsl:apply-templates select="/d/cc/c[.='HOTEL_ROOM_TYPE']/@h"/></xsl:variable>
	<xsl:variable name="hotel_non_smoking"><xsl:apply-templates select="/d/cc/c[.='HOTEL_NON_SMOKING']/@h"/></xsl:variable>
	<xsl:variable name="hotel_name_1"><xsl:apply-templates select="/d/cc/c[.='HOTEL_NAME_1']/@h"/></xsl:variable>
	<xsl:variable name="hotel_mem_number_1"><xsl:apply-templates select="/d/cc/c[.='HOTEL_MEM_NUMBER_1']/@h"/></xsl:variable>
	<xsl:variable name="hotel_name_2"><xsl:apply-templates select="/d/cc/c[.='HOTEL_NAME_2']/@h"/></xsl:variable>
	<xsl:variable name="hotel_mem_number_2"><xsl:apply-templates select="/d/cc/c[.='HOTEL_MEM_NUMBER_2']/@h"/></xsl:variable>
	<xsl:variable name="hotel_name_3"><xsl:apply-templates select="/d/cc/c[.='HOTEL_NAME_3']/@h"/></xsl:variable>
	<xsl:variable name="hotel_mem_number_3"><xsl:apply-templates select="/d/cc/c[.='HOTEL_MEM_NUMBER_3']/@h"/></xsl:variable>
	<xsl:variable name="hotel_name_4"><xsl:apply-templates select="/d/cc/c[.='HOTEL_NAME_4']/@h"/></xsl:variable>
	<xsl:variable name="hotel_mem_number_4"><xsl:apply-templates select="/d/cc/c[.='HOTEL_MEM_NUMBER_4']/@h"/></xsl:variable>
	<xsl:variable name="hotel_name_5"><xsl:apply-templates select="/d/cc/c[.='HOTEL_NAME_5']/@h"/></xsl:variable>
	<xsl:variable name="hotel_mem_number_5"><xsl:apply-templates select="/d/cc/c[.='HOTEL_MEM_NUMBER_5']/@h"/></xsl:variable>
	<xsl:variable name="hotel_name_6"><xsl:apply-templates select="/d/cc/c[.='HOTEL_NAME_6']/@h"/></xsl:variable>
	<xsl:variable name="hotel_mem_number_6"><xsl:apply-templates select="/d/cc/c[.='HOTEL_MEM_NUMBER_6']/@h"/></xsl:variable>
	
	<xsl:variable name="comments"><xsl:apply-templates select="/d/cc/c[.='COMMENTS']/@h"/></xsl:variable>
	
	
 <xsl:template match="/">
 	<xsl:choose>
 		<xsl:when test="$isPrint">
			<html>
			<head><title>Travel Profile</title><link href="/tts/i/print.css" media="all" type="text/css" rel="stylesheet"/></head>
			<body> 			<form name="frm" action="posttravel_profile?s={$s}&amp;sti={/d/i/sti}" method="post">
<xsl:call-template name="print"/></form></body></html>
 		</xsl:when>
 		<xsl:otherwise><xsl:call-template name="edit"/></xsl:otherwise>
 	</xsl:choose>
  </xsl:template>

 <xsl:template name="print">
	<h1><xsl:apply-templates select="/d/cc/c[.='FIRST_NAME']/@h"/>&#160;<xsl:apply-templates select="/d/cc/c[.='LAST_NAME']/@h"/></h1>	
 		<table cellspacing="0" cellpadding="0"  border="0">
 		<tr><td valign="top">
 				<h2>Personal Information</h2>
 				<table width="280"  cellspacing="0" cellpadding="1"  border="0">
 							<tr><td class="h">prefix:</td><td><xsl:value-of select="$prefix"/><input type="hidden" name="prefix" value="{$prefix}"/></td></tr>
 							<tr><td class="h">first name:</td><td><xsl:value-of select="$first_name"/><input type="hidden" name="first_name" value="{$first_name}"/></td></tr>
 							<tr><td class="h">middle initial:</td><td><xsl:value-of select="$middle_name"/><input type="hidden" name="middle_initial" value="{$middle_name}"/></td></tr>
 							<tr><td class="h">last name:</td><td><xsl:value-of select="$last_name"/><input type="hidden" name="last_name" value="{$last_name}"/></td></tr>
 							<tr><td class="h">suffix:</td><td><xsl:value-of select="$suffix"/><input type="hidden" name="suffix" value="{$suffix}"/></td></tr>
 							<tr><td class="h">personal email:</td><td><xsl:value-of select="$email"/><input type="hidden" name="email" value="{$email}"/></td></tr>
 				</table>

 				<h2>Home Address</h2>
 				<table width="280"  cellspacing="0" cellpadding="1"  border="0">
 						<tr><td class="h">address 1:</td>	<td><xsl:value-of select="$street_1"/><input type="hidden" name="home_address1" value="{$street_1}"/></td></tr>
 						<tr><td class="h">address 2:</td><td><xsl:value-of select="$street_2"/><input type="hidden" name="home_address2" value="{$street_2}"/></td></tr>
 						<tr><td class="h">city:</td><td><xsl:value-of select="$city"/><input type="hidden" name="h_city" value="{$city}"/></td></tr>
 						<tr><td class="h">state:</td><td><xsl:value-of select="$state"/><input type="hidden" name="h_state" value="{$state}"/></td></tr>
 						<tr><td class="h">zip:</td><td><xsl:value-of select="$zip"/><input type="hidden" name="h_zip" value="{$zip}"/></td></tr>
 				</table> 			
 				<h2>Work Address</h2>
 				<table width="280"  cellspacing="0" cellpadding="1"  border="0">
 					<tr><td class="h">company:</td>	<td><xsl:value-of select="$company_name"/><input type="hidden" name="co_name" value="{$company_name}"/></td></tr>
 					<tr><td class="h">address 1:</td><td><xsl:value-of select="$street_1_work"/><input type="hidden" name="co_address1" value="{$street_1_work}"/></td></tr>
 					<tr><td class="h">address 2:</td><td><xsl:value-of select="$street_2_work"/><input type="hidden" name="co_address2" value="{$street_2_work}"/></td></tr>
 					<tr><td class="h">city:</td><td><xsl:value-of select="$city_work"/><input type="hidden" name="w_city" value="{$city_work}"/></td></tr>
 					<tr><td class="h">state:</td><td><xsl:value-of select="$state_work"/><input type="hidden" name="w_state" value="{$state_work}"/></td></tr>
 					<tr><td class="h">zip:</td><td><xsl:value-of select="$zip_work"/><input type="hidden" name="w_zip" value="{$zip_work}"/></td></tr>
 				</table>
 
 				<h2>Phone numbers</h2>
 				<table width="280"  cellspacing="0" cellpadding="1"  border="0">
 					<tr><td class="h">home phone:</td><td><xsl:value-of select="$phone_code"/>  <xsl:value-of select="$phone"/> <xsl:value-of select="$phone_ext"/><input type="hidden" name="hp_ac" value="{$phone_code}"/><input type="hidden" name="hp_num" value="{$phone}"/><input type="hidden" name="hp_ext" value="{$phone_ext}"/></td></tr>
 					<tr><td class="h">work phone:</td><td><xsl:value-of select="$phone_code_work"/>  <xsl:value-of select="$phone_work"/> <xsl:value-of select="$phone_ext_work"/><input type="hidden" name="wp_ac" value="{$phone_code_work}"/><input type="hidden" name="wp_num" value="{$phone_work}"/><input type="hidden" name="wp_ext" value="{$phone_ext_work}"/></td></tr>
 					<tr><td class="h">mobile phone:</td><td><xsl:value-of select="$phone_code_mobile"/>  <xsl:value-of select="$phone_mobile"/> <xsl:value-of select="$phone_ext_mobile"/><input type="hidden" name="mp_ac" value="{$phone_code_mobile}"/><input type="hidden" name="mp_num" value="{$phone_mobile}"/><input type="hidden" name="mp_ext" value="{$phone_ext_mobile}"/></td></tr>
 				</table>
 				
 				<h2>Passport</h2>
 				<table width="280"  cellspacing="0" cellpadding="1"  border="0">
 				  <tr><td class="h">issuing country:</td><td><xsl:value-of select="/d/country/rr/r[$pass_country=@a]/@b"/><input type="hidden" name="pp_country" value="{/d/country/rr/r[$pass_country=@a]/@c}"/></td></tr>
 				  <tr><td class="h">expiration date:</td><td><xsl:value-of select="$pass_exp_date"/><input type="hidden" name="pp_ex" value="{$pass_exp_date}"/></td></tr>
 				  <tr><td class="h">number:</td><td><xsl:value-of select="$pass_number"/><input type="hidden" name="pp_num" value="{$pass_number}"/></td></tr>
 				</table>
 	
 				<h2>Credit Card Information</h2>
 					<table width="280"  cellspacing="0" cellpadding="1"  border="0">
 						<tr><td class="h">type:</td><td><xsl:value-of select="/d/credit_card/rr/r[$cc_type=@a]/@b"/><input type="hidden" name="cc_type" value="{/d/credit_card/rr/r[$cc_type=@a]/@b}"/></td></tr>
 						<tr><td class="h">number:</td><td>
 						<xsl:choose>
							<xsl:when test="($RoID=3)"><xsl:value-of select="$cc_number"/></xsl:when>
							<xsl:when test="($cc_number!='')">************<xsl:value-of select="substring($cc_number, 13)"/></xsl:when>
						</xsl:choose><input type="hidden" name="cc_number" value="{$cc_number}"/>
 							</td></tr>
 						<tr><td class="h">expiration date:</td><td><xsl:value-of select="$cc_exp_date"/><input type="hidden" name="cc_ex" value="{$cc_exp_date}"/></td></tr>
 					</table>
 
 </td><td width="30"></td><td valign="top">
 
 				<h2>Air Preferences</h2>
 				<table width="280"  cellspacing="0" cellpadding="1"  border="0">
 						<tr><td  class="h">meal preference:</td><td colspan="2">
 							<xsl:choose>
 								<xsl:when test="$airline_meal='CHML'">Child's meal</xsl:when>
 								<xsl:when test="$airline_meal='DBML'">Diabetic meal</xsl:when>
 								<xsl:when test="$airline_meal='LSML'">Low sodium meal</xsl:when>
 								<xsl:when test="$airline_meal='VGML'">Vegetarian, non-dairy</xsl:when>
 								<xsl:when test="$airline_meal='KSML'">Kosher meal</xsl:when>
 								<xsl:when test="$airline_meal='LFML'">Lowfat meal</xsl:when>
 								<xsl:otherwise>No special request</xsl:otherwise>
 							</xsl:choose><input type="hidden" name="meal_pref" value="{$airline_meal}"/>
 						</td></tr>
 						<tr><td class="h">seat Preference:</td><td colspan="2">
 							<xsl:choose>
 								<xsl:when test="$airline_seat_window='A'">Aisle<input type="hidden" name="seat_pref_aw" value="A"/></xsl:when>
 								<xsl:when test="$airline_seat_window='W'">Window<input type="hidden" name="seat_pref_aw" value="W"/></xsl:when>
 							</xsl:choose>
 							<br/>
 							<xsl:choose>
 								<xsl:when test="$airline_seat='F'">Forward Of Wing<input type="hidden" name="seat_pref_fr" value="F"/></xsl:when>
 								<xsl:when test="$airline_seat='R'">Rear Of Wing<input type="hidden" name="seat_pref_fr" value="R"/></xsl:when>
 							</xsl:choose>
 					</td></tr>
 					<tr><td><br/></td></tr>
 					<tr><td rowspan="8"  class="h" valign="top">membership numbers:
 				 </td><td><xsl:value-of select="/d/airline/rr/r[$airline_name_1=@a]/@b"/></td><td><xsl:value-of select="$airline_mem_number_1"/><input type="hidden" name="air_co1" value="{$airline_name_1}"/><input type="hidden" name="air_num1" value="{$airline_mem_number_1}"/></td></tr>
 					<tr><td><xsl:value-of select="/d/airline/rr/r[$airline_name_2=@a]/@b"/></td><td><xsl:value-of select="$airline_mem_number_2"/><input type="hidden" name="air_co2" value="{$airline_name_1}"/><input type="hidden" name="air_num2" value="{$airline_mem_number_2}"/></td></tr>
 					<tr><td><xsl:value-of select="/d/airline/rr/r[$airline_name_3=@a]/@b"/></td><td><xsl:value-of select="$airline_mem_number_3"/><input type="hidden" name="air_co3" value="{$airline_name_1}"/><input type="hidden" name="air_num3" value="{$airline_mem_number_3}"/></td></tr>
 					<tr><td><xsl:value-of select="/d/airline/rr/r[$airline_name_4=@a]/@b"/></td><td><xsl:value-of select="$airline_mem_number_4"/><input type="hidden" name="air_co4" value="{$airline_name_1}"/><input type="hidden" name="air_num4" value="{$airline_mem_number_4}"/></td></tr>
 					<tr><td><xsl:value-of select="/d/airline/rr/r[$airline_name_5=@a]/@b"/></td><td><xsl:value-of select="$airline_mem_number_5"/><input type="hidden" name="air_co5" value="{$airline_name_1}"/><input type="hidden" name="air_num5" value="{$airline_mem_number_5}"/></td></tr>
 					<tr><td><xsl:value-of select="/d/airline/rr/r[$airline_name_6=@a]/@b"/></td><td><xsl:value-of select="$airline_mem_number_6"/><input type="hidden" name="air_co6" value="{$airline_name_1}"/><input type="hidden" name="air_num6" value="{$airline_mem_number_6}"/></td></tr>
 				</table>
 
 				<h2>Car Preferences</h2>
 				<table width="280"  cellspacing="0" cellpadding="1"  border="0">
 					<tr><td  class="h">preferred car type</td><td colspan="2">
 						<xsl:choose>
 							<xsl:when test="$car_type='ECAR'">Economy</xsl:when>
 							<xsl:when test="$car_type='CCAR'">Compact</xsl:when>
 							<xsl:when test="$car_type='ICAR'">Intermediate</xsl:when>
 							<xsl:when test="$car_type='FCAR'">Fullsize</xsl:when>
 							<xsl:when test="$car_type='LCAR'">Luxury</xsl:when>
 							<xsl:otherwise>No preferences</xsl:otherwise>
 						</xsl:choose><input type="hidden" name="car_type" value="{$car_type}"/>
 					</td></tr>
 					<tr><td rowspan="6" class="h" valign="top">membership numbers:</td>
 					<td><xsl:value-of select="/d/car_company/rr/r[$car_name_1=@a]/@b"/></td><td><xsl:value-of select="$car_mem_number_1"/><input type="hidden" name="car_co1" value="{$car_name_1}"/><input type="hidden" name="car_num1" value="{$car_mem_number_1}"/></td></tr>
 					<tr><td><xsl:value-of select="/d/car_company/rr/r[$car_name_2=@a]/@b"/></td><td><xsl:value-of select="$car_mem_number_2"/><input type="hidden" name="car_co2" value="{$car_name_2}"/><input type="hidden" name="car_num2" value="{$car_mem_number_2}"/></td></tr>
 					<tr><td><xsl:value-of select="/d/car_company/rr/r[$car_name_3=@a]/@b"/></td><td><xsl:value-of select="$car_mem_number_3"/><input type="hidden" name="car_co3" value="{$car_name_3}"/><input type="hidden" name="car_num3" value="{$car_mem_number_3}"/></td></tr>
 					<tr><td><xsl:value-of select="/d/car_company/rr/r[$car_name_4=@a]/@b"/></td><td><xsl:value-of select="$car_mem_number_4"/><input type="hidden" name="car_co4" value="{$car_name_4}"/><input type="hidden" name="car_num4" value="{$car_mem_number_4}"/></td></tr>
 					<tr><td><xsl:value-of select="/d/car_company/rr/r[$car_name_5=@a]/@b"/></td><td><xsl:value-of select="$car_mem_number_5"/><input type="hidden" name="car_co5" value="{$car_name_5}"/><input type="hidden" name="car_num5" value="{$car_mem_number_5}"/></td></tr>
 					<tr><td><xsl:value-of select="/d/car_company/rr/r[$car_name_6=@a]/@b"/></td><td><xsl:value-of select="$car_mem_number_6"/><input type="hidden" name="car_co6" value="{$car_name_6}"/><input type="hidden" name="car_num6" value="{$car_mem_number_6}"/></td></tr>
 				</table>
 
 				<h2>Hotel Preferences</h2>
 				<table width="280"  cellspacing="0" cellpadding="1"  border="0">
 					<tr><td  class="h">non-smoking room:</td><td colspan="2">
 					<xsl:choose><xsl:when test="$hotel_non_smoking='Y'">Yes</xsl:when><xsl:otherwise>No</xsl:otherwise></xsl:choose><input type="hidden" name="hotel_non_smoking"><xsl:attribute name="value"><xsl:if test="$hotel_non_smoking='Y'">yes</xsl:if></xsl:attribute></input></td></tr>
 					<tr><td class="h">room type:</td><td colspan="2">
 					<xsl:choose>
 						<xsl:when test="$hotel_room_type='DBL'">Double</xsl:when>
 						<xsl:when test="$hotel_room_type='KING'">King</xsl:when>
 						<xsl:when test="$hotel_room_type='QUEE'">Queen</xsl:when>
 						<xsl:when test="$hotel_room_type='ROH'">Run-of-house</xsl:when>
 						<xsl:when test="$hotel_room_type='SING'">Single</xsl:when>
						<xsl:otherwise>No preferences</xsl:otherwise>
 					</xsl:choose><input type="hidden" name="hotel_room_type" value="{$hotel_room_type}"/></td></tr>
 					<tr><td rowspan="6" class="h" valign="top">membership numbers:</td><td><xsl:value-of select="/d/hotel/rr/r[$hotel_name_1=@a]/@b"/></td><td><xsl:value-of select="$hotel_mem_number_1"/><input type="hidden" name="hotel_co1" value="{$hotel_name_1}"/><input type="hidden" name="hotel_num1" value="{$hotel_mem_number_1}"/></td></tr>
 					<tr><td><xsl:value-of select="/d/hotel/rr/r[$hotel_name_2=@a]/@b"/></td><td><xsl:value-of select="$hotel_mem_number_2"/><input type="hidden" name="hotel_co2" value="{$hotel_name_2}"/><input type="hidden" name="hotel_num2" value="{$hotel_mem_number_2}"/></td></tr>
 					<tr><td><xsl:value-of select="/d/hotel/rr/r[$hotel_name_3=@a]/@b"/></td><td><xsl:value-of select="$hotel_mem_number_3"/><input type="hidden" name="hotel_co3" value="{$hotel_name_3}"/><input type="hidden" name="hotel_num3" value="{$hotel_mem_number_3}"/></td></tr>
 					<tr><td><xsl:value-of select="/d/hotel/rr/r[$hotel_name_4=@a]/@b"/></td><td><xsl:value-of select="$hotel_mem_number_4"/><input type="hidden" name="hotel_co4" value="{$hotel_name_4}"/><input type="hidden" name="hotel_num4" value="{$hotel_mem_number_4}"/></td></tr>
 					<tr><td><xsl:value-of select="/d/hotel/rr/r[$hotel_name_5=@a]/@b"/></td><td><xsl:value-of select="$hotel_mem_number_5"/><input type="hidden" name="hotel_co5" value="{$hotel_name_5}"/><input type="hidden" name="hotel_num5" value="{$hotel_mem_number_5}"/></td></tr>
 					<tr><td><xsl:value-of select="/d/hotel/rr/r[$hotel_name_6=@a]/@b"/></td><td><xsl:value-of select="$hotel_mem_number_6"/><input type="hidden" name="hotel_co6" value="{$hotel_name_6}"/><input type="hidden" name="hotel_num6" value="{$hotel_mem_number_5}"/></td></tr>
 				</table>
 				
 				<h2>Additional Comments</h2>
 				<table width="280"  cellspacing="0" cellpadding="1"  border="0">
 					<tr><td><xsl:value-of select="$comments"/><input type="hidden" name="comments" value="{$comments}"/></td></tr></table>
 		</td>
 	</tr>
 	</table>
 </xsl:template>
  
 <xsl:template name="edit">
		<form name="frmXML" method="post">
			<input type="hidden" name="act"><xsl:attribute name="value">?o=travel_profile&amp;oid=<xsl:value-of select="/d/i/oid"/>&amp;lr=1&amp;pn=<xsl:value-of select="$pn"/>&amp;sti=<xsl:value-of select="/d/i/sti"/>&amp;s=<xsl:value-of select="$s"/>&amp;cll=login_user</xsl:attribute></input>
			<input type="hidden" name="xml" value=""/>
			<input type="hidden" name="login_user_id" value="{$login_user_id}"/>
			<input type="hidden" name="travel_profile_id" value="{$travel_profile_id}"/>
		</form>
		<xsl:variable name="active"><xsl:apply-templates select="/d/cc/c[.='ACTIVE']/@h"/></xsl:variable>

	<form name="frm" method="post" onsubmit="return false;" id="detail">
		<table cellspacing="0" cellpadding="0"  border="0">
		<tr><td valign="top" colspan="3" align="center"><h1>Travel profile</h1><h2><xsl:apply-templates select="/d/cc/c[.='FIRST_NAME']/@h"/>&#160;<xsl:apply-templates select="/d/cc/c[.='LAST_NAME']/@h"/></h2></td></tr>
		<tr><td valign="top">
				<xsl:call-template name="strTable"><xsl:with-param name="title">Personal Information</xsl:with-param></xsl:call-template>
				<table width="280"  cellspacing="0" cellpadding="1"  border="0">
					<tr ctrlrow="">
					<input name="TRAVEL_PROFILE_ID"  type="hidden" id="id" value="{$travel_profile_id}"/>
					<input name="LOGIN_USER_ID" type="hidden" value="{$login_user_id}"/>
							<td width="120"></td><td></td></tr>
							<tr><td>prefix:</td><td><select name="PREFIX"><option/><option value="Mrs.">Mrs.</option><option value="Miss.">Miss.</option><option value="Mr.">Mr.</option><option value="Ms.">Ms.</option><option value="Dr.">Dr.</option></select></td></tr>
							<tr><td>first name:<xsl:call-template name="ico_req"/></td><td><input name="FIRST_NAME"  type="text" size="28" maxlength="20" value="{$first_name}" id="r"/></td></tr>
							<tr><td>middle initial:</td><td><input name="MIDDLE_NAME"  type="text" size="4" maxlength="1" value="{$middle_name}"/></td></tr>
							<tr><td>last name:<xsl:call-template name="ico_req"/></td><td><input name="LAST_NAME"  type="text" size="28" maxlength="30" value="{$last_name}" id="r"/></td></tr>
							<tr><td>suffix:</td><td><input name="SUFFIX"  type="text" size="4" maxlength="4" value="{$suffix}"/></td></tr>
							<tr><td>personal email:<xsl:call-template name="ico_req"/></td><td><input name="EMAIL" type="text" size="28" maxlength="50" value="{$email}" id="r"/></td></tr>
				</table>
				<xsl:call-template name="endTable"/>

				<xsl:call-template name="strTable"><xsl:with-param name="title">Home Address</xsl:with-param></xsl:call-template>
				<table width="280"  cellspacing="0" cellpadding="1"  border="0">
						<tr ctrlrow=""><td width="120"></td><td></td></tr>
						<tr><td>address 1:</td>	<td><input name="STREET_1" type="text" size="28" maxlength="30" value="{$street_1}"/></td></tr>
						<tr><td>address 2:</td><td><input name="STREET_2" type="text" size="28" maxlength="30" value="{$street_2}"/></td></tr>
						<tr><td>city:</td><td><input name="CITY"  type="text" size="28" maxlength="50" value="{$city}"/></td></tr>
						<tr><td>state:</td><td><input name="STATE"  type="text" size="28" maxlength="50" value="{$state}"/></td></tr>
						<tr><td>zip:</td><td><input name="ZIP"  type="text" size="28" maxlength="12" value="{$zip}"/></td></tr>
				</table>
				<xsl:call-template name="endTable"/>
			
				<xsl:call-template name="strTable"><xsl:with-param name="title">Work Address</xsl:with-param></xsl:call-template>
				<table width="280"  cellspacing="0" cellpadding="1"  border="0">
					<tr ctrlrow=""><td width="120"></td><td></td></tr>
					<tr><td>company:<xsl:call-template name="ico_req"/></td>	<td><input name="COMPANY_NAME" type="text" size="28" maxlength="32" value="{$company_name}" id="r"/></td></tr>
					<tr><td>address 1:</td><td><input name="STREET_1_WORK" type="text" size="28" maxlength="30" value="{$street_1_work}"/></td></tr>
					<tr><td>address 2:</td><td><input name="STREET_2_WORK" type="text" size="28" maxlength="30" value="{$street_2_work}"/></td></tr>
					<tr><td>city:</td><td><input name="CITY_WORK"  type="text" size="28" maxlength="50" value="{$city_work}"/></td></tr>
					<tr><td>state:</td><td><input name="STATE_WORK"  type="text" size="28" maxlength="50" value="{$state_work}"/></td></tr>
					<tr><td>zip:</td><td><input name="ZIP_WORK"  type="text" size="28" maxlength="10" value="{$zip_work}"/></td></tr>
				</table>
				<xsl:call-template name="endTable"/>

				<xsl:call-template name="strTable"><xsl:with-param name="title">Phone numbers</xsl:with-param></xsl:call-template>
				<table width="280"  cellspacing="0" cellpadding="1"  border="0">
					<tr ctrlrow=""><td width="120"></td><th><h5>City/Area Code</h5></th><th><h5>Phone Number</h5></th><th><h5>Ext.</h5></th></tr>
					<tr><td valign="top">home phone:</td><td colspan="3"><input name="PHONE_CODE" type="text" size="9" maxlength="4" value="{$phone_code}"/><input name="PHONE" type="text" size="12" maxlength="30" value="{$phone}"/><input name="PHONE_EXT" type="text" size="2" maxlength="10" value="{$phone_ext}"/></td></tr>
					<tr><td valign="top">work phone:</td><td colspan="3"><input name="PHONE_CODE_WORK" type="text" size="9" maxlength="4" value="{$phone_code_mobile}"/><input name="PHONE_WORK" type="text" size="12" maxlength="30" value="{$phone_work}"/><input name="PHONE_EXT_WORK" type="text" size="2" maxlength="10" value="{$phone_ext_work}"/></td></tr>
					<tr><td valign="top">mobile phone:</td><td colspan="3"><input name="PHONE_CODE_MOBILE" type="text" size="9" maxlength="4" value="{$phone_code_mobile}"/><input name="PHONE_MOBILE" type="text" size="12" maxlength="30" value="{$phone_mobile}"/><input name="PHONE_EXT_MOBILE" type="text" size="2" maxlength="10" value="{$phone_ext_mobile}"/></td></tr>
				</table>
				<xsl:call-template name="endTable"/>
				
				<xsl:call-template name="strTable"><xsl:with-param name="title">Passport</xsl:with-param></xsl:call-template>
				<table width="280"  cellspacing="0" cellpadding="1"  border="0">
					<tr ctrlrow=""><td width="120"></td><td></td></tr>
				  <tr><td>issuing country:</td><td>
						<xsl:call-template name='select'>
							<xsl:with-param name="value" select="$pass_country"/>
							<xsl:with-param name="name" select="string('PASS_COUNTRY')"/>
							<xsl:with-param name="nodes" select="d/country"/>
						</xsl:call-template>				  	
				  </td></tr>
				  <tr><td>expiration date:</td><td><input name="PASS_EXP_DATE" type="text" size="28" maxlength="15" value="{$pass_exp_date}"/><h5>use this format- mm/dd/yyyy</h5></td></tr>
				  <tr><td>number:</td><td><input name="PASS_NUMBER" type="text" size="28" maxlength="20" value="{$pass_number}"/></td></tr>
				</table>
				<xsl:call-template name="endTable"/>
	
				<xsl:call-template name="strTable"><xsl:with-param name="title">Credit Card Information</xsl:with-param></xsl:call-template>
					<table width="280"  cellspacing="0" cellpadding="1"  border="0">
						<tr ctrlrow=""><td width="120"></td><td></td></tr>
						<tr><td>type:</td><td>
							<xsl:call-template name='select'><xsl:with-param name="value" select="$cc_type"/><xsl:with-param name="name" select="string('CC_TYPE')"/><xsl:with-param name="nodes" select="d/credit_card"/></xsl:call-template>				  	
						</td></tr>
						<tr><td>number:</td><td><input name="CC_NUMBER" type="text" size="28" maxlength="16">
						<xsl:attribute name="value">
						<xsl:choose>
							<xsl:when test="($RoID=3)"><xsl:value-of select="$cc_number"/></xsl:when>
							<xsl:when test="($cc_number!='')">************<xsl:value-of select="substring($cc_number, 13)"/></xsl:when>
						</xsl:choose>
						</xsl:attribute></input>
						</td></tr>
						<tr><td>expiration date:</td><td><input name="CC_EXP_DATE" format="mm/yy" type="text" size="28" maxlength="5" value="{$cc_exp_date}"/><h5>use this format - mm/yy</h5></td></tr>
					</table>
				<xsl:call-template name="endTable"/>

</td><td width="15"></td><td valign="top">

				<xsl:call-template name="strTable"><xsl:with-param name="title">Air Preferences</xsl:with-param><xsl:with-param name="width" select="340"/></xsl:call-template>
				<table width="280"  cellspacing="0" cellpadding="1"  border="0">
						<tr ctrlrow=""><td width="120"></td><td></td><td></td></tr>
						<tr><td valign="top">meal preference:</td><td colspan="2"><select name="AIRLINE_MEAL"><option value="">(No special request)</option><option value="CHML">Child's meal	</option><option value="DBML">Diabetic meal</option><option value="KSML">Kosher meal </option><option value="LSML">Low sodium meal </option><option value="LFML">Lowfat meal </option><option value="VGML">Vegetarian, non-dairy </option></select><h5>All special meals may not be offered on all Airlines</h5></td></tr>
						<tr><td>Seat Preference:</td><td colspan="2">
						<input type="radio" id="aisle" name="AIRLINE_SEAT_WINDOW" value="A"><xsl:if test="$airline_seat_window='A'"><xsl:attribute name="checked"/></xsl:if></input><label for="aisle">Aisle</label>
						<input type="radio" id="window" name="AIRLINE_SEAT_WINDOW" value="W"><xsl:if test="$airline_seat_window='W'"><xsl:attribute name="checked"/></xsl:if></input><label for="window">Window</label><br/>
						<input type="radio" id="forward" name="AIRLINE_SEAT" value="F"><xsl:if test="$airline_seat='F'"><xsl:attribute name="checked"/></xsl:if></input><label for="forward">Forward Of Wing</label>
						<input type="radio" id="rear" name="AIRLINE_SEAT" value="R"><xsl:if test="$airline_seat='R'"><xsl:attribute name="checked"/></xsl:if></input><label for="rear">Rear Of Wing</label>
					</td></tr>
					<tr><td><br/></td></tr>
					<tr ctrlrow=""><td width="120"></td><td><h5>airline</h5></td><td><h5>frequent flyer number</h5></td></tr>
					<tr><td rowspan="8" valign="top">membership numbers:
				 </td><td><select name="AIRLINE_NAME_1" style="width:135px;"><option/><xsl:for-each select="/d/airline/rr/r"><option value="{@a}"><xsl:if test="$airline_name_1=@a"><xsl:attribute name="selected"/></xsl:if><xsl:value-of select="@b"/></option></xsl:for-each></select></td><td><input name="AIRLINE_MEM_NUMBER_1" type="text" size="15" maxlength="22" value="{$airline_mem_number_1}"/></td></tr>
					<tr><td><select name="AIRLINE_NAME_2" style="width:135px;"><option/><xsl:for-each select="/d/airline/rr/r"><option value="{@a}"><xsl:if test="$airline_name_2=@a"><xsl:attribute name="selected"/></xsl:if><xsl:value-of select="@b"/></option></xsl:for-each></select></td><td><input name="AIRLINE_MEM_NUMBER_2" type="text" size="15" maxlength="22" value="{$airline_mem_number_2}"/></td></tr>
					<tr><td><select name="AIRLINE_NAME_3" style="width:135px;"><option/><xsl:for-each select="/d/airline/rr/r"><option value="{@a}"><xsl:if test="$airline_name_3=@a"><xsl:attribute name="selected"/></xsl:if><xsl:value-of select="@b"/></option></xsl:for-each></select></td><td><input name="AIRLINE_MEM_NUMBER_3" type="text" size="15" maxlength="22" value="{$airline_mem_number_3}"/></td></tr>
					<tr><td><select name="AIRLINE_NAME_4" style="width:135px;"><option/><xsl:for-each select="/d/airline/rr/r"><option value="{@a}"><xsl:if test="$airline_name_4=@a"><xsl:attribute name="selected"/></xsl:if><xsl:value-of select="@b"/></option></xsl:for-each></select></td><td><input name="AIRLINE_MEM_NUMBER_4" type="text" size="15" maxlength="22" value="{$airline_mem_number_4}"/></td></tr>
					<tr><td><select name="AIRLINE_NAME_5" style="width:135px;"><option/><xsl:for-each select="/d/airline/rr/r"><option value="{@a}"><xsl:if test="$airline_name_5=@a"><xsl:attribute name="selected"/></xsl:if><xsl:value-of select="@b"/></option></xsl:for-each></select></td><td><input name="AIRLINE_MEM_NUMBER_5" type="text" size="15" maxlength="22" value="{$airline_mem_number_5}"/></td></tr>
					<tr><td><select name="AIRLINE_NAME_6" style="width:135px;"><option/><xsl:for-each select="/d/airline/rr/r"><option value="{@a}"><xsl:if test="$airline_name_6=@a"><xsl:attribute name="selected"/></xsl:if><xsl:value-of select="@b"/></option></xsl:for-each></select></td><td><input name="AIRLINE_MEM_NUMBER_6" type="text" size="15" maxlength="22" value="{$airline_mem_number_6}"/></td></tr>
				</table>
				<xsl:call-template name="endTable"/>

				<xsl:call-template name="strTable"><xsl:with-param name="title">Car Preferences</xsl:with-param><xsl:with-param name="width" select="340"/></xsl:call-template>
				<table width="280"  cellspacing="0" cellpadding="1"  border="0">
					<tr><td valign="top">preferred car type</td><td colspan="2"><select name="CAR_TYPE"><option/><option value="ECAR">Economy</option><option value="CCAR">Compact</option><option value="ICAR">Intermediate</option><option value="FCAR">Fullsize</option><option value="LCAR">Luxury</option></select></td></tr>
					<tr ctrlrow=""><td width="120"></td><td><h5>car company</h5></td><td><h5>personal id number</h5></td></tr>
					<tr><td rowspan="6">membership numbers:</td><td><select name="CAR_NAME_1" style="width:135px;"><option/><xsl:for-each select="/d/car_company/rr/r"><option value="{@a}"><xsl:if test="$car_name_1=@a"><xsl:attribute name="selected"/></xsl:if><xsl:value-of select="@b"/></option></xsl:for-each></select></td><td><input name="CAR_MEM_NUMBER_1" type="text" size="15" maxlength="15" value="{$car_mem_number_1}"/></td></tr>
					<tr><td><select name="CAR_NAME_2" style="width:135px;"><option/><xsl:for-each select="/d/car_company/rr/r"><option value="{@a}"><xsl:if test="$car_name_2=@a"><xsl:attribute name="selected"/></xsl:if><xsl:value-of select="@b"/></option></xsl:for-each></select></td><td><input name="CAR_MEM_NUMBER_2" type="text" size="15" maxlength="15" value="{$car_mem_number_2}"/></td></tr>
					<tr><td><select name="CAR_NAME_3" style="width:135px;"><option/><xsl:for-each select="/d/car_company/rr/r"><option value="{@a}"><xsl:if test="$car_name_3=@a"><xsl:attribute name="selected"/></xsl:if><xsl:value-of select="@b"/></option></xsl:for-each></select></td><td><input name="CAR_MEM_NUMBER_3" type="text" size="15" maxlength="15" value="{$car_mem_number_3}"/></td></tr>
					<tr><td><select name="CAR_NAME_4" style="width:135px;"><option/><xsl:for-each select="/d/car_company/rr/r"><option value="{@a}"><xsl:if test="$car_name_4=@a"><xsl:attribute name="selected"/></xsl:if><xsl:value-of select="@b"/></option></xsl:for-each></select></td><td><input name="CAR_MEM_NUMBER_4" type="text" size="15" maxlength="15" value="{$car_mem_number_4}"/></td></tr>
					<tr><td><select name="CAR_NAME_5" style="width:135px;"><option/><xsl:for-each select="/d/car_company/rr/r"><option value="{@a}"><xsl:if test="$car_name_5=@a"><xsl:attribute name="selected"/></xsl:if><xsl:value-of select="@b"/></option></xsl:for-each></select></td><td><input name="CAR_MEM_NUMBER_5" type="text" size="15" maxlength="15" value="{$car_mem_number_5}"/></td></tr>
					<tr><td><select name="CAR_NAME_6" style="width:135px;"><option/><xsl:for-each select="/d/car_company/rr/r"><option value="{@a}"><xsl:if test="$car_name_6=@a"><xsl:attribute name="selected"/></xsl:if><xsl:value-of select="@b"/></option></xsl:for-each></select></td><td><input name="CAR_MEM_NUMBER_6" type="text" size="15" maxlength="15" value="{$car_mem_number_6}"/></td></tr>
				</table>
				<xsl:call-template name="endTable"/>

				<xsl:call-template name="strTable"><xsl:with-param name="title">Hotel Preferences</xsl:with-param><xsl:with-param name="width" select="340"/></xsl:call-template>
				<table width="280"  cellspacing="0" cellpadding="1"  border="0">
					<tr><td valign="top">non-smoking room:</td><td colspan="2"><input type="checkbox" value="Y" name="HOTEL_NON_SMOKING"><xsl:if test="$hotel_non_smoking='Y'"><xsl:attribute name="checked"/></xsl:if></input></td></tr>
					<tr><td valign="top">room type:</td><td colspan="2">
					<select name="HOTEL_ROOM_TYPE"><option value="DBL">Double</option><option value="KING">King</option><option value="QUEE">Queen</option><option value="ROH">Run-of-house</option><option value="SING">Single</option></select>
					</td></tr>
					<tr ctrlrow=""><td width="120"></td><td><h5>hotel chain</h5></td><td><h5>personal id number</h5></td></tr>
					<tr><td rowspan="6">membership numbers:</td><td><select name="HOTEL_NAME_1" style="width:135px;"><option/><xsl:for-each select="/d/hotel/rr/r"><option value="{@a}"><xsl:if test="$hotel_name_1=@a"><xsl:attribute name="selected"/></xsl:if><xsl:value-of select="@b"/></option></xsl:for-each></select></td><td><input name="HOTEL_MEM_NUMBER_1" type="text" size="15" maxlength="17" value="{$hotel_mem_number_1}"/></td></tr>
					<tr><td><select name="HOTEL_NAME_2" style="width:135px;"><option/><xsl:for-each select="/d/hotel/rr/r"><option value="{@a}"><xsl:if test="$hotel_name_2=@a"><xsl:attribute name="selected"/></xsl:if><xsl:value-of select="@b"/></option></xsl:for-each></select></td><td><input name="HOTEL_MEM_NUMBER_2" type="text" size="15" maxlength="17" value="{$hotel_mem_number_2}"/></td></tr>
					<tr><td><select name="HOTEL_NAME_3" style="width:135px;"><option/><xsl:for-each select="/d/hotel/rr/r"><option value="{@a}"><xsl:if test="$hotel_name_3=@a"><xsl:attribute name="selected"/></xsl:if><xsl:value-of select="@b"/></option></xsl:for-each></select></td><td><input name="HOTEL_MEM_NUMBER_3" type="text" size="15" maxlength="17" value="{$hotel_mem_number_3}"/></td></tr>
					<tr><td><select name="HOTEL_NAME_4" style="width:135px;"><option/><xsl:for-each select="/d/hotel/rr/r"><option value="{@a}"><xsl:if test="$hotel_name_4=@a"><xsl:attribute name="selected"/></xsl:if><xsl:value-of select="@b"/></option></xsl:for-each></select></td><td><input name="HOTEL_MEM_NUMBER_4" type="text" size="15" maxlength="17" value="{$hotel_mem_number_4}"/></td></tr>
					<tr><td><select name="HOTEL_NAME_5" style="width:135px;"><option/><xsl:for-each select="/d/hotel/rr/r"><option value="{@a}"><xsl:if test="$hotel_name_5=@a"><xsl:attribute name="selected"/></xsl:if><xsl:value-of select="@b"/></option></xsl:for-each></select></td><td><input name="HOTEL_MEM_NUMBER_5" type="text" size="15" maxlength="17" value="{$hotel_mem_number_5}"/></td></tr>
					<tr><td><select name="HOTEL_NAME_6" style="width:135px;"><option/><xsl:for-each select="/d/hotel/rr/r"><option value="{@a}"><xsl:if test="$hotel_name_6=@a"><xsl:attribute name="selected"/></xsl:if><xsl:value-of select="@b"/></option></xsl:for-each></select></td><td><input name="HOTEL_MEM_NUMBER_6" type="text" size="15" maxlength="17" value="{$hotel_mem_number_6}"/></td></tr>
				</table>
				<xsl:call-template name="endTable"/>
				
				<xsl:call-template name="strTable"><xsl:with-param name="title">Additional Comments:</xsl:with-param><xsl:with-param name="width" select="340"/></xsl:call-template>
				<textarea name="COMMENTS" style="width:315px; height:150px;"><xsl:value-of select="$comments"/></textarea>
				<xsl:call-template name="endTable"/>
		</td>
	</tr>
</table>
	<script>
		f=document.forms['frm'];
		f.PREFIX.value='<xsl:value-of select="$prefix"/>';
		f.HOTEL_ROOM_TYPE.value='<xsl:value-of select="$hotel_room_type"/>';
		f.AIRLINE_MEAL.value='<xsl:value-of select="$airline_meal"/>';
		f.CAR_TYPE.value='<xsl:value-of select="$car_type"/>';
	</script>
	</form>
		<xsl:call-template name="Navigation">
			<xsl:with-param name="Buttons">
			<xsl:if test="$RoID=3">
				<button onclick="document.location='list?o={$o}&amp;s={$s}&amp;pn={$pn}&amp;sti={$sti}'" name="btnList" ><u>B</u>ack to List</button>
			</xsl:if>
			<button><xsl:attribute name="onclick"><xsl:choose><xsl:when test="$travel_profile_id!=''">execUpdate()</xsl:when><xsl:otherwise>execInsert();</xsl:otherwise></xsl:choose></xsl:attribute> <u>S</u>ave/send travel profile</button>
			<button onclick="execGoto('detail?o=travel_profile&amp;p=y&amp;oid={$login_user_id}&amp;sti={$sti}&amp;s={$s}','',true)"><u>P</u>rint preview</button>
		</xsl:with-param>
	</xsl:call-template>
</xsl:template>

</xsl:stylesheet>



