<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:ms="urn:schemas-microsoft-com:xslt" xmlns:msxsl='urn:schemas-microsoft-com:xslt' xmlns:js='http://www.atttitude.com/jsnamespace'>
<xsl:output method="html" version="1.0" encoding="UTF-8" indent="yes"/>
[include_out_helpers_list]

	<xsl:template match="/">
			<table cellspacing="0" cellpadding="0" width="100%" border="0" id="list">
				<thead><tr><xsl:apply-templates select="/d/oo/hh/h"/></tr></thead>
				<xsl:for-each select="/d/rr/r[position()&lt;$ps+1]">
					<tr id="{@a}" onmouseover="_appstyle(this,'lst3', 'over')" onclick="_appstyle(this);" ondblclick="execSearchExpr('accounting_info', '&lt;w>&lt;f n=\'p.client_id\'>' + document.forms['frm'].oid.value + '&lt;/f>&lt;/w>&lt;w b=\'status\'>&lt;f n=\'tts.calc_user_status(t.login_user_id)\'>Hired&lt;/f>&lt;/w>')" onmouseout="_appstyle(this,'lst1', 'out')" valign="center">
						<th><span><xsl:value-of select="position() + $ps*(number($pn)-1)"/></span></th>
						<xsl:apply-templates select="@*[position()!=1 and position()&lt;last()]"/>
					</tr>
				</xsl:for-each>
			</table>
				<xsl:call-template name="Navigation">
					<xsl:with-param name="Title" select="string('Client list')"/>
					<xsl:with-param name="ObjectName" select="string('accounting_info')"/>
					<xsl:with-param name="addAction" select="string('&amp;sc=t.up_last_name')"/>
					<xsl:with-param name="Buttons">
						<xsl:choose>
							<xsl:when test="/d/rr/r/@f='Y'">
								<button onclick="changeListXML('{$o}','t.active\'>Y&lt;/f>', 't.active\'>N&lt;/f>', 'list?o={$o}&amp;sc=t.client_id&amp;sti={$sti}&amp;s={$s}');" name="btnList"><u>I</u>nactive Clients</button>
							</xsl:when>
							<xsl:otherwise>
								<button onclick="changeListXML('{$o}','t.active\'>N&lt;/f>', 't.active\'>Y&lt;/f>', 'list?o={$o}&amp;sc=t.client_id&amp;sti={$sti}&amp;s={$s}');" name="btnList"><u>A</u>ctive Clients</button>
							</xsl:otherwise>
						</xsl:choose>
						<button onclick="document.cookie='xml_list{$o}=' + escape(document.forms['frmXML'].xml.value);execSearchExpr('{$o}', '&lt;w>&lt;f n=\'p.client_id\'>' + document.forms['frm'].oid.value + '&lt;/f>&lt;/w>&lt;w b=\'status\'>&lt;f n=\'tts.calc_user_status(t.login_user_id)\'>Hired&lt;/f>&lt;/w>')" name="btnEdit1" disabled=""><u>E</u>mployees Accounting Information</button>
				</xsl:with-param>
			</xsl:call-template>
	</xsl:template>
</xsl:stylesheet>