<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:ms="urn:schemas-microsoft-com:xslt" xmlns:msxsl='urn:schemas-microsoft-com:xslt' xmlns:js='http://www.atttitude.com/jsnamespace'>
<xsl:output method="html" version="1.0" encoding="UTF-8" indent="yes"/>
[include_out_helpers_list]

<xsl:template match="/">
	<table id="list" cellspacing="1" cellpadding="0" width="100%" border="0">
		<thead><tr><xsl:apply-templates select="/d/oo/hh/h"/></tr></thead>
		<xsl:for-each select="/d/rr/r[position()&lt;$ps+1]">
			<xsl:variable name="class">lst<xsl:value-of select="floor(position() mod 2)"/></xsl:variable>
			<tr id="{@a}" onmouseover="_appstyle(this,'lst3', 'over')" onclick="_appstyle(this);" onmouseout="_appstyle(this,'lst1', 'out')" valign="center" ondblclick="execDetail('{$o}')">
				<th class="{$class}"><span><xsl:value-of select="position() + $ps*(number($pn)-1)"/></span></th>
				<xsl:apply-templates select="@*[position()>1 and position()&lt;(last()-4)]"/>
				<td class="{$class}">&#160;</td>
			</tr>
		</xsl:for-each>
	</table>
	<xsl:call-template name="Navigation">
		<xsl:with-param name="addAction" select="concat('&amp;oid=',$oid)"/>
		<xsl:with-param name="Title" select="concat('Accounting Information Archive - ', /d/rr/r/@*[position()=count(key('field','LOGIN_USER_NAME')/preceding-sibling::*)+1]  )"/>
		<xsl:with-param name="Buttons">
			<xsl:if test="$RoID=3"><button onclick="document.forms['frm'].action='list?s={$s}&amp;sti={$sti}&amp;pn=1&amp;o=accounting_info@client&amp;sc=t.client_id'; document.forms['frm'].submit();" name="btnList" ><u>B</u>ack to Clients List</button></xsl:if>
			<button name="btnEdit3" onclick="document.forms['frm'].oid.value={$oid};execDetail('accounting_info')">Current <u>A</u>ccounting Information</button>
			<button name="btnEdit1" onclick="execDetail('{$o})" disabled=""><u>V</u>iew Archive</button>
		</xsl:with-param>
	</xsl:call-template>
</xsl:template>
</xsl:stylesheet>