<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:ms="urn:schemas-microsoft-com:xslt" xmlns:msxsl='urn:schemas-microsoft-com:xslt' xmlns:js='http://www.atttitude.com/jsnamespace'>
<xsl:output method="html" version="1.0" encoding="UTF-8" indent="yes"/>
[include_out_helpers_list]

<xsl:template match="/">
	<table cellspacing="0" cellpadding="0" width="100%" border="0" id="list">
		<form name="frm1" onsubmit="return false">
			<thead><tr><xsl:apply-templates select="/d/oo/hh/h"/></tr></thead>
				<xsl:for-each select="/d/rr/r[position()&lt;$ps+1]">
					<xsl:variable name="class">lst<xsl:value-of select="floor(position() mod 2)"/></xsl:variable>
					<tr id="{@a}" onmouseover="_appstyle(this,'lst3', 'over')" onmouseout="_appstyle(this,'lst1', 'out')" valign="center">
						<th><span><xsl:value-of select="position() + $ps*(number($pn)-1)"/><input type="hidden" value="{@a}" id="id" name="LOGIN_USER_ID"/></span></th>
						<xsl:apply-templates select="@*[position()>1 and position()&lt;last()-3]"/>
						<td class="{$class}" align="center">
							<xsl:variable name="w4"><xsl:apply-templates select="@*[position()=count(/d/cc/c[.='EMAIL_NOTIFICATION_W4']/preceding-sibling::*)+1]"/></xsl:variable>
							<input type="checkbox" value="Y" name="EMAIL_NOTIFICATION_W4_{@a}" class="checkbox"><xsl:if test="$w4='Y'"><xsl:attribute name="checked"/></xsl:if></input>
						</td>
						<td class="{$class}" align="center">
							<xsl:variable name="ira"><xsl:apply-templates select="@*[position()=count(/d/cc/c[.='EMAIL_NOTIFICATION_IRA']/preceding-sibling::*)+1]"/></xsl:variable>
							<input type="checkbox" value="Y" name="EMAIL_NOTIFICATION_IRA_{@a}" class="checkbox"><xsl:if test="$ira='Y'"><xsl:attribute name="checked"/></xsl:if></input>
						</td>
						<td class="{$class}" align="center">
							<xsl:variable name="po"><xsl:apply-templates select="@*[position()=count(/d/cc/c[.='EMAIL_NOTIFICATION_PO']/preceding-sibling::*)+1]"/></xsl:variable>
							<input type="checkbox" value="Y" name="EMAIL_NOTIFICATION_PO_{@a}" class="checkbox"><xsl:if test="$po='Y'"><xsl:attribute name="checked"/></xsl:if></input>
						</td>
					</tr>
				</xsl:for-each>
		</form>
	</table>
	
	<script>
		function gatherFields(){
			var xml='';s='';
			var f1=document.forms['frm1'];
			var fXML=document.forms['fXML'];
			if(f1){
				for(i=0; i&lt;f1.elements.length; i++){
						s='';
						e=f1.elements[i];
						if(e.id!='id') continue;
						var e_w4=f1.elements['EMAIL_NOTIFICATION_W4_'+e.value];
						if(e_w4.checked!=e_w4.defaultChecked) s='&lt;w c="EMAIL_NOTIFICATION_W4">'+(e_w4.checked?'Y':'N')+'&lt;/w>';
						var e_ira=f1.elements['EMAIL_NOTIFICATION_IRA_'+e.value];
						if(e_ira.checked!=e_ira.defaultChecked) s+='&lt;w c="EMAIL_NOTIFICATION_IRA">'+(e_ira.checked?'Y':'N')+'&lt;/w>';
						var e_po=f1.elements['EMAIL_NOTIFICATION_PO_'+e.value];
						if(e_po.checked!=e_po.defaultChecked) s+='&lt;w c="EMAIL_NOTIFICATION_PO">'+(e_po.checked?'Y':'N')+'&lt;/w>';
						if(s!='')xml+='&lt;s a="u">&lt;w c="LOGIN_USER_ID" k="">' +e.value+ '&lt;/w>' + s + '&lt;/s>\n'
				}
				if(xml=='')alert('No changes!');
				f.xmll.value=xml;f.action='update' + f.action + '&amp;o=email_notification&amp;ol=login_user&amp;sc=t.login_user_id';f.submit();xml='';
			}			
		}
	</script>
	<xsl:call-template name="Navigation">
		<xsl:with-param name="addAction" select="string('&amp;sc=t.login_user_id')"/>
		<xsl:with-param name="Title" select="concat($oa, ' list')"/>
		<xsl:with-param name="Buttons">
			<button onclick="gatherFields()" name="btnSave"><u>S</u>ave Changes</button>
		</xsl:with-param>
	</xsl:call-template>
</xsl:template>
</xsl:stylesheet>