<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:ms="urn:schemas-microsoft-com:xslt" xmlns:msxsl='urn:schemas-microsoft-com:xslt' xmlns:js='http://www.atttitude.com/jsnamespace'>
<xsl:output method="html" version="1.0" encoding="UTF-8" indent="yes"/>
[include_out_helpers_list]

<xsl:template match="/">
		<table id="list" cellspacing="0" cellpadding="0" width="100%" border="0">
			<thead><tr><xsl:apply-templates select="/d/oo/hh/h"/></tr></thead>
			<xsl:for-each select="/d/rr/r[position()&lt;$ps+1]">
				<xsl:variable name="class">lst<xsl:value-of select="floor(position() mod 2)"/></xsl:variable>
				<xsl:variable name='isSubmitted' select="@*[position()=count(key('field','SUBMITTED')/preceding-sibling::*)+1]='Y'"/>
				<xsl:variable name='isApproved' select="@*[position()=count(key('field','APPROVED')/preceding-sibling::*)+1]='Y'"/>
				<xsl:variable name='isProcessed' select="@*[position()=count(key('field','PROCESSED')/preceding-sibling::*)+1]='Y'"/>
				<xsl:variable name='status' select="@*[position()=count(key('field','STATUS')/preceding-sibling::*)+1]"/>
				<xsl:variable name='login_user_id' select="@*[position()=count(key('field','LOGIN_USER_ID')/preceding-sibling::*)+1]"/>
				<tr id="{@a}" onmouseover="_appstyle(this,'lst3', 'over')" onclick="_appstyle(this);" ondblclick="execDetail('{$o}')" onmouseout="_appstyle(this,'lst1', 'out')" valign="center">
					<th><span><xsl:value-of select="position() + $ps*(number($pn)-1)"/></span></th>
					<xsl:apply-templates select="@*[position()>1 and position()&lt;7]"/>
					<td class="{$class}" align="right"><xsl:value-of select="format-number(@g,$FormatCrs,'non')"/></td>
					<td class="{$class}" align="right">
						<xsl:value-of select="$status"/>&#160;&#160;&#160;&#160;&#160;
						<xsl:if test="$UsID=$login_user_id"><xsl:if test="not($isSubmitted)"><button name="SUBMITTED" id="{@a}" onclick="post(this)" style="width:70px">submit</button></xsl:if></xsl:if>
						<xsl:if test="$RoID=2 or $RoID=3 or $RoID=4"><xsl:if test="$isSubmitted and not($isApproved)"><button name="APPROVED" id="{@a}"  style="width:70px" onclick="post(this)">approve</button></xsl:if></xsl:if>
						<xsl:if test="$RoID=3"><xsl:if test="$isSubmitted and $isApproved and not($isProcessed)"><button name="PROCESSED" id="{@a}"  style="width:70px" onclick="post(this)">process</button></xsl:if></xsl:if>
					</td>
				</tr>
			</xsl:for-each>
		</table>
		<script>
			function post(btn){
				f=document.forms['frm'];
				f.xml.value='<w c="exp_statement_id"  k="">'+btn.id+'</w><w c="'+btn.name+'" >Y</w>';	f.action='update'+f.action+'&amp;o=<xsl:value-of select="$o"/>';	f.submit();
			}
		</script>
		<xsl:call-template name="Navigation">
			<xsl:with-param name="addAction" select="string('&amp;sc=t.login_user_id&amp;c=m')"/>
			<xsl:with-param name="Title" select="concat($oa, ' list')"/>
			<xsl:with-param name="Buttons">
				<xsl:if test="$RoID!=2 and $RoID!=4"><button onclick="javascript:execDetail('{$o}',true)" id="np" name="btnNew"><u>A</u>dd</button></xsl:if>
				<button onclick="javascript:execDetail('exp_statement')" name="btnEdit" disabled="" >View \ <u>e</u>dit details</button>
				<button onclick="javascript:execDelete('exp_statement', true)" name="btnDelete" disabled=""><u>D</u>elete</button>
				<button onclick="javascript:execGoto('detail?o={$o}&amp;oid=' + document.forms['frm'].oid.value + '&amp;sti={$sti}&amp;p=y&amp;s={$s}&amp;pn={$pn}','',true)"  name="btnEdit1" disabled=""> <u>P</u>rint</button>
			</xsl:with-param>
	</xsl:call-template>
</xsl:template>
</xsl:stylesheet>