<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:ms="urn:schemas-microsoft-com:xslt" xmlns:msxsl='urn:schemas-microsoft-com:xslt' xmlns:js='http://www.atttitude.com/jsnamespace'>
<xsl:output method="html" version="1.0" encoding="UTF-8" indent="yes"/>
[include_out_helpers_list]

<xsl:template match="/">
	<xsl:if test="$RoID=3">
		<form name="frm1" onsumbit="return false;">
		<table id="list" cellspacing="0" cellpadding="0" width="100%" border="0">
			<thead><tr><xsl:apply-templates select="/d/oo/hh/h"/></tr></thead>
			<tbody id="tbody_records">
				<xsl:for-each select="/d/rr/r[(@a='')]"><xsl:sort select="(@g)" data-type="text" order="ascending"/><xsl:variable name="cls" select="concat('lst',position() mod 2)"/>
					<tr id="{@b}" onmouseover="_appstyle(this,'lst3', 'over')" onclick="_appstyle(this);"  onmouseout="_appstyle(this,'lst1', 'out')">
						<th><span><xsl:value-of select="position()"/></span></th>
						<xsl:apply-templates select="@*[position()>1]"><xsl:with-param name="row_id" select="@b"/></xsl:apply-templates>
						<td class="{$cls}"/>
					</tr>
				</xsl:for-each>
				<tr>
					<td colspan="8" align="right"><b>Total: </b></td>
					<xsl:if test="not(/d/privileges/d/rr/r[@a='WORKED_HOURS']/@b='N')"><td align="right"><b><xsl:value-of select="format-number(sum(/d/rr/r[@a='']/@i),$FormatHour,'non')"/></b></td></xsl:if>
					<xsl:if test="not(/d/privileges/d/rr/r[@a='INVOICED_HOURS']/@b='N')"><td align="right"><b><xsl:value-of select="format-number(sum(/d/rr/r[@a='']/@j),$FormatHour,'non')"/></b></td></xsl:if>
					<td/>
					<xsl:if test="not(/d/privileges/d/rr/r[@a='INVOICED_AMOUNT']/@b='N')"><td align="right"><b><xsl:value-of select="format-number(sum(/d/rr/r[@a='']/@l),concat('$',$FormatCrs),'non')"/></b></td></xsl:if>
					<td/>
				</tr>
			</tbody>
		</table><br/>
		<center><button onclick="gatherData()" accesskey="c" name="btnNew"><u>C</u>reate Invoices</button></center><br/>
	</form>
<script>
	function gatherData(){
		var errmsg="", xml="", e_hours=0, e_start_date, e_end_date, e_invoiced_date, e_bill_rate,check;
		var f1=document.forms['frm1'];
		listRcds=document.getElementById('tbody_records');
		for(i=0; i &lt; listRcds.rows.length-1; i++){
			if(errmsg!='') break;
			row=listRcds.rows[i];
			row_id=row.id;
			check=row.getElementsByTagName('input')[0];
			if (check)
			if(check.checked &amp;&amp; !check.disabled){
				e_hours=f1.elements('HOURS_'+row.id);
				e_invoice_num=f1.elements('INVOICE_NUM_'+row.id);
				e_invoiced_date=f1.elements('INVOICED_DATE_' + row.id);
				e_start_date=f1.elements('START_DATE_'+row.id);
				e_end_date=f1.elements('END_DATE_'+row.id);
				e_bill_rate=f1.elements('BILL_RATE_'+row.id);
				if(!validnum(e_invoice_num) || e_invoice_num.value=='' || !validnum(e_hours) || !validnum(e_bill_rate) || !validdate(e_invoiced_date) || !validdate(e_start_date) || !validdate(e_end_date) || f1.elements('PO_NUM_'+row.id).value==''){alert('Please enter valid data!'); return false;}
				xml+='<s a="i">'+
						 '<w c="INVOICE_ID" k=""/><w c="LOGIN_USER_ID">' + row.id + '</w><w c="INVOICE_NUM">' + e_invoice_num.value + '</w><w c="START_DATE">'+ e_start_date.value +'</w><w c="END_DATE">'+ e_end_date.value +'</w><w c="INVOICED_DATE">'+e_invoiced_date.value +'</w>'+
						 '<w c="PO_NUM">' + f1.elements('PO_NUM_'+row.id).value + '</w><w c="HOURS">'+ e_hours.value +'</w><w c="BILL_RATE">'+ e_bill_rate.value +'</w></s>\n';
			}
		}
		if(xml!=''){f.xmll.value=xml;f.action='update'+f.action + '&amp;o=invoice&amp;ol=invoice';f.submit();f.value='';}
		return true;
	}
		</script>
		

		<h2>Invoices</h2></xsl:if>
		<xsl:if test="(/d/privileges/d/rr/r/@b='V') or (/d/privileges/d/rr/r/@b='')">
			<table id="list" cellspacing="0" cellpadding="0" width="100%" border="0">
				<tr><xsl:apply-templates select="/d/oo/hh/h"/></tr>
				<xsl:for-each select="/d/rr/r[(@a!='')]">
					<xsl:sort select="(@g)" data-type="text" order="ascending"/><xsl:variable name="cls" select="concat('lst',position() mod 2)"/>
					<tr id="{@a}" onmouseover="_appstyle(this,'lst3', 'over')" onclick="_appstyle(this);"  onmouseout="_appstyle(this,'lst1', 'out')" ondblclick="execDetail('{$o}')" >
						<th><span><xsl:value-of select="position()"/></span></th>
						<xsl:apply-templates select="@*[position()>1]"><xsl:with-param name="ro" select="'Y'"/></xsl:apply-templates>
						<td class="{$cls}"/>
					</tr>
				</xsl:for-each>
				<tr>
					<td colspan="8" align="right"><b>Total: </b></td>
					<xsl:if test="not(/d/privileges/d/rr/r[@a='WORKED_HOURS']/@b='N')"><td align="right"><b><xsl:value-of select="format-number(sum(/d/rr/r[@a!='']/@i),$FormatHour,'non')"/></b></td></xsl:if>
					<xsl:if test="not(/d/privileges/d/rr/r[@a='INVOICED_HOURS']/@b='N')"><td align="right"><b><xsl:value-of select="format-number(sum(/d/rr/r[@a!='']/@j),$FormatHour,'non')"/></b></td></xsl:if>
					<td/>
					<xsl:if test="not(/d/privileges/d/rr/r[@a='INVOICED_AMOUNT']/@b='N')"><td align="right"><b><xsl:value-of select="format-number(sum(/d/rr/r[@a!='']/@l),concat('$',$FormatCrs),'non')"/></b></td></xsl:if>
					<td></td>
				</tr>
			</table>
		</xsl:if>

		<xsl:call-template name="Navigation">
			<xsl:with-param name="Title" select="concat($oa,' list')"/>
			<xsl:with-param name="addAction" select="string('&amp;c=c&amp;f=TRACK_DATE')"/>
			<xsl:with-param name="Buttons">
				<button onclick="document.location='search?o=invoice&amp;s={$s}&amp;sti={$sti}'" name="btnList"><u>B</u>ack to search</button>
				<xsl:choose>	
					<xsl:when test="$RoID=3">
						<button onclick="javascript:execDetail('{$o}')" name="btnEdit" disabled="" ><u>E</u>dit</button>
						<button onclick="javascript:execDelete('{$o}')" name="btnDelete"  disabled=""><u>D</u>elete</button>
					</xsl:when>
					<xsl:otherwise><button onclick="javascript:execDetail('{$o}')" name="btnEdit" disabled="" ><u>V</u>iew</button></xsl:otherwise>
				</xsl:choose>
			</xsl:with-param>
		</xsl:call-template>
	</xsl:template>
</xsl:stylesheet>