<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:ms="urn:schemas-microsoft-com:xslt" xmlns:msxsl='urn:schemas-microsoft-com:xslt' xmlns:js='http://www.atttitude.com/jsnamespace'>
<xsl:output method="html" version="1.0" encoding="UTF-8" indent="yes"/>
[include_out_helpers_list]

	<xsl:template match="/">
		<table id="list" cellspacing="0" cellpadding="0" width="100%" border="0">
			<thead><tr><xsl:apply-templates select="/d/oo/hh/h"/></tr></thead>
				<xsl:for-each select="/d/rr/r[position()&lt;$ps+1]">
					<xsl:variable name="class">lst<xsl:value-of select="floor(position() mod 2)"/></xsl:variable>
					<xsl:variable name="travel_prodile_id"><xsl:apply-templates select="@*[position()=count(/d/cc/c[.='TRAVEL_PROFILE_ID']/preceding-sibling::*)+1]"/></xsl:variable>
					<xsl:variable name="last_updated_date"><xsl:apply-templates select="@*[position()=count(/d/cc/c[.='LAST_UPDATED_DATE']/preceding-sibling::*)+1]"/></xsl:variable>
					<xsl:variable name="last_send_date"><xsl:apply-templates select="@*[position()=count(/d/cc/c[.='LAST_SEND_DATE']/preceding-sibling::*)+1]"/></xsl:variable>
					<tr id="{@a}" onmouseover="_appstyle(this,'lst3', 'over');" onclick="_appstyle(this);" onmouseout="_appstyle(this,'lst1', 'out'); " valign="center" ondblclick="execDetail('travel_profile')">
						<th><span><xsl:value-of select="position() + $ps*(number($pn)-1)"/></span></th>
						<xsl:apply-templates select="@*[position()!=last() and position()>1]"/>
						<td class="{$class}" align="center"><xsl:if test="$last_updated_date > $last_send_date"><img src="/tts/i/i/ico_flag.gif"/></xsl:if></td><td class="{$class}"/>
					</tr>
				</xsl:for-each>
		</table>
		<xsl:call-template name="Navigation">
			<xsl:with-param name="addAction" select="string('&amp;sc=t.login_user_id')"/>
			<xsl:with-param name="Title" select="string('Travel Profile list')"/>
			<xsl:with-param name="Buttons">
				<button name="btnEdit" disabled="" onclick="execDetail('travel_profile')"><u>E</u>dit travel profile</button>
			</xsl:with-param>
		</xsl:call-template>
	</xsl:template>
</xsl:stylesheet>