<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:ms="urn:schemas-microsoft-com:xslt" xmlns:msxsl='urn:schemas-microsoft-com:xslt' xmlns:js='http://www.atttitude.com/jsnamespace'>
<xsl:output method="html" version="1.0" encoding="UTF-8" indent="yes"/>
[include_out_helpers_list]
<xsl:template match="/">
		<table id="list" cellspacing="0" cellpadding="0" width="100%" border="0">
			<thead><tr><xsl:apply-templates select="/d/oo/hh/h"/></tr></thead>
			<xsl:for-each select="/d/rr/r[position()&lt;$ps+1]">
				<xsl:variable name="class">lst<xsl:value-of select="floor(position() mod 2)"/></xsl:variable>
				<tr id="{@a}" onmouseover="_appstyle(this,'lst3', 'over')" onclick="_appstyle(this);"  ondblclick="execDetail('{$o}')" onmouseout="_appstyle(this,'lst1', 'out')" valign="center">
					<th><span><xsl:value-of select="position() + $ps*(number($pn)-1)"/></span></th>
					<xsl:apply-templates select="@*[position()>1 and position()&lt;last()-1]"/>
				</tr>
			</xsl:for-each>
		</table>
		<xsl:call-template name="Navigation">
			<xsl:with-param name="addAction" select="string(concat('&amp;oid=', /d/rr/r/@i))"/>
			<xsl:with-param name="Title" select="concat($oa,' list')"/>
			<xsl:with-param name="Buttons">
				<xsl:if test="$RoID=3">
					<button onclick="document.location='list?o=login_user&amp;s={$s}&amp;pn={$pn}&amp;sti={$sti}'" name="btnList" ><u>B</u>ack to List</button>&#160;
				</xsl:if>
				<button name="btnEdit3" onclick="document.forms['frm'].oid.value={$oid};execDetail('w4info')">Current <u>W</u>-4 Info</button>
				<button onclick="execDetail('{$o}')" name="btnEdit" disabled="" ><u>V</u>iew</button> 
		</xsl:with-param>
	</xsl:call-template>
</xsl:template>
</xsl:stylesheet>