<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:ms="urn:schemas-microsoft-com:xslt" xmlns:msxsl='urn:schemas-microsoft-com:xslt' xmlns:js='http://www.atttitude.com/jsnamespace'>
<xsl:output method="html" version="1.0" encoding="UTF-8" indent="yes"/>
[include_out_helpers_detail]

<xsl:template match="/">
  <h1><xsl:value-of select="$oa"/></h1>
  <form name="frmXML" method="post" target="_blank" action="list?o=report_payroll&amp;s={$s}&amp;sti={$sti}">
  	<input type="hidden" value="" name="xml"/>
  	<input type="hidden" value="" name="TrackDate"/>
  </form>
	<form name="frm" method="post" id="detail">
		<xsl:call-template name="strTable"><xsl:with-param name="title">filter by:</xsl:with-param><xsl:with-param name="width" select="400"/></xsl:call-template>
		<table cellpadding="3" border="0">
			<tr ctrlrow=""><td width="30"></td><td width="100"></td><td></td></tr>
			<tr><td>Date:<xsl:call-template name="ico_req"/></td><td><input name="h__TRACK_DATE" id="nc" value=""  maxlength="22" style="width:150px;" /><button style="position:relative;top:-1px;left:-1px;height:19px;" id="np" onclick="gfPop.fPopCalendar(document.frm.h__TRACK_DATE);window.frames['gToday:calendar:/tts/i/j/calendar.js'].focus();return false;"> ... </button>	
			&#160;<button id="np" accesskey="l" onclick="getLastPayroll()"><u>L</u>ast pay period</button></td></tr>	 
			<tr><td>Employee:</td><td>
				<xsl:call-template name='select'>
					<xsl:with-param name="name" select="string('h__LOGIN_USER_ID')"/>
					<xsl:with-param name="nodes" select="/d/user"/>
				</xsl:call-template>				
			</td></tr>
			<tr><td>Project:</td><td>
				<xsl:call-template name='select'><xsl:with-param name="name" select="string('h__PROJECT_ID')"/><xsl:with-param name="nodes" select="/d/project"/></xsl:call-template>				
			</td></tr>
			<tr><td>Status:</td><td><select name="h__APPROVED"><option value="" selected="">All</option><option value="Y">Approved</option><option value="N">Not approved</option></select></td></tr>
		</table>
		<iframe width='174' height='189' name='gToday:calendar:/tts/i/j/calendar.js' id='gToday:calendar:/tts/i/j/calendar.js' src='/tts/popcal.htm' scrolling='no' frameborder='0' style='visibility:visible; z-index:999; position:absolute; left:-500px; top:0px;' onblur="gfPop.fHideCal();"></iframe>
		<xsl:call-template name="endTable"/>
		<button onclick="document.forms['frmXML'].action='list?o=report_payroll&amp;p=y&amp;s={$s}&amp;sti={/d/i/sti}';calculatePeriod();execSearch();" id="np"><u>S</u>imple report</button>&#160;
		<button onclick="document.forms['frmXML'].action='list?o=report_payroll@by_user&amp;p=y&amp;s={$s}&amp;sti={/d/i/sti}';calculatePeriod();execSearch();" id="np">Report by <u>e</u>mployee</button>&#160;
		<button onclick="document.forms['frmXML'].action='list?o=report_payroll@by_client&amp;p=y&amp;s={$s}&amp;sti={/d/i/sti}';calculatePeriod();execSearch();" id="np">Report by <u>c</u>lient</button>

		
	<script>
		var iGroupPeriod=parseInt(<xsl:value-of select="$GroupPeriod"/>,10);
		var dGroupDate=new Date('<xsl:value-of select="$GroupStartDate"/>');
		var f=document.forms['frm'];
		function getLastPayroll(){
			var now=new Date();
			var dt = new Date(now.getYear(), now.getMonth(), now.getDate()-iGroupPeriod);
			calculatePeriod(dt);
		}
		function calculatePeriod(dInitDate){
			if(f.h__TRACK_DATE.value.indexOf('::')&lt;0 ||(dInitDate)){
				if(!dInitDate) dInitDate=new Date(f.h__TRACK_DATE.value);
				if(dInitDate &lt; dGroupDate){dInitDate=dGroupDate;}
				iDays=Math.floor(((dInitDate-dGroupDate)/(1000*60*60*24)) % (iGroupPeriod));
				var dStartDate1=new Date(dInitDate);
				dStartDate1.setDate(dInitDate.getDate()-(iDays));//+iGroupPeriod;
				var dStartDate2=new Date(dStartDate1);
				dStartDate2.setDate(dStartDate1.getDate()+iGroupPeriod-1);
				s=(''+get2pos(dStartDate1.getMonth()+1)+'/'+get2pos(dStartDate1.getDate())+'/'+dStartDate1.getYear()+'::'+get2pos(dStartDate2.getMonth()+1)+'/'+get2pos(dStartDate2.getDate())+'/'+dStartDate2.getYear())
				f.h__TRACK_DATE.value=s;
				document.forms['frmXML'].TrackDate.value=s;
			}
			else document.forms['frmXML'].TrackDate.value=f.h__TRACK_DATE.value;
		}
		calculatePeriod(new Date())
	</script>
	</form>
	<xsl:call-template name="Navigation">
		<xsl:with-param name="Buttons">
			<button onclick="document.forms['frmXML'].action='list?o=report_payroll&amp;p=y&amp;s={$s}&amp;sti={/d/i/sti}';calculatePeriod();execSearch();"><u>S</u>imple report</button>
			<button onclick="document.forms['frmXML'].action='list?o=report_payroll@by_user&amp;p=y&amp;s={$s}&amp;sti={/d/i/sti}';calculatePeriod();execSearch();">Report by <u>e</u>mployee</button>
			<button onclick="document.forms['frmXML'].action='list?o=report_payroll@by_client&amp;p=y&amp;s={$s}&amp;sti={/d/i/sti}';calculatePeriod();execSearch();">Report by <u>c</u>lient</button>
		</xsl:with-param>
	</xsl:call-template>
</xsl:template>	
</xsl:stylesheet>


