<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:ms="urn:schemas-microsoft-com:xslt" xmlns:msxsl='urn:schemas-microsoft-com:xslt' xmlns:js='http://www.atttitude.com/jsnamespace'>
<xsl:output method="html" version="1.0" encoding="UTF-8" indent="yes"/>
[include_out_helpers_detail]

<xsl:template match="/">
  <h1><xsl:value-of select="$oa"/></h1>
  <form name="frmXML" method="post" target="_blank" action="">
  	<input type="hidden" value="" name="xml"/>
  	<input type="hidden" value="" name="TrackDate"/>
  </form>
	<form name="frm" method="post" id="detail">
		<xsl:call-template name="strTable"><xsl:with-param name="title">filter by:</xsl:with-param><xsl:with-param name="width" select="400"/></xsl:call-template>
		<table cellpadding="3" border="0">
			<tr ctrlrow=""><td width="30"></td><td width="100"></td><td></td></tr>
			<tr><td>Invoiced date:<xsl:call-template name="ico_req"/></td><td>
			<input name="k__INVOICED_DATE" id="nc" value=""  maxlength="22" style="width:150px;" /><input name="t__INVOICED_YEAR" type="hidden" id="nc" value=""/>
			<button style="position:relative;top:-1px;left:-1px;height:19px;" id="np" onclick="gfPop.fPopCalendar(document.frm.k__INVOICED_DATE);window.frames['gToday:calendar:/tts/i/j/calendar.js'].focus();return false;"> ... </button></td>	
			<td>&#160;<button id="np" accesskey="l" style="width:100px;" onclick="getLastPayroll()"><u>L</u>ast pay period</button>
			&#160;<button id="np" accesskey="y" style="width:100px;" onclick="getCurrentYear()">Current <u>y</u>ear</button>
			&#160;<button id="np" accesskey="m" style="width:100px;" onclick="getCurrentMonth()">Current <u>m</u>onth</button>
			&#160;<button id="np" accesskey="r" style="width:100px;" onclick="getlast3Months()">Last 3 m<u>o</u>nths</button>
			</td></tr>	 
		</table>
		<iframe width='174' height='189' name='gToday:calendar:/tts/i/j/calendar.js' id='gToday:calendar:/tts/i/j/calendar.js' src='/tts/popcal.htm' scrolling='no' frameborder='0' style='visibility:visible; z-index:999; position:absolute; left:-500px; top:0px;' onblur="gfPop.fHideCal();"></iframe>
		<xsl:call-template name="endTable"/>
		<button onclick="generateMonthlyReport()" id="np">Report by <u>m</u>onth</button>&#160;
		<button onclick="document.forms['frmXML'].action='list?o=report_profit&amp;p=y&amp;s={$s}&amp;sti={$sti}';calculatePeriod();execSearch();" id="np">Report by <u>e</u>mployee</button>
	<script>
		var f=document.forms['frm'];
		ctrl_date=f.k__INVOICED_DATE;
		
	function generateMonthlyReport(){
		dt=ctrl_date.value;
		if(dt.indexOf('::')>-1)dt=dt.substr(0, dt.indexOf('::'));
		d=new Date(dt);		
		f.t__INVOICED_YEAR.value=d.getYear();ctrl_date.value='';
		document.forms['frmXML'].TrackDate.value=d.getYear();
		document.forms['frmXML'].action='list?o=report_profit@month&amp;p=y&amp;s=<xsl:value-of select="$s"/>&amp;sti=<xsl:value-of select="$sti"/>';
		execSearch();
	}

		var iGroupPeriod=parseInt(<xsl:value-of select="$GroupPeriod"/>,10);
		var dGroupDate=new Date('<xsl:value-of select="$GroupStartDate"/>');
		function getLastPayroll(){
			var now=new Date();
			var dt = new Date(now.getYear(), now.getMonth(), now.getDate()-iGroupPeriod);
			calculatePeriod(dt);
		}
		function getCurrentYear(){
			var now=new Date();
			var dStartDate1 = new Date(now.getYear(), 0, 1);
			var dStartDate2 = new Date(now.getYear(), 11, 31);
			s=(''+get2pos(dStartDate1.getMonth()+1)+'/'+get2pos(dStartDate1.getDate())+'/'+dStartDate1.getYear()+'::'+get2pos(dStartDate2.getMonth()+1)+'/'+get2pos(dStartDate2.getDate())+'/'+dStartDate2.getYear())
			ctrl_date.value=s;
		}

		function getCurrentMonth(){
			var now=new Date();
			var dStartDate1 = new Date(now.getYear(), now.getMonth(), 1);
			var dStartDate2 = new Date(now.getYear(), now.getMonth(), MonghtLen(now.getMonth(), now.getYear()));
			s=(''+get2pos(dStartDate1.getMonth()+1)+'/'+get2pos(dStartDate1.getDate())+'/'+dStartDate1.getYear()+'::'+get2pos(dStartDate2.getMonth()+1)+'/'+get2pos(dStartDate2.getDate())+'/'+dStartDate2.getYear())
			ctrl_date.value=s;
		}
		function getlast3Months(){
			var now=new Date();
			var dStartDate1 = new Date(now.getYear(), now.getMonth()-2, 1);
			var dStartDate2 = new Date(now.getYear(), now.getMonth(), MonghtLen(now.getMonth(), now.getYear()));
			s=(''+get2pos(dStartDate1.getMonth()+1)+'/'+get2pos(dStartDate1.getDate())+'/'+dStartDate1.getYear()+'::'+get2pos(dStartDate2.getMonth()+1)+'/'+get2pos(dStartDate2.getDate())+'/'+dStartDate2.getYear())
			ctrl_date.value=s;
		}
		
		function calculatePeriod(dInitDate){
			if(ctrl_date.value=="" &amp;&amp; typeof(dInitDate)!='object'){
				calculatePeriod(new Date());
			}
			else if(ctrl_date.value.indexOf('::')&lt;0 || (typeof(dInitDate)=='object')){
				if(!dInitDate)dInitDate=new Date(ctrl_date.value);
				if(dInitDate &lt; dGroupDate){dInitDate=dGroupDate}
				iDays=Math.floor(((dInitDate-dGroupDate)/(1000*60*60*24)) % (iGroupPeriod));
				var dStartDate1=new Date(dInitDate);
				dStartDate1.setDate(dInitDate.getDate()-(iDays));//+iGroupPeriod;
				var dStartDate2=new Date(dStartDate1);
				dStartDate2.setDate(dStartDate1.getDate()+iGroupPeriod-1);
				s=(''+get2pos(dStartDate1.getMonth()+1)+'/'+get2pos(dStartDate1.getDate())+'/'+dStartDate1.getYear()+'::'+get2pos(dStartDate2.getMonth()+1)+'/'+get2pos(dStartDate2.getDate())+'/'+dStartDate2.getYear())
				ctrl_date.value=s;
			}
			document.forms['frmXML'].TrackDate.value=ctrl_date.value;
			f.t__INVOICED_YEAR.value='';
		}
		calculatePeriod(new Date())
	</script>
	</form>
	<xsl:call-template name="Navigation">
		<xsl:with-param name="Buttons">
			<button onclick="generateMonthlyReport()">Report by <u>m</u>onth</button>
			<button onclick="document.forms['frmXML'].action='list?o=report_profit&amp;p=y&amp;s={$s}&amp;sti={$sti}';calculatePeriod();execSearch();">Report by <u>e</u>mployee</button>
		</xsl:with-param>
	</xsl:call-template>
</xsl:template>	
</xsl:stylesheet>


