create or replace trigger "TTS".AIRLINE_BIU
  before insert or update on TTS.AIRLINE
  for each row
begin
  if (inserting) and (:new.AIRLINE_ID = 0) then
    select TTS.AIRLINE_ID_SEQ.nextval into :new.AIRLINE_ID from DUAL;
  elsif (updating) and (:new.AIRLINE_ID<>:old.AIRLINE_ID) then
    raise_application_error(-20000,'Cannot update AIRLINE_ID');
  end if;
  :new.ABBREVIATION :=upper(:new.ABBREVIATION);
  :new.UP_NAME:=upper(:new.NAME);
  :new.ACTIVE:=upper(:new.ACTIVE);
  end AIRLINE_BIU;
/
