create or replace function tts.CALC_EXP_STATEMENT_STATUS(
  p_exp_statement_id in number
) return varchar2 is
  p_submitted varchar2(1);
  p_approved varchar2(1); 
  p_processed varchar2(1); 
  p_invoiced varchar2(1); 
  p_reimbursed varchar2(1);
  v_result varchar2(30);
begin
  begin 
    select 
      submitted, approved, processed,invoiced,reimbursed   into 
      p_submitted, p_approved, p_processed, p_invoiced, p_reimbursed     
    from tts.exp_statement t where t.exp_statement_id=p_exp_statement_id;
     if (p_processed='Y') then 
      v_result:='processed';
    elsif (p_approved='Y') then 
      v_result:='approved';
    elsif (p_submitted='Y') then 
      v_result:='submitted';
    else 
      v_result:='not submitted';
    end if;
    if (p_reimbursed='Y') then 
      v_result:= v_result || ' & reimbursed';
    elsif (p_invoiced='Y') then 
      v_result:=v_result || ' & invoiced';
    end if; 
  exception
    when NO_DATA_FOUND then  
      v_result:=''; 
  end;
  return(v_result);
end CALC_EXP_STATEMENT_STATUS;
/
