create or replace trigger "TTS".CAR_COMPANY_BIU
  before insert or update on TTS.CAR_COMPANY
  for each row
begin
  if (inserting) and (:new.CAR_COMPANY_ID = 0) then
    select TTS.CAR_COMPANY_ID_SEQ.nextval into :new.CAR_COMPANY_ID from DUAL;
  elsif (updating) and (:new.CAR_COMPANY_ID<>:old.CAR_COMPANY_ID) then
    raise_application_error(-20000,'Cannot update CAR_COMPANY_ID');
  end if;
  :new.ABBREVIATION :=upper(:new.ABBREVIATION);
  :new.UP_NAME:=upper(:new.NAME);
  :new.ACTIVE:=upper(:new.ACTIVE);
  end CAR_COMPANY_BIU;
/
