create or replace trigger "TTS".CLIENT_BIU
  before insert or update on TTS.CLIENT
  for each row
declare
 --
begin
  if (inserting) and (:new.CLIENT_ID = 0) then
    select TTS.CLIENT_ID_SEQ.nextval into :new.CLIENT_ID from DUAL;
  elsif (updating) and (:new.CLIENT_ID<>:old.CLIENT_ID) then
    raise_application_error(-20000,'Cannot update CLIENT_ID');
  end if;
  :new.UP_CLIENT_NAME:=upper(:new.CLIENT_NAME);
  :new.UP_ADDRESS:=upper(:new.ADDRESS);
  :new.UP_PHONE:=upper(:new.PHONE);

  if (inserting) then
     :new.creation_date:=sysdate;
     :new.created_by:=:new.last_updated_by;
   end if;
  :new.last_updated_date:=sysdate;
 

 end CLIENT_BIU;
/
