create or replace trigger "TTS".CREDIT_CARD_BIU
  before insert or update on TTS.CREDIT_CARD
  for each row
begin
  if (inserting) and (:new.CREDIT_CARD_ID = 0) then
    select TTS.COUNTRY_ID_SEQ.nextval into :new.CREDIT_CARD_ID from DUAL;
  elsif (updating) and (:new.CREDIT_CARD_ID<>:old.CREDIT_CARD_ID) then
    raise_application_error(-20000,'Cannot update CREDIT_CARD');
  end if;
  :new.ABBREVIATION :=upper(:new.ABBREVIATION);
  :new.UP_NAME:=upper(:new.NAME);
  :new.ACTIVE:=upper(:new.ACTIVE);
  end CREDIT_CARD_BIU;
/
