create or replace trigger "TTS".HOTEL_CHAIN_BIU
  before insert or update on TTS.HOTEL_CHAIN
  for each row
begin
  if (inserting) and (:new.HOTEL_CHAIN_ID = 0) then
    select TTS.HOTEL_CHAIN_ID_SEQ.nextval into :new.HOTEL_CHAIN_ID from DUAL;
  elsif (updating) and (:new.HOTEL_CHAIN_ID<>:old.HOTEL_CHAIN_ID) then
    raise_application_error(-20000,'Cannot update HOTEL_CHAIN_ID');
  end if;
  :new.ABBREVIATION :=upper(:new.ABBREVIATION);
  :new.UP_NAME:=upper(:new.NAME);
  :new.ACTIVE:=upper(:new.ACTIVE);
  end HOTEL_CHAIN_BIU;
/
