create or replace trigger "TTS".INVOICE_AIUD
  after insert or update or delete on TTS.INVOICE
  for each row
declare
l_tablen  binary_integer;
l_tab  dbms_utility.uncl_array;
begin
   if(inserting) then 
     if :new.exp_statement_ids is null then
       update tts.worked_hour w 
       set
          w.invoice_id=:new.invoice_id,
          w.invoiced='Y'
       where
          w.login_user_id=:new.login_user_id
          and w.track_date between :new.start_date and :new.end_date;
          --and w.submitted='Y'
    else
         dbms_utility.comma_to_table(:new.exp_statement_ids,l_tablen,l_tab);
         for i in 1..l_tablen loop
          update tts.exp_statement e 
          set
            e.invoice_id=:new.invoice_id,
            e.invoiced='Y'
          where
            e.exp_statement_id=trim('"' from l_tab(i));
            --and e.submitted='Y' 
          end loop; 
     end if;
   end if;
end INVOICE_AIUD;
/
