create or replace trigger "TTS".INVOICE_BIU
  before insert or update on TTS.INVOICE
  for each row
declare
--
begin
  if (inserting) and (:new.INVOICE_ID = 0 or :new.INVOICE_ID is null) then
    select TTS.INVOICE_ID_SEQ.nextval into :new.INVOICE_ID from DUAL;
  elsif (updating) and (:new.INVOICE_ID<>:old.INVOICE_ID) then
    raise_application_error(-20000,'Cannot update INVOICE_ID');
  end if;

  if (inserting) then 
     :new.creation_date:=sysdate;
     :new.created_by:=:new.last_updated_by;
 end if;
  :new.UP_PO_NUM:=upper(:new.PO_NUM);
  :new.last_updated_date:=sysdate;
end INVOICE_BIU;
/
