create or replace trigger TTS.LOGIN_USER_CLIENT_BIU
  before insert or update on TTS.LOGIN_USER_CLIENT
  for each row
begin
  if (inserting) and (:new.LOGIN_USER_CLIENT_ID = 0) then
    select TTS.LOGIN_USER_CLIENT_ID_SEQ.nextval into :new.LOGIN_USER_CLIENT_ID from DUAL;
  elsif (updating) and (:new.LOGIN_USER_CLIENT_ID<>:old.LOGIN_USER_CLIENT_ID) then
    raise_application_error(-20000,'Cannot update LOGIN_USER_CLIENT_ID');
  end if;
  if (inserting) then 
     :new.creation_date:=sysdate;
     :new.created_by:=:new.last_updated_by;
     :new.active:='Y';
  end if;
 :new.last_updated_date:=sysdate;
end LOGIN_USER_CLIENT_BIU;
/
