create or replace trigger TTS.LOGIN_USER_VACATION_BIU
  before insert or update on TTS.LOGIN_USER_VACATION
  for each row
begin
  if (inserting) and (:new.LOGIN_USER_VACATION_ID = 0) then
    select TTS.LOGIN_USER_VACATION_ID_SEQ.nextval into :new.LOGIN_USER_VACATION_ID from DUAL;
  elsif (updating) and (:new.LOGIN_USER_VACATION_ID<>:old.LOGIN_USER_VACATION_ID) then
               raise_application_error(-20000,'Cannot update LOGIN_USER_VACATION_ID');
  end if;
  if (inserting) then 
     :new.creation_date:=sysdate;
     :new.created_by:=:new.last_updated_by;
  end if;
  :new.last_updated_date:=sysdate;
end LOGIN_USER_VACATION_BIU;
/
