create or replace function TTS.calc_to_do_status(
  p_published_date in date,
  p_completed_date in date,
  p_canceled_date in date,
  p_assigned_to in number
) return varchar2 is
  v_result varchar2(20);
begin
  if p_published_date is not null then 
    v_result:='Published';
  elsif p_completed_date is not null then 
    v_result:='Completed';
  elsif p_canceled_date is not null then 
    v_result:='Canceled';
  elsif p_assigned_to is not null then 
    v_result:='Working';
  else 
    v_result:='Waiting';
  end if;  
  
  return(v_result);
end calc_to_do_status;
/
