unit MailServer_TLB;

// ************************************************************************ //
// WARNING                                                                    
// -------                                                                    
// The types declared in this file were generated from data read from a       
// Type Library. If this type library is explicitly or indirectly (via        
// another type library referring to this type library) re-imported, or the   
// 'Refresh' command of the Type Library Editor activated while editing the   
// Type Library, the contents of this file will be regenerated and all        
// manual modifications will be lost.                                         
// ************************************************************************ //

// PASTLWTR : $Revision: 1.6 $
// File generated on 10/23/2002 4:05:03 PM from Type Library described below.

// ************************************************************************ //
// Type Lib: C:\Niki\Delphi5\Servers\MailServer\MailServer.tlb (1)
// IID\LCID: {05168C14-E115-425A-BEAD-7826E365F4B9}\0
// Helpfile: 
// DepndLst: 
//   (1) v2.0 stdole, (C:\WINNT\System32\Stdole2.tlb)
//   (2) v4.0 StdVCL, (C:\WINNT\System32\STDVCL40.DLL)
// ************************************************************************ //
{$TYPEDADDRESS OFF} // Unit must be compiled without type-checked pointers. 
interface

uses Windows, ActiveX, Classes, Graphics, OleServer, OleCtrls, StdVCL;

// *********************************************************************//
// GUIDS declared in the TypeLibrary. Following prefixes are used:        
//   Type Libraries     : LIBID_xxxx                                      
//   CoClasses          : CLASS_xxxx                                      
//   DISPInterfaces     : DIID_xxxx                                       
//   Non-DISP interfaces: IID_xxxx                                        
// *********************************************************************//
const
  // TypeLibrary Major and minor versions
  MailServerMajorVersion = 1;
  MailServerMinorVersion = 0;

  LIBID_MailServer: TGUID = '{05168C14-E115-425A-BEAD-7826E365F4B9}';

  IID_IEmailServer: TGUID = '{CA910DB0-193E-4FD9-8E75-B83B357F5EC0}';
  CLASS_EmailServer: TGUID = '{CBCDC3CD-7371-474D-92FA-550F86DCA59C}';
type

// *********************************************************************//
// Forward declaration of types defined in TypeLibrary                    
// *********************************************************************//
  IEmailServer = interface;

// *********************************************************************//
// Declaration of CoClasses defined in Type Library                       
// (NOTE: Here we map each CoClass to its Default Interface)              
// *********************************************************************//
  EmailServer = IEmailServer;


// *********************************************************************//
// Interface: IEmailServer
// Flags:     (256) OleAutomation
// GUID:      {CA910DB0-193E-4FD9-8E75-B83B357F5EC0}
// *********************************************************************//
  IEmailServer = interface(IUnknown)
    ['{CA910DB0-193E-4FD9-8E75-B83B357F5EC0}']
    function  Send(MaxWait: Integer; const ToList: WideString; const CCList: WideString; 
                   const BCCList: WideString; MaxBCCLength: Integer; const From: WideString; 
                   const ReplyToList: WideString; const ReceiptRecipient: WideString; 
                   const Agent: WideString; const Subject: WideString; IsHTML: WordBool; 
                   const Message: WideString; out OutValue: WideString): HResult; stdcall;
    function  FTPConnect(MaxWait: Integer; const Hostname: WideString; const Username: WideString; 
                         const Password: WideString; const Mode: WideString; out GrabID: Integer; 
                         out ObjectIndex: Integer; out OutValue: WideString): HResult; stdcall;
    function  FTPDisconnect(GrabID: Integer; ObjectIndex: Integer; out OutValue: WideString): HResult; stdcall;
    function  FTPGet(GrabID: Integer; ObjectIndex: Integer; const Mode: WideString; 
                     const SourceDir: WideString; const SourceFile: WideString; 
                     const DestFile: WideString; CanOverwrite: WordBool; out OutValue: WideString): HResult; stdcall;
    function  FTPPut(GrabID: Integer; ObjectIndex: Integer; const Mode: WideString; 
                     const SourceFile: WideString; const DestDir: WideString; 
                     const DestFile: WideString; Append: WordBool; out OutValue: WideString): HResult; stdcall;
    function  FTPChangeDir(GrabID: Integer; ObjectIndex: Integer; const Directory: WideString; 
                           out OutValue: WideString): HResult; stdcall;
    function  FTPDelete(GrabID: Integer; ObjectIndex: Integer; const DirName: WideString; 
                        const Filename: WideString; out OutValue: WideString): HResult; stdcall;
    function  FTPFileExists(GrabID: Integer; ObjectIndex: Integer; const DirName: WideString; 
                            const FileName: WideString; out Exists: WordBool; 
                            out OutValue: WideString): HResult; stdcall;
  end;

// *********************************************************************//
// The Class CoEmailServer provides a Create and CreateRemote method to          
// create instances of the default interface IEmailServer exposed by              
// the CoClass EmailServer. The functions are intended to be used by             
// clients wishing to automate the CoClass objects exposed by the         
// server of this typelibrary.                                            
// *********************************************************************//
  CoEmailServer = class
    class function Create: IEmailServer;
    class function CreateRemote(const MachineName: string): IEmailServer;
  end;

implementation

uses ComObj;

class function CoEmailServer.Create: IEmailServer;
begin
  Result := CreateComObject(CLASS_EmailServer) as IEmailServer;
end;

class function CoEmailServer.CreateRemote(const MachineName: string): IEmailServer;
begin
  Result := CreateRemoteComObject(MachineName, CLASS_EmailServer) as IEmailServer;
end;

end.
