unit WebSesServer_TLB;

// ************************************************************************ //
// WARNING                                                                    
// -------                                                                    
// The types declared in this file were generated from data read from a       
// Type Library. If this type library is explicitly or indirectly (via        
// another type library referring to this type library) re-imported, or the   
// 'Refresh' command of the Type Library Editor activated while editing the   
// Type Library, the contents of this file will be regenerated and all        
// manual modifications will be lost.                                         
// ************************************************************************ //

// PASTLWTR : $Revision: 1.8 $
// File generated on 4/14/2005 8:09:17 PM from Type Library described below.

// ************************************************************************ //
// Type Lib: C:\Delphi5\WebSesServerTest\WebSesServer.tlb (1)
// IID\LCID: {D0DAB411-C0C0-11D4-B269-00E0981D006B}\0
// Helpfile: 
// DepndLst: 
//   (1) v2.0 stdole, (C:\WINDOWS\system32\stdole2.tlb)
//   (2) v4.0 StdVCL, (C:\WINDOWS\system32\STDVCL40.DLL)
// ************************************************************************ //
{$TYPEDADDRESS OFF} // Unit must be compiled without type-checked pointers. 
interface

uses Windows, ActiveX, Classes, Graphics, OleServer, OleCtrls, StdVCL;

// *********************************************************************//
// GUIDS declared in the TypeLibrary. Following prefixes are used:        
//   Type Libraries     : LIBID_xxxx                                      
//   CoClasses          : CLASS_xxxx                                      
//   DISPInterfaces     : DIID_xxxx                                       
//   Non-DISP interfaces: IID_xxxx                                        
// *********************************************************************//
const
  // TypeLibrary Major and minor versions
  WebSesServerMajorVersion = 1;
  WebSesServerMinorVersion = 0;

  LIBID_WebSesServer: TGUID = '{D0DAB411-C0C0-11D4-B269-00E0981D006B}';

  IID_IWebSessionsServer: TGUID = '{D0DAB412-C0C0-11D4-B269-00E0981D006B}';
  CLASS_WebSessionsServer: TGUID = '{D0DAB414-C0C0-11D4-B269-00E0981D006B}';
type

// *********************************************************************//
// Forward declaration of types defined in TypeLibrary                    
// *********************************************************************//
  IWebSessionsServer = interface;

// *********************************************************************//
// Declaration of CoClasses defined in Type Library                       
// (NOTE: Here we map each CoClass to its Default Interface)              
// *********************************************************************//
  WebSessionsServer = IWebSessionsServer;


// *********************************************************************//
// Interface: IWebSessionsServer
// Flags:     (256) OleAutomation
// GUID:      {D0DAB412-C0C0-11D4-B269-00E0981D006B}
// *********************************************************************//
  IWebSessionsServer = interface(IUnknown)
    ['{D0DAB412-C0C0-11D4-B269-00E0981D006B}']
    function  InvalidateWebSession(const SessionString: WideString; out SessionExists: WordBool; 
                                   out ErrorMsg: WideString): HResult; stdcall;
    function  NewWebSessionEx(UserID: Integer; const Username: WideString; 
                              const UserFirstName: WideString; const UserLastName: WideString; 
                              SuperUser: WordBool; const UserPrivileges: WideString; 
                              const UserDataFilters: WideString; const UserMiscData: WideString; 
                              const Application: WideString; const SessionGroup: WideString; 
                              const SessionClass: WideString; Lifespan: Integer; 
                              MaxLifespan: Integer; TouchOnValidate: Integer; 
                              out SessionString: WideString; out ErrorMsg: WideString): HResult; stdcall;
    function  WebSessionEx(var SessionString: WideString; out UserID: Integer; 
                           out Username: WideString; out UserFirstName: WideString; 
                           out UserLastName: WideString; out SuperUser: WordBool; 
                           out UserPrivileges: WideString; out UserDataFilters: WideString; 
                           out UserMiscData: WideString; out Application: WideString; 
                           out SessionGroup: WideString; out SessionClass: WideString; 
                           out Lifespan: Integer; out TouchOnValidate: WordBool; 
                           out CreateDateTime: Double; out ExpireDateTime: Double; 
                           out MaxExpireDateTime: Double; out SessionExists: WordBool; 
                           out ErrorMsg: WideString): HResult; stdcall;
    function  ResetStatistics(out ErrorMsg: WideString): HResult; stdcall;
    function  Statistics(out StatisticsString: WideString; out ErrorMsg: WideString): HResult; stdcall;
    function  StartServer(Lifespan: Integer; MaxLifespan: Integer; TouchSessions: WordBool; 
                          RunJanitor: WordBool; JanitorInterval: Integer; DeleteLag: Integer; 
                          TrackStatistics: WordBool; out ErrorMsg: WideString): HResult; stdcall;
    function  StopServer(out ErrorMsg: WideString): HResult; stdcall;
    function  WebSessionLookup(const SessionLookupKey: WideString; out SessionString: WideString; 
                               out ErrorMsg: WideString): HResult; stdcall;
    function  WebSessionInfo(out OutValue: WideString): HResult; stdcall;
    function  UpdateWebSession(const SessionString: WideString; const UserPrivileges: WideString; 
                               const UserDataFilters: WideString; const UserMiscData: WideString; 
                               Lifespan: Integer; TouchOnValidate: Integer; 
                               out SessionExists: WordBool; out ErrorMsg: WideString): HResult; stdcall;
    function  NewWebSession(const SessionLookupKey: WideString; const SessionData: WideString; 
                            const SessionPrivileges: WideString; 
                            const SessionDataFilters: WideString; out SessionString: WideString; 
                            out ErrorMsg: WideString): HResult; stdcall;
    function  UpdateSessionData(const SessionString: WideString; const SessionData: WideString; 
                                out SessionExists: WordBool; out ErrorMsg: WideString): HResult; stdcall;
    function  WebSession(var SessionString: WideString; out SessionData: WideString; 
                         out SessionPrivileges: WideString; out SessionDataFilters: WideString; 
                         out ErrorMsg: WideString): HResult; stdcall;
    function  UserSessions(UserID: Integer; const Application: WideString; 
                           out SessionStrings: WideString; out ErrorMsg: WideString): HResult; stdcall;
  end;

// *********************************************************************//
// The Class CoWebSessionsServer provides a Create and CreateRemote method to          
// create instances of the default interface IWebSessionsServer exposed by              
// the CoClass WebSessionsServer. The functions are intended to be used by             
// clients wishing to automate the CoClass objects exposed by the         
// server of this typelibrary.                                            
// *********************************************************************//
  CoWebSessionsServer = class
    class function Create: IWebSessionsServer;
    class function CreateRemote(const MachineName: string): IWebSessionsServer;
  end;

implementation

uses ComObj;

class function CoWebSessionsServer.Create: IWebSessionsServer;
begin
  Result := CreateComObject(CLASS_WebSessionsServer) as IWebSessionsServer;
end;

class function CoWebSessionsServer.CreateRemote(const MachineName: string): IWebSessionsServer;
begin
  Result := CreateRemoteComObject(MachineName, CLASS_WebSessionsServer) as IWebSessionsServer;
end;

end.
