<?xml version='1.0'?>
<xsl:stylesheet xmlns:xsl='http://www.w3.org/1999/XSL/Transform' version='1.0'>
<xsl:output method='text'/>
<xsl:template match='/'>
<xsl:text>update&#10;</xsl:text>
<xsl:value-of select='/d/tt/t'/><xsl:text>&#10;</xsl:text>
<xsl:text>set&#10;</xsl:text>
<xsl:for-each select='/d/ww/w[not(@k)]'>
<xsl:value-of select='@c'/>=:<xsl:value-of select='@c'/>
<xsl:if test='position()!=last()'><xsl:text>,</xsl:text></xsl:if>
<xsl:text>&#10;</xsl:text>
</xsl:for-each>
<xsl:text>where&#10;</xsl:text>
<xsl:for-each select="/d/ww/w[(@k)]">
	<xsl:if test="position()!=1">&#10;and </xsl:if>
	<xsl:choose>
	<xsl:when test=".=''"><xsl:value-of select='@c'/> is null<xsl:text>&#10;</xsl:text></xsl:when>
	<xsl:otherwise><xsl:value-of select='@c'/>=:<xsl:value-of select='@c'/><xsl:text>&#10;</xsl:text></xsl:otherwise>
	</xsl:choose>
</xsl:for-each>
<xsl:variable name='gb' select='string(/d/i/gb)'/>
<xsl:if test='$gb!="GB"'><xsl:text>and GRID=:GRID&#10;</xsl:text></xsl:if>
<xsl:if test='($gb!="GB") and ($gb!="B")'><xsl:text>and (BRID=:BRID or BRID=0)&#10;</xsl:text></xsl:if>
<xsl:for-each select='/d/ww/w[not(.="" and @k)]'>
	<xsl:text>&#127;</xsl:text><xsl:value-of select='@c'/>=<xsl:value-of select='.'/><xsl:text>&#10;</xsl:text>
</xsl:for-each>
</xsl:template>
</xsl:stylesheet>