<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:ms="urn:schemas-microsoft-com:xslt" xmlns:msxsl='urn:schemas-microsoft-com:xslt' xmlns:js='http://www.atttitude.com/jsnamespace'>
<xsl:output method="html" version="1.0" encoding="UTF-8" indent="yes"/>
[include_out_helpers_detail]

	<xsl:variable name="role_id"><xsl:apply-templates select="/d/cc/c[.='ROLE_ID']/@h"/></xsl:variable>
	<xsl:variable name="role_type"><xsl:apply-templates select="/d/cc/c[.='ROLE_TYPE']/@h"/></xsl:variable>
	<xsl:variable name="client_id"><xsl:apply-templates select="/d/cc/c[.='CLIENT_ID']/@h"/></xsl:variable>
	<xsl:variable name="login_user_id"><xsl:apply-templates select="/d/cc/c[.='LOGIN_USER_ID']/@h"/></xsl:variable>
	<xsl:variable name="user_name"><xsl:apply-templates select="/d/cc/c[.='USER_NAME']/@h"/></xsl:variable>
	<xsl:variable name="user_pass"><xsl:apply-templates select="/d/cc/c[.='USER_PASS']/@h"/></xsl:variable>
	<xsl:variable name="mail_login"><xsl:apply-templates select="/d/cc/c[.='MAIL_LOGIN']/@h"/></xsl:variable>
	<xsl:variable name="mail_pass"><xsl:apply-templates select="/d/cc/c[.='MAIL_PASS']/@h"/></xsl:variable>
	<xsl:variable name="first_name"><xsl:apply-templates select="/d/cc/c[.='FIRST_NAME']/@h"/></xsl:variable>
	<xsl:variable name="middle_name"><xsl:apply-templates select="/d/cc/c[.='MIDDLE_NAME']/@h"/></xsl:variable>
	<xsl:variable name="last_name"><xsl:apply-templates select="/d/cc/c[.='LAST_NAME']/@h"/></xsl:variable>
	<xsl:variable name="phone"><xsl:apply-templates select="/d/cc/c[.='PHONE']/@h"/></xsl:variable>
	<xsl:variable name="email"><xsl:apply-templates select="/d/cc/c[.='EMAIL']/@h"/></xsl:variable>
	<xsl:variable name="street_1"><xsl:apply-templates select="/d/cc/c[.='STREET_1']/@h"/></xsl:variable>
	<xsl:variable name="street_2"><xsl:apply-templates select="/d/cc/c[.='STREET_2']/@h"/></xsl:variable>
	<xsl:variable name="city"><xsl:apply-templates select="/d/cc/c[.='CITY']/@h"/></xsl:variable>
	<xsl:variable name="state"><xsl:apply-templates select="/d/cc/c[.='STATE']/@h"/></xsl:variable>
	<xsl:variable name="zip"><xsl:apply-templates select="/d/cc/c[.='ZIP']/@h"/></xsl:variable>
	<xsl:variable name="country"><xsl:apply-templates select="/d/cc/c[.='COUNTRY']/@h"/></xsl:variable>	
	<xsl:variable name="termination_date"><xsl:apply-templates select="/d/cc/c[.='TERMINATION_DATE']/@h"/></xsl:variable>	
	<xsl:variable name="hire_date"><xsl:apply-templates select="/d/cc/c[.='HIRE_DATE']/@h"/></xsl:variable>	
	<xsl:variable name="active"><xsl:apply-templates select="/d/cc/c[.='ACTIVE']/@h"/></xsl:variable>


 <xsl:template match="/">
		<h1><xsl:value-of select="$first_name"/>&#160; <xsl:value-of select="$last_name"/></h1>
		<form name="frmXML" method="post">
			<input type="hidden" name="oid" value="{$login_user_id}"/>
			<input type="hidden" name="act"><xsl:attribute name="value">?o=<xsl:value-of select="$o"/>&amp;oid=<xsl:value-of select="$oid"/>&amp;pn=<xsl:value-of select="$pn"/>&amp;sti=<xsl:value-of select="$sti"/>&amp;s=<xsl:value-of select="$s"/></xsl:attribute></input>
			<input type="hidden" name="xml" value=""/>
		</form>

		<table cellspacing="0" cellpadding="0"  border="0"><tr><td valign="top">
			<form name="frm" method="post" onsubmit="return false;" id="detail">
					<xsl:call-template name="strTable"><xsl:with-param name="title">TTS Login</xsl:with-param><xsl:with-param name="width" select="300"/></xsl:call-template>
							<table  cellspacing="0" cellpadding="3"  border="0"><input name="LOGIN_USER_ID"  type="hidden" size="26" maxlength="50" id="id" value="{$login_user_id}"/>
								<tr><td width="120"></td><td width="210"></td></tr>
								<tr><td height="21">user name:<xsl:call-template name="ico_req"/></td><td><input name="USER_NAME"  type="text" size="26" maxlength="50" value="{$user_name}" id="r"/></td></tr>
								<tr><td height="21">user password:<xsl:call-template name="ico_req"/></td><td><input name="USER_PASS" id="r" type="password" size="26" maxlength="50" value="{$user_pass}"/></td></tr>
								<tr><td height="21">confirm password:<xsl:call-template name="ico_req"/></td><td><input name="USER_PASS_CONF" id="np" type="password" size="26" maxlength="50" value="{$user_pass}"/></td></tr>
								<tr><td><br/></td></tr></table>
						<xsl:call-template name="endTable"/>
	
						<xsl:call-template name="strTable"><xsl:with-param name="title">Web Mail Login</xsl:with-param><xsl:with-param name="width" select="300"/></xsl:call-template>
							<table cellspacing="0" cellpadding="3"  border="0">
								<tr><td width="120"></td><td width="210"></td></tr>
								<tr><td height="21">user name:</td><td><input name="MAIL_LOGIN"  type="text" size="26" maxlength="50"  value="{$mail_login}" /></td></tr>
								<tr><td height="21">password:</td><td><input name="MAIL_PASS" type="password" size="26" maxlength="50" value="{$mail_pass}"/></td></tr>
								<tr><td height="21">confirm password:</td><td><input name="MAIL_PASS_CONF" id="np" type="password" size="26" maxlength="50" value="{$mail_pass}"/></td></tr>
								<tr><td><br/></td></tr></table>
						<xsl:call-template name="endTable"/>
					
					
						<xsl:call-template name="strTable"><xsl:with-param name="title">Personal information</xsl:with-param><xsl:with-param name="width" select="300"/></xsl:call-template>
							<table cellspacing="0" cellpadding="3"  border="0"><input name="LOGIN_USER_ID"  type="hidden" size="26" maxlength="50" id="id" value="{$login_user_id}"/>
							<tr><td>first name:<xsl:call-template name="ico_req"/></td><td><input name="FIRST_NAME"  type="text" size="26" maxlength="50"  value="{$first_name}" id="r"/></td></tr>
								<tr><td>middle initial:</td><td><input name="MIDDLE_NAME"  type="text" size="4" maxlength="40" value="{$middle_name}"/></td></tr>
								<tr><td>last name:<xsl:call-template name="ico_req"/></td><td><input name="LAST_NAME"  type="text" size="26" maxlength="50"  value="{$last_name}" id="r"/></td></tr>
								<tr><td valign="top">phone:</td><td><input name="PHONE" type="text" size="26" maxlength="50" value="{$phone}"/><h5>use this format: 999-999-9999</h5></td></tr>
								<tr><td>email:<xsl:call-template name="ico_req"/></td><td><input name="EMAIL" type="text" size="26" maxlength="50" value="{$email}" id="r"/></td></tr>
								<tr><td><br/></td></tr>
								<tr><td>street 1:<xsl:call-template name="ico_req"/></td>	<td><input name="STREET_1" type="text" size="26" maxlength="50" value="{$street_1}" id="r"/></td></tr>
								<tr><td>street 2:</td><td><input name="STREET_2" type="text" size="26" maxlength="50" value="{$street_2}"/></td></tr>
								<tr><td>city:<xsl:call-template name="ico_req"/></td><td><input name="CITY"  type="text" size="26" maxlength="50" value="{$city}" id="r"/></td></tr>
								<tr><td>state:<xsl:call-template name="ico_req"/></td><td><input name="STATE"  type="text" size="26" maxlength="40" value="{$state}" id="r"/></td></tr>
								<tr><td>zip:<xsl:call-template name="ico_req"/></td><td><input name="ZIP"  type="text" size="26" maxlength="50" value="{$zip}" id="r"/></td></tr>
								<tr><td>country:</td><td><input name="COUNTRY" type="text" size="26" maxlength="50" value="{$country}"/></td></tr>
							</table>
						<xsl:call-template name="endTable"/>
			</form>
		</td>

<!--a=p.project_id,  
b=project_name, 
c=user_project_id, 
d=user_project_active, 
e=supervisor_project_id,
f=c.client_id -->

		<td width="20"></td><td valign="top">
			<xsl:if test="$role_type=2 or $role_type=4"><!-- supervisors and subsupervisors-->
				<xsl:call-template name="strTable"><xsl:with-param name="title">Approver for:</xsl:with-param><xsl:with-param name="width" select="330"/></xsl:call-template>
					<div style="width:160px;">
						<table width="100%" border="0" id="detail">
							<tr ctrlrow=""><td width="130"></td><td width="20"></td></tr>
							<xsl:for-each select="/d/project/rr/r[@e!='']"><tr><td><xsl:value-of select="@b"/></td></tr></xsl:for-each>						
						</table>
					</div>
				<xsl:call-template name="endTable"/><br/>
			</xsl:if>		
				
			<xsl:if test="$role_type=5"> <!-- observer-->
				<xsl:call-template name="strTable"><xsl:with-param name="title">Observer for:</xsl:with-param><xsl:with-param name="width" select="330"/></xsl:call-template>
					<div style="overflow-y : auto; height:220px; width:300px">
						<table width="100%" border="0" id="detail">
							<tr ctrlrow=""><td width="300"></td></tr>
							<xsl:for-each select="/d/project/rr/r[@c!='']"><tr><td><xsl:value-of select="@b"/></td></tr></xsl:for-each>						
						</table>
					</div>
				<xsl:call-template name="endTable"/><br/>
			</xsl:if>
				
			<xsl:if test="$role_type=6"> <!-- HR-->
				<xsl:call-template name="strTable"><xsl:with-param name="title">HR for:</xsl:with-param><xsl:with-param name="width" select="330"/></xsl:call-template>
					<div style="overflow-y : auto; height:220px; width:300px">
						<table width="100%" border="0" id="detail">
							<tr ctrlrow=""><td width="300"></td></tr>
							<xsl:for-each select="/d/project/rr/r[@c!='']"><tr><td><xsl:value-of select="@b"/></td></tr></xsl:for-each>						
						</table>
					</div>
				<xsl:call-template name="endTable"/><br/>
			</xsl:if>
			
				<!--manager, employee, supervisor, sub-supervisor - PAID VA&SI-->
			<xsl:if test="$role_type!=5 and $role_type!=6">
				<xsl:call-template name="strTable"><xsl:with-param name="title">Paid VA&amp;SI hours</xsl:with-param><xsl:with-param name="width" select="330"/></xsl:call-template>
					<table  border="0" id="detail">
						<tr ctrlrow=""><th width="230">Period</th><th width="60">Approved</th><th width="40">Used</th></tr>
						<xsl:for-each select="/d/vacation/rr/r">
							<xsl:variable name="start_date"><xsl:value-of select="@b"/></xsl:variable>
							<xsl:variable name="end_date"><xsl:value-of select="@c"/></xsl:variable>
							<xsl:variable name="hours"><xsl:value-of select="@d"/></xsl:variable>
							<xsl:variable name="hours_total"><xsl:value-of select="@e"/></xsl:variable>
						<tr height="25">
								<td valign="top"><nobr><xsl:value-of select="$start_date"/> - <xsl:value-of select="$end_date"/></nobr></td>
							  <td align="right" valign="top"><xsl:value-of select="format-number($hours,$FormatHour, 'nan')"/></td>
								<td align="right" valign="top"><xsl:value-of select="format-number($hours_total,$FormatHour, 'nan')"/></td>
							</tr>
						</xsl:for-each>
					</table>
				<xsl:call-template name="endTable"/><br/>
				<xsl:call-template name="strTable"><xsl:with-param name="title">Paid HO hours</xsl:with-param><xsl:with-param name="width" select="330"/></xsl:call-template>
					<table border="0" id="detail">
						<tr ctrlrow=""><th width="230">Period</th><th width="60">Approved</th><th width="40">Used</th></tr>
						<xsl:for-each select="/d/holiday/rr/r">
							<xsl:variable name="start_date"><xsl:value-of select="@b"/></xsl:variable>
							<xsl:variable name="end_date"><xsl:value-of select="@c"/></xsl:variable>
							<xsl:variable name="hours"><xsl:value-of select="@d"/></xsl:variable>
							<xsl:variable name="hours_total"><xsl:value-of select="@e"/></xsl:variable>
						<tr height="25">
								<td valign="top"><nobr><xsl:value-of select="$start_date"/> - <xsl:value-of select="$end_date"/></nobr></td>
							  <td align="right" valign="top"><xsl:value-of select="format-number($hours,$FormatHour, 'nan')"/></td>
								<td align="right" valign="top"><xsl:value-of select="format-number($hours_total,$FormatHour, 'nan')"/></td>
							</tr>
						</xsl:for-each>
					</table>
				<xsl:call-template name="endTable"/><br/>

				<xsl:if test="$role_type=1"> <!--employee monitoring -->
					<xsl:call-template name="strTable"><xsl:with-param name="title">Monitoring time of hours submited for:</xsl:with-param><xsl:with-param name="width" select="330"/></xsl:call-template>
							<table width="100%" border="0" id="detail">
								<tr ctrlrow=""><td width="100%"></td></tr>
								<xsl:for-each select="/d/support/rr/r[@c!='']"><xsl:variable name="ClientId" select="@a"/>
									<tr><td><xsl:value-of select="@b"/></td></tr>
									<xsl:for-each select="/d/project/rr/r[$ClientId=@f]">
										<tr><td>&#160;&#160;&#160;&#160;-&#160;<xsl:value-of select="@b"/></td></tr>
									</xsl:for-each>
								</xsl:for-each>						
							</table>
					<xsl:call-template name="endTable"/><br/>
				</xsl:if>
			</xsl:if>
		</td>
	</tr></table>
	<!--<button type="submit" size="10" accesskey="s" id="np" onclick="execUpdate()"><u>S</u>ave changes</button><br/><br/>-->

	<xsl:call-template name="Navigation">
		<xsl:with-param name="Buttons">
				<button onclick="execUpdate()"><u>S</u>ave changes</button>&#160;
		</xsl:with-param>
	</xsl:call-template>

</xsl:template>
</xsl:stylesheet>



