<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:ms="urn:schemas-microsoft-com:xslt" xmlns:msxsl='urn:schemas-microsoft-com:xslt' xmlns:js='http://www.atttitude.com/jsnamespace'>
<xsl:output method="html" version="1.0" encoding="UTF-8" indent="yes"/>
[include_out_helpers_detail]

	<xsl:variable name="account_info_id"><xsl:apply-templates select="/d/cc/c[.='ACCOUNT_INFO_ID']/@h"/></xsl:variable>
	<xsl:variable name="login_user_id"><xsl:apply-templates select="/d/cc/c[.='LOGIN_USER_ID']/@h"/></xsl:variable>
	<xsl:variable name="login_user_name"><xsl:apply-templates select="/d/cc/c[.='LOGIN_USER_NAME']/@h"/></xsl:variable>
	<xsl:variable name="job_title"><xsl:apply-templates select="/d/cc/c[.='JOB_TITLE']/@h"/></xsl:variable>
	<xsl:variable name="dept_num"><xsl:apply-templates select="/d/cc/c[.='DEPT_NUM']/@h"/></xsl:variable>
	<xsl:variable name="pending_hire_date"><xsl:apply-templates select="/d/cc/c[.='PENDING_HIRE_DATE']/@h"/></xsl:variable>	
	<xsl:variable name="hire_date"><xsl:apply-templates select="/d/cc/c[.='HIRE_DATE']/@h"/></xsl:variable>	
	<xsl:variable name="contract_end_date"><xsl:apply-templates select="/d/cc/c[.='CONTRACT_END_DATE']/@h"/></xsl:variable>	
	<xsl:variable name="termination_date"><xsl:apply-templates select="/d/cc/c[.='TERMINATION_DATE']/@h"/></xsl:variable>	
	<xsl:variable name="po_num"><xsl:apply-templates select="/d/cc/c[.='PO_NUM']/@h"/></xsl:variable>
	<xsl:variable name="up_po_num"><xsl:apply-templates select="/d/cc/c[.='UP_PO_NUM']/@h"/></xsl:variable>
	<xsl:variable name="start_date"><xsl:apply-templates select="/d/cc/c[.='START_DATE']/@h"/></xsl:variable>	
	<xsl:variable name="end_date"><xsl:apply-templates select="/d/cc/c[.='END_DATE']/@h"/></xsl:variable>	
	<xsl:variable name="po_total_hours"><xsl:apply-templates select="/d/cc/c[.='PO_TOTAL_HOURS']/@h"/></xsl:variable>
	<xsl:variable name="bill_rate"><xsl:apply-templates select="/d/cc/c[.='BILL_RATE']/@h"/></xsl:variable>
	<xsl:variable name="benefits_rate"><xsl:apply-templates select="/d/cc/c[.='BENEFITS_RATE']/@h"/></xsl:variable>
	<xsl:variable name="pay_rate"><xsl:apply-templates select="/d/cc/c[.='PAY_RATE']/@h"/></xsl:variable>
	<xsl:variable name="active"><xsl:apply-templates select="/d/cc/c[.='ACTIVE']/@h"/></xsl:variable>
	<xsl:variable name="supervisors_names"><xsl:apply-templates select="/d/cc/c[.='SUPERVISORS_NAMES']/@h"/></xsl:variable>
	<xsl:variable name="projects_names"><xsl:apply-templates select="/d/cc/c[.='PROJECTS_NAMES']/@h"/></xsl:variable>
	<xsl:variable name="hiring_manager"><xsl:apply-templates select="/d/cc/c[.='HIRING_MANAGER']/@h"/></xsl:variable>
	<xsl:variable name="insurance"><xsl:apply-templates select="/d/cc/c[.='INSURANCE']/@h"/></xsl:variable>
	<xsl:variable name="overhead"><xsl:apply-templates select="/d/cc/c[.='OVERHEAD']/@h"/></xsl:variable>
	<xsl:variable name="ira"><xsl:apply-templates select="/d/cc/c[.='IRA']/@h"/></xsl:variable>
	<xsl:variable name="ira_num"><xsl:apply-templates select="/d/cc/c[.='IRA_NUM']/@h"/></xsl:variable>
	<xsl:variable name="ira_amount"><xsl:apply-templates select="/d/cc/c[.='IRA_AMOUNT']/@h"/></xsl:variable>
	<xsl:variable name="er_tax"><xsl:apply-templates select="/d/cc/c[.='ER_TAX']/@h"/></xsl:variable>

	<xsl:variable name="invoiced" select="format-number(sum(/d/invoice/rr/r/@e),$FormatHour,'non')"/>

<xsl:template match="/">
<h1>Current <xsl:value-of select="$oa"/></h1>

	<form name="frmXML" method="post">
		<input type="hidden" name="oid" value="{$oid}"/>
		<input type="hidden" name="act" value="?o={$o}&amp;oid={$oid}&amp;s={$s}&amp;pn={$pn}&amp;sti={$sti}"/>
		<input type="hidden" value="" name="xml"/>
		<input type="hidden" name="om" value="login_user_project"/>
		<input type="hidden" name="xmlm" value=""/>
	</form>

	<form name="frm" method="post" onsubmit="return false;" id="detail">
		<input name="ACCOUNT_INFO_ID" type="hidden" id="id" value="{$account_info_id}"/>
		<table><tr><td valign="top">	
		
		<xsl:call-template name="strTable"><xsl:with-param name="title">Job Details</xsl:with-param><xsl:with-param name="width" select="350"/></xsl:call-template>
		 <table cellspacing="0" cellpadding="3" border="0">
				<tr ctrlrow=""><td width="100"><input name="login_user_id"  id="r" type="hidden" value="{$login_user_id}"/></td><td></td></tr>
				<xsl:call-template name="field"><xsl:with-param name="name" select="'LOGIN_USER_NAME'"/></xsl:call-template>
				<xsl:call-template name="field"><xsl:with-param name="name" select="'JOB_TITLE'"/></xsl:call-template>
				<xsl:call-template name="field"><xsl:with-param name="name" select="'DEPT_NUM'"/></xsl:call-template>
				<xsl:call-template name="field"><xsl:with-param name="name" select="'SUPERVISORS_NAMES'"/></xsl:call-template>
				<xsl:call-template name="field"><xsl:with-param name="name" select="'PROJECTS_NAMES'"/></xsl:call-template>
				<xsl:call-template name="field"><xsl:with-param name="name" select="'HIRING_MANAGER'"/></xsl:call-template>
			</table>
		<xsl:call-template name="endTable"/>

		<xsl:call-template name="strTable"><xsl:with-param name="title">Dates</xsl:with-param><xsl:with-param name="width" select="350"/></xsl:call-template>
			<table cellspacing="0" cellpadding="3" border="0"><tr ctrlrow=""><td></td><td width="200"></td></tr>
				<xsl:call-template name="field"><xsl:with-param name="name" select="'USER_STATUS'"/></xsl:call-template>
				<xsl:call-template name="field"><xsl:with-param name="name" select="'PENDING_HIRE_DATE'"/></xsl:call-template>
				<xsl:call-template name="field"><xsl:with-param name="name" select="'HIRE_DATE'"/></xsl:call-template>
				<xsl:call-template name="field"><xsl:with-param name="name" select="'CONTRACT_END_DATE'"/></xsl:call-template>
				<xsl:call-template name="field"><xsl:with-param name="name" select="'TERMINATION_DATE'"/></xsl:call-template>
			</table>
		<xsl:call-template name="endTable"/>

	</td><td width="10"></td><td valign="top">
		
		<xsl:call-template name="strTable"><xsl:with-param name="title">Purchase Order Details</xsl:with-param><xsl:with-param name="width" select="220"/></xsl:call-template>
			<table cellspacing="0" cellpadding="3" border="0">
				<tr ctrlrow=""><td width="140"></td><td width="60"></td></tr>
				<xsl:call-template name="field"><xsl:with-param name="name" select="'PO_NUM'"/></xsl:call-template>
				<xsl:call-template name="field"><xsl:with-param name="name" select="'START_DATE'"/></xsl:call-template>
				<xsl:call-template name="field"><xsl:with-param name="name" select="'END_DATE'"/></xsl:call-template>
				<xsl:call-template name="field"><xsl:with-param name="name" select="'PO_TOTAL_HOURS'"/></xsl:call-template>
				<xsl:call-template name="field"><xsl:with-param name="name" select="'INVOICED_PO_HOURS'"/></xsl:call-template>
				<xsl:call-template name="field"><xsl:with-param name="name" select="'LEFT_PO_HOURS'"/></xsl:call-template>
			</table>
		<xsl:call-template name="endTable"/>

		<xsl:call-template name="strTable"><xsl:with-param name="title">Rates (per hour)</xsl:with-param><xsl:with-param name="width" select="220"/></xsl:call-template>
			<table cellspacing="0" cellpadding="3" border="0">
				<tr ctrlrow=""><td width="140"></td><td width="60"></td></tr>
				<xsl:call-template name="field"><xsl:with-param name="name" select="'PAY_RATE'"/></xsl:call-template>
				<xsl:call-template name="field"><xsl:with-param name="name" select="'BENEFITS_RATE'"/></xsl:call-template>
				<xsl:call-template name="field"><xsl:with-param name="name" select="'BILL_RATE'"/></xsl:call-template>
			</table>
		<xsl:call-template name="endTable"/>
		
		<xsl:call-template name="strTable"><xsl:with-param name="title"></xsl:with-param><xsl:with-param name="width" select="220"/></xsl:call-template>
			<table cellspacing="0" cellpadding="3" border="0">
				<tr ctrlrow=""><td width="140"></td><td width="60"></td></tr>
				<xsl:call-template name="field"><xsl:with-param name="name" select="'INSURANCE'"/></xsl:call-template>
				<xsl:call-template name="field"><xsl:with-param name="name" select="'OVERHEAD'"/></xsl:call-template>
				<xsl:if test="not(/d/privileges/rr/r[@a='IRA']/@b='N')">
					<tr><td>IRA:</td><td align="right">
						<xsl:if test="/d/privileges/rr/r[@a='IRA']/@b=''"><input name="ira" type="checkbox" value="Y" onclick="document.getElementById('ira_num').style.display=(this.checked)?'block':'none'"><xsl:if test="$ira='Y'"><xsl:attribute name="checked"/></xsl:if></input></xsl:if></td></tr>
					<tr><td colspan="2"><span id="ira_num"><xsl:attribute name="style">width:100%;text-align:right; <xsl:if test="$ira!='Y'">display:none;</xsl:if></xsl:attribute>
						IRA #: <xsl:choose><xsl:when test="/d/privileges/rr/r[@a='IRA']/@b='V'"><xsl:value-of select="$ira_num"/></xsl:when><xsl:otherwise><input name="ira_num" type="text" size="16" maxlength="50" value="{$ira_num}"/></xsl:otherwise></xsl:choose><br/>
						IRA amount: <xsl:choose><xsl:when test="/d/privileges/rr/r[@a='IRA']/@b='V'"><xsl:value-of select="$ira_amount"/></xsl:when><xsl:otherwise><input name="ira_amount" type="text" size="16" maxlength="50" value="{$ira_amount}"/></xsl:otherwise></xsl:choose><br/>
					</span></td></tr>
				</xsl:if>
			<xsl:call-template name="field"><xsl:with-param name="name" select="'ER_TAX'"/></xsl:call-template>
			</table>
		<xsl:call-template name="endTable"/>
	</td></tr></table>
	</form>
	<!--	
	<button onclick="document.location='list?o=accounting_info&amp;s={$s}&amp;pn={$pn}&amp;sti={$sti}'" name="btnList" ><u>B</u>ack to List</button>&#160;
	<button type="reset" size="10" accessKey="a" id="np" onclick="document.location='list?o=accounting_info_history&amp;sti={$sti}&amp;s={$s}&amp;pn={$pn}&amp;oid={$login_user_id}'">Accounting Information <u>A</u>rchive </button>&#160;
	<xsl:if test="/d/privileges/rr/r/@b=''"><button type="submit" size="10" accesskey="s" id="np"><xsl:attribute name="onclick"><xsl:choose><xsl:when test="$account_info_id!=''">execUpdate()</xsl:when><xsl:otherwise>execInsert();</xsl:otherwise></xsl:choose></xsl:attribute><u>S</u>ave changes</button></xsl:if>


	<tr><td>PO #:<xsl:call-template name="ico_req"/></td><td><input name="po_num" type="text" style="width:95px;" maxlength="50" id="r" value="{$po_num}"><xsl:if test="$ro"><xsl:attribute name="disabled"/></xsl:if></input></td></tr>
	<tr><td>PO start date:</td><td><input name="start_date"  type="text" style="width:80px;" maxlength="10" value="{$start_date}"><xsl:if test="$ro"><xsl:attribute name="disabled"/></xsl:if></input><button tabindex="-1" id="np" style="position:relative;top:-1px;left:-1px;height:19px;" onclick="gfPop.fRangePop('{$start_date}', '{$end_date}', document.frm.start_date);window.frames['gToday:calendar:/tts/i/j/calendar.js'].focus();return false;"><xsl:if test="$ro"><xsl:attribute name="disabled"/></xsl:if>...</button></td></tr>
	<tr><td>PO end date:</td><td><input name="end_date"  type="text" style="width:80px;" maxlength="10" value="{$end_date}"><xsl:if test="$ro"><xsl:attribute name="disabled"/></xsl:if></input><button tabindex="-1" id="np" style="position:relative;top:-1px;left:-1px;height:19px;" onclick="gfPop.fRangePop('{$start_date}', '{$end_date}', document.frm.end_date);window.frames['gToday:calendar:/tts/i/j/calendar.js'].focus();return false;"><xsl:if test="$ro"><xsl:attribute name="disabled"/></xsl:if>...</button></td></tr>
	<tr><td>total PO hours:</td><td><input name="po_total_hours"  type="text" style="width:95px;" maxlength="50" value="{format-number($po_total_hours,$FormatHour,'non')}"><xsl:if test="$ro"><xsl:attribute name="disabled"/></xsl:if></input></td></tr>
	<tr><td>invoiced PO hours:</td><td align="right"><xsl:value-of select="format-number($invoiced,$FormatHour,'nan')"/></td></tr>
	<tr><td>PO hours left:</td><td align="right"><xsl:value-of select="format-number(($po_total_hours - $invoiced),$FormatHour,'nan')"/></td></tr>

	<tr><td>pay rate:</td><td align="right">$<input name="pay_rate"  type="text" size="5" maxlength="50" value="{$pay_rate}"><xsl:if test="$ro"><xsl:attribute name="disabled"/></xsl:if></input></td></tr>
	<tr><td>benefits rate:</td><td align="right">$<input name="benefits_rate"  type="text" size="5" maxlength="50" value="{$benefits_rate}"><xsl:if test="$ro"><xsl:attribute name="disabled"/></xsl:if></input></td></tr>
	<tr><td>bill rate:</td><td align="right">$<input name="bill_rate" type="text" size="5" maxlength="50" value="{$bill_rate}"><xsl:if test="$ro"><xsl:attribute name="disabled"/></xsl:if></input></td></tr>

	<tr><td>insurance (per month):</td><td align="right">$<input name="insurance"  type="text" size="5" maxlength="50" value="{format-number($insurance,$FormatCrs,'non')}"><xsl:if test="$ro"><xsl:attribute name="disabled"/></xsl:if></input></td></tr>
	<tr><td>overhead (%):</td><td align="right">&#160;&#160;<input name="overhead"  type="text" size="5" maxlength="50" value="{format-number($overhead,'0.00','non')}"><xsl:if test="$ro"><xsl:attribute name="disabled"/></xsl:if></input></td></tr>
	<tr><td>ER taxes (%):</td><td align="right">&#160;&#160;<input name="er_tax" type="text" size="5" maxlength="50" value="{format-number($er_tax,'0.00','non')}"><xsl:if test="$ro"><xsl:attribute name="disabled"/></xsl:if></input></td></tr>
	-->
	
	
	<xsl:if test="$account_info_id!=''">
		<xsl:call-template name="lists"/>
	</xsl:if>

	<xsl:call-template name="Navigation">
		<xsl:with-param name="Buttons">
			<button onclick="document.location='list?o=accounting_info&amp;s={$s}&amp;pn={$pn}&amp;sti={$sti}'" name="btnList" ><u>B</u>ack to List</button>
			<button onclick="document.location='list?o=accounting_info@history&amp;sti={$sti}&amp;s={$s}&amp;pn={$pn}&amp;oid={$login_user_id}'">Accounting Information <u>A</u>rchive </button>
			<xsl:if test="/d/privileges/rr/r/@b=''"><button><xsl:attribute name="onclick"><xsl:choose><xsl:when test="$account_info_id!=''">execUpdate()</xsl:when><xsl:otherwise>execInsert();</xsl:otherwise></xsl:choose></xsl:attribute><u>S</u>ave changes</button></xsl:if>
		</xsl:with-param>
	</xsl:call-template>
</xsl:template>	

<xsl:template name="lists">
	<xsl:if test="not(/d/privileges/rr/r[@a='INVOICE_NUM']/@b='N' and /d/privileges/rr/r[@a='INVOICED_DATE']/@b='N' and /d/privileges/rr/r[@a='INVOICE_WORKED_HOURS']/@b='N' and 
	/d/privileges/rr/r[@a='INVOICED_PO_HOURS']/@b='N' and /d/privileges/rr/r[@a='INVOICE_BILL_RATE']/@b='N' and /d/privileges/rr/r[@a='INVOICED_AMOUNT']/@b='N')">
	<h3>Invoices for PO# <xsl:value-of select="$po_num"/></h3>
		<table cellspacing="0" cellpadding="0" width="100%" border="0" id="list">
			<tr valign="center">
				<xsl:if test="not(/d/privileges/rr/r[@a='INVOICE_NUM']/@b='N')"><th width="80"><span>#</span></th></xsl:if>
				<xsl:if test="not(/d/privileges/rr/r[@a='INVOICED_DATE']/@b='N')"><th width="100"><span>inv. date</span></th></xsl:if>
				<xsl:if test="not(/d/privileges/rr/r[@a='INVOICE_WORKED_HOURS']/@b='N')"><th width="120"><span>worked hours</span></th></xsl:if>
				<xsl:if test="not(/d/privileges/rr/r[@a='INVOICED_PO_HOURS']/@b='N')"><th width="100"><span>hours billed</span></th></xsl:if>
				<xsl:if test="not(/d/privileges/rr/r[@a='INVOICE_BILL_RATE']/@b='N')"><th width="100"><span>bill rate</span></th></xsl:if>
				<xsl:if test="not(/d/privileges/rr/r[@a='INVOICED_AMOUNT']/@b='N')"><th width="100"><span>amount</span></th></xsl:if>
				<th><span>&#160;</span></th>
			</tr>
			<xsl:for-each select="/d/invoice/rr/r">
				<xsl:variable name="class">lst<xsl:value-of select="floor((position()) mod 2)"/></xsl:variable>
				<xsl:variable name="date_record"><xsl:call-template name="FormatDate"><xsl:with-param name="date" select="@b"/></xsl:call-template></xsl:variable>
				<tr id="{@a}"><xsl:apply-templates select="@*[position()>1]"/><td class="{$class}"/></tr>
			</xsl:for-each>
				<tr>
					<td colspan="2" align="right"><b>Total: </b></td>
					<xsl:if test="not(/d/privileges/rr/r[@a='INVOICE_WORKED_HOURS']/@b='N')"><td align="right"><b><xsl:value-of select="format-number(sum(/d/invoice/rr/r/@d),$FormatHour,'non')"/></b></td></xsl:if>
					<xsl:if test="not(/d/privileges/rr/r[@a='INVOICED_PO_HOURS']/@b='N')"><td align="right"><b><xsl:value-of select="$invoiced"/></b></td><td></td></xsl:if>
					<xsl:if test="not(/d/privileges/rr/r[@a='INVOICED_AMOUNT']/@b='N')"><td align="right"><b>$ <xsl:value-of select="format-number(sum(/d/invoice/rr/r/@g),$FormatCrs,'non')"/></b></td></xsl:if>
					<td></td>
				</tr>
	</table>
<br/><br/></xsl:if>

	<h3>Expense reimbursements (<xsl:value-of select="$start_date"/>-<xsl:value-of select="$end_date"/>)</h3>
		<table cellspacing="0" cellpadding="0" width="100%" border="0" id="list">
			<tr valign="center">
				<xsl:if test="not(/d/privileges/rr/r[@a='INVOICE_NUM']/@b='N')"><th width="80"><span>#</span></th></xsl:if>
				<xsl:if test="not(/d/privileges/rr/r[@a='INVOICED_DATE']/@b='N')"><th width="100"><span>inv. date</span></th></xsl:if>
				<xsl:if test="not(/d/privileges/rr/r[@a='EXP_STATEMENT_ID']/@b='N')"><th width="120"><span>exp. statement #</span></th></xsl:if>
				<xsl:if test="not(/d/privileges/rr/r[@a='REIMBUR_EMP_AMOUNT']/@b='N')"><th width="100"><span>employee </span></th></xsl:if>
				<xsl:if test="not(/d/privileges/rr/r[@a='REIMBUR_COMP_AMOUNT']/@b='N')"><th width="100"><span>company</span></th></xsl:if>
				<xsl:if test="not(/d/privileges/rr/r[@a='INVOICED_AMOUNT']/@b='N')"><th width="100"><span>amount</span></th></xsl:if>
				<th><span>&#160;</span></th>
			</tr>
			<xsl:for-each select="/d/reimbursement/rr/r">
				<xsl:variable name="class">lst<xsl:value-of select="floor((position()) mod 2)"/></xsl:variable>
				<xsl:variable name="date_record"><xsl:call-template name="FormatDate"><xsl:with-param name="date" select="@b"/></xsl:call-template></xsl:variable>
				<tr id="{@a}"><xsl:apply-templates select="@*[position()>1]"/><td class="{$class}"/></tr>
			</xsl:for-each>
				<tr>
					<td colspan="3" align="right"><b>Total: </b></td>
					<xsl:if test="not(/d/privileges/rr/r[@a='REIMBUR_EMP_AMOUNT']/@b='N')"><td align="right"><b>$ <xsl:value-of select="format-number(sum(/d/reimbursement/rr/r[@e!='']/@e),$FormatCrs,'nan')"/></b></td></xsl:if>
					<xsl:if test="not(/d/privileges/rr/r[@a='REIMBUR_COMP_AMOUNT']/@b='N')"><td align="right"><b>$ <xsl:value-of select="format-number(sum(/d/reimbursement/rr/r[@f!='']/@f),$FormatCrs,'nan')"/></b></td></xsl:if>
					<xsl:if test="not(/d/privileges/rr/r[@a='INVOICED_AMOUNT']/@b='N')"><td align="right"><b>$ <xsl:value-of select="format-number(sum(/d/reimbursement/rr/r[@g!='']/@g),$FormatCrs,'nan')"/></b></td></xsl:if>
					<td></td>
				</tr>
				<tr><td colspan="6" style="background-color:white;border-top:1px #879CAD solid; " align="right">
				<h3 style="color: red;">Total: <xsl:value-of select="format-number(sum(/d/reimbursement/rr/r[@g!='']/@g) + sum(/d/invoice/rr/r[@g!='']/@g),$FormatCrs,'nan')"/></h3></td><td style="background-color:white;border-top:1px #879CAD solid"/></tr>
	</table>
</xsl:template>	
</xsl:stylesheet>
