<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:ms="urn:schemas-microsoft-com:xslt" xmlns:msxsl='urn:schemas-microsoft-com:xslt' xmlns:js='http://www.atttitude.com/jsnamespace'>
<xsl:output method="html" version="1.0" encoding="UTF-8" indent="yes"/>
[include_out_helpers_detail]
<xsl:variable name="grid"><xsl:apply-templates select="/d/cc/c[.='GRID']/@h"/></xsl:variable>
<xsl:variable name="group_name"><xsl:apply-templates select="/d/cc/c[.='GROUP_NAME']/@h"/></xsl:variable>
<xsl:variable name="up_group_name"><xsl:apply-templates select="/d/cc/c[.='UP_GROUP_NAME']/@h"/></xsl:variable>
<xsl:variable name="start_date"><xsl:apply-templates select="/d/cc/c[.='START_DATE']/@h"/></xsl:variable>
<xsl:variable name="period_in_week"><xsl:apply-templates select="/d/cc/c[.='PERIOD_IN_WEEK']/@h"/></xsl:variable>
<xsl:variable name="hour_format"><xsl:apply-templates select="/d/cc/c[.='HOUR_FORMAT']/@h"/></xsl:variable>
<xsl:variable name="email_error"><xsl:apply-templates select="/d/cc/c[.='EMAIL_ERROR']/@h"/></xsl:variable>
<xsl:variable name="email_system"><xsl:apply-templates select="/d/cc/c[.='EMAIL_SYSTEM']/@h"/></xsl:variable>

	<xsl:template match="/">
		<form name="frmXML" method="post">
			<input type="hidden" name="act" value="?o={$o}&amp;s={$s}&amp;sti={$sti}"/>
			<input type="hidden" value="" name="xml"/>
			<input type="hidden" name="om" value="login_group_object"/>
			<input type="hidden" name="xmlm" value=""/>
		</form>
		<form name="frm" method="post" onsubmit="return false;" id="detail">
			<h1><xsl:value-of select="$up_group_name"/> Group configuration</h1>
			<xsl:call-template name="strTable"><xsl:with-param name="width" select="400"/></xsl:call-template>
			<table cellspacing="0" cellpadding="3" border="0">
				<tr ctrlrow=""><td width="150"></td></tr>
				<input name="grid"  type="hidden" id="id" value="{$grid}"/>
				<tr><td>group id:<xsl:call-template name="ico_req"/></td><td><xsl:value-of select="$grid"/></td></tr>
				<tr><td>group name:<xsl:call-template name="ico_req"/></td><td><input name="GROUP_NAME" type="text" size="17" maxlength="25" id="r" value="{$group_name}"/></td></tr>
				<tr><td>period start date:<xsl:call-template name="ico_req"/></td><td><input name="START_DATE" id="r" type="text" size="15" maxlength="22" value="{$start_date}"/><img src="/tts/i/i/ico_cal.gif" style="position:relative;top:3px;left:-2px;cursor:hand;" onclick="gfPop.fPopCalendar(document.frm.START_DATE);window.frames['gToday:calendar:/tts/i/j/calendar.js'].focus();return false;" />	</td></tr>
				<tr><td>period in weeks:<xsl:call-template name="ico_req"/></td><td><select name="PERIOD_IN_WEEK"  id="r" value="{$period_in_week}"><option value="1">1</option><option value="2">2</option><option value="3">3</option><option value="4">4</option><option value="5">5</option><option value="6">6</option><option value="7">7</option><option value="8">8</option><option value="9">9</option><option value="10">10</option></select></td></tr>
				<tr><td>hours format:<xsl:call-template name="ico_req"/></td><td><select name="HOUR_FORMAT" id="r" value="{$hour_format}"><option value="#0">hh</option><option value="#0.0">hh.h</option><option value="#0.00">hh.hh</option></select></td></tr>
				<tr><td>error email:<xsl:call-template name="ico_req"/></td><td><input name="EMAIL_ERROR" type="text" maxlength="155" size="30" id="r" value="{$email_error}"/></td></tr>
			</table><xsl:call-template name="endTable"/>
			<script>
				<xsl:comment>
				document.forms['frm'].HOUR_FORMAT.value='<xsl:value-of select="$hour_format"/>';
				document.forms['frm'].PERIOD_IN_WEEK.value='<xsl:value-of select="$period_in_week"/>';
				</xsl:comment>
			</script>
			<iframe width='174' height='189' name='gToday:calendar:/tts/i/j/calendar.js' id='gToday:calendar:/tts/i/j/calendar.js' src='/tts/popcal.htm' scrolling='no' frameborder='0' style='visibility:visible; z-index:999; position:absolute; left:-500px; top:0px;' onblur="gfPop.fHideCal();"></iframe>
		</form>
		<script>
			function gatherFields(){
				var xml='';
				if(!execUpdate(f,fXML.xml, false))return false;
				var f1=document.forms['frm1'];
				for(i=0; i&lt;f1.elements.length; i++){
					e=f1.elements[i];
					if(e.name=='SHOW'){
						if(e.checked!=e.defaultChecked){
							if(e.checked) xml+='&lt;s a="i">&lt;w c="LOGIN_GROUP_OBJECT_ID" k="">&lt;/w>&lt;w c="OBJECT_PRIVILEGE_ID">'+e.value+'&lt;/w>&lt;w c="GRID"><xsl:value-of select="$oid"/>&lt;/w>&lt;/s>\n';
							else xml+='&lt;s a="d">&lt;w c="LOGIN_GROUP_OBJECT_ID" k="">'+e.id+'&lt;/w>&lt;/s>\n';
						}
					}
				}//end form 1
				fXML.xmlm.value=xml;xml='';
				fXML.action='update'+fXML.act.value;
				fXML.submit();
				fXML.xmlm.value='';return true;
		}
		</script>
		
			<xsl:call-template name="strTable"><xsl:with-param name="width" select="400"/></xsl:call-template>
			<form name="frm1" method="post" onsubmit="return false;" id="detail">
				<table width="100%" border="0" id="detail">
					<tr ctrlrow=""><th width="250">links</th><th>allow access</th></tr>
							<xsl:for-each select="/d/object/rr/r"><xsl:sort select="@b"/><xsl:variable name="OID" select="@a"/>
								<tr>
									<td><xsl:value-of select="@b"/> &#160; <xsl:if test="@c='Y'">(menu item)</xsl:if></td>
									<td align="center">
										<input type="checkbox" name="SHOW" id="{@d}" value="{@a}"><xsl:if test="@d!=''"><xsl:attribute name="checked"/></xsl:if>
									</input></td>
								</tr>
							</xsl:for-each>						
				</table>
			</form>
			<xsl:call-template name="endTable"/>

		<xsl:call-template name="Navigation">
			<xsl:with-param name="Buttons">
				<button onclick="document.location='list?o=admin_group&amp;sti={$sti}&amp;s={$s}&amp;pn={$pn}'">Group <u>l</u>ist </button>&#160;
				<button><xsl:attribute name="onclick"><xsl:choose><xsl:when test="$oid!=''">gatherFields()</xsl:when><xsl:otherwise>execInsert();</xsl:otherwise></xsl:choose></xsl:attribute><u>S</u>ave changes</button>
			</xsl:with-param>
		</xsl:call-template>
	</xsl:template>	
</xsl:stylesheet>




