<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:ms="urn:schemas-microsoft-com:xslt" xmlns:msxsl='urn:schemas-microsoft-com:xslt' xmlns:js='http://www.atttitude.com/jsnamespace'>
<xsl:output method="html" version="1.0" encoding="UTF-8" indent="yes"/>
[include_out_helpers_detail]

<xsl:variable name="quick_entry_bar"><xsl:apply-templates select="/d/cc/c[.='QUICK_ENTRY_BAR']/@h"/></xsl:variable>
	
 <xsl:template match="/">
		<h1><xsl:value-of select="$oa"/></h1>
		<form name="frmXML" method="post">
			<input type="hidden" name="oid" value="{$UsID}"/>
			<input type="hidden" name="act"><xsl:attribute name="value">?o=<xsl:value-of select="$o"/>&amp;oid=<xsl:value-of select="$oid"/>&amp;sti=<xsl:value-of select="$sti"/>&amp;s=<xsl:value-of select="$s"/></xsl:attribute></input>
			<input type="hidden" name="xml" value=""/>
			<input type="hidden" name="om" value="login_user_project"/>
			<input type="hidden" name="xmlm" value=""/>
		</form>
		<xsl:call-template name="strTable"><xsl:with-param name="title">Hours Worked Screen</xsl:with-param><xsl:with-param name="width" select="300"/></xsl:call-template>
			<form name="frm" method="post" onsubmit="return false;" id="detail"><input type="hidden" name="LOGIN_USER_ID" id="id" value="{$UsID}"/>
				<table border="0" id="detail">
					<tr ctrlrow=""><th width="280"></th><th>show</th></tr>
							<tr><td>Quick Entry Bar</td><td align="center" width="25">
								<input type="checkbox" name="QUICK_ENTRY_BAR" value="Y"><xsl:if test="$quick_entry_bar='Y'"><xsl:attribute name="checked"/></xsl:if></input>
							</td></tr>
				</table>
			</form>
			<form name="frm1" method="post" onsubmit="return false;" id="detail">
			<!--a=p.project_id,  b=project_name, c=user_project_id, d=user_project_active -->
				<table border="0" id="detail">
					<tr ctrlrow=""><th width="250">projects</th><th>show</th></tr>
					<xsl:for-each select="/d/project/rr/r[@d!='']">
						<xsl:variable name="ProjectId" select="@a"/>
							<tr><td><xsl:value-of select="@b"/></td><td align="center" width="25">
								<input type="checkbox" name="ACTIVE" id="{@c}" value="{@a}"><xsl:if test="@d='Y'"><xsl:attribute name="checked"/></xsl:if></input>
							</td></tr>
					</xsl:for-each>						
				</table>
			</form>
		<xsl:call-template name="endTable"/>
		<script>
			function gatherFields(){
				var s="", xml="",label='', field_name="", f;
				var fXML=document.forms['frmXML'];
				if(!execUpdate(document.frm,document.frmXML.xml, false))return false;
				f1=document.forms['frm1'];
				for(i=0; i&lt;f1.elements.length; i++){
					e=f1.elements[i];
					if(e.checked.toString()!=e.defaultChecked)
							xml+='&lt;s a="u">&lt;w c="LOGIN_USER_PROJECT_ID" k="">'+e.id+'&lt;/w>&lt;w c="ACTIVE">'+ (((e.checked)?'Y':'N')) +'&lt;/w>&lt;/s>\n';
					else continue;
					fXML.xmlm.value=xml;
				}
				fXML.xmlm.value=xml;xml='';
				fXML.action='update'+fXML.act.value;
				fXML.submit();fXML.xmlm.value='';return true;
		}
		</script>
		<xsl:call-template name="Navigation">
			<xsl:with-param name="Buttons">
				<button onclick="gatherFields()"><u>S</u>ave changes</button>
			</xsl:with-param>
		</xsl:call-template>
	</xsl:template>
</xsl:stylesheet>



