<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:ms="urn:schemas-microsoft-com:xslt" xmlns:msxsl='urn:schemas-microsoft-com:xslt' xmlns:js='http://www.atttitude.com/jsnamespace'>
<xsl:output method="html" version="1.0" encoding="UTF-8" indent="yes"/>
[include_out_helpers_detail]

<xsl:variable name="jabberlogin"><xsl:apply-templates select="/d/cc/c[.='JABBER_LOGIN']/@h"/></xsl:variable>
	
 <xsl:template match="/">

<head>
<title>Live chat</title>
<meta http-equiv="expires" content="0"/>
<meta http-equiv="pragma" content="no-cache"/>
<script language="JavaScript1.1">
	<![CDATA[
	if (top.location!=self.location) top.location=self.location;
	if(window.name!='newwin402') window.close();

	var requiredVersion = 6;
	var useRedirect = false;

	// Only set next three vars if useRedirect is true...
	var flashPage = "movie.html"      // The location of the flash movie page
	var noFlashPage = "noflash.html"  // Page displayed if the user doesn't have the plugin or we can't detect it.
	var upgradePage = "upgrade.html"  // Page displayed if we detect an old plugin

	// System globals
	var flash2Installed = false;    // boolean. true if flash 2 is installed
	var flash3Installed = false;    // boolean. true if flash 3 is installed
	var flash4Installed = false;    // boolean. true if flash 4 is installed
	var flash5Installed = false;    // boolean. true if flash 5 is installed
	var flash6Installed = false;    // boolean. true if flash 6 is installed
	var maxVersion = 6;             // highest version we can actually detect
	var actualVersion = 0;          // version the user really has
	var hasRightVersion = false;    // boolean. true if its safe to embed the flash movie in the page
	var jsVersion = 1.0;            // the version of javascript supported

	var isIE = (navigator.appVersion.indexOf("MSIE") != -1) ? true : false;    // true if we're on ie
	var isWin = (navigator.appVersion.indexOf("Windows") != -1) ? true : false; // true if we're on windows

	// This is a js1.1 code block, so make note that js1.1 is supported.
	jsVersion = 1.1;

	// Write vbscript detection on ie win. IE on Windows doesnt support regular JavaScript plugins array detection.
	if(isIE && isWin){
		document.write('<SCR' + 'IPT LANGUAGE=VBScript\> \n');
		document.write('on error resume next \n');
		document.write('flash2Installed = (IsObject(CreateObject("ShockwaveFlash.ShockwaveFlash.2"))) \n');
		document.write('flash3Installed = (IsObject(CreateObject("ShockwaveFlash.ShockwaveFlash.3"))) \n');
		document.write('flash4Installed = (IsObject(CreateObject("ShockwaveFlash.ShockwaveFlash.4"))) \n');
		document.write('flash5Installed = (IsObject(CreateObject("ShockwaveFlash.ShockwaveFlash.5"))) \n');
		document.write('flash6Installed = (IsObject(CreateObject("ShockwaveFlash.ShockwaveFlash.6"))) \n');
		document.write('</SCR' + 'IPT\> \n'); // break up end tag so it doesnt end our script
	}

 function detectFlash() {
  if (navigator.plugins) {
    if (navigator.plugins["Shockwave Flash 2.0"] || navigator.plugins["Shockwave Flash"]) {
      var isVersion2 = navigator.plugins["Shockwave Flash 2.0"] ? " 2.0" : "";
      var flashDescription = navigator.plugins["Shockwave Flash" + isVersion2].description;
      var flashVersion = parseInt(flashDescription.charAt(flashDescription.indexOf(".") - 1));
      flash2Installed = flashVersion == 2;
      flash3Installed = flashVersion == 3;
      flash4Installed = flashVersion == 4;
      flash5Installed = flashVersion == 5;
      flash6Installed = flashVersion >= 6;
    }
  }
	for (var i = 2; i <= maxVersion; i++) {
		if (eval("flash" + i + "Installed") == true) actualVersion = i;
	}
	if(navigator.userAgent.indexOf("WebTV") != -1) actualVersion = 2;
	if (actualVersion >= requiredVersion) { 		// user has a new enough version
		hasRightVersion = true;
	}
}

detectFlash();
]]>
</script>
</head>
<body style="margin:0px; padding:0px;">
<script language="javascript" type="text/javascript">
<![CDATA[ ]]>
if (!useRedirect) {
	if(hasRightVersion) {
		var oeTags = '<object classid="clsid:d27cdb6e-ae6d-11cf-96b8-444553540000" codebase="https://download.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=7,0,0,0" width="100%" height="100%" id="jabber" align="middle">'+
								 '	<param name="allowScriptAccess" value="sameDomain" />'+
								 '	<param name="movie" value="/tts/jabber.swf?s={$s}&amp;user_name={$jabberlogin}" />'+
								 '	<param name="quality" value="high" /><param name="bgcolor" value="#E7E7E7" />'+
								 '	<embed src="/tts/jabber.swf?s={$s}&amp;user_name={$jabberlogin}" quality="high" bgcolor="#ffffff" width="730" height="400" name="jabber" align="middle" allowScriptAccess="sameDomain" type="application/x-shockwave-flash" pluginspage="http://www.macromedia.com/go/getflashplayer" />'+
								 '</object>';
	} else {	// flash is too old or we can't detect the plugin
		var oeTags = '<div style="margin:20px"><h3><font color="#999999" face="Arial, Helvetica, sans-serif">You do not have the required version of Macromedia Flash Player.</font></h3>'+
								 '<p>This web site makes use of <a href="http://www.macromedia.com/software/flash/" target="_new">Macromedia<sup><font size="-1">&amp;reg;</font></sup>Flash<sup><font size="-2">TM</font></sup></a> software. You have an old version of Macromedia Flash Player that cannot play the content we have created.</p>'+
								 '<center><a href="http://www.macromedia.com/go/getflashplayer"><img src="/tts/i/i/logo_flash.gif" border="0" width="88" height="31" /></a></center>'+
								 '<p>Why not download and install the latest version now? It will only take a moment.</p>'+
								 '<font face="Verdana, Arial, Helvetica, sans-serif" SIZE="-2">Macromedia and Flash are trademarks of Macromedia, Inc.</font></div>';
	}
		document.write(oeTags);
}

	
</script>
</body>
	</xsl:template>
</xsl:stylesheet>