<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:ms="urn:schemas-microsoft-com:xslt" xmlns:msxsl='urn:schemas-microsoft-com:xslt' xmlns:js='http://www.atttitude.com/jsnamespace'>
<xsl:output method="html" version="1.0" encoding="UTF-8" indent="yes"/>
[include_out_helpers_detail]

<xsl:variable name="mail_login"><xsl:apply-templates select="/d/cc/c[.='MAIL_LOGIN']/@h"/></xsl:variable>
<xsl:variable name="mail_pass"><xsl:apply-templates select="/d/cc/c[.='MAIL_PASS']/@h"/></xsl:variable>
<xsl:variable name="email_error"><xsl:apply-templates select="/d/cc/c[.='EMAIL_ERROR']/@h"/></xsl:variable>
	
<xsl:template match="/">
	<xsl:choose>
		<xsl:when test="$mail_login!=''"><xsl:call-template name="mail"/></xsl:when>
		<xsl:otherwise><xsl:call-template name="insert"/></xsl:otherwise>
	</xsl:choose>
</xsl:template>

 <xsl:template name="insert">
	<br/><br/><div class="red">
	Before checking your e-mail, please make sure that fields "E-mail Login" and "E-mail Password" (<a href="detail?o=account&amp;sti=3&amp;s={$s}">Account screen</a>)are not empty. <br/>
	If you do not have Objectsystems/ Atttitude e-mail account please contact <a href="mailto:{$email_error}"><xsl:value-of select="$email_error"/></a> for assistance or use our Live Chat support. 
	</div><br/><br/>
	<form name="frmXML" method="post">
		<input type="hidden" name="act" value="?o={$o}&amp;s={$s}&amp;sti={$sti}"/>
		<input type="hidden" name="xml"/>
	</form>
	<form name="frm" method="post" onsubmit="return false;" id="detail">
		<xsl:call-template name="strTable"><xsl:with-param name="title">Web Mail Login</xsl:with-param><xsl:with-param name="width" select="300"/></xsl:call-template>
			<table width="100%"  cellspacing="0" cellpadding="3"  border="0">
				<tr><td width="120"></td><td width="210"></td></tr>
				<tr><td height="21">user name:<xsl:call-template name="ico_req"/></td><td><input name="login_user_id" id="id" type="hidden" value="{$UsID}"/><input name="MAIL_LOGIN" type="text" id="r" size="26" maxlength="50" /></td></tr>
				<tr><td height="21">password:</td><td><input name="MAIL_PASS" type="password" size="26" maxlength="50" value="{$mail_pass}"/></td></tr>
				<tr><td height="21">confirm password:</td><td><input name="MAIL_PASS_CONF" id="np" type="password" size="26" maxlength="50" value="{$mail_pass}"/></td></tr>
				<tr><td><br/></td></tr></table>
		<xsl:call-template name="endTable"/><br/><button onclick="execUpdate()" id="np"><u>S</u>ave</button>
	</form>
	<xsl:call-template name="Navigation">
		<xsl:with-param name="Buttons"><button onclick="execUpdate()"><u>S</u>ave</button></xsl:with-param>
	</xsl:call-template>
</xsl:template>


<xsl:template name="mail_old">
	<form name="frm" action="https://mail.objectsystems.com/webmail/src/redirect.php" target="mail" method="post" style="display:none">
   	<input type="hidden" name="login_username" value="{$mail_login}" /><input type="hidden" value="{$mail_pass}" name="secretkey" />
    <input type="hidden" name="js_autodetect_results" value="SMPREF_JS_OFF" /><input type="hidden" name="just_logged_in" value="1" /></form>
    <iframe name="mail" src="/tts/wait.htm" id="mail" width="100%" height="100%" frameborder="0"></iframe>
    <script> window.setTimeout('document.forms["frm"].submit()', 1000);</script>

	</xsl:template>

<xsl:template name="mail">
	<form name="frm" action="https://mail.objectsystems.com/webmail/process.php" target="mail" method="post" style="display:none">
		<input type="hidden" name="f_email" value="{$mail_login}" />
		<input type="hidden" name="f_pass" value="{$mail_pass}" />
		<input type="hidden" name="lng" value="0" />
		<input type="hidden" name="tem" value="0" />
   </form>
   <iframe name="mail" src="/tts/wait.htm" id="mail" width="100%" height="100%" frameborder="0"></iframe>
   <script> window.setTimeout('document.forms["frm"].submit()', 1000);</script>
</xsl:template>
</xsl:stylesheet>