<?xml version='1.0'?>
<xsl:stylesheet xmlns:xsl='http://www.w3.org/1999/XSL/Transform' version='1.0'>
<xsl:output method='text'/>
	<xsl:template match='/'>
		<xsl:choose>
			<xsl:when test="/l"><xsl:apply-templates select="/l/rr/r"/></xsl:when>
			<xsl:when test="/menu"><xsl:apply-templates select="/menu/rr/r"/></xsl:when>
			<xsl:when test="/d"><xsl:apply-templates select="/d"/></xsl:when>
			<xsl:when test="/nobr"><xsl:apply-templates select="/nobr"/></xsl:when>
		</xsl:choose>
	</xsl:template>
 
 <xsl:template match="/d/*/*">
  		<xsl:choose>
  			<xsl:when test="local-name()='c'">
						<xsl:value-of select="."/>=<xsl:apply-templates select="@h"/><xsl:if test="position()!=last()"><xsl:text>&#x0A;</xsl:text></xsl:if>
  			</xsl:when>
  			<xsl:when test="local-name()='w'">
  				<xsl:value-of select="@c"/>=<xsl:value-of select="."/><xsl:if test="position()!=last()"><xsl:text>&#x0A;</xsl:text></xsl:if>
  			</xsl:when>
  		</xsl:choose>
  </xsl:template>
 
 <xsl:template match="/nobr/*/*">
  		<xsl:choose>
  			<xsl:when test="local-name()='c'">
						<xsl:value-of select="."/>="<xsl:apply-templates select="@h"/>"<xsl:if test="position()!=last()"><xsl:text>&#x0A;</xsl:text></xsl:if>
  			</xsl:when>
  			<xsl:when test="local-name()='w'">
  				<xsl:value-of select="@c"/>="<xsl:value-of select="."/>"<xsl:text>&#x0A;</xsl:text>
  			</xsl:when>
  		</xsl:choose>
  </xsl:template>

 
 <xsl:template match="/menu/rr/r"><xsl:value-of select="/menu/rr/r/@a"/></xsl:template>
  
  <xsl:template match="/l/rr/r">
   		<xsl:value-of select="@a"/><xsl:if test="@b">=<xsl:value-of select="@b"/></xsl:if><xsl:if test="position()!=last()">, </xsl:if>
  </xsl:template>
  
  <xsl:template match='@h'>
		<xsl:variable name="key"><xsl:number count="c"/></xsl:variable>
		<xsl:value-of select='ancestor::*/rr/r/@*[position()=$key]'/>
  </xsl:template>
</xsl:stylesheet>
