<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:s="uuid:BDC6E3F0-6DA3-11d1-A2A3-00AA00C14882" 
xmlns:dt="uuid:C2F41010-65B3-11d1-A29F-00AA00C14882" xmlns:rs="urn:schemas-microsoft-com:rowset" xmlns:z="#RowsetSchema"  
xmlns:msxsl='urn:schemas-microsoft-com:xslt'   xmlns:js='http://www.atttitude.com/jsnamespace' 
exclude-result-prefixes='s dt rs z msxsl js'>
<xsl:output method="xml" omit-xml-declaration='yes'/>
<xsl:variable name="RoID" select="(/menu/@sg)"/>
<xsl:variable name="SessionID" select="(/m/@s)"/>
<xsl:variable name="SelectedTopic" select="(/m/@sti)"/>

		<xsl:template match="/menu">
			<d>
				<xsl:for-each select="/menu/d/r[@id=/menu/@sg]/i">
					<xsl:variable name="obj_name" select="@o"/>
					<xsl:choose>
						<xsl:when test="/menu/p/rr/r[@a=$obj_name]/@b='Y'"><i id="{@id}" o="{@o}" a="{@a}" t="{@t}" s="{@s}"  nw="{@nw}" w="{@w}" h="{@h}"/></xsl:when>
						<xsl:when test="not($obj_name) and (./descendant::*/@o=/menu/p/rr/r/@a)">
							<i id="{@id}" w="{@w}" h="{@h}" t="{@t}" s="{@s}">
							<xsl:for-each select="i">
								<xsl:variable name="obj_name_1" select="@o"/>
								<xsl:choose>
									<xsl:when test="/menu/p/rr/r[@a=$obj_name_1]/@b='Y'">
										<i id="{@id}" a="{@a}" o="{@o}" t="{@t}" s="{@s}"  nw="{@nw}" w="{@w}" h="{@h}"/>
									</xsl:when>
									<xsl:when test="not($obj_name_1)  and (./descendant::*/@o=/menu/p/rr/r/@a)">
										<i id="{@id}" w="{@w}" h="{@h}" t="{@t}" s="{@s}">
										<xsl:for-each select="./i">
											<xsl:variable name="obj_name_2" select="@o"/>
											<xsl:if test="/menu/p/rr/r[@a=$obj_name_2]/@b='Y'">
													<i id="{@id}" o="{@o}" a="{@a}" t="{@t}"  s="{@s}"  nw="{@nw}"  w="{@w}" h="{@h}"/>
											</xsl:if>
										</xsl:for-each>
										</i>
									</xsl:when>
								</xsl:choose>
							</xsl:for-each>
							</i>
					</xsl:when>
					</xsl:choose>
				</xsl:for-each>
			</d>
		</xsl:template>
		
		
	<xsl:template match="/m">
		<xsl:choose>
		  <xsl:when test="count(/m/d/i)>0">
		    <SCRIPT LANGUAGE="JavaScript1.2">
					var nameOfMainMenu='';
					 function drawMenu() {<xsl:for-each select="/m/d/i"><xsl:call-template name="ItemScript"><xsl:with-param name="row" select="current()"/>
					 </xsl:call-template></xsl:for-each>if (nameOfMainMenu) window[nameOfMainMenu].writeMenus();}</SCRIPT>
		    <table cellspacing="0" cellpadding="0" width="100%" border="0"><tr><xsl:for-each 
		    	select="/m/d/i"><xsl:sort select="number(@id)" data-type="text"/>
					<xsl:if test="not(./@s='N')"><xsl:call-template name="Item"><xsl:with-param name="row" select="current()"/></xsl:call-template></xsl:if></xsl:for-each>
					<td width="10"><img src="/tts/i/nav.left.gif" width="10" height="34" border="0" /></td><td background="/tts/i/nav.bgr.gif" width="100%"><a href="logout?s={$SessionID}&amp;sti=10" onMouseOver="window.hideActiveMenus();" class="item"><nobr>Logout</nobr></a></td><td width="10" style="border-right:1px #4284B5 solid;"><img src="/tts/i/nav.right.gif" width="10" height="034" alt="" border="0" /></td>
					</tr></table>
		   </xsl:when>
		   <xsl:otherwise>
				<table cellspacing="0" cellpadding="0" width="100%" border="0"><tr><td width="10"><img src="/tts/i/nav.left.first.gif" width="10" height="34" border="0"/></td><td width="100%"  background="/tts/i/nav.bgr.gif"/></tr></table>
		   </xsl:otherwise>
		</xsl:choose>
	</xsl:template>
  
 <xsl:template name="ItemScript">
		<xsl:param name="row"/>
		<xsl:variable name="res_id" select="$row/@id"/>
		<xsl:if test="count($row/i)>0">if (!nameOfMainMenu) nameOfMainMenu='fw_menu_<xsl:value-of select="$res_id"/>';<xsl:for-each select='$row/i'><xsl:variable name="pos" select="position()"/>
					<xsl:if test="count(./i)>0">window.fw_menu_<xsl:value-of select="$res_id"/>_<xsl:value-of select="$pos"/>=new Menu('<xsl:value-of select="@t"/>',<xsl:value-of select="@w"/>,<xsl:value-of select="@h"/>);<xsl:for-each select='./i'><xsl:text>window.fw_menu_</xsl:text>
									<xsl:value-of select="$res_id"/>_<xsl:value-of select="$pos"/>.addMenuItem('<xsl:value-of select="@t"/><xsl:if test="@t='Inbox'">&#160;&#160;<font color="red">(<xsl:value-of select="/menu/@nm"/> new)</font></xsl:if>','window.hideActiveMenus();<xsl:choose>
									<xsl:when test="@nw='Y'">execGoto("<xsl:value-of select="translate(@a, '$', '&amp;')"/>s=<xsl:value-of select='$SessionID'/>","<xsl:value-of select='@w'/>,<xsl:value-of select='@h'/>",true)')</xsl:when>
									<xsl:otherwise>top.document.location="<xsl:value-of select="translate(@a, '$', '&amp;')"/>s=<xsl:value-of select='$SessionID'/>&amp;sti=<xsl:value-of select="$row/@id"/>"')</xsl:otherwise>
								 </xsl:choose>;</xsl:for-each>window.fw_menu_<xsl:value-of select="$res_id"/>_<xsl:value-of select="$pos"/>.hideOnMouseOut=true;
					</xsl:if>
				</xsl:for-each>window.fw_menu_<xsl:value-of select="$res_id"/> = new Menu('<xsl:value-of select="@t"/>',<xsl:value-of select="@w"/>,<xsl:value-of select="@h"/>);<xsl:for-each select='$row/i'>	
				<xsl:choose>
					<xsl:when test="count(./i)>0">fw_menu_<xsl:value-of select="$res_id"/>.addMenuItem(fw_menu_<xsl:value-of select="$res_id"/>_<xsl:value-of select="position()"/>,'javascript:void(0)');</xsl:when>
					<xsl:otherwise>
						<xsl:variable name="link">
						 <xsl:choose>
							<xsl:when test="@nw='Y'">javascript:execGoto("<xsl:value-of select="translate(@a, '$', '&amp;')"/>s=<xsl:value-of select="$SessionID"/>&amp;sti=<xsl:value-of select="$row/@id"/>","<xsl:value-of select="@w"/>,<xsl:value-of select="@h"/>",true)</xsl:when>
							<xsl:otherwise>top.document.location="<xsl:value-of select="translate(@a, '$', '&amp;')"/>s=<xsl:value-of select="$SessionID"/>&amp;sti=<xsl:value-of select="$row/@id"/>"</xsl:otherwise>
						 </xsl:choose>		
						</xsl:variable>fw_menu_<xsl:value-of select="$res_id"/>.addMenuItem('<xsl:value-of select="@t"/>','<xsl:value-of select="$link"/>');</xsl:otherwise>
				</xsl:choose>
			</xsl:for-each>fw_menu_<xsl:value-of select="$res_id"/>.hideOnMouseOut=true;fw_menu_<xsl:value-of select="$res_id"/>.childMenuIcon="/tts/i/i/ico_arr.gif";
		</xsl:if>
	</xsl:template>

	<xsl:template name="Item">
		<xsl:param name="row"/>
		<!--<xsl:param name="isfirst"/>
		<xsl:param name="islast"/>-->
		
		<xsl:variable name="first"><xsl:if test="position()=1">.first</xsl:if></xsl:variable>
		<xsl:variable name="active"><xsl:if test="$row/@id=$SelectedTopic">_ac</xsl:if></xsl:variable>
		<xsl:variable name="res_id" select="$row/@id"/>
		<xsl:choose>
			<xsl:when test="count($row/*)>0"><td width="10"><img id="img_menu_{$res_id}" src="/tts/i/nav.left{$first}{$active}.gif" width="10" height="34" border="0"/></td><td background="/tts/i/nav.bgr{$active}.gif" width="{$row/@topic_width}"><a class="item{$active}" href="javascript:void(0)" onMouseOver="window.NN_FW_showMenu(window.fw_menu_{$res_id},'img_menu_{$res_id}', 1, 33);"><nobr><xsl:value-of select="$row/@t" disable-output-escaping="yes"/></nobr></a></td><td width="10"><img src="/tts/i/nav.right{$active}.gif" width="10" height="34" alt="" border="0"/></td></xsl:when>
			<xsl:otherwise>
					<td width="10"><img src="/tts/i/nav.left{$first}{$active}.gif" width="10" height="34" border="0"/></td><td  background="/tts/i/nav.bgr{$active}.gif">
					 <xsl:choose>
					 	<xsl:when test="$row/@nw='Y'"><a href="javascript:execGoto('{translate($row/@a, '$', '&amp;')}s={$SessionID}&amp;sti={$row/@id}','{@w},{@h}',true)" onMouseOver="window.hideActiveMenus();"
							 class="item{$active}"><nobr>&#160;<xsl:value-of select="$row/@t" disable-output-escaping="yes"/>&#160;</nobr></a>
					 	</xsl:when>
					 	<xsl:otherwise><a href="{translate($row/@a, '$', '&amp;')}s={$SessionID}&amp;sti={$row/@id}" onMouseOver="window.hideActiveMenus();"
							 class="item{$active}"><nobr>&#160;<xsl:value-of select="$row/@t" disable-output-escaping="yes"/>&#160;</nobr></a>
					 </xsl:otherwise>
					 </xsl:choose></td><td width="10"><img src="/tts/i/nav.right{$active}.gif" width="10" height="034" alt="" border="0"/></td></xsl:otherwise>
			</xsl:choose>
	</xsl:template>
</xsl:stylesheet>