<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:ms="urn:schemas-microsoft-com:xslt" xmlns:msxsl='urn:schemas-microsoft-com:xslt' xmlns:js='http://www.atttitude.com/jsnamespace'>
<xsl:output method="html" version="1.0" encoding="UTF-8" indent="yes"/>
[include_out_helpers_list]

<xsl:template match="/">
	<table id="list" cellspacing="1" cellpadding="0" width="100%" border="0">
  	<thead><tr><xsl:apply-templates select="/d/oo/hh/h"/></tr></thead>
		<xsl:for-each select="/d/rr/r">
			<xsl:if test="@p[not(. = ../preceding::*/@p)]">
			<xsl:variable name="hiring_manager" select="@p"/>			
				<tr><td colspan="6"><i>&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;Hiring manager: <b> <xsl:value-of select="@o"/></b></i></td></tr>
						<xsl:for-each select="/d/rr/r[position()&lt;$ps+1 and @p=$hiring_manager]">
							<xsl:variable name="class">lst<xsl:value-of select="floor(position() mod 2)"/></xsl:variable>
							<tr id="{@a}" onmouseover="_appstyle(this,'lst3', 'over')" onclick="_appstyle(this);" onmouseout="_appstyle(this,'lst1', 'out')" valign="center" ondblclick="document.cookie='xml_listaccounting_info=' + escape(document.forms['frmXML'].xml.value);execDetail('accounting_info')">
								<th width="30"><span><xsl:value-of select="position() + $ps*(number($pn)-1)"/></span></th>
								<xsl:apply-templates select="@*[position()!=1 and position()&lt;last()-5]"/>
								<td class="{$class}">&#160;</td>
							</tr>
						</xsl:for-each>
			</xsl:if>
		</xsl:for-each>
		</table>
			<xsl:call-template name="Navigation">
				<xsl:with-param name="addAction" select="concat('&amp;sc=t.up_last_name','')"/>
				<xsl:with-param name="Title" select="concat(string(/d/rr/r/@m), ' employees list')"/>
				<xsl:with-param name="Buttons">
					<xsl:if test="$RoID=3">
						<button onclick="document.location='list?o=accounting_info@client&amp;s={$s}&amp;pn={$pn}&amp;sti={$sti}'" name="btnList" ><u>B</u>ack to List</button>&#160;
					</xsl:if>
					<xsl:choose>	
						<xsl:when test="contains(string(/d/i/sq), 'Hired')">
							<button onclick="changeListXML('accounting_info','Hired', 'Terminated');" name="btnList"><u>T</u>erminated Employees</button>
							<button onclick="changeListXML('accounting_info','Hired', 'Pending Hires');" name="btnList"><u>P</u>ending Hires</button>
						</xsl:when>
						<xsl:when test="contains(string(/d/i/sq), 'Terminated')">
							<button onclick="changeListXML('accounting_info','Terminated', 'Pending Hires');" name="btnList"><u>P</u>ending Hires</button>
							<button onclick="changeListXML('accounting_info','Terminated', 'Hired');" name="btnList"><u>H</u>ired Employees</button>
						</xsl:when>
						<xsl:when test="contains(string(/d/i/sq), 'Pending Hire')">
							<button onclick="changeListXML('accounting_info','Pending Hires', 'Hired');" name="btnList"><u>H</u>ired Employees</button>
							<button onclick="changeListXML('accounting_info','Pending Hires', 'Terminated');" name="btnList"><u>T</u>erminated Employees</button>
						</xsl:when>
					</xsl:choose>
					<button name="btnEdit1" disabled="" onclick="document.cookie='xml_listaccounting_info=' + escape(document.forms['frmXML'].xml.value);execDetail('accounting_info')">Current <u>A</u>ccounting Info</button>
					<button name="btnEdit2" disabled="" onclick="document.forms['frm'].action='list?s={$s}&amp;sti={$sti}&amp;o=accounting_info_history'; document.forms['frm'].submit();"><u>A</u>rchive</button>
				</xsl:with-param>
		</xsl:call-template>
		</xsl:template>
</xsl:stylesheet>