<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:ms="urn:schemas-microsoft-com:xslt" xmlns:msxsl='urn:schemas-microsoft-com:xslt' xmlns:js='http://www.atttitude.com/jsnamespace'>
<xsl:output method="html" version="1.0" encoding="UTF-8" indent="yes"/>
[include_out_helpers_list]

	<xsl:template match="/">
			<table cellspacing="0" cellpadding="0" width="100%" border="0" id="list">
				<thead><tr><xsl:apply-templates select="/d/oo/hh/h"/></tr></thead>
				<xsl:for-each select="/d/rr/r[position()&lt;$ps+1]">
					<xsl:variable name="class">lst<xsl:value-of select="floor(position() mod 2)"/></xsl:variable>
					<tr id="{@a}" onmouseover="_appstyle(this,'lst3', 'over')" onclick="_appstyle(this);" ondblclick="execDetail('{$o}')" onmouseout="_appstyle(this,'lst1', 'out')" valign="center">
						<th class="{$class}"><span><xsl:value-of select="position() + $ps*(number($pn)-1)"/></span></th>
						<xsl:apply-templates select="@*[position()>1 and position()&lt;last()]"/>
					</tr>
				</xsl:for-each>
			</table>
			<xsl:call-template name="Navigation">
				<xsl:with-param name="Title" select="concat($oa,' list')"/>
				<xsl:with-param name="Buttons">
						<xsl:choose>
							<xsl:when test="contains(string(/d/i/sq), &quot;t.active'>Y&quot;)"><button name="btnlist" onclick="changeListXML('client', 't.active\'>Y', 't.active\'>N');"><u>I</u>nactive Clients</button></xsl:when>
							<xsl:otherwise><button name="btnlist" onclick="changeListXML('client', 't.active\'>N','t.active\'>Y');">A<u>c</u>tive Clients</button></xsl:otherwise>
						</xsl:choose>
						<button onclick="javascript:execDetail('client',true)" name="btnNew"><u>A</u>dd</button>
						<button onclick="javascript:execDetail('client')" name="btnEdit" disabled="" ><u>E</u>dit</button>
						<button onclick="javascript:execDelete('client', true)" name="btnDelete" disabled=""><u>D</u>elete</button>
			</xsl:with-param>
		</xsl:call-template>
	</xsl:template>
</xsl:stylesheet>