<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:ms="urn:schemas-microsoft-com:xslt" xmlns:msxsl='urn:schemas-microsoft-com:xslt' xmlns:js='http://www.atttitude.com/jsnamespace'>
<xsl:output method="html" version="1.0" encoding="UTF-8" indent="yes"/>
[include_out_helpers_list]

<xsl:template match="/">
	<xsl:if test="$RoID=3">
		<form name="frm1" onsumbit="return false;">
			<table id="list" cellspacing="0" cellpadding="0" width="100%" border="0">
				<thead><tr><xsl:apply-templates select="/d/oo/hh/h"/></tr></thead>
				<tbody id="tbody_records">
					<xsl:for-each select="/d/rr/r[@a='']">
						<xsl:variable name="cls" select="concat('lst',position() mod 2)"/>
						<tr id="{@b}" valign="center">
							<th><span><xsl:value-of select="position()"/></span></th>
							<xsl:apply-templates select="@*[position()>1 and position()&lt;last()]"><xsl:with-param name='row_id' select='@b'/></xsl:apply-templates>
							<td class="{$cls}"/>
						</tr>
					</xsl:for-each>
				</tbody>
			</table><br/>
			<center><button onclick="gatherData()" name="btnNew"><u>P</u>rocess</button></center><br/>
		</form>
	
		<script>
			function gatherData(){
				var errmsg="", xml="", e_hours=0, e_start_date, e_payroll_date, e_ira_num, e_ira_amount;
				var f1=document.forms['frm1'];
				listRcds=document.getElementById('tbody_records');
				for(i=0; i &lt; listRcds.rows.length; i++){
					if(errmsg!='') break;
					row_id=listRcds.rows[i].id;
					if(f1.elements['LOGIN_USER_ID_'+row_id].checked &amp;&amp; !f1.elements['LOGIN_USER_ID_'+row_id].disabled){
						e_start_date=f1.elements('START_DATE_'+row_id);
						e_payroll_date=f1.elements('PAYROLL_DATE_'+row_id);
						e_ira_num=f1.elements('IRA_NUM_'+row_id);
						e_ira_amount=f1.elements('IRA_AMOUNT_'+row_id);
						if(!validnum(e_ira_amount) || !validdate(e_start_date) || !validdate(e_payroll_date)){alert('Please enter valid data!'); return false;}
						xml+='<s a="i"><w c="IRA_CONTRIB_ID" k=""/><w c="LOGIN_USER_ID">' + row_id + '</w><w c="START_DATE">'+ e_start_date.value +'</w><w c="PAYROLL_DATE">'+ e_payroll_date.value +'</w><w c="IRA_NUM">' + e_ira_num.value + '</w><w c="IRA_AMOUNT">'+ e_ira_amount.value +'</w></s>\n';
					}
				}
				if(xml!=''){f.xmll.value=xml;f.action='update'+f.action + '&amp;o=ira_contrib&amp;ol=ira_contrib';f.submit();f.value='';}
				return true;
			}
		</script>

		<h2>IRA contributons</h2></xsl:if>
		<xsl:if test="(/d/privileges/d/rr/r/@b='V') or (/d/privileges/d/rr/r/@b='')">
			<table id="list" cellspacing="0" cellpadding="0" width="100%" border="0">
				<tr><xsl:apply-templates select="/d/oo/hh/h"/></tr>
				<xsl:for-each select="/d/rr/r[(@a!='')]"><xsl:sort select="number(@a)" data-type="number" order="descending"/>
					<xsl:if test="position()&lt;$ps+1">
						<xsl:variable name="cls" select="concat('lst',position() mod 2)"/>
						<tr id="{@a}" valign="center" onmouseover="_appstyle(this,'lst3', 'over')" onclick="_appstyle(this);"  onmouseout="_appstyle(this,'lst1', 'out')">
							<th><span><xsl:value-of select="position()+ $ps*(number($pn)-1)"/></span></th>
							<xsl:apply-templates select="@*[position()>1 and position()&lt;last()]"><xsl:with-param name="ro" select="'Y'"/></xsl:apply-templates>
							<td class="{$cls}"/>
						</tr>
					</xsl:if>
				</xsl:for-each>
				<xsl:if test="not(/d/privileges/d/rr/r[@a='IRA_AMOUNT']/@b='N')">
					<tr>
						<td colspan="6" align="right"><b>Total: </b></td>
						<td align="right"><b>
							<xsl:value-of select="format-number(sum(/d/rr/r[@a!='' and @g!='']/@g),$FormatCrs,'non')"/>
						</b></td>
						<td/>
					</tr>
			</xsl:if>
			</table>
		</xsl:if>

		<xsl:call-template name="Navigation">
			<xsl:with-param name="Title" select="concat($oa,' list')"/>
			<xsl:with-param name="Buttons">
				<xsl:if test="$RoID=3"><button onclick="javascript:execDelete('ira_contrib')" name="btnDelete"  disabled=""><u>D</u>elete</button></xsl:if>
			</xsl:with-param>
		</xsl:call-template>
	</xsl:template>
</xsl:stylesheet>