<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:ms="urn:schemas-microsoft-com:xslt" xmlns:msxsl='urn:schemas-microsoft-com:xslt' xmlns:js='http://www.atttitude.com/jsnamespace'>
<xsl:output method="html" version="1.0" encoding="UTF-8" indent="yes"/>
[include_out_helpers_list]
	<xsl:variable name="ListRoleID" select="/d/rr/r/@h"/>
	<xsl:template match="/">
		<table id="list" cellspacing="1" cellpadding="0" width="100%" border="0">
				<thead><tr><xsl:apply-templates select="/d/oo/hh/h"/></tr></thead>
				<xsl:for-each select="/d/rr/r[position()&lt;$ps+1]">
					<xsl:variable name="class">lst<xsl:value-of select="floor(position() mod 2)"/></xsl:variable>
					<tr id="{@a}" onmouseover="_appstyle(this,'lst3', 'over')" onclick="_appstyle(this);" onmouseout="_appstyle(this,'lst1', 'out')" valign="center" ondblclick="document.cookie='xml_listlogin_user=' + escape(document.forms['frmXML'].xml.value);execDetail('login_user', false,  true);">
						<th><span><xsl:value-of select="position() + $ps*(number($pn)-1)"/></span></th>
						<xsl:apply-templates select="@*[position()!=1 and position()&lt;last()-1]"/>
					</tr>
				</xsl:for-each>
		</table>
		<xsl:call-template name="Navigation">
			<xsl:with-param name="Title" select="concat(/d/rr/r/@g, ' list')"/>
			<xsl:with-param name="Buttons">
					<xsl:if test="$RoID=3">
						<xsl:choose>
							<xsl:when test="contains(string(/d/i/sq), &quot;t.active'>Y&quot;)"><button onclick="changeListXML('login_user', 't.active\'>Y', 't.active\'>N');" name="btnList"><u>I</u>nactive Users</button></xsl:when>
							<xsl:otherwise><button onclick="changeListXML('login_user', 't.active\'>N','t.active\'>Y');" name="btnList"><u>A</u>ctive Users</button></xsl:otherwise>
						</xsl:choose>
					</xsl:if>		
					<xsl:if test="not($RoID=3 and $ListRoleID=4)"><button onclick="document.cookie='xml_listlogin_user=' + escape(document.forms['frmXML'].xml.value);execDetail('login_user',true)" name="btnNew"><u>A</u>dd User</button></xsl:if>
					<button name="btnEdit" disabled="" onclick="document.cookie='xml_listlogin_user=' + escape(document.forms['frmXML'].xml.value);execDetail('login_user', false,  true)"><u>E</u>dit User</button>
					<xsl:if test="not ($ListRoleID=4 and $RoID=2) and ($ListRoleID!=5) and ($ListRoleID!=6)">
						<button name="btnEdit1" disabled="" onclick="document.cookie='xml_listlogin_user=' + escape(document.forms['frmXML'].xml.value);execDetail('travel_profile')"><u>T</u>ravel profile</button>
						<button name="btnEdit2" disabled="" onclick="document.cookie='xml_listlogin_user=' + escape(document.forms['frmXML'].xml.value);execDetail('w4info')"><u>W</u>-4 profile</button>
					</xsl:if>
					<button onclick="execDelete('login_user')" name="btnDelete" disabled=""><u>D</u>elete</button>
			</xsl:with-param>
		</xsl:call-template>
	</xsl:template>
</xsl:stylesheet>