<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:ms="urn:schemas-microsoft-com:xslt" xmlns:msxsl='urn:schemas-microsoft-com:xslt' xmlns:js='http://www.atttitude.com/jsnamespace'>
<xsl:output method="html" version="1.0" encoding="UTF-8" indent="yes"/>
[include_out_helpers_list]


<xsl:template match="/">
	<table id="list" cellspacing="0" cellpadding="0" width="100%" border="0">
		<thead><tr><xsl:apply-templates select="/d/oo/hh/h"/></tr></thead>
			<xsl:for-each select="/d/rr/r[(position()&lt;$ps+1)]">
				<xsl:variable name="read" select="@*[position()=count(key('field','REVIEWED_DATE')/preceding-sibling::*)+1]!=''"/><!--<xsl:if test="@f=''">font-weight:bold</xsl:if>-->
				<xsl:variable name="is_system" select="@*[position()=count(key('field','from_login_user_id')/preceding-sibling::*)+1]=1"/>
				<xsl:variable name="urgent" select="@*[position()=count(key('field','URGENT')/preceding-sibling::*)+1]"/>
				<xsl:variable name="ico"></xsl:variable>
				<xsl:variable name="class">lst<xsl:value-of select="floor(position() mod 2)"/></xsl:variable>
				<tr id="{@a}" onmouseover="_appstyle(this,'lst3', 'over')" onclick="_appstyle(this);"  ondblclick="execDetail('message')" onmouseout="_appstyle(this,'lst1', 'out')" valign="center">
					<th><span><xsl:value-of select="position() + $ps*(number($pn)-1)"/></span></th>
					<td class="{$class}" ><xsl:choose><xsl:when test="$urgent='Y'"><img src="/tts/i/i/ico_flag.gif" width="7" height="12"/></xsl:when><xsl:otherwise><img src="/tts/i/spacer.gif"  width="7" height="12"/></xsl:otherwise></xsl:choose>
					<img><xsl:attribute name="src">/tts/i/i/ico_msg<xsl:if test="$is_system">sys</xsl:if><xsl:if test="not($read)">new</xsl:if>.gif</xsl:attribute></img></td>
					<xsl:apply-templates select="@*[position()>1 and position()&lt;last()-2]"/>
				</tr>
			</xsl:for-each>
	</table>
	<script>
		function softDelete(){
			if(!window.confirm("Please be sure you want to delete this record!")) return;
			f=document.forms['frm'];
			f.xml.value='&lt;w c="message_id"  k="">'+f.oid.value+'&lt;/w>&lt;w c="to_active">N&lt;/w>';
			f.action='update'+ f.action + '&amp;o=message';
			f.submit()
		}
	</script>
	<xsl:call-template name="Navigation">
		<xsl:with-param name="Title" select="string('Message list - Inbox')"/>
		<xsl:with-param name="Buttons">
			<button onclick="javascript:execDetail('message')" name="btnEdit" disabled="" ><u>V</u>iew</button>&#160; 
			<button onclick="javascript:softDelete();" name="btnDelete" disabled=""><u>D</u>elete</button>
		</xsl:with-param>
	</xsl:call-template>
</xsl:template>
</xsl:stylesheet>