<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:ms="urn:schemas-microsoft-com:xslt" xmlns:msxsl='urn:schemas-microsoft-com:xslt' xmlns:js='http://www.atttitude.com/jsnamespace'>
<xsl:output method="html" version="1.0" encoding="UTF-8" indent="yes"/>
[include_out_helpers_list]

<xsl:template match="/">
<xsl:if test="$RoID=3">
<script>
	function gatherData(){
		var errmsg="", xml="", e_total=0,e_invoice_num="", e_invoiced_date=null, e_total, j=0,exp_statement_ids='', total=0;
		var f1=document.forms['frm1'];
		listRcds=document.getElementById('tbody_records').rows;
		for(i=0; i &lt; listRcds.length-1; i++){
			exp_statement_ids='';
			row=listRcds[i];
			row_id=row.id;
			if(!f1.elements['EXP_STATEMENT_ID_'+row_id])continue;
			if(!(f1.elements['EXP_STATEMENT_ID_'+row_id].checked) || f1.elements['EXP_STATEMENT_ID_'+row_id].disabled)continue;
			e_invoice_num=f1.elements('INVOICE_NUM_'+row_id);
			for(j=(i+1); j &lt; listRcds.length-1; j++){
				row_tmp=listRcds[j];
				if(!(f1.elements['EXP_STATEMENT_ID_'+row_tmp.id].checked) || f1.elements['EXP_STATEMENT_ID_'+row_tmp.id].disabled)continue;
				e_invoice_num_tmp=f1.elements('INVOICE_NUM_'+row_tmp.id);
				if(e_invoice_num_tmp.value==e_invoice_num.value){
					 if(f1.elements('LOGIN_USER_ID_' + row_tmp.id).value!=f1.elements('LOGIN_USER_ID_' + row.id).value){alert('You can have only one user per invoice!');return false;}
					 f1.elements('INVOICED_DATE_' + row_tmp.id).value=f1.elements('INVOICED_DATE_' + row.id).value;
					 f1.elements('INVOICED_DATE_' + row_tmp.id).disabled=true;
					 f1.elements('EXP_STATEMENT_ID_' + row_tmp.id).disabled=true;
					 exp_statement_ids+=((exp_statement_ids=='')?'':',')+ '"'+row_tmp.id+'"';
					 total+=parseFloat(f1.elements('TOTAL_' + row_tmp.id).value, 10);
				}
			}
			exp_statement_ids+=((exp_statement_ids=='')?'':',')+ '"'+row_id+'"';;
			e_invoiced_date=f1.elements('INVOICED_DATE_' + row_id);
			e_login_user_id=f1.elements('LOGIN_USER_ID_'+row_id);;
			e_exp_statement_id=row_id;
			e_total=f1.elements('TOTAL_'+row_id);
			e_total.value=parseFloat(e_total.value, 10) + total;
			if(!validnum(e_invoice_num) || e_invoice_num.value=='' || !validnum(e_total) || !validdate(e_invoiced_date)){alert('Please enter valid data!'); return false;}
			xml+='<s a="i"><w c="INVOICE_ID" k=""/><w c="INVOICE_NUM">' + e_invoice_num.value + '</w><w c="EXP_STATEMENT_IDS">' + exp_statement_ids + '</w><w c="INVOICED_DATE">'+e_invoiced_date.value +'</w><w c="TOTAL">'+ e_total.value +'</w><w c="LOGIN_USER_ID">'+ e_login_user_id.value +'</w></s>\n';
		}
		if(xml!=''){
				f.xmll.value=xml;f.action='update'+f.action + '&amp;o=invoice&amp;ol=invoice';f.submit();f.value='';
		}
		return true;
	}
</script>


	<form name="frm1" onsumbit="return false;">
		<table id="list" cellspacing="0" cellpadding="0" width="100%" border="0">
			<thead><tr><xsl:apply-templates select="/d/oo/hh/h"/></tr></thead>
			<tbody id="tbody_records">
				<xsl:for-each select="/d/rr/r[(@a='')]"><xsl:variable name="cls" select="concat('lst',position() mod 2)"/>
					<tr id="{@b}">
					<th><span><xsl:value-of select="position()"/></span></th>
					<xsl:apply-templates select="@*[position()>1]"><xsl:with-param name="row_id" select="@b"/></xsl:apply-templates>
					</tr>
				</xsl:for-each>
				<tr>
					<td colspan="7" align="right"><b>Total:</b></td>
					<td align="right"><b><xsl:value-of select="format-number(sum(/d/rr/r[@a='' and @h!='']/@h),concat('$',$FormatCrs),'non')"/></b></td>
					<td align="right"><b><xsl:value-of select="format-number(sum(/d/rr/r[@a='' and @i!='']/@i),concat('$',$FormatCrs),'non')"/></b></td>
					<td align="right"><b><xsl:value-of select="format-number(sum(/d/rr/r[@a='' and @j!='']/@j),concat('$',$FormatCrs),'non')"/></b></td>
					<td></td>
				</tr>
			</tbody>
		</table><br/>
		<center><button onclick="gatherData()" name="btnNew"><u>C</u>reate Invoices</button></center><br/>
	</form>
	<h2>Invoices</h2></xsl:if>
	
	<table id="list" cellspacing="0" cellpadding="0" width="100%" border="0">
			<tr><xsl:apply-templates select="/d/oo/hh/h"/></tr>
			<xsl:for-each select="/d/rr/r[(@a!='')]">
				<xsl:variable name="cls" select="concat('lst',(position()) mod 2)"/>
				<tr id="{@a}" onmouseover="_appstyle(this,'lst3', 'over')" onclick="_appstyle(this);"  ondblclick="execDetail('{$o}')" onmouseout="_appstyle(this,'lst1', 'out')" valign="center">
					<th><span><xsl:value-of select="position()"/></span></th>
					<xsl:apply-templates select="@*[position()>1]"><xsl:with-param name="ro" select="'Y'"/></xsl:apply-templates>
				</tr>
			</xsl:for-each>
			<tr>
				<td colspan="7" align="right"><b>Total:</b></td>
				<td align="right"><b><xsl:value-of select="format-number(sum(/d/rr/r[@a!='' and @h!='']/@h),concat('$',$FormatCrs),'non')"/></b></td>
				<td align="right"><b><xsl:value-of select="format-number(sum(/d/rr/r[@a!='' and @i!='']/@i),concat('$',$FormatCrs),'non')"/></b></td>
				<td align="right"><b><xsl:value-of select="format-number(sum(/d/rr/r[@a!='' and @j!='']/@j),concat('$',$FormatCrs),'non')"/></b></td>
				<td></td>
			</tr>
		</table>

		<xsl:call-template name="Navigation">
			<xsl:with-param name="Title" select="string('Reimbursements list')"/>
			<xsl:with-param name="addAction" select="string('&amp;c=c&amp;f=TRACK_DATE')"/>
			<xsl:with-param name="Buttons">
				<button onclick="javascript:execDetail('reimbursement_search')" name="btnList"><u>B</u>ack to Search</button>
				<xsl:choose>	
					<xsl:when test="$RoID=3">
						<button onclick="javascript:execDetail('reimbursement')" name="btnEdit" disabled="" ><u>E</u>dit</button>
						<button onclick="javascript:execDelete('invoice')" name="btnDelete"  disabled=""><u>D</u>elete</button>
					</xsl:when>
					<xsl:otherwise><button onclick="javascript:execDetail('invoice')" name="btnEdit" disabled="" ><u>V</u>iew</button></xsl:otherwise>
				</xsl:choose>
			</xsl:with-param>
		</xsl:call-template>
	</xsl:template>
</xsl:stylesheet>