<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:ms="urn:schemas-microsoft-com:xslt" xmlns:msxsl='urn:schemas-microsoft-com:xslt' xmlns:js='http://www.atttitude.com/jsnamespace'>
<xsl:output method="html" version="1.0" encoding="UTF-8" indent="yes"/>
[include_out_helpers_list]

	<xsl:template match="/">
<html>
	<head>
		<title>Profit &amp; Loss Report</title>
		<meta http-equiv="content-type" content="text/html; charset=windows-1251"/>
		<meta content="mshtml 6.00.2800.1400" name="generator"/>
		<link href="/tts/i/print.css" media="all" type="text/css" rel="stylesheet"/>
	</head>
	<body style="padding-left:0px;">

		<h1><xsl:value-of select="string($oa)"/></h1><h3><xsl:value-of select="/d/i/td"/></h3>
		
			
			<table cellspacing="1" cellpadding="3" width="100%" border="1" id="list">
			<thead><tr><xsl:apply-templates select="/d/oo/hh/h"/><th><xsl:value-of select="/d/rr/r/@g"/></th></tr></thead>

						<xsl:for-each select="/d/rr/r">
							<xsl:if test="@f[not(. = ../preceding-sibling::*/@f)]">
								<xsl:variable name="hiring_manager"  select="@*[position()=count(key('field','HIRING_MANAGER')/preceding-sibling::*)+1]"/>
								<tr><th/><td><b><xsl:value-of select="$hiring_manager"/></b></td><td/><td/><td/><td/><td/><td/><td/><td/><td/><td/><td/><td/><td/></tr>
								<xsl:for-each select="/d/rr/r[@f=$hiring_manager]">
									<xsl:variable name='user_id'  select="@*[position()=count(key('field','LOGIN_USER_ID')/preceding-sibling::*)+1]"/>
									<xsl:if test="@a[not(. = ../preceding::*/@a)]">
										<xsl:variable name='user_name'  select="@*[position()=count(key('field','USER_NAME')/preceding-sibling::*)+1]"/>
										<tr valign="center">
											<th width="30"><span><xsl:value-of select="floor(((position()-1) div 12)+1)"/></span></th>
											<td><xsl:value-of select="$user_name"/></td>
											<td align="right"><xsl:value-of select="format-number(/d/rr/r[@a=$user_id and @b=1]/@d,'0.00','nan')"/></td>
											<td align="right"><xsl:value-of select="format-number(/d/rr/r[@a=$user_id and @b=2]/@d,'0.00','nan')"/></td>
											<td align="right"><xsl:value-of select="format-number(/d/rr/r[@a=$user_id and @b=3]/@d,'0.00','nan')"/></td>
											<td align="right"><xsl:value-of select="format-number(/d/rr/r[@a=$user_id and @b=4]/@d,'0.00','nan')"/></td>
											<td align="right"><xsl:value-of select="format-number(/d/rr/r[@a=$user_id and @b=5]/@d,'0.00','nan')"/></td>
											<td align="right"><xsl:value-of select="format-number(/d/rr/r[@a=$user_id and @b=6]/@d,'0.00','nan')"/></td>
											<td align="right"><xsl:value-of select="format-number(/d/rr/r[@a=$user_id and @b=7]/@d,'0.00','nan')"/></td>
											<td align="right"><xsl:value-of select="format-number(/d/rr/r[@a=$user_id and @b=8]/@d,'0.00','nan')"/></td>
											<td align="right"><xsl:value-of select="format-number(/d/rr/r[@a=$user_id and @b=9]/@d,'0.00','nan')"/></td>
											<td align="right"><xsl:value-of select="format-number(/d/rr/r[@a=$user_id and @b=10]/@d,'0.00','nan')"/></td>
											<td align="right"><xsl:value-of select="format-number(/d/rr/r[@a=$user_id and @b=11]/@d,'0.00','nan')"/></td>
											<td align="right"><xsl:value-of select="format-number(/d/rr/r[@a=$user_id and @b=12]/@d,'0.00','nan')"/></td>
											<td align="right"><b><xsl:value-of select="format-number(sum(/d/rr/r[@a=$user_id and @d!='']/@d),'0.00','nan')"/></b></td>
										</tr>
										</xsl:if>
								</xsl:for-each>
									<th width="30"><span></span></th>
									<td align="right"><b>Total:</b></td>
									<td align="right"><b><xsl:value-of select="format-number(sum(/d/rr/r[@f=$hiring_manager and @b=1 and @d!='']/@d),'0.00','nan')"/></b></td>
									<td align="right"><b><xsl:value-of select="format-number(sum(/d/rr/r[@f=$hiring_manager and @b=2 and @d!='']/@d),'0.00','nan')"/></b></td>
									<td align="right"><b><xsl:value-of select="format-number(sum(/d/rr/r[@f=$hiring_manager and @b=3 and @d!='']/@d),'0.00','nan')"/></b></td>
									<td align="right"><b><xsl:value-of select="format-number(sum(/d/rr/r[@f=$hiring_manager and @b=4 and @d!='']/@d),'0.00','nan')"/></b></td>
									<td align="right"><b><xsl:value-of select="format-number(sum(/d/rr/r[@f=$hiring_manager and @b=5 and @d!='']/@d),'0.00','nan')"/></b></td>
									<td align="right"><b><xsl:value-of select="format-number(sum(/d/rr/r[@f=$hiring_manager and @b=6 and @d!='']/@d),'0.00','nan')"/></b></td>
									<td align="right"><b><xsl:value-of select="format-number(sum(/d/rr/r[@f=$hiring_manager and @b=7 and @d!='']/@d),'0.00','nan')"/></b></td>
									<td align="right"><b><xsl:value-of select="format-number(sum(/d/rr/r[@f=$hiring_manager and @b=8 and @d!='']/@d),'0.00','nan')"/></b></td>
									<td align="right"><b><xsl:value-of select="format-number(sum(/d/rr/r[@f=$hiring_manager and @b=9 and @d!='']/@d),'0.00','nan')"/></b></td>
									<td align="right"><b><xsl:value-of select="format-number(sum(/d/rr/r[@f=$hiring_manager and @b=10 and @d!='']/@d),'0.00','nan')"/></b></td>
									<td align="right"><b><xsl:value-of select="format-number(sum(/d/rr/r[@f=$hiring_manager and @b=11 and @d!='']/@d),'0.00','nan')"/></b></td>
									<td align="right"><b><xsl:value-of select="format-number(sum(/d/rr/r[@f=$hiring_manager and @b=12 and @d!='']/@d),'0.00','nan')"/></b></td>
									<td align="right"><b><xsl:value-of select="format-number(sum(/d/rr/r[@f=$hiring_manager and @d!='']/@d),'0.00','nan')"/></b></td>
							</xsl:if>
					</xsl:for-each>
					<tr valign="center">
						<th></th>
						<th align="right" style="color:red">TOTAL:</th>
						<th align="right" style="color:red"><xsl:value-of select="format-number(sum(/d/rr/r[@b=1 and @d!='']/@d),'0.00','nan')"/></th>
						<th align="right" style="color:red"><xsl:value-of select="format-number(sum(/d/rr/r[@b=2 and @d!='']/@d),'0.00','nan')"/></th>
						<th align="right" style="color:red"><xsl:value-of select="format-number(sum(/d/rr/r[@b=3 and @d!='']/@d),'0.00','nan')"/></th>
						<th align="right" style="color:red"><xsl:value-of select="format-number(sum(/d/rr/r[@b=4 and @d!='']/@d),'0.00','nan')"/></th>
						<th align="right" style="color:red"><xsl:value-of select="format-number(sum(/d/rr/r[@b=5 and @d!='']/@d),'0.00','nan')"/></th>
						<th align="right" style="color:red"><xsl:value-of select="format-number(sum(/d/rr/r[@b=6 and @d!='']/@d),'0.00','nan')"/></th>
						<th align="right" style="color:red"><xsl:value-of select="format-number(sum(/d/rr/r[@b=7 and @d!='']/@d),'0.00','nan')"/></th>
						<th align="right" style="color:red"><xsl:value-of select="format-number(sum(/d/rr/r[@b=8 and @d!='']/@d),'0.00','nan')"/></th>
						<th align="right" style="color:red"><xsl:value-of select="format-number(sum(/d/rr/r[@b=9 and @d!='']/@d),'0.00','nan')"/></th>
						<th align="right" style="color:red"><xsl:value-of select="format-number(sum(/d/rr/r[@b=10 and @d!='']/@d),'0.00','nan')"/></th>
						<th align="right" style="color:red"><xsl:value-of select="format-number(sum(/d/rr/r[@b=11 and @d!='']/@d),'0.00','nan')"/></th>
						<th align="right" style="color:red"><xsl:value-of select="format-number(sum(/d/rr/r[@b=12 and @d!='']/@d),'0.00','nan')"/></th>
						<th align="right" style="color:red"><xsl:value-of select="format-number(sum(/d/rr/r[@d!='']/@d),'0.00','nan')"/></th>
					</tr>	
				</table>
</body></html>
	</xsl:template>
</xsl:stylesheet>