<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:ms="urn:schemas-microsoft-com:xslt" xmlns:msxsl='urn:schemas-microsoft-com:xslt' xmlns:js='http://www.atttitude.com/jsnamespace'>
<xsl:output method="html" version="1.0" encoding="UTF-8" indent="yes"/>
[include_out_helpers_list]
<xsl:variable name="ListRoleID" select="/d/rr/r/@j"/>
	<xsl:template match="/">
		<table id="list" cellspacing="1" cellpadding="0" width="100%" border="0">
				<thead><tr><xsl:apply-templates select="/d/oo/hh/h"/></tr></thead>
				<xsl:for-each select="/d/rr/r[position()&lt;$ps+1]">
					<xsl:variable name="class">lst<xsl:value-of select="floor(position() mod 2)"/></xsl:variable>
					<tr id="{@a}" onmouseover="_appstyle(this,'lst3', 'over')" onclick="_appstyle(this);" onmouseout="_appstyle(this,'lst1', 'out')" valign="center" ondblclick="execDetail('role', false,  true);">
						<th><span><xsl:value-of select="position() + $ps*(number($pn)-1)"/></span></th>
						<xsl:apply-templates select="@*[position()!=1 and position()&lt;last()]"/>
					</tr>
				</xsl:for-each>
		</table>
		<xsl:call-template name="Navigation">
			<xsl:with-param name="Title" select="'Role list'"/>
			<xsl:with-param name="Buttons">
					<button onclick="document.cookie='xml_listlogin_user=' + escape(document.forms['frmXML'].xml.value);execDetail('role',true)" name="btnNew"><u>A</u>dd Role</button>
					<button name="btnEdit" disabled="" onclick="document.cookie='xml_listlogin_user=' + escape(document.forms['frmXML'].xml.value);execDetail('role', false,  true)"><u>E</u>dit Role</button>
					<button onclick="execDelete('role')" name="btnDelete" disabled=""><u>D</u>elete</button>
			</xsl:with-param>
		</xsl:call-template>
	</xsl:template>
</xsl:stylesheet>