<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:ms="urn:schemas-microsoft-com:xslt" xmlns:msxsl='urn:schemas-microsoft-com:xslt' xmlns:js='http://www.atttitude.com/jsnamespace'>
<xsl:output method="html" version="1.0" encoding="UTF-8" indent="yes"/>
[include_out_helpers_list]


	<xsl:variable name="QuickEntryBar" select="/d/i/qeb/rr/r/@a"/>
	<xsl:variable name="Month" select="substring($StartDate,5,2)"/>
	<xsl:variable name="Date" select="substring($StartDate,7,2)"/>
	<xsl:variable name="Year" select="substring($StartDate,1,4)"/>
	<xsl:variable name="ChosenUsID" select="/d/i/lu"/>

	<xsl:variable name="issubmitted" select="(/d/hw/rr/r/@i='Y') and not (/d/hw/rr/r/@i='N')"/>
	<xsl:variable name="isapproved" select="((/d/hw/rr/r/@k='Y') and not (/d/hw/rr/r/@k='N')) or not (/d/hw/rr/r/@k)"/>
	<xsl:variable name="isprocessed" select="((/d/hw/rr/r/@n='Y') and not (/d/hw/rr/r/@n='N')) or not (/d/hw/rr/r/@n)"/>
	<xsl:variable name="hasSubmitted" select="(/d/hw/rr/r/@i='Y')"/>

<xsl:template match="/">
	<link href="/tts/i/combobox.css" type="text/css" rel="stylesheet"/>
	<script language="JavaScript" src="/tts/i/j/combobox.js"></script>
	<table width="100%" height="100%" cellpadding="0" cellspacing="0" border="0">
		<tr height="100%">
			<!--<xsl:choose>
				<xsl:when test="$RoID=2 or $RoID=4"><xsl:call-template name="list_login_user_supervisors"/></xsl:when>
				<xsl:when test="$RoID=3"><xsl:call-template name="list_login_user_managers"/></xsl:when>
				<xsl:when test="$RoID=1 and count(/d/users/d/rr/r)>1"><xsl:call-template name="list_login_user_ro"/></xsl:when>
			</xsl:choose>-->
			<xsl:choose>
				<xsl:when test="$RoID=2 or $RoID=4 or $RoID=3"><xsl:call-template name="list_login_user"/></xsl:when>
				<xsl:when test="$RoID=1 and count(/d/users/d/rr/r)>1"><xsl:call-template name="list_login_user_ro"/></xsl:when>
			</xsl:choose>
			<td valign="top" align="center" width="100%"><br/><br/>
				<xsl:if test="$o='worked_hour'"><xsl:call-template name="worked_hour_detail"/></xsl:if>
				<xsl:if test="$o='exp_statement'"><xsl:apply-templates select="/d/exp_stat_detail"/></xsl:if>
		</td>
	</tr>
</table>
</xsl:template>

<xsl:template name="list_login_user">
<form name="frmApp" action="approve?o=worked_hour&amp;s={$s}&amp;sti={$sti}" method="post">
		<input type="hidden" value="" name="LoginUserIDs"/>
		<input type="hidden" value="" name="LoginUserNames"/>
		<input type="hidden" value="" name="ExpStatementIDs"/>
		<input type="hidden" value="" name="ExpStatementNames"/>
		<input type="hidden" value="{$Month}" name="m"/><input type="hidden" value="{$Date}" name="d"/><input type="hidden" value="{$Year}" name="y"/>
	</form>
	<td valign="top" width="180" height="100%" rowspan="2" id="sidebar"><img src="/tts/i/spacer.gif" width="180" height="1" border="0"/>
		<table cellpadding="3" cellspacing="0" height="100%" width="100%" border="0">
			<tr ctrlrow="">
				<td width="15"></td>
				<td width="15"></td>
				<td width="90"></td>
				<td width="20"></td>
				<td width="20"></td>
				<td width="20"></td>
			</tr>
			<tr>
				<td height="25" class="rw1">&#160;</td>
				<td class="rw1" colspan="2"><img src="/tts/i/spacer.gif" width="105" height="0"/><br/><b>employee</b></td>
				<td height="10" class="rw1_"><center><b>total</b></center></td>
				<td class="rw1"><center><b>RE</b></center></td>
				<td class="rw1_"><center><b>VA</b>&amp;<b>SI</b></center></td>
				<td class="rw1"><center><b>HO</b></center></td>
				<td class="rw1_"/>
			</tr>
			<tr><td background="/tts/i/sidebar_bgr.jpg" colspan="3" bgcolor="red"><img src="/tts/i/spacer.gif" width="1" height="6"/></td><td background="/tts/i/sidebar_bgr1.jpg"><img src="/tts/i/spacer.gif" width="1" height="1"/></td><td background="/tts/i/sidebar_bgr.jpg"><img src="/tts/i/spacer.gif" width="1" height="1"/></td><td background="/tts/i/sidebar_bgr1.jpg"><img src="/tts/i/spacer.gif" width="1" height="1"/></td><td background="/tts/i/sidebar_bgr.jpg"><img src="/tts/i/spacer.gif" width="1" height="1"/></td><td background="/tts/i/sidebar_bgr1.jpg"><img src="/tts/i/spacer.gif" width="1" height="1"/></td></tr>
			<form name="frmApprove" onsubmit="return false;">
				<input type="hidden" name="checkedUsers" value="{/d/i/ch}"/>
				<input type="hidden" name="ObjectName" value="{$o}"/>
				<input type="hidden" name="ObjectID" value="{$oid}"/>
				<xsl:choose>
					<xsl:when test="$RoID=2 or $RoID=4"><xsl:call-template name="list_login_user_supervisors"/></xsl:when>
					<xsl:when test="$RoID=3"><xsl:call-template name="list_login_user_managers"/></xsl:when>
				</xsl:choose>
				<tr>
					<td/>
					<td align="right" class="rw1" colspan="2"><b>Total:</b></td>
					<td align="right" class="rw1_"><b><xsl:value-of select="format-number((sum(/d/users/d/rr/r[@c>0]/@c)+sum(/d/users/d/rr/r[@d>0]/@d)+sum(/d/users/d/rr/r[@k>0]/@k)),$FormatHour,'non')"/></b></td>
					<td align="right" class="rw1"><b><xsl:value-of select="format-number((sum(/d/users/d/rr/r[@c>0]/@c)),$FormatHour,'non')"/></b></td>
					<td align="right" class="rw1_"><b><xsl:value-of select="format-number(sum(/d/users/d/rr/r[@d>0]/@d),$FormatHour,'non')"/></b></td>
					<td align="right" class="rw1"><b><xsl:value-of select="format-number(sum(/d/users/d/rr/r[@k>0]/@k),$FormatHour,'non')"/></b></td>
				</tr>
				<tr height="100%">
					<td colspan="8" align="center" valign="top">
						<center><br/>
							<button size="10" id="np" accesskey="a" name="approveHours" onclick="submitHours(false);"><u>A</u>pprove</button>&#160;
							<xsl:if test="$RoID=3"><button size="10" id="np" accesskey="s" name="submitPayroll" onclick="submitHours(true);"><u>S</u>ubmit payroll</button></xsl:if>
						</center>
						<br/>
					</td>
				</tr>
			</form>
		</table>
	</td>
	<td width="1" rowspan="2" bgcolor="#CCCCCC"><img src="/tts/i/spacer.gif" width="1" height="1"/></td>
</xsl:template>

<xsl:template name="list_login_user_supervisors">
	<xsl:for-each select="/d/users/d/rr/r">
		<xsl:sort select="@b"/>
		<xsl:variable name="LOGIN_USER_ID" select="@a"/>
		<xsl:variable name="class">
			<xsl:choose>
				<xsl:when test="$LOGIN_USER_ID=$ChosenUsID">rw</xsl:when>
				<xsl:when test="floor(position() div 2)=(position() div 2)">rw1</xsl:when>
				<xsl:otherwise>rw1</xsl:otherwise></xsl:choose>
		</xsl:variable>
		<xsl:variable name="link">worked_hour?s=<xsl:value-of select="$s"/>&amp;sti=<xsl:value-of select="$sti"/>&amp;oid=<xsl:value-of select="$LOGIN_USER_ID"/>&amp;ch=<xsl:value-of select="/d/i/ch"/>,<xsl:value-of select="$LOGIN_USER_ID"/>&amp;y=<xsl:value-of select="$Year"/>&amp;m=<xsl:value-of select="$Month"/>&amp;d=<xsl:value-of select="$Date"/></xsl:variable>
		<tr>
			<xsl:if test="$LOGIN_USER_ID!=$ChosenUsID">
				<xsl:attribute name="onclick">changeObject('<xsl:value-of select="$s"/>','<xsl:value-of select="$sti"/>','<xsl:value-of select="$LOGIN_USER_ID"/>', 'worked_hour')</xsl:attribute>
				<xsl:attribute name="style">cursor:hand;</xsl:attribute>
			</xsl:if>
			<td height="25" valign="bottom"  class="{$class}">
				<xsl:choose>
					<xsl:when test="(@e='Y') and ((@f='') or (@f='N'))">
						 <xsl:choose>
								<xsl:when test="contains(/d/i/ch, concat(@a,','))"><input type="checkbox" id="check{@a}" name="login_user" value="{$LOGIN_USER_ID}" checked="checked"/></xsl:when>
								<xsl:otherwise><input type="checkbox" id="check{@a}" name="login_user" value="{$LOGIN_USER_ID}"></input></xsl:otherwise>
						 </xsl:choose>
					</xsl:when>
					<xsl:when test="(@e='Y') and (@f='Y') and (@g='Y')"><img src="/tts/i/i/ico_check_.gif" style="margin-left:5px;" width="15" height="15" border="0"/></xsl:when>
					<xsl:when test="(@e='Y') and (@f='Y')"><img src="/tts/i/i/ico_check.gif" style="margin-left:5px;" width="15" height="15" border="0"/></xsl:when>
					<xsl:otherwise><img src="/tts/i/spacer.gif" width="15" height="10"/></xsl:otherwise>
				</xsl:choose>
			</td>
			<td class="{$class}" colspan="2"><xsl:value-of select="@b"/></td>
			<td class="{$class}_" align="right"><xsl:if test="@a=$ChosenUsID"><xsl:attribute name="style">border:2px #FF4A18 solid;</xsl:attribute></xsl:if><b><xsl:value-of select="format-number((@c+@d+@k),$FormatHour,'non')"/></b></td>
			<td class="{$class}" align="right"><xsl:value-of select="format-number((@c),$FormatHour,'non')"/></td>
			<td class="{$class}_" align="right"><xsl:value-of select="format-number((@d),$FormatHour,'non')"/></td>
			<td class="{$class}" align="right"><xsl:value-of select="format-number((@k),$FormatHour,'non')"/></td>
			<td class="{$class}_"/>
		</tr>
		<xsl:for-each select="/d/exp_stat/d/rr/r[@b=$LOGIN_USER_ID]">
			<xsl:variable name="class1">
				<xsl:choose>
					<xsl:when test="@a=$oid">rw</xsl:when>
					<xsl:otherwise>rw2</xsl:otherwise>
				</xsl:choose>
			</xsl:variable>
			<tr onclick="changeObject('{$s}','{$sti}','{@a}', 'exp_statement')" style="cursor:hand;">
				<td class="rw1"></td>
				<td class="{$class1}" width="15">
				<xsl:choose><!-- submitted-c, approved-d, processed-e-->
					<xsl:when test="(@c='Y') and ((@d='') or (@d='N'))">
						 <xsl:choose>
								<xsl:when test="contains(/d/i/ch, concat(@a,','))"><input type="checkbox" id="check{@a}" name="exp_stat" value="{@a}" checked="checked"/></xsl:when>
								<xsl:otherwise><input type="checkbox" id="check{@a}" name="exp_stat" value="{@a}"></input></xsl:otherwise>
						 </xsl:choose>
					</xsl:when>
					<xsl:when test="(@c='Y') and (@d='Y') and (@e='Y')"><img src="/tts/i/i/ico_check_.gif" style="margin-left:5px;" width="15" height="15" border="0"/></xsl:when>
					<xsl:when test="(@c='Y') and (@d='Y')"><img src="/tts/i/i/ico_check.gif" style="margin-left:5px;" width="15" height="15" border="0"/></xsl:when>
					<xsl:otherwise><img src="/tts/i/spacer.gif" width="15" height="10"/></xsl:otherwise>
				</xsl:choose>
				</td>
				<td class="{$class1}" colspan="4">Exp.statement No<xsl:value-of select="@a"/> ($<xsl:value-of select="format-number(@f,$FormatCrs,'nan')"/>)</td></tr>
			<tr><td colspan="6"></td></tr>
		</xsl:for-each>
		<tr><td colspan="8" bgcolor="#FFFFFF" height="2"></td></tr>
	</xsl:for-each>
</xsl:template>


<xsl:template name="list_login_user_managers">
	<xsl:for-each select="/d/users/d/rr/r">
		<xsl:if test="@h[not(. = ../preceding-sibling::*/@h)]">
		<xsl:variable name="supervisors" select="@h"/>		
		<tr>
			<xsl:choose>
			<xsl:when test="$supervisors=''">
				<td colspan="7" class="rw1">Supervisors and Managers</td><td class="rw1"/>
			</xsl:when>
			<xsl:otherwise>
				<td colspan="7" class="rw1"><xsl:value-of select="@i"/></td>
				<td class="rw1" align="right"><button size="10" id="np" name="notify" onclick="sendTemplateEmail('APPROVE REMINDER','{$s}', '{$supervisors}');">Notify</button></td>
			</xsl:otherwise>
			</xsl:choose>
		</tr>
		<tr><td background="/tts/i/sidebar_bgr.jpg" colspan="3" bgcolor="red"><img src="/tts/i/spacer.gif" width="1" height="6"/></td><td background="/tts/i/sidebar_bgr1.jpg"><img src="/tts/i/spacer.gif" width="1" height="1"/></td><td background="/tts/i/sidebar_bgr.jpg"><img src="/tts/i/spacer.gif" width="1" height="1"/></td><td background="/tts/i/sidebar_bgr1.jpg"><img src="/tts/i/spacer.gif" width="1" height="1"/></td><td background="/tts/i/sidebar_bgr.jpg"><img src="/tts/i/spacer.gif" width="1" height="1"/></td><td background="/tts/i/sidebar_bgr1.jpg"><img src="/tts/i/spacer.gif" width="1" height="1"/></td></tr>
			<xsl:for-each select="/d/users/d/rr/r[@h=$supervisors]">
				<xsl:variable name="LOGIN_USER_ID" select="@a"/>
				<xsl:variable name="class">
					<xsl:choose>
						<xsl:when test="$LOGIN_USER_ID=$ChosenUsID">rw</xsl:when>
						<xsl:when test="floor(position() div 2)=(position() div 2)">rw1</xsl:when>
						<xsl:otherwise>rw1</xsl:otherwise></xsl:choose>
				</xsl:variable>
				<xsl:variable name="disabled" select="(@c='')"/>
				<xsl:variable name="link">worked_hour?s=<xsl:value-of select="$s"/>&amp;sti=<xsl:value-of select="$sti"/>&amp;oid=<xsl:value-of select="$LOGIN_USER_ID"/>&amp;ch=<xsl:value-of select="/d/i/ch"/>,<xsl:value-of select="$LOGIN_USER_ID"/>&amp;y=<xsl:value-of select="$Year"/>&amp;m=<xsl:value-of select="$Month"/>&amp;d=<xsl:value-of select="$Date"/></xsl:variable>
				<tr>
					<td height="25" valign="bottom"  class="{$class}">
						<xsl:choose>
							<xsl:when test="(@e='Y') and ((@f='') or (@f='N'))">
								<input type="checkbox" id="check{@a}" name="login_user" value="{$LOGIN_USER_ID}">
									<xsl:if test="contains(concat(',', /d/i/ch, ','), concat(',',@a,','))"><xsl:attribute name="checked"/></xsl:if>
								</input>
							</xsl:when>
							<xsl:when test="(@e='Y') and (@f='Y') and (@g='Y')"><img src="/tts/i/i/ico_check_.gif" style="margin-left:5px;" width="15" height="15" border="0"/></xsl:when>
							<xsl:when test="(@e='Y') and (@f='Y')"><img src="/tts/i/i/ico_check.gif" style="margin-left:5px;" width="15" height="15" border="0"/></xsl:when>
							<xsl:otherwise><img src="/tts/i/spacer.gif" width="15" height="10"/></xsl:otherwise>
						</xsl:choose>
					</td>
					<td class="{$class}" colspan="2">						
					<xsl:if test="($LOGIN_USER_ID!=$ChosenUsID) and not($disabled)">
						<xsl:attribute name="onclick">changeObject('<xsl:value-of select="$s"/>','<xsl:value-of select="$sti"/>','<xsl:value-of select="$LOGIN_USER_ID"/>', 'worked_hour')</xsl:attribute>
						<xsl:attribute name="style">cursor:hand;</xsl:attribute>
					</xsl:if>
					<xsl:if test="$disabled"><xsl:attribute name="style">color:#989DA5</xsl:attribute></xsl:if><xsl:value-of select="@b"/></td>
					<td class="{$class}_" align="right"><xsl:if test="@a=$ChosenUsID"><xsl:attribute name="style">border:2px #FF4A18 solid;</xsl:attribute></xsl:if><b><xsl:value-of select="format-number((@c+@d+@k),$FormatHour,'non')"/></b></td>
					<td class="{$class}" align="right"><xsl:value-of select="format-number((@c),$FormatHour,'non')"/>&#160;</td>
					<td class="{$class}_" align="right"><xsl:value-of select="format-number((@d),$FormatHour,'non')"/></td>
					<td class="{$class}" align="right"><xsl:value-of select="format-number((@k),$FormatHour,'non')"/></td>
					<td class="{$class}_" align="right">
						<button id="np" name="notify" onclick="sendSubmitNotification('{@a}');">Notify (<xsl:value-of select="@j"/>)</button>
					</td>
				</tr>
				<xsl:for-each select="/d/exp_stat/d/rr/r[@b=$LOGIN_USER_ID]">
					<xsl:variable name="class1">
						<xsl:choose>
							<xsl:when test="@a=$oid">rw</xsl:when>
							<xsl:otherwise>rw2</xsl:otherwise>
						</xsl:choose>
					</xsl:variable>
					<tr onclick="changeObject('{$s}','{$sti}','{@a}', 'exp_statement')" style="cursor:hand;">
						<td class="rw1"></td>
						<td class="{$class1}" width="15">
						<xsl:choose><!-- submitted-c, approved-d, processed-e-->
							<xsl:when test="(@c='Y') and ((@d='') or (@d='N'))">
								 <xsl:choose>
										<xsl:when test="contains(/d/i/ch, concat(@a,','))"><input type="checkbox" id="check{@a}" name="exp_stat" value="{@a}" checked="checked"/></xsl:when>
										<xsl:otherwise><input type="checkbox" id="check{@a}" name="exp_stat" value="{@a}"></input></xsl:otherwise>
								 </xsl:choose>
							</xsl:when>
							<xsl:when test="(@c='Y') and (@d='Y') and (@e='Y')"><img src="/tts/i/i/ico_check_.gif" style="margin-left:5px;" width="15" height="15" border="0"/></xsl:when>
							<xsl:when test="(@c='Y') and (@d='Y')"><img src="/tts/i/i/ico_check.gif" style="margin-left:5px;" width="15" height="15" border="0"/></xsl:when>
							<xsl:otherwise><img src="/tts/i/spacer.gif" width="15" height="10"/></xsl:otherwise>
						</xsl:choose>
						</td>
						<td class="{$class1}" colspan="6">Exp.statement No<xsl:value-of select="@a"/> ($<xsl:value-of select="format-number(@f,$FormatCrs,'nan')"/>)</td></tr>
					<tr><td colspan="7"></td></tr>
				</xsl:for-each>
				<tr><td colspan="8" bgcolor="#FFFFFF" height="2"></td></tr>
			</xsl:for-each>
			</xsl:if>
	</xsl:for-each>
</xsl:template>


<xsl:template name="list_login_user_ro">
	<form name="frmApp" action="approve?o=worked_hour&amp;s={$s}&amp;sti={$sti}" method="post">
		<input type="hidden" value="{$Month}" name="m"/><input type="hidden" value="{$Date}" name="d"/><input type="hidden" value="{$Year}" name="y"/>
	</form>
	<td valign="top" width="180" height="100%" rowspan="2" id="sidebar"><img src="/tts/i/spacer.gif" width="180" height="1" border="0"/>
		<table cellpadding="3" cellspacing="0" height="100%" width="100%" border="0">
			<tr><td background="/tts/i/sidebar_bgr.jpg" colspan="3" bgcolor="red"><img src="/tts/i/spacer.gif" width="1" height="6"/></td></tr>
				<form name="frmApprove" onsubmit="return false;">
					<input type="hidden" name="checkedUsers" value="{/d/i/ch}"/>
					<input type="hidden" name="ObjectName" value="{$o}"/>
					<input type="hidden" name="ObjectID" value="{$oid}"/>
					<xsl:for-each select="/d/users/d/rr/r">
						<xsl:sort select="@b"/>
						<xsl:variable name="LOGIN_USER_ID" select="@a"/>
						<xsl:variable name="class">
							<xsl:choose>
								<xsl:when test="$LOGIN_USER_ID=$ChosenUsID">rw</xsl:when>
								<xsl:when test="floor(position() div 2)=(position() div 2)">rw1</xsl:when>
								<xsl:otherwise>rw1</xsl:otherwise></xsl:choose>
						</xsl:variable>
						<xsl:variable name="disabled" select="@c=0"/>
						<xsl:variable name="link">worked_hour?s=<xsl:value-of select="$s"/>&amp;sti=<xsl:value-of select="$sti"/>&amp;oid=<xsl:value-of select="$LOGIN_USER_ID"/>&amp;ch=<xsl:value-of select="/d/i/ch"/>,<xsl:value-of select="$LOGIN_USER_ID"/>&amp;y=<xsl:value-of select="$Year"/>&amp;m=<xsl:value-of select="$Month"/>&amp;d=<xsl:value-of select="$Date"/></xsl:variable>
						<tr>
							<xsl:if test="$LOGIN_USER_ID!=$ChosenUsID and not($disabled)">
								<xsl:attribute name="onclick">changeObject('<xsl:value-of select="$s"/>','<xsl:value-of select="$sti"/>','<xsl:value-of select="$LOGIN_USER_ID"/>', 'worked_hour')</xsl:attribute>
								<xsl:attribute name="style">cursor:hand;</xsl:attribute>
							</xsl:if>
							<td class="{$class}"><img width="15" height="15"><xsl:attribute name="src"><xsl:choose><xsl:when test="@c>=($Period*5 div 7)">/tts/i/i/ico_ok<xsl:if test="@f='Y'">_blue</xsl:if>.gif</xsl:when><xsl:otherwise>/tts/i/spacer.gif</xsl:otherwise></xsl:choose></xsl:attribute><xsl:attribute name="alt"><xsl:if test="@f='Y'">Submitted</xsl:if></xsl:attribute></img>
							</td><td class="{$class}" colspan="2"><xsl:if test="$disabled"><xsl:attribute name="style">color:#989DA5</xsl:attribute></xsl:if><xsl:value-of select="@b"/></td>
						</tr>
						<tr><td colspan="3" bgcolor="#FFFFFF" height="2"></td></tr>
					</xsl:for-each>
					<tr height="100%"><td colspan="8" align="center" valign="top"><br/></td></tr>
				</form>
			</table>
		</td>
	<td width="1" rowspan="2" bgcolor="#CCCCCC"><img src="/tts/i/spacer.gif" width="1" height="1"/></td>
</xsl:template>


<xsl:template match="exp_stat_detail">
	<xsl:variable name="oid"><xsl:apply-templates select="cc/c[.='EXP_STATEMENT_ID']/@h"/></xsl:variable>
	<xsl:variable name="user_name"><xsl:apply-templates select="cc/c[.='USER_NAME']/@h"/></xsl:variable>
	<xsl:variable name="start_date"><xsl:apply-templates select="cc/c[.='START_DATE']/@h"/></xsl:variable>
	<xsl:variable name="end_date"><xsl:apply-templates select="cc/c[.='END_DATE']/@h"/></xsl:variable>
	<xsl:variable name="days"><xsl:apply-templates select="cc/c[.='DAYS']/@h"/></xsl:variable>
	<xsl:variable name="days_in_period"><xsl:apply-templates select="cc/c[.='DAYS']/@h"/></xsl:variable>
	<xsl:variable name="project_id"><xsl:apply-templates select="cc/c[.='PROJECT_ID']/@h"/></xsl:variable>
	<xsl:variable name="project_name"><xsl:apply-templates select="cc/c[.='PROJECT_NAME']/@h"/></xsl:variable>
	<xsl:variable name="note"><xsl:apply-templates select="cc/c[.='NOTE']/@h"/></xsl:variable>
	<xsl:variable name="submitted"><xsl:apply-templates select="cc/c[.='SUBMITTED']/@h"/></xsl:variable>
	<xsl:variable name="submitted_date"><xsl:apply-templates select="cc/c[.='SUBMITTED_DATE']/@h"/></xsl:variable>
	<xsl:variable name="approved"><xsl:apply-templates select="cc/c[.='APPROVED']/@h"/></xsl:variable>
	<xsl:variable name="approved_by"><xsl:apply-templates select="cc/c[.='APPROVED_BY']/@h"/></xsl:variable>
	<xsl:variable name="approved_date"><xsl:apply-templates select="cc/c[.='APPROVED_DATE']/@h"/></xsl:variable>
	<xsl:variable name="processed"><xsl:apply-templates select="cc/c[.='PROCESSED']/@h"/></xsl:variable>
	<xsl:variable name="processed_by"><xsl:apply-templates select="cc/c[.='PROCESSED_BY']/@h"/></xsl:variable>
	<xsl:variable name="processed_date"><xsl:apply-templates select="cc/c[.='PROCESSED_DATE']/@h"/></xsl:variable>
	<xsl:variable name="reimbursed"><xsl:apply-templates select="cc/c[.='REIMBURSED']/@h"/></xsl:variable>
	<xsl:variable name="reimbursed_by"><xsl:apply-templates select="cc/c[.='REIMBURSED_BY']/@h"/></xsl:variable>
	<xsl:variable name="reimbursed_date"><xsl:apply-templates select="cc/c[.='REIMBURSED_DATE']/@h"/></xsl:variable>
	
	<xsl:variable name="amt_lodging"><xsl:apply-templates select="cc/c[.='AMT_LODGING']/@h"/></xsl:variable>
	<xsl:variable name="amt_transport"><xsl:apply-templates select="cc/c[.='AMT_TRANSPORT']/@h"/></xsl:variable>
	<xsl:variable name="amt_fuel"><xsl:apply-templates select="cc/c[.='AMT_FUEL']/@h"/></xsl:variable>
	<xsl:variable name="amt_meals"><xsl:apply-templates select="cc/c[.='AMT_MEALS']/@h"/></xsl:variable>
	<xsl:variable name="amt_phone"><xsl:apply-templates select="cc/c[.='AMT_PHONE']/@h"/></xsl:variable>
	<xsl:variable name="amt_enter"><xsl:apply-templates select="cc/c[.='AMT_ENTER']/@h"/></xsl:variable>
	<xsl:variable name="amt_other"><xsl:apply-templates select="cc/c[.='AMT_OTHER']/@h"/></xsl:variable>

	<xsl:variable name="amt_lodging_co"><xsl:apply-templates select="cc/c[.='AMT_LODGING_CO']/@h"/></xsl:variable>
	<xsl:variable name="amt_transport_co"><xsl:apply-templates select="cc/c[.='AMT_TRANSPORT_CO']/@h"/></xsl:variable>
	<xsl:variable name="amt_fuel_co"><xsl:apply-templates select="cc/c[.='AMT_FUEL_CO']/@h"/></xsl:variable>
	<xsl:variable name="amt_meals_co"><xsl:apply-templates select="cc/c[.='AMT_MEALS_CO']/@h"/></xsl:variable>
	<xsl:variable name="amt_phone_co"><xsl:apply-templates select="cc/c[.='AMT_PHONE_CO']/@h"/></xsl:variable>
	<xsl:variable name="amt_enter_co"><xsl:apply-templates select="cc/c[.='AMT_ENTER_CO']/@h"/></xsl:variable>
	<xsl:variable name="amt_other_co"><xsl:apply-templates select="cc/c[.='AMT_OTHER_CO']/@h"/></xsl:variable>

	<xsl:variable name="isSubmitted" select="($submitted='Y') and not($submitted='N')"/>
	<xsl:variable name="isApproved" select="($approved='Y') and not($approved='N')"/>
	<xsl:variable name="isProcessed" select="($processed='Y') and not($processed='N')"/>
	<xsl:variable name="isReimbursed" select="($reimbursed='Y') and not($reimbursed='N')"/>
		<h1>Expense Statement No.<xsl:value-of select="$oid"/></h1>
		<center>
			<xsl:call-template name="strTable"><xsl:with-param name="width" select="400"/></xsl:call-template>
				<table cellspacing="0" cellpadding="4" border="0" id="detail">
					<tr ctrlrow=""><td width="46"></td><td width="140"><b>Dates</b></td><td rowspan="10" width="7"></td><td></td><td align="right"><b>Emp.</b></td><td align="right"><b>Comp.</b></td></tr>
							<tr>
								<td align="right">from:&#160;</td><td class="i"><xsl:call-template name="FormatDate"><xsl:with-param name="date" select="$start_date"/><xsl:with-param name="format" select="string('MM/dd/yyyy')"/></xsl:call-template></td>
								<td align="right">lodging:&#160;</td>
								<td class="i" align="right" valign="top"><xsl:value-of select="format-number($amt_lodging,$FormatCrs,'nan')"/></td>
								<td class="i" align="right" valign="top"><xsl:value-of select="format-number($amt_lodging_co,$FormatCrs,'nan')"/></td>
							</tr>
							<tr>
								<td align="right">to:&#160;</td><td class="i"><xsl:call-template name="FormatDate"><xsl:with-param name="date" select="$end_date"/><xsl:with-param name="format" select="string('MM/dd/yyyy')"/></xsl:call-template></td>
								<td align="right">transport:&#160;</td>
								<td class="i" align="right" valign="top"><xsl:value-of select="format-number($amt_transport,$FormatCrs,'nan')"/></td>
								<td class="i" align="right" valign="top"><xsl:value-of select="format-number($amt_transport_co,$FormatCrs,'nan')"/></td>
							</tr>
							<tr>
								<td align="right">project:&#160;</td><td class="i" valign="top"><xsl:value-of select="$project_name"/></td>
								<td align="right">fuel:&#160;</td>
								<td class="i" align="right" valign="top"><xsl:value-of select="format-number($amt_fuel,$FormatCrs,'nan')"/></td>
								<td class="i" align="right" valign="top"><xsl:value-of select="format-number($amt_fuel_co,$FormatCrs,'nan')"/></td>
							</tr>
							<tr>
								<td align="right" valign="top">user:&#160;</td><td class="i" valign="top"><xsl:value-of select="$user_name"/></td>
								<td align="right">meals:&#160;</td>
								<td class="i" align="right" valign="top"><xsl:value-of select="format-number($amt_meals,$FormatCrs,'nan')"/></td>
								<td class="i" align="right" valign="top"><xsl:value-of select="format-number($amt_meals_co,$FormatCrs,'nan')"/></td>								
							</tr>
							<tr>
								<td align="right" rowspan="5" valign="top">notes:&#160;</td><td class="i" rowspan="5" valign="top"><xsl:value-of select="$note"/></td>
								<td align="right">phone:&#160;</td>
								<td class="i" align="right" valign="top"><xsl:value-of select="format-number($amt_phone,$FormatCrs,'nan')"/></td>
								<td class="i" align="right" valign="top"><xsl:value-of select="format-number($amt_phone_co,$FormatCrs,'nan')"/></td>								
							</tr>
							<tr><td align="right">fun:&#160;</td><td class="i" align="right" valign="top"><xsl:value-of select="format-number($amt_enter,$FormatCrs,'nan')"/></td><td class="i" align="right" valign="top"><xsl:value-of select="format-number($amt_enter_co,$FormatCrs,'nan')"/></td></tr>
							<tr><td align="right">other:&#160;</td><td class="i" align="right" valign="top"><xsl:value-of select="format-number($amt_other,$FormatCrs,'nan')"/></td><td class="i" align="right" valign="top"><xsl:value-of select="format-number($amt_other_co,$FormatCrs,'nan')"/></td></tr>
							<tr><td align="right"><b>sub-total:&#160;</b></td><td align="right" valign="top"><b><xsl:value-of select="format-number($amt_lodging+$amt_transport+$amt_fuel+$amt_meals+$amt_phone+$amt_enter+$amt_other,$FormatCrs,'nan')"/></b></td><td align="right" valign="top"><b><xsl:value-of select="format-number($amt_lodging_co+$amt_transport_co+$amt_fuel_co+$amt_meals_co+$amt_phone_co+$amt_enter_co+$amt_other_co,$FormatCrs,'nan')"/></b></td></tr>
							<tr><td align="right"/><td align="right" valign="top" colspan="2" class="red"><b>total:&#160;<xsl:value-of select="format-number($amt_lodging+$amt_transport+$amt_fuel+$amt_meals+$amt_phone+$amt_enter+$amt_other+$amt_lodging_co+$amt_transport_co+$amt_fuel_co+$amt_meals_co+$amt_phone_co+$amt_enter_co+$amt_other_co,$FormatCrs,'nan')"/></b></td></tr>

					<tr><td colspan="6"><i>
								<xsl:if test="not($isSubmitted)">not </xsl:if><b>submitted</b>&#160;on&#160;<xsl:if test="($isSubmitted)"><xsl:value-of select="$submitted_date"/></xsl:if>
								<xsl:if test="($isApproved)"><br/><b>approved</b> by <xsl:value-of select="$approved_by"/>&#160;on&#160;<xsl:value-of select="$approved_date"/></xsl:if>
								<xsl:if test="$isProcessed"><br/><b>processed</b> by <xsl:value-of select="$processed_by"/>&#160;on&#160;<xsl:value-of select="$processed_date"/></xsl:if>
								<xsl:if test="$isReimbursed"><br/><b>reimbursed</b> by <xsl:value-of select="$reimbursed_by"/>&#160;on&#160;<xsl:value-of select="$reimbursed_date"/></xsl:if>
					</i></td></tr>
				</table>
			<xsl:call-template name="endTable"/>
		 <xsl:if test="$isSubmitted and $RoID=3 and not($isReimbursed)">
				<form name="frmXML" method="post">
					<input type="hidden" name="act" value="?o={$o}&amp;s={$s}&amp;pn={$pn}&amp;sti={$sti}"/>
					<input type="hidden" name="xml" value=""/>
				</form>
				<button size="10" accessKey="u" id="np" name="btnReimburs" onclick="gatherFields('reimbursed')"> <u>R</u>eimbursed</button>&#160;
			</xsl:if>
			<button size="10" id="np" accesskey="d" onclick="document.location='detail?o=exp_statement&amp;s={$s}&amp;sti={$sti}&amp;oid={$oid}'"><u>V</u>iew details</button><br/>
		</center>

<script>
	function gatherFields(action){
		if(action){
				fXML.xml.value='<w c="EXP_STATEMENT_ID"  k=""><xsl:value-of select="$oid"/></w><w c="' + action + '">Y</w>';
		}
		fXML.action='update'+fXML.act.value;
		fXML.submit();fXML.xml.value='';
		return true;
}
</script>
</xsl:template>

<xsl:template name="worked_hour_detail">
	<xsl:variable name="ro">
		<xsl:choose>
			<!--<xsl:when test="($ChosenUsID=$UsID) and ($ChosenUsID=2 or $ChosenUsID=3 and $ChosenUsID=4)">N</xsl:when> when??-->
			<xsl:when test="($ChosenUsID=$UsID) and (not ($issubmitted or $isapproved) or count(/d/hw/rr/r)=0)">N</xsl:when>
			<xsl:when test="($RoID=2 or $RoID=3 or $RoID=4) and ($issubmitted) and not($isapproved)">N</xsl:when>
			<xsl:when test="$RoID=3 and ($issubmitted) and ($isapproved) and not($isprocessed)">N</xsl:when>
			<xsl:when test="$RoID=3 and ($ChosenUsID=$UsID) and not($isprocessed)">N</xsl:when>
			<xsl:when test="($RoID=1)">Y</xsl:when>
			<xsl:when test="($RoID=2 or $RoID=4) and ($ChosenUsID=$UsID) and ((/d/hw/rr/r/@k!='Y') or not(/d/hw/rr/r/@k))">N</xsl:when>
			<xsl:otherwise>Y</xsl:otherwise>
		</xsl:choose>
	</xsl:variable>


<!--WORKED_HOUR_ID=a,LOGIN_USER_ID=b,PROJECT_ID-c,PROJECT_NAME-d,TRACK_DATE-e,TOTAL-f,Active-g,CATEGORY-h,
		SUBMITTED-i,SUBMITTED_ALL-j,APPROVED-k,APPROVED_BY-l,APPROVED_DATE-m,PROCESSED-n,PROCESSED_BY-o,PROCESSED_DATE-p,LOGIN_USER-q-->
		<xsl:if test="count(/d/project/rr/r)>0 or count(/d/hw/rr/r)>0">
			<xsl:variable name="sStartDate"><xsl:call-template name="FormatDate"><xsl:with-param name="date" select="$StartDate"/></xsl:call-template></xsl:variable>
			<xsl:variable name="sEndDate"><xsl:call-template name="FormatDate"><xsl:with-param name="date" select="$EndDate"/></xsl:call-template></xsl:variable>
			<form name="frmXML" method="post" action="post?o=worked_hour&amp;s={$s}&amp;sti={$sti}&amp;y={$Year}&amp;d={$Date}&amp;m={$Month}&amp;oid={$ChosenUsID}"><input type="hidden" value="" name="xmlm"/><input type="hidden" name="LOGIN_USER_ID" value="{$ChosenUsID}" id="np"/><input type="hidden" id="np" name="StartDate" value="{$sStartDate}"/><input type="hidden" id="np" name="EndDate" value="{$sEndDate}"/></form>
		  <h2><xsl:value-of select="/d/hw/rr/r/@q"/></h2>
			
			<xsl:if test="/d/i/notsub/rr/r/@a!='Y'"><span class="red"><xsl:value-of select="/d/i/notsub/d"/> days left till you have to submit your hours worked for this pay period.</span></xsl:if>
	
			<form name="frm" method="post" onsubmit="return false;" id="detail">	
				<xsl:if test="$QuickEntryBar='Y'">
				<xsl:attribute name="onkeydown">if(event.keyCode==13 &amp;&amp;event.srcElement.name!='add_btn') this.add_btn.click()</xsl:attribute>
					<!-- QUICK ENTRY BAR-->
						<xsl:call-template name="strTable"><xsl:with-param name="color" select="string('#FEFBEE')"/><xsl:with-param name="title" select="string('Quick Entry Bar')"/><xsl:with-param name="width" select="394"/></xsl:call-template>
							<table cellpadding="0" cellcpasing="0" border="0">
							<tr><td>Date<xsl:call-template name="ico_req"/></td><td>Project<xsl:call-template name="ico_req"/></td><td>Hours<xsl:call-template name="ico_req"/></td></tr>
							<tr>
								<td valign="top" style="white-space : nowrap;"><input name="TRACK_DATE_Q" tabindex="1" value="{$sStartDate}" maxlength="22" style="width:80px;" id="np"><xsl:if test="$ro='Y'"><xsl:attribute name="disabled"/></xsl:if></input><button tabindex="-1" id="np" style="position:relative;top:-1px;left:-1px;height:19px;" onclick="gfPop.fRangePop('{$sStartDate}', '{$sEndDate}', document.frm.TRACK_DATE_Q);window.frames['gToday:calendar:/tts/i/j/calendar.js'].focus();return false;"><xsl:if test="$ro='Y'"><xsl:attribute name="disabled"/></xsl:if>...</button></td>
								<td valign="top"><select name="PROJECT_ID_Q" id="np" style="width:200px;"  tabindex="2"><xsl:if test="$ro='Y'"><xsl:attribute name="disabled"/></xsl:if>
									<xsl:choose>
										<xsl:when test="$ChosenUsID=$UsID"><xsl:for-each select="/d/project/rr/r"><option value="{@a}"><xsl:value-of select="@c"/>: <xsl:value-of select="@b"/></option></xsl:for-each></xsl:when>
										<xsl:otherwise>
											<xsl:for-each select="/d/hw/rr/r">
												<xsl:if test="@c[not(. = ../preceding-sibling::*/@c)]"><option value="{@a}"><xsl:value-of select="@d"/></option></xsl:if>
											</xsl:for-each>
										</xsl:otherwise>						
									</xsl:choose>	
								</select></td>
								<td id="combo000000" valign="top" width="80"><script>cm000000=new ComboBox("000000",document.getElementById("combo000000"),'','', '', 'R', '','<xsl:value-of select="$ro"/>', 3); </script></td>
								<td valign="top"><button onclick="addQEB();" name="add_btn" id="np"  tabindex="8"><xsl:if test="$ro='Y'"><xsl:attribute name="disabled"/></xsl:if>Add</button></td>
							</tr></table><iframe width='174' height='189' name='gToday:calendar:/tts/i/j/calendar.js' id='gToday:calendar:/tts/i/j/calendar.js' src='/tts/popcal.htm' scrolling='no' frameborder='0' style='visibility:visible; z-index:999; position:absolute; left:-500px; top:0px;' onblur="gfPop.fHideCal();"></iframe>
							<script>
								var s= new Date(<xsl:value-of select="substring($StartDate, 1, 4)"/>, parseInt(<xsl:value-of select="substring($StartDate,5,2)"/>,10)-1, <xsl:value-of select="substring($StartDate, 7, 2)"/>);
								if((now-s)/ (1000 * 60 * 60  * 24) &lt;=<xsl:value-of select="$Period"/>){document.forms['frm'].TRACK_DATE_Q.value=(get2pos(now.getMonth()+1) + '/' + get2pos(now.getDate())+'/' + now.getYear()); }
							</script>
						<xsl:call-template name="endTable"/>
						<xsl:call-template name="buttons"><xsl:with-param name="ro" select="$ro"/></xsl:call-template><br/><br/><br/>
					<!-- 	END QUICK ENTRY BAR-->				
				</xsl:if>
	
				<xsl:choose>
				<xsl:when test="$ChosenUsID=$UsID"><!-- VIEW OWN WORKED HOURS - all project for chosen user and existing hours-->
					<xsl:for-each select="/d/project/rr/r">
						<xsl:variable name="ProjectID" select="@a"/>
						<xsl:variable name="ProjectName" select="@b"/>
						<xsl:variable name="ClientName" select="@c"/>
						<xsl:variable name="isSubmitted" select="(/d/hw/rr/r[@c=$ProjectID]/@i='Y') and not(/d/hw/rr/r[@c=$ProjectID]/@i='N')"/>
						<xsl:variable name="isApproved" select="(/d/hw/rr/r[@c=$ProjectID]/@k='Y') and not(/d/hw/rr/r[@c=$ProjectID]/@k='N')"/>
						<xsl:variable name="ApprovedBy" select="/d/hw/rr/r[@c=$ProjectID]/@l"/>
						<xsl:variable name="ApprovedDate" select="/d/hw/rr/r[$ProjectID=@c]/@m"/>
						<xsl:variable name="isProcessed" select="(/d/hw/rr/r[@c=$ProjectID]/@n='Y') and not(/d/hw/rr/r[@c=$ProjectID]/@n='N')"/>
						<xsl:variable name="ProcessedBy" select="/d/hw/rr/r[@c=$ProjectID]/@o"/>
						<xsl:variable name="ProcessedDate" select="/d/hw/rr/r[$ProjectID=@c]/@p"/>
						<xsl:variable name="isEmpty" select="sum(/d/hw/rr/r[@c=$ProjectID]/@f)=0"/>
						<xsl:call-template name="strTable"><xsl:with-param name="title"><xsl:value-of select="$ClientName"/>: <xsl:value-of select="$ProjectName"/> </xsl:with-param><xsl:with-param name="width" select="394"/></xsl:call-template>
							<table cellpadding="0" cellspacing="0" border="0">
								<tr class="wdays"><td></td>
									<th><xsl:call-template name="FormatDate"><xsl:with-param name="date" select="$StartDate"/><xsl:with-param name="format" select="string('ddd')"/></xsl:call-template></th>
									<th><xsl:call-template name="FormatDate"><xsl:with-param name="date" select="js:nextDate(string($StartDate),1)"/><xsl:with-param name="format" select="string('ddd')"/></xsl:call-template></th>
									<th><xsl:call-template name="FormatDate"><xsl:with-param name="date" select="js:nextDate(string($StartDate),2)"/><xsl:with-param name="format" select="string('ddd')"/></xsl:call-template></th>
									<th><xsl:call-template name="FormatDate"><xsl:with-param name="date" select="js:nextDate(string($StartDate),3)"/><xsl:with-param name="format" select="string('ddd')"/></xsl:call-template></th>
									<th><xsl:call-template name="FormatDate"><xsl:with-param name="date" select="js:nextDate(string($StartDate),4)"/><xsl:with-param name="format" select="string('ddd')"/></xsl:call-template></th>
									<th><xsl:call-template name="FormatDate"><xsl:with-param name="date" select="js:nextDate(string($StartDate),5)"/><xsl:with-param name="format" select="string('ddd')"/></xsl:call-template></th>
									<th><xsl:call-template name="FormatDate"><xsl:with-param name="date" select="js:nextDate(string($StartDate),6)"/><xsl:with-param name="format" select="string('ddd')"/></xsl:call-template></th>
									<td align="center"><b>Total</b></td>
								</tr>
								<tr>
									<xsl:call-template name="for">
										<xsl:with-param name="i">1</xsl:with-param>
										<xsl:with-param name="to" select="$Period+($Period div 7)*2"/>
										<xsl:with-param name="project" select="$ProjectID"/>
										<xsl:with-param name="date" select="string($StartDate)"/>
										<xsl:with-param name="ro" select="$ro"/>
									</xsl:call-template>
								</tr>
								<xsl:if test="not($isEmpty)">
									<tr><td height="42"/><td colspan="7" align="left" style="color:#9E9E9E"><br/>
										<xsl:if test="not($isSubmitted)">not </xsl:if>submitted,
										<xsl:if test="not($isApproved)">not </xsl:if>approved <xsl:if test="$isApproved">by <xsl:value-of select="$ApprovedBy"/>&#160;on&#160;<xsl:value-of select="$ApprovedDate"/></xsl:if>
										<xsl:if test="$isProcessed">, processed by <xsl:value-of select="$ProcessedBy"/>&#160;on&#160;<xsl:value-of select="$ProcessedDate"/></xsl:if>
									</td>
									<td align="right"><b  style="font-size:12px;"><xsl:value-of select="format-number(sum(/d/hw/rr/r[(@c=$ProjectID)]/@f),$FormatHour,'non')"/>h</b></td>
									</tr>
								</xsl:if>
							</table>
						<xsl:call-template name="endTable"/><br/>
					</xsl:for-each>
				</xsl:when>
				<xsl:when test="$RoID=1"><!-- EMPLOYEE CSR VIEW - without projects-->
					<xsl:call-template name="strTable"><xsl:with-param name="title"> </xsl:with-param><xsl:with-param name="width" select="394"/></xsl:call-template>
						<table cellpadding="0" cellspacing="0" border="0">
							<tr><td></td>
								<th><xsl:call-template name="FormatDate"><xsl:with-param name="date" select="$StartDate"/><xsl:with-param name="format" select="string('ddd')"/></xsl:call-template></th>
								<th><xsl:call-template name="FormatDate"><xsl:with-param name="date" select="js:nextDate(string($StartDate),1)"/><xsl:with-param name="format" select="string('ddd')"/></xsl:call-template></th>
								<th><xsl:call-template name="FormatDate"><xsl:with-param name="date" select="js:nextDate(string($StartDate),2)"/><xsl:with-param name="format" select="string('ddd')"/></xsl:call-template></th>
								<th><xsl:call-template name="FormatDate"><xsl:with-param name="date" select="js:nextDate(string($StartDate),3)"/><xsl:with-param name="format" select="string('ddd')"/></xsl:call-template></th>
								<th><xsl:call-template name="FormatDate"><xsl:with-param name="date" select="js:nextDate(string($StartDate),4)"/><xsl:with-param name="format" select="string('ddd')"/></xsl:call-template></th>
								<th><xsl:call-template name="FormatDate"><xsl:with-param name="date" select="js:nextDate(string($StartDate),5)"/><xsl:with-param name="format" select="string('ddd')"/></xsl:call-template></th>
								<th><xsl:call-template name="FormatDate"><xsl:with-param name="date" select="js:nextDate(string($StartDate),6)"/><xsl:with-param name="format" select="string('ddd')"/></xsl:call-template></th>
								<th></th>
							</tr>
							<tr>
								<xsl:call-template name="for_ro">
									<xsl:with-param name="i">1</xsl:with-param>
									<xsl:with-param name="to" select="$Period+($Period div 7)*2"/>
									<xsl:with-param name="date" select="string($StartDate)"/>
								</xsl:call-template>
							</tr>
						</table>
					<xsl:call-template name="endTable"/>
				</xsl:when>
				<xsl:otherwise> <!-- SUPERVISOR, SUB_SUPERVISORS VIEW - non-empty projects only-->
					<xsl:for-each select="/d/hw/rr/r">
					<!--<xsl:if test="@c[not(. = ../preceding::*/@c)]">-->
					<xsl:if test="@c[not(. = ../preceding-sibling::r/@c)]">
						<xsl:variable name="ProjectID" select="@c"/>
						<xsl:variable name="ProjectName" select="@d"/>
						<xsl:variable name="isSubmitted" select="(/d/hw/rr/r[@c=$ProjectID]/@i='Y') and not(/d/hw/rr/r[@c=$ProjectID]/@i='N')"/>
						<xsl:variable name="isApproved" select="(/d/hw/rr/r[@c=$ProjectID]/@k='Y') and not(/d/hw/rr/r[@c=$ProjectID]/@k='N')"/>
						<xsl:variable name="ApprovedBy" select="/d/hw/rr/r[@c=$ProjectID]/@l"/>
						<xsl:variable name="ApprovedDate" select="/d/hw/rr/r[$ProjectID=@c]/@m"/>
						<xsl:variable name="isProcessed" select="(/d/hw/rr/r[@c=$ProjectID]/@n='Y') and not(/d/hw/rr/r[@c=$ProjectID]/@n='N')"/>
						<xsl:variable name="ProcessedBy" select="/d/hw/rr/r[@c=$ProjectID]/@o"/>
						<xsl:variable name="ProcessedDate" select="/d/hw/rr/r[$ProjectID=@c]/@p"/>
						<xsl:variable name="isEmpty" select="sum(/d/hw/rr/r[@c=$ProjectID]//@f)=0"/>
						<xsl:call-template name="strTable"><xsl:with-param name="title"><xsl:value-of select="$ProjectName"/> </xsl:with-param><xsl:with-param name="width" select="394"/></xsl:call-template>
							<table cellpadding="0" cellspacing="0" border="0">
								<tr><td></td>
									<th><xsl:call-template name="FormatDate"><xsl:with-param name="date" select="$StartDate"/><xsl:with-param name="format" select="string('ddd')"/></xsl:call-template></th>
									<th><xsl:call-template name="FormatDate"><xsl:with-param name="date" select="js:nextDate(string($StartDate),1)"/><xsl:with-param name="format" select="string('ddd')"/></xsl:call-template></th>
									<th><xsl:call-template name="FormatDate"><xsl:with-param name="date" select="js:nextDate(string($StartDate),2)"/><xsl:with-param name="format" select="string('ddd')"/></xsl:call-template></th>
									<th><xsl:call-template name="FormatDate"><xsl:with-param name="date" select="js:nextDate(string($StartDate),3)"/><xsl:with-param name="format" select="string('ddd')"/></xsl:call-template></th>
									<th><xsl:call-template name="FormatDate"><xsl:with-param name="date" select="js:nextDate(string($StartDate),4)"/><xsl:with-param name="format" select="string('ddd')"/></xsl:call-template></th>
									<th><xsl:call-template name="FormatDate"><xsl:with-param name="date" select="js:nextDate(string($StartDate),5)"/><xsl:with-param name="format" select="string('ddd')"/></xsl:call-template></th>
									<th><xsl:call-template name="FormatDate"><xsl:with-param name="date" select="js:nextDate(string($StartDate),6)"/><xsl:with-param name="format" select="string('ddd')"/></xsl:call-template></th>
									<td align="right"><b>Total<br/></b></td>
								</tr>
								<tr>
									<xsl:call-template name="for">
										<xsl:with-param name="i">1</xsl:with-param>
										<xsl:with-param name="to" select="$Period+($Period div 7)*2"/>
										<xsl:with-param name="project" select="$ProjectID"/>
										<xsl:with-param name="date" select="string($StartDate)"/>
										<xsl:with-param name="ro" select="$ro"/>
									</xsl:call-template>
								</tr>
								<xsl:if test="not($isEmpty)">
									<tr><td height="42"/><td colspan="7" align="left" style="color:#9E9E9E"><br/>
										<xsl:if test="not($isSubmitted)">not </xsl:if>submitted,
										<xsl:if test="not($isApproved)">not </xsl:if>approved <xsl:if test="$isApproved">by <xsl:value-of select="$ApprovedBy"/>&#160;on&#160;<xsl:value-of select="$ApprovedDate"/></xsl:if>
										<xsl:if test="$isProcessed">, processed by <xsl:value-of select="$ProcessedBy"/>&#160;on&#160;<xsl:value-of select="$ProcessedDate"/></xsl:if>
									</td>
									<td align="right"><b style="font-size:12px;"><xsl:value-of select="format-number(sum(/d/hw/rr/r[(@c=$ProjectID)]/@f),$FormatHour,'non')"/>h</b></td>
									</tr>
								</xsl:if>
							</table>
						<xsl:call-template name="endTable"/>
						</xsl:if>
					</xsl:for-each>
				</xsl:otherwise>						
				</xsl:choose>		
				<xsl:call-template name="buttons"><xsl:with-param name="ro" select="$ro"/></xsl:call-template>
			</form><br/>
		</xsl:if>
</xsl:template>

<xsl:template name="buttons">
<xsl:param name="ro"/>
		<xsl:choose>
			<xsl:when test="($ChosenUsID=$UsID) and not($issubmitted)">
				<button id="np" accesskey="s" name="SaveWorkedHours" onclick="gatherWorkedHours(false)"><xsl:if test="$ro='Y'"><xsl:attribute name="disabled"/></xsl:if><u>S</u>ave. I`ll submit later</button>&#160;
				<button id="np" accesskey="a" name="SubmitWorkedHours" onclick="gatherWorkedHours(true, true, true)"><xsl:if test="$ro='Y'"><xsl:attribute name="disabled"/></xsl:if> Send for <u>a</u>pproval</button>&#160;
			</xsl:when>
			<xsl:when test="$RoID=2 or $RoID=3 or $RoID=4">
				<xsl:if test="$RoID=3"><button accesskey="u"  onclick="gatherWorkedHours(false, false, true)"><xsl:if test="not($hasSubmitted and not($isapproved))"><xsl:attribute name="disabled"/></xsl:if><u>U</u>nsubmit payroll</button>&#160;</xsl:if>
				<button id="np" accesskey="s" name="SaveWorkedHours" onclick="gatherWorkedHours(true, false, false)"><xsl:if test="$ro='Y'"><xsl:attribute name="disabled"/></xsl:if> <u>S</u>ave changes</button>&#160;
			</xsl:when>
		</xsl:choose>
		<xsl:if test="not($RoID=1 and ($ChosenUsID!=$UsID))"><button id="np" accesskey="p" onclick="execGoto('worked_hour?p=y&amp;oid={$ChosenUsID}&amp;sti={$sti}&amp;s={$s}&amp;y={$Year}&amp;m={$Month}&amp;d={$Date}','',true)"><u>P</u>rint preview</button></xsl:if>
</xsl:template>

<xsl:template name="for"> 
	<xsl:param name="i"/> 
	<xsl:param name="to"/> 
	<xsl:param name="project"/>
	<xsl:param name="date"/>
	<xsl:param name="ro"/>
	<xsl:variable name="m" select="substring($date,5,2)"/>
	<xsl:variable name="d" select="substring($date,7,4)"/>
	<xsl:variable name="y" select="substring($date,1,4)"/>
	<xsl:choose>
		<xsl:when test="(($i+8) mod 9)= 0"><!-- 1,9,17 -->
			<td valign="bottom">WEEK&#160;<xsl:value-of select="round(($i+9) div 8)"/>:</td>
			<xsl:if test="($i+1 &lt;= $to)"> 
				<xsl:call-template name="for"> 
					<xsl:with-param select="$i + 1" name="i"/> 
					<xsl:with-param select="$to" name="to"/> 
					<xsl:with-param select="$project" name="project"/>
					<xsl:with-param name="date" select="$date"/>
					<xsl:with-param name="ro" select="$ro"/>
				</xsl:call-template> 
			</xsl:if> 
		</xsl:when>
		<xsl:when test="($i mod 9)= 0"><!-- 9,18,21 TOTAL -->
			<xsl:variable name="ltDate" select="js:nextDate(string($date),-8)"/>
			<xsl:variable name="gtDate" select="js:nextDate(string($date),($i div 9)-1)"/>
			<td width="35" height="32" valign="middle" align="right"><b><xsl:value-of select="format-number(sum(/d/hw/rr/r[(@e &lt; $date) and (@e > $ltDate) and (@c=$project)]/@f),$FormatHour,'non')"/></b></td>
			<xsl:text disable-output-escaping="yes">&lt;/tr&gt;&lt;tr&gt;</xsl:text>
			<xsl:if test="($i+1 &lt;= $to)"> 
				<xsl:call-template name="for"> 
					<xsl:with-param select="$i + 1" name="i"/> 
					<xsl:with-param select="$to" name="to"/> 
					<xsl:with-param select="$project" name="project"/>
					<xsl:with-param name="date" select="$date"/>
					<xsl:with-param name="ro" select="$ro"/>
				</xsl:call-template> 
			</xsl:if> 
		</xsl:when>
		<xsl:otherwise>
			<xsl:variable name="startdate"><xsl:value-of select="substring($date,5,2)"/>/<xsl:value-of select="substring($date,7,2)"/>/<xsl:value-of select="substring($date,1,4)"/></xsl:variable>
			<xsl:variable name="id"><xsl:value-of select="$i"/><xsl:value-of select="$project"/></xsl:variable>
			<td width="43" id="combo{$id}">
				<xsl:call-template name="FormatDate"><xsl:with-param name="format" select="string('MM/dd')"/><xsl:with-param name="date" select="$date"/></xsl:call-template>
				<xsl:variable name="rcdNode" select="/d/hw/rr/r[(@c=$project) and (@e=$date)]/."/>
				<xsl:variable name="cat">
					<xsl:choose>
						<xsl:when test="$rcdNode/@h"><xsl:value-of select="$rcdNode/@h"/></xsl:when>
						<xsl:otherwise>R</xsl:otherwise>
					</xsl:choose>
				</xsl:variable>
				<script>cm<xsl:value-of select="$id"/>=new ComboBox("<xsl:value-of select="$id"/>",document.getElementById("combo<xsl:value-of select="$id"/>"),'<xsl:value-of select="$rcdNode/@a"/>','<xsl:value-of select="$startdate"/>', '<xsl:value-of select="$project"/>', '<xsl:value-of select="$cat"/>', '<xsl:value-of select="format-number($rcdNode/@f, $FormatHour,'non')"/>','<xsl:value-of select="$ro"/>'); </script>
			</td>
			<xsl:if test="($i+1 &lt;= $to)"> 
				<xsl:call-template name="for"> 
					<xsl:with-param select="$i + 1" name="i"/> 
					<xsl:with-param select="$to" name="to"/> 
					<xsl:with-param select="$project" name="project"/>
					<xsl:with-param name="ro" select="$ro"/>
					<xsl:with-param name="date" select="string(js:nextDate(string($date)))"/>
						<!--<xsl:choose>
							<xsl:when test="(($i+7) mod 9)=0"><xsl:value-of select="string($date)"/></xsl:when>
							<xsl:otherwise><xsl:value-of select="string(js:nextDate(string($date)))"/></xsl:otherwise>
						</xsl:choose></xsl:with-param>-->
				</xsl:call-template> 
			</xsl:if> 
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template name="for_ro"> 
	<xsl:param name="i"/> 
	<xsl:param name="to"/> 
	<xsl:param name="date"/>
	<xsl:param name="ro"/>
	<xsl:variable name="m" select="substring($date,5,2)"/>
	<xsl:variable name="d" select="substring($date,7,4)"/>
	<xsl:variable name="y" select="substring($date,1,4)"/>
	<xsl:choose>
		<xsl:when test="(($i+8) mod 9)= 0"><!-- 1,9,17 -->
			<td valign="bottom">WEEK&#160;<xsl:value-of select="round(($i+9) div 8)"/>:</td>
			<xsl:if test="($i+1 &lt;= $to)"> 
				<xsl:call-template name="for_ro"> 
					<xsl:with-param select="$i + 1" name="i"/> 
					<xsl:with-param select="$to" name="to"/> 
					<xsl:with-param name="date" select="$date"/>
					<xsl:with-param name="ro" select="$ro"/>
				</xsl:call-template> 
			</xsl:if> 
		</xsl:when>
		<xsl:when test="($i mod 9)= 0"><!-- 9,18,21 TOTAL -->
			<xsl:variable name="gtDate" select="js:nextDate(string($date),($i div 9)-1)"/>
			<xsl:variable name="ltDate" select="js:nextDate(string($date),(-8+($i div 9)-1))"/>
			<td width="35" valign="middle" align="right"></td>
			<xsl:text disable-output-escaping="yes">&lt;/tr&gt;&lt;tr&gt;</xsl:text>
			<xsl:if test="($i+1 &lt;= $to)"> 
				<xsl:call-template name="for_ro"> 
					<xsl:with-param select="$i + 1" name="i"/> 
					<xsl:with-param select="$to" name="to"/> 
					<xsl:with-param name="date" select="$date"/>
					<xsl:with-param name="ro" select="$ro"/>
				</xsl:call-template> 
			</xsl:if> 
		</xsl:when>
		<xsl:otherwise>
			<xsl:variable name="startdate"><xsl:value-of select="substring($date,5,2)"/>/<xsl:value-of select="substring($date,7,2)"/>/<xsl:value-of select="substring($date,1,4)"/></xsl:variable>
			<td width="43" height="40" valign="top" style="font-size:9px;color:#585858">
				<xsl:call-template name="FormatDate"><xsl:with-param name="format" select="string('MM/dd')"/><xsl:with-param name="date" select="$date"/></xsl:call-template>
				<xsl:variable name="rcdNode" select="/d/hw/rr/r[(@e=$date)]/."/>
				<xsl:variable name="cat">
					<xsl:choose>
						<xsl:when test="$rcdNode/@h"><xsl:value-of select="$rcdNode/@h"/></xsl:when>
						<xsl:otherwise>R</xsl:otherwise>
					</xsl:choose>
				</xsl:variable>
				<div style="width:40px;height:18px;background-color:#F6F6F6;text-align:center;"><xsl:if test="$rcdNode/@f"><b>X</b></xsl:if></div>
			</td>
			<xsl:if test="($i+1 &lt;= $to)"> 
				<xsl:call-template name="for_ro"> 
					<xsl:with-param select="$i + 1" name="i"/> 
					<xsl:with-param select="$to" name="to"/> 
					<xsl:with-param name="ro" select="$ro"/>
					<xsl:with-param name="date">
						<xsl:choose>
							<xsl:when test="(($i+7) mod 8)=0"><xsl:value-of select="string($date)"/></xsl:when>
							<xsl:otherwise><xsl:value-of select="string(js:nextDate(string($date)))"/></xsl:otherwise>
						</xsl:choose>
					</xsl:with-param>
				</xsl:call-template> 
			</xsl:if> 
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>


<xsl:template match='@h'>
	<xsl:variable name="key"><xsl:number count="cc/c"/></xsl:variable>
	<xsl:variable name="name" select="."/>
	<xsl:choose>
			<xsl:when test="contains($name, 'AMT_')"><xsl:value-of select="format-number((/d/exp_stat_detail/rr/r/@*[position()=$key]),'0.00','nan')"/></xsl:when>
			<xsl:otherwise><xsl:value-of select="/d/exp_stat_detail/rr/r/@*[position()=$key]"/></xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template match='@e | @f'><xsl:value-of select="format-number(.,$FormatHour,'non')"/></xsl:template>

</xsl:stylesheet>