<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:ms="urn:schemas-microsoft-com:xslt" xmlns:msxsl='urn:schemas-microsoft-com:xslt' xmlns:js='http://www.atttitude.com/jsnamespace'>
<xsl:output method="html" version="1.0" encoding="UTF-8" indent="yes"/>
[include_out_helpers_detail]


<xsl:template match="/">
<h1>Reimbursements</h1>
	<form name="frmXML" method="post" action="list?o=reimbursement&amp;s={$s}&amp;pn={$pn}&amp;sti={$sti}&amp;c=c"><input type="hidden" value="" name="xml"/><input type="hidden" value="" name="TrackDate"/></form>
	<form name="frm" method="post" id="detail" onsubmit="return false;">
		
	<xsl:call-template name="strTable"><xsl:with-param name="width" select="400"/></xsl:call-template>
			<table cellpadding="3" border="0">
				<tr ctrlrow=""><td width="30"></td><td width="200"/><td/></tr>
				<tr><td>Period:<xsl:call-template name="ico_req"/></td><td>
					<input name="e__SUBMITTED_DATE" id="nc" value=""  maxlength="22" style="width:150px;" /></td><td>
					&#160;<button id="np" accesskey="l" style="width:130px;" onclick="getLastPayroll()"><u>L</u>ast pay period</button><br/>
					&#160;<button id="np" accesskey="c" style="width:130px;" onclick="calculatePayPeriod(new Date())"><u>C</u>urrent pay period</button>
				</td></tr>	 
				<!-- todo later<tr><td>Employee:</td><td><xsl:call-template name='select'><xsl:with-param name="name" select="string('w__LOGIN_USER_ID')"/><xsl:with-param name="nodes" select="/d/login_user"/></xsl:call-template></td></tr>-->
			</table>
	<xsl:call-template name="endTable"/>
	<button onclick="beforeExecSearch();" id="np"> <u>S</u>earch</button>

	<script>
		initSearch()
		var iGroupPeriod=parseInt(<xsl:value-of select="$GroupPeriod"/>,10);
		var dGroupDate=new Date('<xsl:value-of select="$GroupStartDate"/>');
		var f=document.forms['frm'];

		function beforeExecSearch(){
			fXML=document.forms['frmXML'];
			var dates = new Array();
			if(!validdate(f.e__SUBMITTED_DATE, dates)){alert(errmsg); return;};
			period=Math.round((dates[1]-dates[0])/(1000*60*60*24))+1;
			fXML.action+='&amp;y=' + dates[0].getYear() + '&amp;m=' + (dates[0].getMonth()+1) + '&amp;d=' + dates[0].getDate() + '&amp;pr=' + period + '&amp;f=SUBMITTED_DATE';
			fXML.submit();
		}

		function getLastPayroll(){
			var now=new Date();
			var dt = new Date(now.getYear(), now.getMonth(), now.getDate()-iGroupPeriod);
			calculatePayPeriod(dt);
		}

		function calculatePayPeriod(dInitDate){
			if(dInitDate){
				dInitDate= new Date(dInitDate.getYear(), dInitDate.getMonth(), dInitDate.getDate())
				if(dInitDate &lt; dGroupDate){dInitDate=dGroupDate;}
				iDays=Math.floor(((dInitDate-dGroupDate)/(1000*60*60*24)) % (iGroupPeriod));
				var dStartDate1=new Date(dInitDate);
				dStartDate1.setDate(dInitDate.getDate()-(iDays));
				var dStartDate2=new Date(dStartDate1);
				dStartDate2.setDate(dStartDate1.getDate()+iGroupPeriod-1);
				s=(''+get2pos(dStartDate1.getMonth()+1)+'/'+get2pos(dStartDate1.getDate())+'/'+dStartDate1.getYear()+'::'+get2pos(dStartDate2.getMonth()+1)+'/'+get2pos(dStartDate2.getDate())+'/'+dStartDate2.getYear())
				f.e__SUBMITTED_DATE.value=s;
				document.forms['frmXML'].TrackDate.value=s;
			}
			else document.forms['frmXML'].TrackDate.value=f.e__SUBMITTED_DATE.value;
		}
		
		calculatePayPeriod(new Date())
	</script>
	</form>
	<xsl:call-template name="Navigation"><xsl:with-param name="Buttons"><button onclick="beforeExecSearch();"> <u>S</u>earch</button></xsl:with-param></xsl:call-template>
</xsl:template>	

</xsl:stylesheet>


