<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="html" version="1.0" encoding="UTF-8" indent="yes"/>
<xsl:variable name="s" select="/d/i/s"/>

<xsl:template match="/">
	<script language="JavaScript" src="/tts/i/j/tree.js"></script>
	<script>
	var TREE_ITEMS =[ 
		['<xsl:value-of select="/d/i/gn"/>','',
			<xsl:for-each select="/d/manager/rr/r">['<b>MANAGER</b>&#160;<xsl:value-of select="@b"/>&#160;&#160;(&lt;a href=detail?o=message&amp;s=<xsl:value-of select="$s"/>&amp;sti=7&amp;r=<xsl:value-of select="@a"/>><xsl:value-of select="@c"/>&lt;/a><xsl:if test="@d!=''">, <xsl:value-of select="@d"/></xsl:if>) &lt;a href=detail?o=login_user&amp;oid=<xsl:value-of select="@a"/>&amp;s=<xsl:value-of select="$s"/>&amp;sti=2>&lt;img src=/tts/i/i/ico_edit.gif valign=baseline border=0/>&lt;/a>','']<xsl:if test="position()!=last()">,</xsl:if></xsl:for-each><xsl:if test="count(/d/client/rr/r)>0">,</xsl:if>
			<xsl:for-each select="/d/client/rr/r">['<xsl:value-of select="@b"/> &lt;a href=detail?o=client&amp;oid=<xsl:value-of select="@a"/>&amp;s=<xsl:value-of select="$s"/>&amp;sti=2>&lt;img src=/tts/i/i/ico_edit.gif valign=baseline border=0/>&lt;/a>', '', 
				<xsl:variable name="client_id" select="@a"/>
				<xsl:if test="count(/d/project/rr/r[@c=$client_id]/.)>0">
					<xsl:for-each select="/d/project/rr/r[@c=$client_id]">['<xsl:value-of select="@b"/> &lt;a href=detail?o=project&amp;oid=<xsl:value-of select="@a"/>&amp;s=<xsl:value-of select="$s"/>&amp;sti=2>&lt;img src=/tts/i/i/ico_edit.gif valign=baseline border=0/>&lt;/a>','',
						<xsl:variable name="project_id" select="@a"/>
						<xsl:if test="count(/d/supervisor/rr/r[@c=$project_id]/.)>0">
							<xsl:for-each select="/d/supervisor/rr/r[@c=$project_id]">['<b>SUPERVISOR</b>&#160;<xsl:value-of select="@b"/>&#160;&#160;(&lt;a href=detail?o=message&amp;s=<xsl:value-of select="$s"/>&amp;sti=7&amp;r=<xsl:value-of select="@a"/>><xsl:value-of select="@d"/>&lt;/a><xsl:if test="@e!=''">, <xsl:value-of select="@e"/></xsl:if>) &lt;a href=detail?o=login_user&amp;oid=<xsl:value-of select="@a"/>&amp;s=<xsl:value-of select="$s"/>&amp;sti=2>&lt;img src=/tts/i/i/ico_edit.gif valign=baseline border=0/>&lt;/a>',''
									<xsl:variable name="supervisor_id" select="@a"/>
									<xsl:if test="count(/d/subsupervisor/rr/r[@c=$project_id and @d=$supervisor_id]/.)>0">
											<xsl:for-each select="/d/subsupervisor/rr/r[@c=$project_id and @d=$supervisor_id]">
												['<b>SUB-SUPERVISOR</b>&#160;<xsl:value-of select="@b"/>&#160;&#160;(&lt;a href=detail?o=message&amp;s=<xsl:value-of select="$s"/>&amp;sti=7&amp;r=<xsl:value-of select="@a"/>><xsl:value-of select="@e"/>&lt;/a><xsl:if test="@f!=''">, <xsl:value-of select="@f"/></xsl:if>) &lt;a href=detail?o=login_user&amp;oid=<xsl:value-of select="@a"/>&amp;s=<xsl:value-of select="$s"/>&amp;sti=2>&lt;img src=/tts/i/i/ico_edit.gif valign=baseline border=0/>&lt;/a>','']<xsl:if test="position()!=last()">,</xsl:if>
											</xsl:for-each>
									</xsl:if>
							],</xsl:for-each>
						</xsl:if>
						<xsl:if test="count(/d/employee/rr/r[@c=$project_id])>0">
							<xsl:for-each select="/d/employee/rr/r[@c=$project_id]">
								['<xsl:value-of select="@b"/>&#160;&#160;(&lt;a href=detail?o=message&amp;s=<xsl:value-of select="$s"/>&amp;sti=7&amp;r=<xsl:value-of select="@a"/>><xsl:value-of select="@d"/>&lt;/a><xsl:if test="@e!=''">, <xsl:value-of select="@e"/></xsl:if>) &lt;a href=detail?o=login_user&amp;oid=<xsl:value-of select="@a"/>&amp;s=<xsl:value-of select="$s"/>&amp;sti=2>&lt;img src=/tts/i/i/ico_edit.gif valign=baseline border=0/>&lt;/a>','']<xsl:if test="position()!=last()">,</xsl:if>
							</xsl:for-each>
						</xsl:if>]<xsl:if test="position()!=last()">,</xsl:if>
					</xsl:for-each><!--project-->
				</xsl:if>]<xsl:if test="position()!=last()">,</xsl:if>
			</xsl:for-each>]
	];
	</script>

	<table width="500" id="detail"><tr><td>
	<script language="JavaScript">
		<xsl:comment>
		new tree (TREE_ITEMS, tree_tpl);
		</xsl:comment>
	</script>
	</td></tr></table>
</xsl:template>	
</xsl:stylesheet>



