<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:ms="urn:schemas-microsoft-com:xslt" xmlns:msxsl='urn:schemas-microsoft-com:xslt' xmlns:js='http://www.atttitude.com/jsnamespace'>
<xsl:output method="html" version="1.0" encoding="UTF-8" indent="yes"/>
[include_out_helpers_detail]


<xsl:template match="/">
<h1>Search To-do</h1>
	<form name="frmXML" method="post" action="list?o=to_do&amp;s={$s}&amp;pn={$pn}&amp;sti={$sti}"><input type="hidden" value="" name="xml"/></form>
	<form name="frm" method="post" onsubmit="return false;"  id="detail" onkeydown="if(event.keyCode==13)execSearch();">
		<table border="0"><tr><td width="500">
			<xsl:call-template name="strTable"><xsl:with-param name="title">search by:</xsl:with-param><xsl:with-param name="width" select="500"/></xsl:call-template>
				<table cellspacing="1"  cellpadding="3" border="0">
					<tr ctrlrow=""><th width="150"></th><th width="300"></th><th width="15">null</th><th width="15">not</th></tr>
					<tr><td>id:</td><td><input name="t__TO_DO_ID" type="text" style="width:100%" maxlength="50"/></td><td><input type="checkbox" name="t__TO_DO_ID_null"/><td><input type="checkbox" name="t__TO_DO_ID_not"/></td></td></tr>
					<tr><td>project:</td><td>
						<xsl:choose>
							<xsl:when test="$RoID=5">
								<select name="t__PROJECT_ID" style="width:100%"><option/>
									<xsl:for-each select="/d/project_id/rr/r[@c!='']">
										<option value="{@a}"><xsl:value-of select="@b"/></option>
									</xsl:for-each>
								</select>
							</xsl:when>
							<xsl:otherwise>
								<xsl:call-template name='select'>
									<xsl:with-param name="name" select="string('t__PROJECT_ID')"/>
									<xsl:with-param name="nodes" select="/d/project_id"/>
								</xsl:call-template>
							</xsl:otherwise>
						</xsl:choose>
					</td><td><input type="checkbox" name="t__PROJECT_ID_null"/></td><td><input type="checkbox"  name="t__PROJECT_ID_not"/></td></tr>
					<xsl:choose>
						<xsl:when test="$RoID=5">
							<tr><td>priority:</td><td><input name="t__PRIORITY" type="text" style="width:100%" maxlength="8"/></td><td><input type="checkbox" name="t__PRIORITY_null"/><td><input type="checkbox" name="t__PRIORITY_not"/></td></td></tr>
							<tr><td>ticket #:</td><td><input name="t__TICKET_NUM" type="text" style="width:100%" maxlength="100"/></td><td><input type="checkbox" name="t__TICKET_NUM_null"/><td><input type="checkbox" name="t__TICKET_NUM_not"/></td></td></tr>
							<tr><td>added date:</td><td><input type="text" name="t__ADDED_DATE" id="nc" style="width:100%"/></td><td><input type="checkbox" name="t__ADDED_DATE_null"/></td><td><input type="checkbox" name="t__ADDED_DATE_not"/></td></tr>
							<tr><td>est. complete date:</td><td><input name="t__EST_COMPLETE_DATE"  id="nc" type="text" style="width:100%" maxlength="50"/></td><td><input type="checkbox" name="t__EST_COMPLETE_DATE_null"/></td><td><input type="checkbox" name="t__EST_COMPLETE_DATE_not"/></td></tr>
							<tr><td>complete date:</td><td><input name="t__COMPLETED_DATE" id="nc" type="text" style="width:100%" maxlength="50"/></td><td><input type="checkbox" name="t__COMPLETED_DATE_null"/></td><td><input type="checkbox" name="t__COMPLETED_DATE_not"/></td></tr>
							<tr><td>est. publish date:</td><td><input name="t__EST_PUBLISH_DATE"  id="nc" type="text" style="width:100%" maxlength="50"/></td><td><input type="checkbox" name="t__EST_PUBLISH_DATE_null"/></td><td><input type="checkbox" name="t__EST_PUBLISH_DATE_not"/></td></tr>
							<tr><td>published date:</td><td><input name="t__PUBLISHED_DATE"  id="nc" type="text" style="width:100%" maxlength="50"/></td><td><input type="checkbox" name="t__PUBLISHED_DATE_null"/></td><td><input type="checkbox" name="t__PUBLISHED_DATE_not"/></td></tr>
							<tr><td>canceled date:</td><td><input name="t__CANCELED_DATE"  id="nc" type="text" style="width:100%" maxlength="50"/></td><td><input type="checkbox" name="t__CANCELED_DATE_null"/></td><td><input type="checkbox" name="t__CANCELED_DATE_not"/></td></tr>
						</xsl:when>
						<xsl:otherwise>
							<tr><td>client:</td><td><xsl:call-template name='select'><xsl:with-param name="name" select="string('c__CLIENT_ID')"/><xsl:with-param name="nodes" select="/d/client_id"/></xsl:call-template></td><td><input type="checkbox" name="c__CLIENT_ID_null"/></td><td><input type="checkbox"  name="c__CLIENT_ID_not"/></td></tr>
							<tr><td>priority:</td><td><input name="t__PRIORITY" type="text" style="width:100%" maxlength="8"/></td><td><input type="checkbox" name="t__PRIORITY_null"/><td><input type="checkbox" name="t__PRIORITY_not"/></td></td></tr>
							<tr><td>ticket #:</td><td><input name="t__TICKET_NUM" type="text" style="width:100%" maxlength="100"/></td><td><input type="checkbox" name="t__TICKET_NUM_null"/><td><input type="checkbox" name="t__TICKET_NUM_not"/></td></td></tr>
							<tr><td>assigned to: </td><td><xsl:call-template name='select'><xsl:with-param name="name" select="string('t__ASSIGNED_TO')"/><xsl:with-param name="nodes" select="/d/login_user"/></xsl:call-template></td><td><input type="checkbox" name="t__ASSIGNED_TO_null"/></td><td><input type="checkbox" name="t__ASSIGNED_TO_not"/></td></tr>
							<tr><td>added date:</td><td><input type="text" name="t__ADDED_DATE" id="nc" style="width:100%"/></td><td><input type="checkbox" name="t__ADDED_DATE_null"/></td><td><input type="checkbox" name="t__ADDED_DATE_not"/></td></tr>
							<tr><td>added by:</td><td><xsl:call-template name='select'><xsl:with-param name="name" select="string('t__ADDED_BY')"/><xsl:with-param name="nodes" select="/d/login_user"/></xsl:call-template></td><td><input type="checkbox" name="t__ADDED_BY_null"/></td><td><input type="checkbox" name="t__ADDED_BY_not"/></td></tr>
							<tr><td>est. complete date:</td><td><input name="t__EST_COMPLETE_DATE"  id="nc" type="text" style="width:100%" maxlength="50"/></td><td><input type="checkbox" name="t__EST_COMPLETE_DATE_null"/></td><td><input type="checkbox" name="t__EST_COMPLETE_DATE_not"/></td></tr>
							<tr><td>complete date:</td><td><input name="t__COMPLETED_DATE" id="nc" type="text" style="width:100%" maxlength="50"/></td><td><input type="checkbox" name="t__COMPLETED_DATE_null"/></td><td><input type="checkbox" name="t__COMPLETED_DATE_not"/></td></tr>
							<tr><td>completed by:</td><td><xsl:call-template name='select'><xsl:with-param name="name" select="string('t__COMPLETED_BY')"/><xsl:with-param name="nodes" select="/d/login_user"/></xsl:call-template></td><td><input type="checkbox" name="t__COMPLETED_BY_null"/></td><td><input type="checkbox" name="t__COMPLETED_BY_not"/></td></tr>
							<tr><td>est. publish date:</td><td><input name="t__EST_PUBLISH_DATE"  id="nc" type="text" style="width:100%" maxlength="50"/></td><td><input type="checkbox" name="t__EST_PUBLISH_DATE_null"/></td><td><input type="checkbox" name="t__EST_PUBLISH_DATE_not"/></td></tr>
							<tr><td>published date:</td><td><input name="t__PUBLISHED_DATE"  id="nc" type="text" style="width:100%" maxlength="50"/></td><td><input type="checkbox" name="t__PUBLISHED_DATE_null"/></td><td><input type="checkbox" name="t__PUBLISHED_DATE_not"/></td></tr>
							<tr><td>published by:</td><td><xsl:call-template name='select'><xsl:with-param name="name" select="string('t__PUBLISHED_BY')"/><xsl:with-param name="nodes" select="/d/login_user"/></xsl:call-template></td><td><input type="checkbox" name="t__PUBLISHED_BY_null"/></td><td><input type="checkbox" name="t__PUBLISHED_BY_not"/></td></tr>
							<tr><td>canceled date:</td><td><input name="t__CANCELED_DATE"  id="nc" type="text" style="width:100%" maxlength="50"/></td><td><input type="checkbox" name="t__CANCELED_DATE_null"/></td><td><input type="checkbox" name="t__CANCELED_DATE_not"/></td></tr>
							<tr><td>canceled by:</td><td><xsl:call-template name='select'><xsl:with-param name="name" select="string('t__CANCELED_BY')"/><xsl:with-param name="nodes" select="/d/login_user"/></xsl:call-template></td><td><input type="checkbox" name="t__CANCELED_BY_null"/></td><td><input type="checkbox" name="t__CANCELED_BY_not"/></td></tr>
						</xsl:otherwise>
					</xsl:choose>	
					<tr><td>status:</td><td><select name="tts__calc_to_do_status(t__PUBLISHED_DATE,t__COMPLETED_DATE,t__CANCELED_DATE,t__ASSIGNED_TO)"  b="STATUS"><option/><option value="Published">Published</option><option value="Completed">Completed</option><option value="Canceled">Canceled</option><option value="Working">Working</option><option value="Waiting">Waiting</option></select></td><td><input type="checkbox" name="tts__calc_to_do_status(t__PUBLISHED_DATE,t__COMPLETED_DATE,t__CANCELED_DATE,t__ASSIGNED_TO)_null"/></td><td><input type="checkbox" name="tts__calc_to_do_status(t__PUBLISHED_DATE,t__COMPLETED_DATE,t__CANCELED_DATE,t__ASSIGNED_TO)_not"/></td></tr>
				</table>
				<xsl:call-template name="endTable"/>
		</td></tr></table>
		</form>
	<script>initSearch()</script>	
	<xsl:call-template name="Navigation">
		<xsl:with-param name="Buttons">
			<button name="btnSearch" onclick="execSearch(null, null, false, 'to_do')"> <u>S</u>earch</button>
			<button name="btnSetdef" onclick="this.disabled=true;	execSearch(null, null, true); ">Set <u>d</u>efaults (up to 10 entries)</button>
			<button name="btnReset" onclick="document.forms['frm'].reset();"><u>R</u>eset</button>
		</xsl:with-param>
	</xsl:call-template>
</xsl:template>	
</xsl:stylesheet>


