create or replace function tts.CALC_USER_STATUS(
  p_login_user_id in number
) return varchar2 is
  p_pending_hire_date date;
  p_hire_date date;
  p_termination_date date;      
  v_result varchar2(20);
begin
  begin 
    select 
      pending_hire_date, hire_date, termination_date into 
      p_pending_hire_date, p_hire_date, p_termination_date     
    from tts.account_info a where a.login_user_id=p_login_user_id;
   if (p_termination_date>p_pending_hire_date or p_pending_hire_date is null) and (p_termination_date>p_hire_date or p_hire_date is null) and (p_termination_date is not null) then 
      v_result:='Terminated';
    elsif (p_pending_hire_date>p_termination_date or p_termination_date is null) and (p_pending_hire_date>p_hire_date or p_hire_date is null) and (p_pending_hire_date is  not null) then 
      v_result:='Pending Hires';
    else 
      v_result:='Hired';
    end if;
  exception
    when NO_DATA_FOUND then  
      v_result:='Hired'; 
  end;
  return(v_result);
end CALC_USER_STATUS;
/
