create or replace trigger "TTS".COUNTRY_BIU
  before insert or update on TTS.COUNTRY
  for each row
begin
  if (inserting) and (:new.COUNTRY_ID = 0) then
    select TTS.COUNTRY_ID_SEQ.nextval into :new.COUNTRY_ID from DUAL;
  elsif (updating) and (:new.COUNTRY_ID<>:old.COUNTRY_ID) then
    raise_application_error(-20000,'Cannot update COUNTRY_ID');
  end if;
  :new.ABBREVIATION :=upper(:new.ABBREVIATION);
  :new.UP_NAME:=upper(:new.NAME);
  :new.ACTIVE:=upper(:new.ACTIVE);
  end COUNTRY_BIU;
/
