create or replace trigger "TTS".LOGIN_GROUP_OBJECT_BIU
  before insert or update on TTS.LOGIN_GROUP_OBJECT
  for each row
begin
  if (inserting) and (:new.LOGIN_GROUP_OBJECT_ID = 0) then
    select TTS.LOGIN_GROUP_OBJECT_ID_SEQ.nextval into :new.LOGIN_GROUP_OBJECT_ID from DUAL;
  elsif (updating) and (:new.LOGIN_GROUP_OBJECT_ID<>:old.LOGIN_GROUP_OBJECT_ID) then
    raise_application_error(-20000,'Cannot update LOGIN_GROUP_OBJECT_ID');
  end if;
  :new.last_updated_date:=sysdate;
 
 end LOGIN_GROUP_OBJECT_BIU;
/
