create or replace trigger "TTS".ROLE_FIELD_PRIVILEGE_BIU
  before insert or update on TTS.ROLE_FIELD_PRIVILEGE
  for each row
begin
  if (inserting) and (:new.ROLE_FIELD_PRIVILEGE_ID = 0 or :new.ROLE_FIELD_PRIVILEGE_ID is null)  then
    select TTS.ROLE_FIELD_PRIVILEGE_ID_SEQ.nextval into :new.ROLE_FIELD_PRIVILEGE_ID from DUAL;
  elsif (updating) and (:new.ROLE_FIELD_PRIVILEGE_ID<>:old.ROLE_FIELD_PRIVILEGE_ID) then
    raise_application_error(-20000,'Cannot update ROLE_FIELD_PRIVILEGE_ID');
  end if;
 end ROLE_PRIVILEGE_BIU;
/
