prompt PL/SQL Developer import file
prompt Created on Thursday, May 12, 2005 by blaga
set feedback off
set define off
prompt Disabling triggers for TTS.FIELD_PRIVILEGE...
alter table TTS.FIELD_PRIVILEGE disable all triggers;
prompt Disabling foreign key constraints for TTS.FIELD_PRIVILEGE...
alter table TTS.FIELD_PRIVILEGE disable constraint FIELD_PRIVILEGE_FK1;
prompt Loading TTS.FIELD_PRIVILEGE...
insert into TTS.FIELD_PRIVILEGE (FIELD_PRIVILEGE_ID, OBJECT_NAME, FIELD_NAME, FIELD_ALIAS, UP_FIELD_ALIAS, ACTIVE, GRID, OBJECT_PRIVILEGE_ID, REQUIRED_FIELD, FIELD_TYPE)
values (79, 'ira_contrib', 'ira_contrib_id', 'ira_contrib_id', 'IRA_CONTRIB_ID', 'Y', 1, 35, 'N', 'T');
insert into TTS.FIELD_PRIVILEGE (FIELD_PRIVILEGE_ID, OBJECT_NAME, FIELD_NAME, FIELD_ALIAS, UP_FIELD_ALIAS, ACTIVE, GRID, OBJECT_PRIVILEGE_ID, REQUIRED_FIELD, FIELD_TYPE)
values (46, 'account_info', 'login_user_name', 'employee name' || chr(10) || '', 'EMPLOYEE NAME' || chr(10) || '', 'Y', 1, 38, 'N', 'R');
insert into TTS.FIELD_PRIVILEGE (FIELD_PRIVILEGE_ID, OBJECT_NAME, FIELD_NAME, FIELD_ALIAS, UP_FIELD_ALIAS, ACTIVE, GRID, OBJECT_PRIVILEGE_ID, REQUIRED_FIELD, FIELD_TYPE)
values (1, 'account_info', 'account_info_id', 'account_info_id', 'ACCOUNT_INFO_ID', 'Y', 1, 38, 'N', 'H');
insert into TTS.FIELD_PRIVILEGE (FIELD_PRIVILEGE_ID, OBJECT_NAME, FIELD_NAME, FIELD_ALIAS, UP_FIELD_ALIAS, ACTIVE, GRID, OBJECT_PRIVILEGE_ID, REQUIRED_FIELD, FIELD_TYPE)
values (2, 'account_info', 'login_user_id', 'login_user_id', 'LOGIN_USER_ID', 'Y', 1, 38, 'N', 'H');
insert into TTS.FIELD_PRIVILEGE (FIELD_PRIVILEGE_ID, OBJECT_NAME, FIELD_NAME, FIELD_ALIAS, UP_FIELD_ALIAS, ACTIVE, GRID, OBJECT_PRIVILEGE_ID, REQUIRED_FIELD, FIELD_TYPE)
values (3, 'account_info', 'job_title', 'job title', 'JOB TITLE', 'Y', 1, 38, 'N', 'T');
insert into TTS.FIELD_PRIVILEGE (FIELD_PRIVILEGE_ID, OBJECT_NAME, FIELD_NAME, FIELD_ALIAS, UP_FIELD_ALIAS, ACTIVE, GRID, OBJECT_PRIVILEGE_ID, REQUIRED_FIELD, FIELD_TYPE)
values (4, 'account_info', 'dept_num', 'dept #', 'DEPT #', 'Y', 1, 38, 'N', 'T');
insert into TTS.FIELD_PRIVILEGE (FIELD_PRIVILEGE_ID, OBJECT_NAME, FIELD_NAME, FIELD_ALIAS, UP_FIELD_ALIAS, ACTIVE, GRID, OBJECT_PRIVILEGE_ID, REQUIRED_FIELD, FIELD_TYPE)
values (5, 'account_info', 'hire_date', 'hire date', 'HIRE DATE', 'Y', 1, 38, 'N', 'T');
insert into TTS.FIELD_PRIVILEGE (FIELD_PRIVILEGE_ID, OBJECT_NAME, FIELD_NAME, FIELD_ALIAS, UP_FIELD_ALIAS, ACTIVE, GRID, OBJECT_PRIVILEGE_ID, REQUIRED_FIELD, FIELD_TYPE)
values (6, 'account_info', 'contract_end_date', 'contract end date', 'CONTRACT END DATE', 'Y', 1, 38, 'N', 'T');
insert into TTS.FIELD_PRIVILEGE (FIELD_PRIVILEGE_ID, OBJECT_NAME, FIELD_NAME, FIELD_ALIAS, UP_FIELD_ALIAS, ACTIVE, GRID, OBJECT_PRIVILEGE_ID, REQUIRED_FIELD, FIELD_TYPE)
values (7, 'account_info', 'termination_date', 'termination date', 'TERMINATION DATE', 'Y', 1, 38, 'N', 'T');
insert into TTS.FIELD_PRIVILEGE (FIELD_PRIVILEGE_ID, OBJECT_NAME, FIELD_NAME, FIELD_ALIAS, UP_FIELD_ALIAS, ACTIVE, GRID, OBJECT_PRIVILEGE_ID, REQUIRED_FIELD, FIELD_TYPE)
values (8, 'account_info', 'pending_hire_date', 'pending hire since', 'PENDING HIRE SINCE', 'Y', 1, 38, 'N', 'T');
insert into TTS.FIELD_PRIVILEGE (FIELD_PRIVILEGE_ID, OBJECT_NAME, FIELD_NAME, FIELD_ALIAS, UP_FIELD_ALIAS, ACTIVE, GRID, OBJECT_PRIVILEGE_ID, REQUIRED_FIELD, FIELD_TYPE)
values (9, 'account_info', 'po_num', 'PO #', 'PO #', 'Y', 1, 38, 'Y', 'T');
insert into TTS.FIELD_PRIVILEGE (FIELD_PRIVILEGE_ID, OBJECT_NAME, FIELD_NAME, FIELD_ALIAS, UP_FIELD_ALIAS, ACTIVE, GRID, OBJECT_PRIVILEGE_ID, REQUIRED_FIELD, FIELD_TYPE)
values (10, 'account_info', 'start_date', 'PO start date', 'PO START DATE', 'Y', 1, 38, 'N', 'T');
insert into TTS.FIELD_PRIVILEGE (FIELD_PRIVILEGE_ID, OBJECT_NAME, FIELD_NAME, FIELD_ALIAS, UP_FIELD_ALIAS, ACTIVE, GRID, OBJECT_PRIVILEGE_ID, REQUIRED_FIELD, FIELD_TYPE)
values (11, 'account_info', 'end_date', 'PO end date', 'PO END DATE', 'Y', 1, 38, 'N', 'T');
insert into TTS.FIELD_PRIVILEGE (FIELD_PRIVILEGE_ID, OBJECT_NAME, FIELD_NAME, FIELD_ALIAS, UP_FIELD_ALIAS, ACTIVE, GRID, OBJECT_PRIVILEGE_ID, REQUIRED_FIELD, FIELD_TYPE)
values (12, 'account_info', 'po_total_hours', 'total PO hours', 'TOTAL PO HOURS', 'Y', 1, 38, 'N', 'T');
insert into TTS.FIELD_PRIVILEGE (FIELD_PRIVILEGE_ID, OBJECT_NAME, FIELD_NAME, FIELD_ALIAS, UP_FIELD_ALIAS, ACTIVE, GRID, OBJECT_PRIVILEGE_ID, REQUIRED_FIELD, FIELD_TYPE)
values (13, 'account_info', 'bill_rate', 'bill rate', 'BILL RATE', 'Y', 1, 38, 'N', 'T');
insert into TTS.FIELD_PRIVILEGE (FIELD_PRIVILEGE_ID, OBJECT_NAME, FIELD_NAME, FIELD_ALIAS, UP_FIELD_ALIAS, ACTIVE, GRID, OBJECT_PRIVILEGE_ID, REQUIRED_FIELD, FIELD_TYPE)
values (14, 'account_info', 'benefits_rate', 'benefits rate', 'BENEFITS RATE', 'Y', 1, 38, 'N', 'T');
insert into TTS.FIELD_PRIVILEGE (FIELD_PRIVILEGE_ID, OBJECT_NAME, FIELD_NAME, FIELD_ALIAS, UP_FIELD_ALIAS, ACTIVE, GRID, OBJECT_PRIVILEGE_ID, REQUIRED_FIELD, FIELD_TYPE)
values (15, 'account_info', 'pay_rate', 'pay rate', 'PAY RATE', 'Y', 1, 38, 'N', 'T');
insert into TTS.FIELD_PRIVILEGE (FIELD_PRIVILEGE_ID, OBJECT_NAME, FIELD_NAME, FIELD_ALIAS, UP_FIELD_ALIAS, ACTIVE, GRID, OBJECT_PRIVILEGE_ID, REQUIRED_FIELD, FIELD_TYPE)
values (16, 'account_info', 'supervisors_names', 'supervisor names', 'SUPERVISOR NAMES', 'Y', 1, 38, 'N', 'R');
insert into TTS.FIELD_PRIVILEGE (FIELD_PRIVILEGE_ID, OBJECT_NAME, FIELD_NAME, FIELD_ALIAS, UP_FIELD_ALIAS, ACTIVE, GRID, OBJECT_PRIVILEGE_ID, REQUIRED_FIELD, FIELD_TYPE)
values (17, 'account_info', 'projects_names', 'projects names', 'PROJECTS NAMES', 'Y', 1, 38, 'N', 'R');
insert into TTS.FIELD_PRIVILEGE (FIELD_PRIVILEGE_ID, OBJECT_NAME, FIELD_NAME, FIELD_ALIAS, UP_FIELD_ALIAS, ACTIVE, GRID, OBJECT_PRIVILEGE_ID, REQUIRED_FIELD, FIELD_TYPE)
values (18, 'account_info', 'hiring_manager', 'hiring manager', 'HIRING MANAGER', 'Y', 1, 38, 'N', 'T');
insert into TTS.FIELD_PRIVILEGE (FIELD_PRIVILEGE_ID, OBJECT_NAME, FIELD_NAME, FIELD_ALIAS, UP_FIELD_ALIAS, ACTIVE, GRID, OBJECT_PRIVILEGE_ID, REQUIRED_FIELD, FIELD_TYPE)
values (19, 'account_info', 'insurance', 'insurance (per month)', 'INSURANCE (PER MONTH)', 'Y', 1, 38, 'N', 'T');
insert into TTS.FIELD_PRIVILEGE (FIELD_PRIVILEGE_ID, OBJECT_NAME, FIELD_NAME, FIELD_ALIAS, UP_FIELD_ALIAS, ACTIVE, GRID, OBJECT_PRIVILEGE_ID, REQUIRED_FIELD, FIELD_TYPE)
values (20, 'account_info', 'overhead', 'overhead (%)', 'OVERHEAD (%)', 'Y', 1, 38, 'N', 'T');
insert into TTS.FIELD_PRIVILEGE (FIELD_PRIVILEGE_ID, OBJECT_NAME, FIELD_NAME, FIELD_ALIAS, UP_FIELD_ALIAS, ACTIVE, GRID, OBJECT_PRIVILEGE_ID, REQUIRED_FIELD, FIELD_TYPE)
values (21, 'account_info', 'ira', 'IRA', 'IRA', 'Y', 1, 38, 'N', 'T');
insert into TTS.FIELD_PRIVILEGE (FIELD_PRIVILEGE_ID, OBJECT_NAME, FIELD_NAME, FIELD_ALIAS, UP_FIELD_ALIAS, ACTIVE, GRID, OBJECT_PRIVILEGE_ID, REQUIRED_FIELD, FIELD_TYPE)
values (24, 'account_info', 'er_tax', 'ER taxes (%)', 'ER TAXES (%)', 'Y', 1, 38, 'N', 'T');
insert into TTS.FIELD_PRIVILEGE (FIELD_PRIVILEGE_ID, OBJECT_NAME, FIELD_NAME, FIELD_ALIAS, UP_FIELD_ALIAS, ACTIVE, GRID, OBJECT_PRIVILEGE_ID, REQUIRED_FIELD, FIELD_TYPE)
values (49, 'account_info', 'mark_up', 'mark_up', 'MARK_UP', 'Y', 1, 38, 'N', 'R');
insert into TTS.FIELD_PRIVILEGE (FIELD_PRIVILEGE_ID, OBJECT_NAME, FIELD_NAME, FIELD_ALIAS, UP_FIELD_ALIAS, ACTIVE, GRID, OBJECT_PRIVILEGE_ID, REQUIRED_FIELD, FIELD_TYPE)
values (50, 'account_info', 'invoiced_amount', 'invoiced amount', 'INVOICED AMOUNT', 'Y', 1, 38, 'N', 'R');
insert into TTS.FIELD_PRIVILEGE (FIELD_PRIVILEGE_ID, OBJECT_NAME, FIELD_NAME, FIELD_ALIAS, UP_FIELD_ALIAS, ACTIVE, GRID, OBJECT_PRIVILEGE_ID, REQUIRED_FIELD, FIELD_TYPE)
values (51, 'account_info', 'invoiced_date', 'invoiced date', 'INVOICED DATE', 'Y', 1, 38, 'N', 'R');
insert into TTS.FIELD_PRIVILEGE (FIELD_PRIVILEGE_ID, OBJECT_NAME, FIELD_NAME, FIELD_ALIAS, UP_FIELD_ALIAS, ACTIVE, GRID, OBJECT_PRIVILEGE_ID, REQUIRED_FIELD, FIELD_TYPE)
values (52, 'account_info', 'invoice_worked_hours', 'invoice - worked hours', 'INVOICE - WORKED HOURS', 'Y', 1, 38, 'N', 'R');
insert into TTS.FIELD_PRIVILEGE (FIELD_PRIVILEGE_ID, OBJECT_NAME, FIELD_NAME, FIELD_ALIAS, UP_FIELD_ALIAS, ACTIVE, GRID, OBJECT_PRIVILEGE_ID, REQUIRED_FIELD, FIELD_TYPE)
values (53, 'account_info', 'invoice_bill_rate', 'invoice - bill rate', 'INVOICE - BILL RATE', 'Y', 1, 38, 'N', 'R');
insert into TTS.FIELD_PRIVILEGE (FIELD_PRIVILEGE_ID, OBJECT_NAME, FIELD_NAME, FIELD_ALIAS, UP_FIELD_ALIAS, ACTIVE, GRID, OBJECT_PRIVILEGE_ID, REQUIRED_FIELD, FIELD_TYPE)
values (54, 'account_info', 'invoice_num', 'invoice num', 'INVOICE NUM', 'Y', 1, 38, 'N', 'R');
insert into TTS.FIELD_PRIVILEGE (FIELD_PRIVILEGE_ID, OBJECT_NAME, FIELD_NAME, FIELD_ALIAS, UP_FIELD_ALIAS, ACTIVE, GRID, OBJECT_PRIVILEGE_ID, REQUIRED_FIELD, FIELD_TYPE)
values (55, 'invoice', 'start_date', 'date from', 'DATE FROM', 'Y', 1, 33, 'N', 'T');
insert into TTS.FIELD_PRIVILEGE (FIELD_PRIVILEGE_ID, OBJECT_NAME, FIELD_NAME, FIELD_ALIAS, UP_FIELD_ALIAS, ACTIVE, GRID, OBJECT_PRIVILEGE_ID, REQUIRED_FIELD, FIELD_TYPE)
values (56, 'invoice', 'end_date', 'date to', 'DATE TO', 'Y', 1, 33, 'N', 'T');
insert into TTS.FIELD_PRIVILEGE (FIELD_PRIVILEGE_ID, OBJECT_NAME, FIELD_NAME, FIELD_ALIAS, UP_FIELD_ALIAS, ACTIVE, GRID, OBJECT_PRIVILEGE_ID, REQUIRED_FIELD, FIELD_TYPE)
values (61, 'invoice', 'login_user_id', 'login_user_id', 'LOGIN_USER_ID', 'Y', 1, 33, 'N', 'T');
insert into TTS.FIELD_PRIVILEGE (FIELD_PRIVILEGE_ID, OBJECT_NAME, FIELD_NAME, FIELD_ALIAS, UP_FIELD_ALIAS, ACTIVE, GRID, OBJECT_PRIVILEGE_ID, REQUIRED_FIELD, FIELD_TYPE)
values (58, 'invoice', 'invoice_worked_hours', 'worked hours', 'WORKED HOURS', 'Y', 1, 33, 'N', 'R');
insert into TTS.FIELD_PRIVILEGE (FIELD_PRIVILEGE_ID, OBJECT_NAME, FIELD_NAME, FIELD_ALIAS, UP_FIELD_ALIAS, ACTIVE, GRID, OBJECT_PRIVILEGE_ID, REQUIRED_FIELD, FIELD_TYPE)
values (59, 'invoice', 'invoiced_hours', 'hours billed', 'HOURS BILLED', 'Y', 1, 33, 'N', 'T');
insert into TTS.FIELD_PRIVILEGE (FIELD_PRIVILEGE_ID, OBJECT_NAME, FIELD_NAME, FIELD_ALIAS, UP_FIELD_ALIAS, ACTIVE, GRID, OBJECT_PRIVILEGE_ID, REQUIRED_FIELD, FIELD_TYPE)
values (60, 'invoice', 'invoiced_amount', 'invoiced amount', 'INVOICED AMOUNT', 'Y', 1, 33, 'N', 'R');
insert into TTS.FIELD_PRIVILEGE (FIELD_PRIVILEGE_ID, OBJECT_NAME, FIELD_NAME, FIELD_ALIAS, UP_FIELD_ALIAS, ACTIVE, GRID, OBJECT_PRIVILEGE_ID, REQUIRED_FIELD, FIELD_TYPE)
values (63, 'account_info', 'reimbur_emp_amount', '(exp. stat.) emp. amount', '(EXP. STAT.) EMP. AMOUNT', 'Y', 1, 38, 'N', 'R');
insert into TTS.FIELD_PRIVILEGE (FIELD_PRIVILEGE_ID, OBJECT_NAME, FIELD_NAME, FIELD_ALIAS, UP_FIELD_ALIAS, ACTIVE, GRID, OBJECT_PRIVILEGE_ID, REQUIRED_FIELD, FIELD_TYPE)
values (65, 'account_info', 'reimbur_comp_amount', '(exp. stat.) company amount', '(EXP. STAT.) COMPANY AMOUNT', 'Y', 1, 38, 'N', 'R');
insert into TTS.FIELD_PRIVILEGE (FIELD_PRIVILEGE_ID, OBJECT_NAME, FIELD_NAME, FIELD_ALIAS, UP_FIELD_ALIAS, ACTIVE, GRID, OBJECT_PRIVILEGE_ID, REQUIRED_FIELD, FIELD_TYPE)
values (72, 'ira_contrib', 'ira_amount', 'IRA amount', 'IRA AMOUNT', 'Y', 1, 35, 'N', 'T');
insert into TTS.FIELD_PRIVILEGE (FIELD_PRIVILEGE_ID, OBJECT_NAME, FIELD_NAME, FIELD_ALIAS, UP_FIELD_ALIAS, ACTIVE, GRID, OBJECT_PRIVILEGE_ID, REQUIRED_FIELD, FIELD_TYPE)
values (73, 'ira_contrib', 'payroll_date', 'payroll date', 'PAYROLL DATE', 'Y', 1, 35, 'N', 'T');
insert into TTS.FIELD_PRIVILEGE (FIELD_PRIVILEGE_ID, OBJECT_NAME, FIELD_NAME, FIELD_ALIAS, UP_FIELD_ALIAS, ACTIVE, GRID, OBJECT_PRIVILEGE_ID, REQUIRED_FIELD, FIELD_TYPE)
values (74, 'ira_contrib', 'ira_num', 'IRA #', 'IRA #', 'Y', 1, 35, 'N', 'R');
insert into TTS.FIELD_PRIVILEGE (FIELD_PRIVILEGE_ID, OBJECT_NAME, FIELD_NAME, FIELD_ALIAS, UP_FIELD_ALIAS, ACTIVE, GRID, OBJECT_PRIVILEGE_ID, REQUIRED_FIELD, FIELD_TYPE)
values (75, 'ira_contrib', 'start_date', 'date', 'DATE', 'Y', 1, 35, 'N', 'T');
insert into TTS.FIELD_PRIVILEGE (FIELD_PRIVILEGE_ID, OBJECT_NAME, FIELD_NAME, FIELD_ALIAS, UP_FIELD_ALIAS, ACTIVE, GRID, OBJECT_PRIVILEGE_ID, REQUIRED_FIELD, FIELD_TYPE)
values (76, 'ira_contrib', 'login_user_id', 'login_user_id', 'LOGIN_USER_ID', 'Y', 1, 35, 'N', 'T');
insert into TTS.FIELD_PRIVILEGE (FIELD_PRIVILEGE_ID, OBJECT_NAME, FIELD_NAME, FIELD_ALIAS, UP_FIELD_ALIAS, ACTIVE, GRID, OBJECT_PRIVILEGE_ID, REQUIRED_FIELD, FIELD_TYPE)
values (77, 'ira_contrib', 'login_user_name', 'name', 'NAME', 'Y', 1, 35, 'N', 'R');
insert into TTS.FIELD_PRIVILEGE (FIELD_PRIVILEGE_ID, OBJECT_NAME, FIELD_NAME, FIELD_ALIAS, UP_FIELD_ALIAS, ACTIVE, GRID, OBJECT_PRIVILEGE_ID, REQUIRED_FIELD, FIELD_TYPE)
values (47, 'account_info', 'invoiced_po_hours', 'invoiced hours', 'INVOICED HOURS', 'Y', 1, 38, 'N', 'R');
insert into TTS.FIELD_PRIVILEGE (FIELD_PRIVILEGE_ID, OBJECT_NAME, FIELD_NAME, FIELD_ALIAS, UP_FIELD_ALIAS, ACTIVE, GRID, OBJECT_PRIVILEGE_ID, REQUIRED_FIELD, FIELD_TYPE)
values (48, 'account_info', 'left_po_hours', 'PO hours left', 'PO HOURS LEFT', 'Y', 1, 38, 'N', 'R');
insert into TTS.FIELD_PRIVILEGE (FIELD_PRIVILEGE_ID, OBJECT_NAME, FIELD_NAME, FIELD_ALIAS, UP_FIELD_ALIAS, ACTIVE, GRID, OBJECT_PRIVILEGE_ID, REQUIRED_FIELD, FIELD_TYPE)
values (31, 'reimbursement', 'invoice_id', 'invoice_id', 'INVOICE_ID', 'Y', 1, 34, 'N', 'H');
insert into TTS.FIELD_PRIVILEGE (FIELD_PRIVILEGE_ID, OBJECT_NAME, FIELD_NAME, FIELD_ALIAS, UP_FIELD_ALIAS, ACTIVE, GRID, OBJECT_PRIVILEGE_ID, REQUIRED_FIELD, FIELD_TYPE)
values (32, 'reimbursement', 'invoice_num', 'invoice #', 'INVOICE #', 'Y', 1, 34, 'N', 'T');
insert into TTS.FIELD_PRIVILEGE (FIELD_PRIVILEGE_ID, OBJECT_NAME, FIELD_NAME, FIELD_ALIAS, UP_FIELD_ALIAS, ACTIVE, GRID, OBJECT_PRIVILEGE_ID, REQUIRED_FIELD, FIELD_TYPE)
values (33, 'reimbursement', 'total', 'total', 'TOTAL', 'Y', 1, 34, 'N', 'T');
insert into TTS.FIELD_PRIVILEGE (FIELD_PRIVILEGE_ID, OBJECT_NAME, FIELD_NAME, FIELD_ALIAS, UP_FIELD_ALIAS, ACTIVE, GRID, OBJECT_PRIVILEGE_ID, REQUIRED_FIELD, FIELD_TYPE)
values (34, 'reimbursement', 'user_name', 'user name', 'USER NAME', 'Y', 1, 34, 'N', 'T');
insert into TTS.FIELD_PRIVILEGE (FIELD_PRIVILEGE_ID, OBJECT_NAME, FIELD_NAME, FIELD_ALIAS, UP_FIELD_ALIAS, ACTIVE, GRID, OBJECT_PRIVILEGE_ID, REQUIRED_FIELD, FIELD_TYPE)
values (35, 'reimbursement', 'invoiced_date', 'invoiced date', 'INVOICED DATE', 'Y', 1, 34, 'N', 'T');
insert into TTS.FIELD_PRIVILEGE (FIELD_PRIVILEGE_ID, OBJECT_NAME, FIELD_NAME, FIELD_ALIAS, UP_FIELD_ALIAS, ACTIVE, GRID, OBJECT_PRIVILEGE_ID, REQUIRED_FIELD, FIELD_TYPE)
values (36, 'reimbursement', 'active', 'active', 'ACTIVE', 'Y', 1, 34, 'N', 'T');
insert into TTS.FIELD_PRIVILEGE (FIELD_PRIVILEGE_ID, OBJECT_NAME, FIELD_NAME, FIELD_ALIAS, UP_FIELD_ALIAS, ACTIVE, GRID, OBJECT_PRIVILEGE_ID, REQUIRED_FIELD, FIELD_TYPE)
values (42, 'invoice', 'login_user_name', 'employee name', 'EMPLOYEE NAME', 'Y', 1, 33, 'N', 'R');
insert into TTS.FIELD_PRIVILEGE (FIELD_PRIVILEGE_ID, OBJECT_NAME, FIELD_NAME, FIELD_ALIAS, UP_FIELD_ALIAS, ACTIVE, GRID, OBJECT_PRIVILEGE_ID, REQUIRED_FIELD, FIELD_TYPE)
values (43, 'invoice', 'bill_rate', 'bill rate', 'BILL RATE', 'Y', 1, 33, 'N', 'T');
insert into TTS.FIELD_PRIVILEGE (FIELD_PRIVILEGE_ID, OBJECT_NAME, FIELD_NAME, FIELD_ALIAS, UP_FIELD_ALIAS, ACTIVE, GRID, OBJECT_PRIVILEGE_ID, REQUIRED_FIELD, FIELD_TYPE)
values (44, 'invoice', 'invoiced_date', 'invoiced date', 'INVOICED DATE', 'Y', 1, 33, 'N', 'T');
insert into TTS.FIELD_PRIVILEGE (FIELD_PRIVILEGE_ID, OBJECT_NAME, FIELD_NAME, FIELD_ALIAS, UP_FIELD_ALIAS, ACTIVE, GRID, OBJECT_PRIVILEGE_ID, REQUIRED_FIELD, FIELD_TYPE)
values (45, 'invoice', 'active', 'active', 'ACTIVE', 'Y', 1, 33, 'N', 'T');
insert into TTS.FIELD_PRIVILEGE (FIELD_PRIVILEGE_ID, OBJECT_NAME, FIELD_NAME, FIELD_ALIAS, UP_FIELD_ALIAS, ACTIVE, GRID, OBJECT_PRIVILEGE_ID, REQUIRED_FIELD, FIELD_TYPE)
values (25, 'invoice', 'invoice_id', 'invoice_id', 'INVOICE_ID', 'Y', 1, 33, 'N', 'H');
insert into TTS.FIELD_PRIVILEGE (FIELD_PRIVILEGE_ID, OBJECT_NAME, FIELD_NAME, FIELD_ALIAS, UP_FIELD_ALIAS, ACTIVE, GRID, OBJECT_PRIVILEGE_ID, REQUIRED_FIELD, FIELD_TYPE)
values (26, 'invoice', 'invoice_num', 'invoice #', 'INVOICE #', 'Y', 1, 33, 'N', 'T');
insert into TTS.FIELD_PRIVILEGE (FIELD_PRIVILEGE_ID, OBJECT_NAME, FIELD_NAME, FIELD_ALIAS, UP_FIELD_ALIAS, ACTIVE, GRID, OBJECT_PRIVILEGE_ID, REQUIRED_FIELD, FIELD_TYPE)
values (27, 'invoice', 'po_num', 'po #', 'PO #', 'Y', 1, 33, 'N', 'T');
commit;
prompt 59 records loaded
prompt Enabling foreign key constraints for TTS.FIELD_PRIVILEGE...
alter table TTS.FIELD_PRIVILEGE enable constraint FIELD_PRIVILEGE_FK1;
prompt Enabling triggers for TTS.FIELD_PRIVILEGE...
alter table TTS.FIELD_PRIVILEGE enable all triggers;
set feedback on
set define on
prompt Done.
