prompt PL/SQL Developer import file
prompt Created on Thursday, May 12, 2005 by blaga
set feedback off
set define off
prompt Disabling triggers for TTS.OBJECT_PRIVILEGE...
alter table TTS.OBJECT_PRIVILEGE disable all triggers;
prompt Disabling foreign key constraints for TTS.OBJECT_PRIVILEGE...
alter table TTS.OBJECT_PRIVILEGE disable constraint OBJECT_PRIVILEGE_FK2;
alter table TTS.OBJECT_PRIVILEGE disable constraint OBJECT_PRIVILEGE_FK3;
prompt Loading TTS.OBJECT_PRIVILEGE...
insert into TTS.OBJECT_PRIVILEGE (OBJECT_PRIVILEGE_ID, OBJECT_NAME, TYPE, CREATED_BY, CREATION_DATE, LAST_UPDATED_BY, LAST_UPDATED_DATE, ACTIVE, OBJECT_ALIAS)
values (1, 'worked_hour', 'N', 2, to_date('09-05-2005 14:11:37', 'dd-mm-yyyy hh24:mi:ss'), 2, to_date('12-05-2005 07:56:24', 'dd-mm-yyyy hh24:mi:ss'), 'Y', 'Hours Worked  by Users');
insert into TTS.OBJECT_PRIVILEGE (OBJECT_PRIVILEGE_ID, OBJECT_NAME, TYPE, CREATED_BY, CREATION_DATE, LAST_UPDATED_BY, LAST_UPDATED_DATE, ACTIVE, OBJECT_ALIAS)
values (2, 'exp_statement', 'N', 2, to_date('09-05-2005 14:11:37', 'dd-mm-yyyy hh24:mi:ss'), 2, to_date('12-05-2005 07:56:24', 'dd-mm-yyyy hh24:mi:ss'), 'Y', 'Expence Statement');
insert into TTS.OBJECT_PRIVILEGE (OBJECT_PRIVILEGE_ID, OBJECT_NAME, TYPE, CREATED_BY, CREATION_DATE, LAST_UPDATED_BY, LAST_UPDATED_DATE, ACTIVE, OBJECT_ALIAS)
values (3, 'exp_statement_record', 'N', 2, to_date('09-05-2005 14:11:37', 'dd-mm-yyyy hh24:mi:ss'), 2, to_date('12-05-2005 07:56:25', 'dd-mm-yyyy hh24:mi:ss'), 'Y', 'Expence Statement Records');
insert into TTS.OBJECT_PRIVILEGE (OBJECT_PRIVILEGE_ID, OBJECT_NAME, TYPE, CREATED_BY, CREATION_DATE, LAST_UPDATED_BY, LAST_UPDATED_DATE, ACTIVE, OBJECT_ALIAS)
values (4, 'login_user', 'N', 2, to_date('09-05-2005 14:11:37', 'dd-mm-yyyy hh24:mi:ss'), 2, to_date('12-05-2005 07:56:25', 'dd-mm-yyyy hh24:mi:ss'), 'Y', 'Users');
insert into TTS.OBJECT_PRIVILEGE (OBJECT_PRIVILEGE_ID, OBJECT_NAME, TYPE, CREATED_BY, CREATION_DATE, LAST_UPDATED_BY, LAST_UPDATED_DATE, ACTIVE, OBJECT_ALIAS)
values (5, 'travel_profile', 'N', 2, to_date('09-05-2005 14:11:37', 'dd-mm-yyyy hh24:mi:ss'), 2, to_date('12-05-2005 07:56:25', 'dd-mm-yyyy hh24:mi:ss'), 'Y', 'Travel Profile');
insert into TTS.OBJECT_PRIVILEGE (OBJECT_PRIVILEGE_ID, OBJECT_NAME, TYPE, CREATED_BY, CREATION_DATE, LAST_UPDATED_BY, LAST_UPDATED_DATE, ACTIVE, OBJECT_ALIAS)
values (6, 'w4info', 'N', 2, to_date('09-05-2005 14:11:37', 'dd-mm-yyyy hh24:mi:ss'), 2, to_date('12-05-2005 07:56:25', 'dd-mm-yyyy hh24:mi:ss'), 'Y', 'W-4 Information');
insert into TTS.OBJECT_PRIVILEGE (OBJECT_PRIVILEGE_ID, OBJECT_NAME, TYPE, CREATED_BY, CREATION_DATE, LAST_UPDATED_BY, LAST_UPDATED_DATE, ACTIVE, OBJECT_ALIAS)
values (8, 'w4form', 'N', 2, to_date('09-05-2005 14:11:37', 'dd-mm-yyyy hh24:mi:ss'), 2, to_date('12-05-2005 07:56:25', 'dd-mm-yyyy hh24:mi:ss'), 'Y', 'W-4 Form');
insert into TTS.OBJECT_PRIVILEGE (OBJECT_PRIVILEGE_ID, OBJECT_NAME, TYPE, CREATED_BY, CREATION_DATE, LAST_UPDATED_BY, LAST_UPDATED_DATE, ACTIVE, OBJECT_ALIAS)
values (10, 'forms_ira', 'N', 2, to_date('09-05-2005 14:11:37', 'dd-mm-yyyy hh24:mi:ss'), 2, to_date('12-05-2005 07:56:25', 'dd-mm-yyyy hh24:mi:ss'), 'Y', 'Simple IRA forms and info');
insert into TTS.OBJECT_PRIVILEGE (OBJECT_PRIVILEGE_ID, OBJECT_NAME, TYPE, CREATED_BY, CREATION_DATE, LAST_UPDATED_BY, LAST_UPDATED_DATE, ACTIVE, OBJECT_ALIAS)
values (11, 'form_ira', 'N', 2, to_date('09-05-2005 14:11:37', 'dd-mm-yyyy hh24:mi:ss'), 2, to_date('12-05-2005 07:56:25', 'dd-mm-yyyy hh24:mi:ss'), 'Y', 'IRA Salary Reduction Agreement');
insert into TTS.OBJECT_PRIVILEGE (OBJECT_PRIVILEGE_ID, OBJECT_NAME, TYPE, CREATED_BY, CREATION_DATE, LAST_UPDATED_BY, LAST_UPDATED_DATE, ACTIVE, OBJECT_ALIAS)
values (12, 'molba', 'N', 2, to_date('09-05-2005 14:11:37', 'dd-mm-yyyy hh24:mi:ss'), 2, to_date('12-05-2005 07:56:25', 'dd-mm-yyyy hh24:mi:ss'), 'Y', 'Molba otpusk OSI');
insert into TTS.OBJECT_PRIVILEGE (OBJECT_PRIVILEGE_ID, OBJECT_NAME, TYPE, CREATED_BY, CREATION_DATE, LAST_UPDATED_BY, LAST_UPDATED_DATE, ACTIVE, OBJECT_ALIAS)
values (13, 'to_do', 'N', 2, to_date('09-05-2005 14:11:37', 'dd-mm-yyyy hh24:mi:ss'), 2, to_date('12-05-2005 07:56:25', 'dd-mm-yyyy hh24:mi:ss'), 'Y', 'To-do');
insert into TTS.OBJECT_PRIVILEGE (OBJECT_PRIVILEGE_ID, OBJECT_NAME, TYPE, CREATED_BY, CREATION_DATE, LAST_UPDATED_BY, LAST_UPDATED_DATE, ACTIVE, OBJECT_ALIAS)
values (17, 'chat_log', 'N', 2, to_date('09-05-2005 14:11:37', 'dd-mm-yyyy hh24:mi:ss'), 2, to_date('12-05-2005 07:56:25', 'dd-mm-yyyy hh24:mi:ss'), 'Y', 'Chat Log');
insert into TTS.OBJECT_PRIVILEGE (OBJECT_PRIVILEGE_ID, OBJECT_NAME, TYPE, CREATED_BY, CREATION_DATE, LAST_UPDATED_BY, LAST_UPDATED_DATE, ACTIVE, OBJECT_ALIAS)
values (18, 'message', 'N', 2, to_date('09-05-2005 14:11:37', 'dd-mm-yyyy hh24:mi:ss'), 2, to_date('12-05-2005 07:56:25', 'dd-mm-yyyy hh24:mi:ss'), 'Y', 'Message Center');
insert into TTS.OBJECT_PRIVILEGE (OBJECT_PRIVILEGE_ID, OBJECT_NAME, TYPE, CREATED_BY, CREATION_DATE, LAST_UPDATED_BY, LAST_UPDATED_DATE, ACTIVE, OBJECT_ALIAS)
values (19, 'maillogin', 'N', 2, to_date('09-05-2005 14:11:37', 'dd-mm-yyyy hh24:mi:ss'), 2, to_date('12-05-2005 07:56:25', 'dd-mm-yyyy hh24:mi:ss'), 'Y', 'Web Email');
insert into TTS.OBJECT_PRIVILEGE (OBJECT_PRIVILEGE_ID, OBJECT_NAME, TYPE, CREATED_BY, CREATION_DATE, LAST_UPDATED_BY, LAST_UPDATED_DATE, ACTIVE, OBJECT_ALIAS)
values (20, 'jabber', 'N', 2, to_date('09-05-2005 14:11:37', 'dd-mm-yyyy hh24:mi:ss'), 2, to_date('12-05-2005 08:15:32', 'dd-mm-yyyy hh24:mi:ss'), 'Y', 'Live Chat');
insert into TTS.OBJECT_PRIVILEGE (OBJECT_PRIVILEGE_ID, OBJECT_NAME, TYPE, CREATED_BY, CREATION_DATE, LAST_UPDATED_BY, LAST_UPDATED_DATE, ACTIVE, OBJECT_ALIAS)
values (21, 'display_pref', 'N', 2, to_date('09-05-2005 14:11:37', 'dd-mm-yyyy hh24:mi:ss'), 2, to_date('12-05-2005 07:56:25', 'dd-mm-yyyy hh24:mi:ss'), 'Y', 'Display Preferences');
insert into TTS.OBJECT_PRIVILEGE (OBJECT_PRIVILEGE_ID, OBJECT_NAME, TYPE, CREATED_BY, CREATION_DATE, LAST_UPDATED_BY, LAST_UPDATED_DATE, ACTIVE, OBJECT_ALIAS)
values (22, 'file', 'N', 2, to_date('09-05-2005 14:11:37', 'dd-mm-yyyy hh24:mi:ss'), 2, to_date('12-05-2005 08:15:32', 'dd-mm-yyyy hh24:mi:ss'), 'Y', 'File Upload');
insert into TTS.OBJECT_PRIVILEGE (OBJECT_PRIVILEGE_ID, OBJECT_NAME, TYPE, CREATED_BY, CREATION_DATE, LAST_UPDATED_BY, LAST_UPDATED_DATE, ACTIVE, OBJECT_ALIAS)
values (24, 'login_group', 'N', 2, to_date('09-05-2005 14:11:37', 'dd-mm-yyyy hh24:mi:ss'), 2, to_date('12-05-2005 07:56:25', 'dd-mm-yyyy hh24:mi:ss'), 'Y', 'Login Group');
insert into TTS.OBJECT_PRIVILEGE (OBJECT_PRIVILEGE_ID, OBJECT_NAME, TYPE, CREATED_BY, CREATION_DATE, LAST_UPDATED_BY, LAST_UPDATED_DATE, ACTIVE, OBJECT_ALIAS)
values (25, 'project', 'N', 2, to_date('09-05-2005 14:11:37', 'dd-mm-yyyy hh24:mi:ss'), 2, to_date('12-05-2005 07:56:25', 'dd-mm-yyyy hh24:mi:ss'), 'Y', 'Project');
insert into TTS.OBJECT_PRIVILEGE (OBJECT_PRIVILEGE_ID, OBJECT_NAME, TYPE, CREATED_BY, CREATION_DATE, LAST_UPDATED_BY, LAST_UPDATED_DATE, ACTIVE, OBJECT_ALIAS)
values (26, 'client', 'N', 2, to_date('09-05-2005 14:11:37', 'dd-mm-yyyy hh24:mi:ss'), 2, to_date('12-05-2005 07:56:25', 'dd-mm-yyyy hh24:mi:ss'), 'Y', 'Client');
insert into TTS.OBJECT_PRIVILEGE (OBJECT_PRIVILEGE_ID, OBJECT_NAME, TYPE, CREATED_BY, CREATION_DATE, LAST_UPDATED_BY, LAST_UPDATED_DATE, ACTIVE, OBJECT_ALIAS)
values (27, 'email_notification', 'N', 2, to_date('09-05-2005 14:11:37', 'dd-mm-yyyy hh24:mi:ss'), 2, to_date('12-05-2005 07:56:25', 'dd-mm-yyyy hh24:mi:ss'), 'Y', 'E-mail Notification');
insert into TTS.OBJECT_PRIVILEGE (OBJECT_PRIVILEGE_ID, OBJECT_NAME, TYPE, CREATED_BY, CREATION_DATE, LAST_UPDATED_BY, LAST_UPDATED_DATE, ACTIVE, OBJECT_ALIAS)
values (28, 'mail_template', 'N', 2, to_date('09-05-2005 14:11:37', 'dd-mm-yyyy hh24:mi:ss'), 2, to_date('12-05-2005 07:56:25', 'dd-mm-yyyy hh24:mi:ss'), 'Y', 'E-Mail Template');
insert into TTS.OBJECT_PRIVILEGE (OBJECT_PRIVILEGE_ID, OBJECT_NAME, TYPE, CREATED_BY, CREATION_DATE, LAST_UPDATED_BY, LAST_UPDATED_DATE, ACTIVE, OBJECT_ALIAS)
values (29, 'object_privilege', 'N', 2, to_date('09-05-2005 14:11:37', 'dd-mm-yyyy hh24:mi:ss'), 2, to_date('12-05-2005 07:56:25', 'dd-mm-yyyy hh24:mi:ss'), 'Y', 'Privileges');
insert into TTS.OBJECT_PRIVILEGE (OBJECT_PRIVILEGE_ID, OBJECT_NAME, TYPE, CREATED_BY, CREATION_DATE, LAST_UPDATED_BY, LAST_UPDATED_DATE, ACTIVE, OBJECT_ALIAS)
values (30, 'relation', 'N', 2, to_date('09-05-2005 14:11:37', 'dd-mm-yyyy hh24:mi:ss'), 2, to_date('12-05-2005 07:57:24', 'dd-mm-yyyy hh24:mi:ss'), 'Y', 'Relations');
insert into TTS.OBJECT_PRIVILEGE (OBJECT_PRIVILEGE_ID, OBJECT_NAME, TYPE, CREATED_BY, CREATION_DATE, LAST_UPDATED_BY, LAST_UPDATED_DATE, ACTIVE, OBJECT_ALIAS)
values (33, 'invoice', 'N', 2, to_date('09-05-2005 14:11:37', 'dd-mm-yyyy hh24:mi:ss'), 2, to_date('12-05-2005 07:57:24', 'dd-mm-yyyy hh24:mi:ss'), 'Y', 'Invoicing');
insert into TTS.OBJECT_PRIVILEGE (OBJECT_PRIVILEGE_ID, OBJECT_NAME, TYPE, CREATED_BY, CREATION_DATE, LAST_UPDATED_BY, LAST_UPDATED_DATE, ACTIVE, OBJECT_ALIAS)
values (34, 'reimbursement', 'N', 2, to_date('09-05-2005 14:11:37', 'dd-mm-yyyy hh24:mi:ss'), 2, to_date('12-05-2005 07:57:24', 'dd-mm-yyyy hh24:mi:ss'), 'Y', 'Reimbursement');
insert into TTS.OBJECT_PRIVILEGE (OBJECT_PRIVILEGE_ID, OBJECT_NAME, TYPE, CREATED_BY, CREATION_DATE, LAST_UPDATED_BY, LAST_UPDATED_DATE, ACTIVE, OBJECT_ALIAS)
values (35, 'ira_contrib', 'N', 2, to_date('09-05-2005 14:11:37', 'dd-mm-yyyy hh24:mi:ss'), 2, to_date('12-05-2005 07:57:24', 'dd-mm-yyyy hh24:mi:ss'), 'Y', 'IRA Contribution');
insert into TTS.OBJECT_PRIVILEGE (OBJECT_PRIVILEGE_ID, OBJECT_NAME, TYPE, CREATED_BY, CREATION_DATE, LAST_UPDATED_BY, LAST_UPDATED_DATE, ACTIVE, OBJECT_ALIAS)
values (38, 'account_info', 'N', 2, to_date('09-05-2005 14:11:37', 'dd-mm-yyyy hh24:mi:ss'), 2, to_date('12-05-2005 07:56:25', 'dd-mm-yyyy hh24:mi:ss'), 'Y', 'Accounting Information');
insert into TTS.OBJECT_PRIVILEGE (OBJECT_PRIVILEGE_ID, OBJECT_NAME, TYPE, CREATED_BY, CREATION_DATE, LAST_UPDATED_BY, LAST_UPDATED_DATE, ACTIVE, OBJECT_ALIAS)
values (41, 'report_payroll', 'N', 2, to_date('09-05-2005 14:11:37', 'dd-mm-yyyy hh24:mi:ss'), 2, to_date('12-05-2005 07:56:25', 'dd-mm-yyyy hh24:mi:ss'), 'Y', 'Payroll Report');
insert into TTS.OBJECT_PRIVILEGE (OBJECT_PRIVILEGE_ID, OBJECT_NAME, TYPE, CREATED_BY, CREATION_DATE, LAST_UPDATED_BY, LAST_UPDATED_DATE, ACTIVE, OBJECT_ALIAS)
values (42, 'month_worked_hour', 'N', 2, to_date('09-05-2005 14:11:37', 'dd-mm-yyyy hh24:mi:ss'), 2, to_date('12-05-2005 07:56:25', 'dd-mm-yyyy hh24:mi:ss'), 'Y', 'Hours Worked by Project');
commit;
prompt 30 records loaded
prompt Enabling foreign key constraints for TTS.OBJECT_PRIVILEGE...
alter table TTS.OBJECT_PRIVILEGE enable constraint OBJECT_PRIVILEGE_FK2;
alter table TTS.OBJECT_PRIVILEGE enable constraint OBJECT_PRIVILEGE_FK3;
prompt Enabling triggers for TTS.OBJECT_PRIVILEGE...
alter table TTS.OBJECT_PRIVILEGE enable all triggers;
set feedback on
set define on
prompt Done.
