create or replace trigger "TTS".SUPERVISOR_PROJECT_BIU
  before insert or update on TTS.SUPERVISOR_PROJECT
  for each row
begin
  if (inserting) and (:new.SUPERVISOR_PROJECT_ID = 0) then
     select TTS.SUPERVISOR_PROJECT_ID_SEQ.nextval into :new.SUPERVISOR_PROJECT_ID from DUAL;
  elsif (updating) and (:new.SUPERVISOR_PROJECT_ID<>:old.SUPERVISOR_PROJECT_ID) then
     raise_application_error(-20000,'Cannot update SUBSUPERVISOR_PROJECT_ID');
  end if;
  if (inserting) then
     :new.creation_date:=sysdate;
     :new.created_by:=:new.last_updated_by;
  end if;
  :new.last_updated_date:=sysdate;
  
end SUPERVISOR_PROJECT_BIU;
/
