create or replace trigger "TTS".TO_DO_BIU
  before insert or update on TTS.TO_DO
  for each row
begin
  if (inserting) and (:new.TO_DO_ID = 0 or :new.TO_DO_ID is null) then
    select TTS.TO_DO_ID_SEQ.nextval into :new.TO_DO_ID from DUAL;
  elsif (updating) and (:new.TO_DO_ID<>:old.TO_DO_ID) then
    raise_application_error(-20000,'Cannot update TO_DO_ID');
  end if;
  :new.last_updated_date:=sysdate;
 end TO_DO_BIU;
/
