create or replace trigger "TTS".W4INFO_BIU
  before insert or update on TTS.W4INFO
  for each row
declare
 --
begin
  if (inserting) and (:new.W4INFO_ID = 0) then
    select TTS.W4INFO_ID_SEQ.nextval into :new.W4INFO_ID from DUAL;
  elsif (updating) and (:new.W4INFO_ID<>:old.W4INFO_ID) then
               raise_application_error(-20000,'Cannot update W4INFO_ID');
  end if;
 :new.UP_FIRST_NAME:=upper(:new.FIRST_NAME);
 :new.UP_MIDDLE_NAME:=upper(:new.MIDDLE_NAME);
 :new.UP_LAST_NAME:=upper(:new.LAST_NAME);
 :new.UP_STREET1:=upper(:new.STREET_1);
 :new.UP_CITY:=upper(:new.CITY);
 :new.UP_MIDDLE_NAME:=upper(:new.MIDDLE_NAME);
 :new.EXEMPT:=upper(:new.EXEMPT);

  if (inserting) then 
     :new.creation_date:=sysdate;
     :new.created_by:=:new.last_updated_by;
  end if;
  :new.last_updated_date:=sysdate;
  
end W4INFO_BIU;
/
